Introducción a Epi Info para Windows

is designed to show data from Epi Info files by relating data fields to shape files containing the geographic boundaries.

Bienvenido a Epi Info para Windows

Epi Info es una serie de programas para Microsoft Windows de uso por los profesionales de salud pública para la investigación de brotes epidémicos, manejo de bases de datos de vigilancia de la salud pública y otras tareas y, en general, aplicaciones estadísticas y de base de datos. Con Epi Info y una computadora, los médicos, epidemiólogos y otros trabajadores de la salud pueden rápidamente desarrollar un cuestionario, personalizar la grabación de datos y grabar y analizar los datos.

Nota de los traductores al español. Con el objetivo de suministrar esta nueva versión del programa lo antes posible desde la primera distribución, se ha acelerado la distribucion de esta traducción incompleta. Se han traducido casi todos los textos que aparecen en el programa, excepto algunos mensajes de error, lo que permite trabajar con el programa en Español. En cuanto a las ayudas, los tutoriales están completos y en el resto de la ayuda la traducción al español está muy incompleta. Simplemente se ha trasladado y adaptado el material traducido con anterioridad para facilitar el uso en español. Se han trasladado la ayuda antigüa de órdenes y funciones. Por otra parte, y con el fin de ahorrar el máximo de espacio, se han quitado todas las imágenes. Si está interesado en alguna en particular, elija el idioma inglés y consultela en inglés. Estas ayudas estarán actualizadas en la dirección http://www.cica.es/epiinfo/espanol.htm

Componentes de Epi Info para Windows

MakeView

Enter

Analysis

NutStat

Utilidades

  • StatCalc

  • Epi Map

  • VisData

  • Epi Lock

  • Data Compare

  • Table to View

Estos componentes se pueden instalar individual o colectivamente. La instalación completa incluye todos los componentes del software. Los VisData programas de utilidad se instalan automáticamente con cualquiera de las opciones.

Agradecimientos


Novedades!

Summarize

Summarize es una orden nueva de Analysis para calcular datos agrupados del archivo y escribirlos en otra tabla, de forma que puedan analizarse de nuevo con analysis. Esta característica ha sido solicitada por algunos usuarios que requieren informes periódicos o realizar clasificaciones. Algunos ejemplos serían: Calcular porcentajes entre estratos; calcular el rango de costos para los procedimientos más caros sin tener que saber qué procedimiento es; examinar la frecuencia de variables categóricas para casos con valores de una variable con puntuaciones.

Mapas de casos

Mapas de casos es una característica de Epi Map que permite que el usuario utilice distintos símbolos en función de niveles de clasificación. Un mapa podría mostrar la distribución de casos sospechosos o confirmados.

Epi Report

Epi Report es un nuevo componente que permite al usuario diseñar y generar informes. Una vez creado un informe se puede utilizar para realizar fácilmente actualizaciones a medida que cmabian los datos.


Requerimientos

Requerimientos para Windows 95, 98, NT, 2000, y ME

Se recomienda un procesador de 200-megahertz (MHz) (Pentium compatible o superior), pero no es obligatorio

Al menos 50 megabytes (MB) de RAM

XP Requirements

Procesador Pentium 233-megahertz (MHz) o más rápido (Se recomienda 300 MHz)

Al menos 64 megabytes (MB) de RAM (se recomienda 128 MB)


Soporte técnico y contacto

CDC mantiene una línea Epi Info Hotline, ofreciendo soporte técnico a los usuarios de Epi Info durante el horario normal de trabajo, 8 AM – 5 PM, U.S. Eastern Standard.

Epi Info Hotline: (770) 488-8440


Acknowledgements

Epi Info™ for Windows

A Database and Statistics Program for Public Health Professionals

Program design by Andrew G. Dean and Thomas G. Arner (Epi Map)

Manual by Andrew G. Dean, Juan Carlos Zubieta, Kevin M. Sullivan, Cecile Delhumeau, Ralph H. Lord, Jr., and Shonna Luten

Programming by Godha Sunki, Thomas G. Arner, Roger Friedman, Matthew Lantinga, Andrew G. Dean, Sireesha Sangam, Saliil Diskalkar, Karl A. Brendel, Nicholas Fontaine, Zack Gao, George W. Fuller, Jr., and Meng Hua Shu.

Testing by Juan Carlos Zubieta, Catherine Schenck-Yglesias, Cassandra Brown, Natalie Huet, Jinghong Ma, Demetria Atkins, Katie James, and Karen DeRosa.

Tutorial exercises by Juan Carlos Zubieta, Consuelo M. Beck-Sagué, G. Allen Tindol, and Suzanne Cloutier.

Division of Public Health Surveillance and Informatics

Epidemiology Program Office, MS K74

Centers for Disease Control and Prevention (CDC)

Atlanta, Georgia 30341-3717

Previous versions produced in collaboration with the World Health Organization (WHO), Geneva, Switzerland, by Andrew G. Dean, Jeffrey A. Dean, Denis Coulombier, Anthony H. Burton, Karl A. Brendel, Donald C. Smith, Richard C. Dicker, Kevin M. Sullivan, Thomas G. Arner, and Robert F. Fagan.

This manual and the programs are in the public domain and may be freely copied, translated, and distributed. They are available on the Internet at www.cdc.gov/epiinfo

Suggested citation: Dean AG, Arner TG, Sunki GG, Friedman R, Lantinga M, Sangam S, Zubieta JC, Sullivan KM, Brendel KA, Gao Z, Fontaine N, Shu M, Fuller G. Epi Info, a database and statistics program for public health professionals. Centers for Disease Control and Prevention, Atlanta, Georgia, USA, 2002.

Epi Info Hotline for Technical Assistance

epiinfo@cdc.gov

(770) 488-8440 voice

(770) 488-8456 fax

Additional Acknowledgements

Environmental Systems Research Institute, Inc., the publishers of ArcView and ArcInfo, provided a special waiver for royalty-free distribution of the MapObjects mapping engine contained in Epi Map, on condition that Epi Map is distributed only with Epi Info. Robert K. Jung, ARJ Software, Norwood, Massachusetts, gave permission for use of ARJ compression programs used in distributing translations. Dr. David Martin, Brookline, Massachusetts, and A. Ray Simons, Atlanta, Georgia, provided Turbo Pascal procedures for exact confidence limits. The programs for logistic regression and Kaplan-Meier survival analysis are based on the MULTLR and KMSURV programs of Eduardo Franco, PhD, and Nelson Campos-Filho, with their kind permission and collaboration. We thank the many beta testers who provided feedback and suggestions.

Equations Acknowledgements

We wish to thank Drs. David Martin and Harland Austin for use of their source code for computing exact and mid-p exact statistical tests and confidence intervals for the odds ratio and for the rate ratio. Thanks to those who reviewed the this chapter and provided comments, and to those who tested the software.

NutStat Acknowledgements

Special thanks to Kevin Sullivan, Ph.D., Department of Pediatrics, School of Medicine and Department of Epidemiology, Rollins School of Public Health, Emory University, Atlanta, Georgia; Nathan Gorstein, World Health Orgainzation; Phillip Neibrug, M.D., M.P.H., Norman Staehling, M.S., Ronald Fichtner, Ph.D., and Frederick Trowbridge, M.D., Centers for Disease Control and Prevention, for their assistance in preparing the Epi Info 6 manual upon which portions of this manual are based.

Notes

These programs are provided in the public domain to promote public health. Please give copies of the programs and the manual to friends and colleagues. The programs may be freely translated, copied, distributed, or even sold without restriction except as noted below. No warranty is made or implied for use of the software for any particular purpose.

“Epi Info” is a trademark of the Centers for Disease Control and Prevention (CDC). Please observe the following requests:

  • When distributing more than 10 copies of Epi Info, please report to the Epi Info Help Line the number of copies distributed, the countries to or in which they were distributed, and whether the distribution was by Internet or CD-ROM.

  • The programs can be translated and the examples altered for regional use, but the programs must be distributed in essentially the form supplied by CDC. Epi Map cannot be distributed separately from Epi Info.

Epi Info is written in Visual Basic, Version 6, from Microsoft, Inc. The HTML Help files were converted, edited and compiled using RoboHelp. The cover art is by Pete Seidel, Public Health Practice Program Office, CDC, and Dr. John Snow, London. The master disks were tested for computer viruses with the Norton AntiVirus virus-detection software.

Microsoft, Windows, Word, and Visual Basic are registered trademarks of Microsoft Corporation and ArcView and ArcInfo of Environmental Systems Research Institute, Inc., (ESRI). Trade names are used for identification only or for examples; no endorsement of particular products is intended or implied. The use of trade names or trademarks in this manual does not imply that such names, as understood by the Trade Marks and Merchandise Marks Act, may be used freely by anyone.

Technical Support

For new versions of the software and answers to commonly asked questions, please visit the Epi Info web site at http://www.cdc.gov/epiinfo. Technical assistance is provided by email, telephone, or FAX. Information for obtaining Epi Info technical assistance is given on the title page.

The Epi Info WebBoard provides a forum for user questions and answers. Join the group by creating a user account at http://dphsi.forum.cdc.gov and following the instructions for joining.

Contact Us

Please send comments and suggestions for future versions to:

Epi Info Hotline

epiinfo@cdc.gov

(770) 488-8440 voice

(770) 488-8456 fax


MakeView Overview

MakeView: The Questionnaire and Form Designer

The MakeView program is used to place prompts and data entry fields on one or many pages of a View. Since this process also defines the database(s) that are created, MakeView can be regarded as both the form designer and the database design environment.

Functions are provided for importing files from Epi Info for DOS, for aligning fields, and for placing a layout grid on the screen. Logical groups of fields can also be chosen for display on panels so that, for example, SYMPTOMS are displayed as a group and can be referred to by the group name in Analysis.

The following links describe some of the functionality provided by MakeView:

MakeView Check Commands Overview

MakeView Menu Features Overview

MakeView Program Editor Menu Features

Adding, Inserting, and Deleting a Page

Aligning Fields

Assigning Random Numbers

Concatenating Variables

Copying the Value of a Field from the Main View to the Related View

Creating a Comment Legal

Creating A Grid

Creating a Group

Creating a Line as an Image

Creating a Mirror Field

Creating a Project

Creating a Related View

Creating a View

Creating a View from an Existing Database

Creating an Option Box

Creating Automatic Coding Between Fields or into the same Field

Creating CheckCode for the Option Box Variables

Creating Codes

Creating Fields in a View

Creating Legal Values

Creating Skip Patterns

Cutting Copying and Pasting Fields

Deleting a Row from a Program

Deleting an Existing Data Table without Deleting the View

How to use EpiWeek External DLL

Inserting a Background Image or Color on a Page

Inserting an Image on a Record

Moving Between the Parent and Related Forms

Moving Related Field Buttons

Page View Menu Panel

Reordering Pages in a View

Setting Legal Values in the Order Entered

Setting the Tab Order

Setting up Conditional Related Forms

Using Autosearch

Using Related Tables


MakeView Check Commands Overview

MakeView Check Commands are generated, edited, and executed in MakeView.


Fields

The Fields tab allows the user access to the Hide, Unhide, GoTo, and Clear command boxes.


Programs

The Programs tab allow the user access to the Execute command box.


Records

The Records tab allow the user access to the Autosearch and IF command boxes.


User Interaction

The User Interaction tab allow the user access to the Dialog and Help command boxes.


Variables

The Variables tab allows the user access to the Define and Assign command boxes.


Assign

This command stores the value of a variable or assigns the result of the mathematics to a variable.


Autosearch

This command box allows the user to program Enter to search for one or more matching records.


Clear

This command box allows the user to set the field name of the missing value, as though the field had been left blank.

It is useful to clear a previous entry after an error has been detected.

More than one field may be specified. CLEAR will frequently be followed by a GOTO command, to put the cursor in position for further entry after an error.


Define

This command allows the creation of new variable.


Dialog

This command box provides interaction with the user from within a program. Dialogs can display information, ask for and receive input, and offer lists for making choices.


Execute

This command box allows the user to specify the execution of a Windows or DOS program named in the command or one designated within the Windows registry as appropriate for a document with the file extension that is named. This provides a mechanism for brining up whatever word processor or browser in the default on a computer without first knowing its name.


GoTo

This command box is used to define an IF statement to transfer the cursor to a particular named variable field.


Help

This command box allows for the display of a customized document in HTM format using a default browser.

This is different from the Epi Info associated Help file.


Hide

This command allows the user to hide a field from view and makes it noenter.


IF

The IF command box allows the user to define conditions and one or more consequences which result when the conditions are met. An alternative consequence can be given after the ELSE command statement, to be realized if the first set of conditions is not true.


Unhide

This command box allows the user to make a field visible and returns it to the status it had before it was hidden.


MakeView Menu Features Overview

The MakeView menu bar provides single-click access to the resources you need most often. You can quickly start a new view, open an existing view, copy views, add pages, create checkcodes, format view backgrounds, import files and create datatables in MakeView.

The following options are available in the MakeView menu:

  • File

  • Edit

  • View

  • Insert

  • Format

  • Tools

  • Help


File Menu

MakeView File Menu

Menu Item | Description
New | New will create a new project in MakeView.
Open | Open allows the user to access a previously created project in MakeView.
Save | Save will copy the current project to a file on the computer's main memory or other desired storage medium.
Copy View | Copy View will
Enter Data | Enter Data opens a view screen where the user can enter data into the current project.
Exit | Exit will allow the user to leave the MakeView program.


Edit Menu

MakeView Edit Menu

Menu Item | Description
Cut | Cut will remove the selected area and place it in the clipboard.
Copy | Copy will reproduce the selected area for placement in the current project or another project file.
Paste | Paste will insert the copied or cut areas into the current project or another project file.
Move Grid | Move Grid will relocate the selected grid to another page in the project or another project file.
Delete Page | Delete Page will permanently remove a page in the current project.
Rename Page | Rename Page will allow the user to assign a new name to the current page in the project.
Go to Page | Go to Page displays a list of pages in the current project and will redirect the user when the desired page is selected.
Order of Field Entry (Taborder) | Order of FieldEntry (Taborder) will reorder the entry fields.


View Menu

Menu Item | Description
Check Code | Check Code takes the user to the Check Commands screen. Check code is used to check for errors, perform calculations, and guide the data entry process.


Insert Menu

Menu Item | Description
Field | Field displays the Field Definition box. The Field Definition box is used to create the fields that will be used to enter data into the view.
Page | Page is used to Insert a Page in the to current view or to Add a Page to the current view.
Group | Group is used to create groups from the created fields in the project for easier manipulation in Analysis.


Format Menu

MakeView Format Menu

Menu Item | Description
Alignment | Alignment allows the user to align the created fields vertically or horizontally on the form.
Background | Background allows the user to insert a background image in the current view. The background image can be page specific or used as a background for all the pages in the current project.
Settings | Settings allow the user to edit the visible on-screen grid properties.


Tools Menu

Menu Item | Description
Import Epi 6 REC file | Import Epi 6 REC file allows the user to import and convert an Epi 6 REC file.
Import Check Code | Import Check Code allows the user to import a previously saved Epi 6 check file.
Make View from Data Table | Make View from Data Table allows the user to create a view from an existing data table in the current project or from another existing project.
Create Data Table |
Delete Data Table | Delete Data Table will permanently delete the data (records) from your database.


Help Menu

MakeView Help Menu

Menu Item | Description
Contents | The Contents lists the topics available in the Epi Info for Windows program and helps to quickly navigate to the desired topic.
Command Reference | The Command Reference lists and defines all the commands that are used in Epi Info for Windows.
Functions and Operators | The Functions and Operators reference lists and defines all the functions and operators that are used in Epi Info for Windows.
Properties and Variables | The Properties and Variables reference lists and defines all the properties and variable that are used in Epi Info for Windows.
About | The About describes the MakeView module and information on the Epi Info for Windows version that is currently being used.


MakeView Program Editor Menu Features

The MakeView Program Editor menu bar provides single-click access to the resources you need most often while using the Program Editor in MakeView. The following are the options available in the MakeView Program Editor menu:

  • Edit

  • View

  • Fonts

  • Help

The MakeView Program Editor button bar has the two available options:

  • Save

  • Print

The New, Open, Run and Run This Command buttons are not available while in MakeView. These options become available when using Analysis.


Program Screen

MakeView Program Editor Program Screen

There are three screens that the user interfaces with in the MakeView Make/Edit Check Commands screen; the Check Commands Tree, the Make/Edit View Check Commands and the MakeView Program Editor.

To access the MakeView Program Screen:

Click the Program button from the Make/Edit View screen in the Page Names panel.

The Make/Edit View Check Commands Screen will be displayed.

The Check Commands Tree displays all of the available Check Commands for use in the MakeView program.

The Make/Edit View Check Commands screen allows the user to select the fields where the actions from the Check Commands will occur and at what interval they will occur in the program. Check Commands can also be accessed in this area.

The MakeView Program Editor displays the dialog of the generated commands created from the Check Command Tree.


Program Editor Edit Menu

Menu Item | Description
Copy | Copy will reproduce the selected area for placement in the current project or another project file.
Cut | Cut will remove the selected area and place it in the clipboard.
Paste | Paste will insert the copied or cut areas into the current project or another project file.
Delete Line | Delete line will remove a line in the current project.
Find | Find will allow the user to search for a particular string in the Program Edit screen.
Find Next | Find Next will allow the user to find the next searched for text string in the Program Edit screen.
Replace | Replace will substitute the searched text string with the specified text.
Program Beginning | Program Beginning will take the user back to the start of the program script.
Program End | Program End will take the user to the end of the program script.


Program Editor View Menu

The Status Bar displays the following information on the program script being typed in the editor:

  • Insert or Typeover mode

  • Page Number

  • Line Number

  • Column Number

The Tool bar allows the user to perform the following edits to the program script being typed in the Program Editor:

  • Font Type

  • Font Size

  • Bold

  • Italicize

  • Underline

  • Right Justify

  • Center Text

  • Full Justify

  • Right Indent Text

  • Left Indent Text

  • Hang Indent Text

Program Editor View Menu

Status Bar

Tool Bar


Program Editor Fonts Menu

The Fonts menu item allows the user to change the font displayed in the Program Editor. (Fonts will vary by system)

The Style menu item allows the user to apply certain styles to the text in the Program Editor.

The styles available are as follows:

  • Normal

  • Bold

  • Italic

  • Underline

  • Double Underline

  • Superscript

  • Subscript

  • Strike Through

The Color menu item allows the user to choose the Text Color for the text that is displayed in the Program Editor and also, to choose the Background Color of the Program Editor.

Text Color/Background Color Box

MakeView Program Editor Fonts Menu

Fonts...

Style

Color


Program Editor Help Menu

Menu Item | Description
Contents | The Contents lists the topics available in the Epi Info for Windows program and helps to quickly navigate to the desired topic.
About | The About describes the Enter module and information on the Epi Info for Windows version that is currently being used.


Before or After

The Before or After radio buttons are used to select whether the variable will be executed before or after the data is entered for that variable.


Checkbox

The Checkbox field is treated like a Yes/No field. When using the Checkbox field, there is no missing variable.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Codes

Codes allow the user to choose a value from a drop-down list and based on that choice, another field will be populated based on a predetermined value.


CommandButton

The ComandButton variable type allows for the creation of an executable button on the view. For example; execute Analysis or another program such as Microsoft Excel.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Comment Legal

Comment Legal allows the displaying of codes with comments/descriptions or the legal values meaning.


Date

The Date field is an alpha/numeric field with pre-set date patterns that are selected from the pattern drop-down menu. This field cannot be altered.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Date/Time

The Date/Time field is an alpha/numeric field with pre-set date/time patterns that are selected from the pattern drop down menu. This field cannot be altered.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Field or Variable Types

The Text variable field is and alpha numeric filed that will hold 128 characters.

The size values of this field range from 1 to 5.

The Label/Title field contains the name of the label or title for the question or prompt on the view. This field is not visible for check code and is not searchable. This field is also not in the tab order list.

The Text[Uppercase] field is a forced uppercase field. All information typed in this field will appear in uppercase.

The size values of this field range from 1 to 5.

The Multiline field is an alpha/numeric field that has the capacity to store up to 2 gigabytes of information in the field. That is approximately 130,000 characters.

The Number field is a numeric value field that has six predefined value patterns:

A new pattern can be created by simply typing the pattern into the Pattern field.

The PhoneNumber field is a pre-determined mask field for phone numbers only.

Phone extensions or international numbers cannot currently be used in this field.

The Date field is an alpha/numeric field with pre-set date patterns that are selected from the pattern drop-down menu.

This field cannot be altered.

The Time field is an alpha/numeric field with pre-set time patterns that are selected from the pattern drop-down menu.

This field cannot be altered.

The Date/Time field is an alpha/numeric field with pre-set date/time patterns that are selected from the pattern drop down menu.

This field cannot be altered.

The Checkbox field is treated like a Yes/No field. When using the Checkbox field, there is no missing variable.

The Yes/No field is a pre-determined field in which the only values that can be selected are yes or no. The yes or no answer is stored in the database as a 1 or 0. 1 = Yes and 0 = No. When performing check code use the + or – to register a yes or no response. + = Yes and – = No.

The Option field is a variable type that creates radio button selection fields for the view. The Option field is for mutually exclusive choices; only on choice can be made. If more than one choice is needed, then use the Checkbox option.

The ComandButton variable type allows for the creation of an executable button on the view. For example; execute Analysis or another program such as Microsoft Excel.

The Image field allows an image to be inserted per record (i.e., patient, rash or bacteria picture). The image file types that are accepted are:

  • Graphics Interchange Format (.GIF)

  • Joint Photographic Expert Group (.JPG or .JPEG)

  • Windows Bitmap Format (.BMP)

  • Windows Icon File Format (.ICO)

  • Windows Metafile Format (.WMF)

  • Enhanced Metafile Format (.EMF)

The Mirror type field only works with multiple pages in a View. For example, if a Patient ID is on page one, the value of Patient ID can be echoed onto another page using the mirror field.

(This mirror field will be Read Only).

The Grid (Table) field type creates related tables that can be inserted into a questionnaire or view to track specific information (i.e., child’s measurements)

The Relate field creates relationships between your main view (or "parent" view) with sub views (or "child" views) ONLY within the same .MDB.

Field or Variable Types

If a data table has not yet been created in MakeView, or there are no records in the data table; names, field types, and patterns can be changed by using the Field Definition box. When the Field Definition dialog box appears, change the desired characteristic, and click OK. Then Save the view, either by choosing Save from the File menu or in response to the reminder pop-up box. If a data table exists and contains data, you can change the prompt by opening the Field Definition dialog box. Once the data table contains entries, you cannot change the field name, but the field type can be changed. MakeView will attempt to transfer the data into the new type, but in some cases must discard incompatible data items. Changing the type of a text field to numeric will transfer numeric data, but MakeView cannot handle a number like "M0111," and will assign a missing value because of the "M" character it contains. A text field can safely be changed to a multi-line field, however, since both contain text.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.

The following field or variable types can be selected from the Field Definition Dialog box:

Text

Label/Title

Text [Uppercase]

Multiline

Number

PhoneNumber

Date

Time

Date/Time

Checkbox

Yes/No

Option

CommandButton

Image

Mirror

Grid

Relate


Font Button

The Font button is used to change the font setting for the field or variable.

This option is not available with all fields and variables.

To change the font for Prompt:

  1. Click the Font button.

  2. The Font dialog box is displayed.

  3. Choose the desired font type and size.

  4. Click OK to return to the Field Definition dialog box.


Font for Prompt

The Font for Prompt button is used to change the font setting for the question or prompt for the field.

To change the font for Prompt:

  1. Click the Font for Promt button.

  2. The Font dialog box is displayed.

  3. Choose the desired font type and size.

  4. Click OK to return to the Field Definition dialog box.


Grid

The Grid (Table) field type creates related tables that can be inserted into a questionnaire or view to track specific information (i.e., child’s measurements). The relationship is maintained by Epi Info in Enter and MakeView, and in Analysis the relationship is established automatically with the RELATE command. Once the relationship is established in Analysis, the resulting table can be analyzed like any other table.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Grid Creation Box

The Enter the Colums for Grid dialog box is used for creating grids in MakeView.


Image

The Image field allows an image to be inserted per record (i.e., patient, rash or bacteria picture).

The image file types that are accepted are:

  • Graphics Interchange Format (.GIF)

  • Joint Photographic Expert Group (.JPG or .JPEG)

  • Windows Bitmap Format (.BMP)

  • Windows Icon File Format (.ICO)

  • Windows Metafile Format (.WMF)

  • Enhanced Metafile Format (.EMF)

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Label/Title

The Label/Title field contains the name of the label or title for the question or prompt on the view. This field is not visible for check code and is not searchable. This field is also not in the tab order list.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Legal Values

Legal values are values that will be accepted as entries in a field. When a list of legal values is specified, an entry must match one of a specified list of values, or it will be rejected.


Mirror

The Mirror type field only works with multiple pages in a View. For example, if a Patient ID is on page one, the value of Patient ID can be echoed onto another page using the mirror field. (This mirror field will be Read Only).

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Multiline

The Multiline field is an alpha/numeric field that has the capacity to store up to 2 gigabytes of information in the field. That is approximately 130,000 characters.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Number

The Number field is a numeric value field that has six predefined value patterns:

  • #

  • ##

  • ###

  • ####

  • ##.##

  • ##.####

A new pattern can be created by simply typing the pattern into the Pattern field.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Option

The Option field is a variable type that creates radio button selection fields for the view. The Option field is for mutually exclusive choices; only on choice can be made. If more than one choice is needed, then use the Checkbox option.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


PhoneNumber

The PhoneNumber field is a pre-determined mask field for phone numbers only. Phone extensions or international numbers cannot currently be used in this field.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Relate

The Relate field creates relationships between your main view (or "parent" view) with sub views (or "child" views) ONLY within the same .MDB.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Related View

Related Views are relationships between your main view (or "parent" view) with sub views (or "child" views). Related views are linked to a parent view automatically by unique keys generated by the system. A related view is made accessible through an Internet-style button; the button can be designed so that it is available only under specified conditions—when additional information is needed about a particular disease condition, for example.


Required

This field is checked to ensure the user completes this mandatory field. The program will verify that the required fields are filled in before form submission.


Text

The Text variable field is an alpha/numeric field that will hold 128 characters.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Text[Uppercase]

The Text[Uppercase] field is a forced uppercase field. All information typed in this field will appear in uppercase.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Time

The Time field is an alpha/numeric field with pre-set time patterns that are selected from the pattern drop-down menu. This field cannot be altered.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Yes/No

The Yes/No field is a pre-determined field in which the only values that can be selected are yes or no. The yes or no answer is stored in the database as a 1 or 0.

1 = Yes and 0 = No. When performing check code use the (+) = Yes or (–) = No to register a yes or no response.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Adding, Inserting, and Deleting a Page

To add a new page:

Click on the Add Page button.

This will add a new page at the end of the already created pages in your view.

To insert a new page:

Click on the Insert Page button.

This will insert the page above the selected page.

To delete a page:

Click on the Delete Page button.

A Confirming Deletion dialog box will be displayed. Click OK to delete the page.


Aligning Fields

To align fields vertically or horizontally:

  1. Using the left mouse button draw a rectangle around the desired fields.

  2. Go to Format and choose Alignment then either Vertical or Horizontal from the drop down menu.

Example


Assigning Random Numbers

To assign randoms numbers:

  1. Click on the Program button [image] in the MakeView Page view menu panel.

  2. The MakeView Check Commands page will be displayed.

  3. In the MakeView Program Editor, type the following code to assign a random number:

Assign <Variable> =Rnd(Min,Max)

Eg - Assign Var1 =Rnd(1,100)

Min = Minimum Number

Max = Maximum number


Concatenating Variables

The Format function is used to concatenate variables into one variable. The Format function will work on either text or numeric variable types.

When writing this code in MakeView, it will only program future records. The code will not go back and populate previously entered data. If you want to concatenate previously entered data, this can only be done through Analysis using the same Format function.

To concatenate variables perform the following:

  1. From MakeView, click the Program [image] button. The Check Commands screen and Program Editor will be displayed.

  2. Choose the field where the action will occur from the drop down menu. The command tree will be displayed.

  3. Select the After radio button in the Before or After area of the Check Command screen, this will enable the code run after variables are entered.

In the following examples the Name field will be populated from the information added to the first name, middle initial, and last name fields.

ASSIGN Name by doing ONE of the following actions:

  • Clicking on ASSIGN in the command tree area, then the ASSIGN wizard will be displayed.

  • Selecting the Variables tab in the Check Commands area then click the ASSIGN button, then the ASSIGN wizard will be displayed typing the ASSIGN code directly in the Program Editor.

To avoid typing errors in the code it is recommended to use the ASSIGN wizard method.

  4. Once in the ASSIGN wizard box, select the ASSIGN Variable from the drop down menu.

  5. Next build the code to be concatenated by entering the variable information in the expression field. Use the Available Variables drop down field to chose the needed variables.

To add spaces between the variables write your code as follows:

ASSIGN Name=FORMAT(FirstName,"<")
 &" " &  FORMAT(MiddleInitial,"<")
 & " " & FORMAT(LastName,"<")

The &” “& are the expressions that create the spaces.

The newly built ASSIGN code will appear in the Program Editor.

  6. Click Save to save the newly created code.

  7. Click OK in the Check Commands box to exit and return to the MakeView screen.


Copying the Value of a Field from the Main View to the Related View

To copy the value of a field from the main view to the related view:

  1. Define a new field from the main view and click on Global. Ex. YourField1

  2. Create your Assign under the YourField1. Ex. ASSIGN NewGlobalField=YourField1

  3. From the related views, create a new field (make this Read Only) called YourField2. This field will receive the copied value from YourField1.

  4. Click on end Before and create your assign. ASSIGN YourField2=NewGlobalField.

To run Check Code while navigating records, us the ALWAYS command to assign the value to a new global field.


Creating a Comment Legal

Comment Legal is very similar to Legal Values. Comment Legal allows the user to first type a number in front of text (with a hyphen) so that in populating fields, the number would only have to be entered instead of the actual text. In Analysis, the statistics are displayed with the numbers only.

To create a comment legal:

  1. When creating a new field, leave 'Text' as the variable type.

  2. Click the Comment Legal button [image] in the Field dialog box.

  3. Click on Create New to enter new values, or choose Use Existing Table to choose one that already exists.

  4. Click OK

  5. Click the OK button to exit the Field dialog box.

If you choose Create New, enter suitable values in the list that appears, by typing a number, hyphen and the text, pressing Enter after each to add a new blank line. Example


Creating A Grid

To create a Grid in MakeView:

  1. In MakeView, open a previously created view.

  2. Create a new field.

  3. Create a name for the prompt, which will be the Grid title.

  4. In the Field or Variable area select Text from the Type drop-down menu.

  5. In the Create area, click on the Grid button. The Enter the Column for the Grid dialog box will be displayed.

  6. In the Enter Colum Name for Grid Field, type a name for the first column and click on Save Column in the Field or Variable area. Create as many columns as needed.

  7. Click on the Save Column button after each one.

  8. When finished, click the Done button.

Example


Creating a Group

To create a group:

  1. Drag a rectangle around the fields that are to be included in the group by holding down the left mouse button.

  2. Click on Insert on the MakeView menu bar.

  3. Select Group. The Group Dialog box will be displayed.

  4. In the Group Description field, type the name of the group being created.

  5. To set the color of the group, click the Set Color button.

  6. Click the OK button.

Example

To delete the group, change the group color, ungroup variables, or change the group name:

  1. Right click on the group name.

  2. The Edit group box will be displayed.

  3. Perform the desired edits.

  4. Click the OK button to save the edits and exit.

When in Analysis, statistics may be run on either the group as whole or statistics my be run on the individual variables inside the group.


Creating a Line as an Image

To create a line as an image:

  1. Right click in the MakeView edit screen. The Field Definition box will be displayed.

  2. In the Question or Prompt field type a line using the underscore key on your keyboard. Ex. "__________"

  3. Click the Font for Prompt button to set the desired size for boldness.

  4. In the Field or Variable area, select Label/Title in the Type field.

  5. Click OK.

Example


Creating a Mirror Field

To create a mirror field:

  1. Create a new field on a page that does not currently have the field to be mirrored.

  2. In the Field Definition dialog box, type the Question or Prompt information.

  3. Then select the Field or Variable type as Mirror.

  4. Click OK.

  5. The Assign Variable to mirror field dialog box will be displayed.

  6. Select the desired field to mirror and click OK.

When data is entered in to the original field, the value of that field will be reflected in the newly created mirror field.


Creating a Project

To create a new project:

Click on the button labeled MakeView from the main Epi Info menu or by going to the Programs drop down menu and selecting MakeView (Questionnaire).

A blank View window will be displayed.

To create a new View:

  1. Right click on the blank view and then select the Make New View button. The Create or Open PROJECT dialog box will be displayed.

  2. Select the project to create the new view.

  3. Type the desired project name in the Name the View field.

  4. Click the Open button to work in the newly created project.


Creating a Related View

To create a related view:

  1. Create a main view with any necessary files.

  2. Right-click in the view to create a new field.

  3. From the Field or Variable area choose Relate, then click OK.

  4. The Conditions for related form to be active dialog box will be displayed. There are two options for accessing the form:

  • Anytime

  • Only when certain conditions are true

  5. If Only when certain conditions are true is chosen, create the condition statement as desired.

  6. Click OK when finished.

  7. The Relate view choice dialog box will be displayed.

  8. Click on either the Create a related view (which will create a separate view) or Relate to existing view (which will allow the user to choose a View that has already been created) radio button.

  9. If Relate to existing view is selected, choose from one of the available tables within the .MDB file.

The related view button will be created on your parent form.

To access the new view (or child form), hold down the CTRL key and click the newly created button.

Click the Back or Home button to go back to the parent view.


Creating a View

To create a new view:

  1. After creating the new project, in the Name the View dialog box, type the desired name of the new View.

  2. Click the OK button.

This action has created a new View in the project that was previously created.


Creating a View from an Existing Database


Creating an Option Box

An option box is used when you want the user to select one - and just one - option from a set of alternatives. If more options are to be allowed at the same time, Check Boxes should be created instead.

To create an option box:

  1. Open MakeView and the desired view that will include the option box.

  2. Create a new field by right clicking on the open View.

  3. Create a name for the new field and in the Field or Variable area select Option from the drop-down menu.

  4. Click the OK button. the Optfrm dialog box will be displayed. In the Optfrm dialog box, choose to have the text displayed on the left or the right of the option radio buttons.

  5. Next type the number of desired choices in the Numbers of Choices field.

  6. Press Enter on your keyboard to have the blank fields displayed in the Optfrm box.

  7. Type the desired options and press the Enter key to go to the next field until all the options are created.

  8. Click the OK button when finished entering all the options.

The newly created option box will be displayed in the view.

Example


Creating Automatic Coding Between Fields or into the same Field

To create automatic coding between fields or into the same field:

  1. In an open View, right click on the view to open the Field Definition dialog box.

  2. In the Field Definition dialog box, enter the desired question/prompt.

  3. Click the Codes button.

  4. Select the field(s) to receive codes.

  5. Click the CreateNew button to create a new table to set up codes. The Set Up Code/Legal Links box will be displayed.

  6. Type the new codes for the field.

  7. Click the OK button when finished.

To use existing tables:

  1. Click the Use Existing Table button. The Select a View box will be displayed.

  2. Select the existing table name.

  3. Click the OK button.


Creating Check Code for the Option Box Variables

To create Check Code:

In the MakeView Program Editor type out the values as:

IF OptField="North" Then ...

type the order of the option value, where:

North = 1

South = 2

East = 3

West =4

The Check Code would be typed as:

If OptField ="1" Then ...

Where the value resides in the line order of the values is the number that will be used in the IF condition statement.


Creating Codes

Codes allow the user to choose a value from a drop-down list and based on that choice, another field will be populated based on a predetermined value.

At least two fields must exist - one to receive the value of the code, and the other(s) to select the appropriate code. The first field is the original or main code, which will be a drop-down box, and the second (or third, etc.) will be treated as 'Read Only' and will populate based on whatever is assigned from the first field.

For example, assume that you are a hospital with different code numbers for each insurance company. Instead of memorizing the different code numbers for each company, the codes can be automatically populated when the corresponding name is chosen from the main drop-down box:

1st Field Value (drop-down box):

Kaiser Permanente

Blue Cross

Prudential

If Kaiser Permante was chosen, the following field would populate as assigned:

2nd Field Value (Read Only):

KP1

or if Blue Cross is chosen, the following would occur:

2nd Field Value (Read Only):

BC2

When creating a new field, leave 'Text' as the variable type, and then choose Codes for that field by clicking the CODES button in the Field dialog box. Choose a field(s) to receive the intended value from the available list. Click on Create New to enter new values, or choose Use Existing Table to choose one that already exists. If you choose Create New, enter suitable values in the list that appears, the first column will be the drop-down list, and the next column(s) holds the actual value to be populated. Pressing Enter at the end of the line, will bring the cursor back to the first column to create a new value. Click OK when complete, then OK again in the Field dialog.


Creating Fields in a View

To create fields in a view:

  1. Right click in the blank View and the Field Definition dialog box will be displayed.

  2. In the Field Definition dialog box, type the question or prompt for the field.

  3. The type of field to be created can be selected from the drop down menu.

Each field or variable has its own properties available when selected. Some options may not be shown or may be grayed out depending on the variable or field selection.


Creating Legal Values

When creating a new field, leave 'Text' as the variable type, and then choose legal values for that field by clicking the Legal Values button in the Field dialog box. Click on Create New to enter new values, or choose Use Existing Table to choose one that already exists. If you choose Create New, enter suitable values in the list that appears, pressing Enter after each to add a new blank line. Click OK, then OK again in the Field dialog box.


Creating Skip Patterns

Skip patterns can be created by changing the FIELD ORDER or by using the GOTO command in the PROGRAMS section. FIELD ORDER (TABORDER) controls the sequence in which the cursor visits fields on a questionnaire. To change the FIELD ORDER, go to FIELDS on the menu and select FIELD ORDER. In the FIELD ORDER dialog, use the UP and DOWN buttons to move a selected field up or down in the entry order list and thereby change the order of the fields.

To use the GOTO command, click on PROGRAMS on the Page Name Panel. Click on the arrow under CHOOSE FIELD WHERE ACTION WILL OCCUR to pull down a list of fields. You can use the GOTO command under the FIELDS tab, or you can type in a GOTO program using IF statements in the Program Editor.


Cutting Copying and Pasting Fields

To cut or copy fields:

  1. Using the left mouse button draw a rectangle around the desired fields.

  2. Go to Edit and choose either Copy or Cut from the drop down menu.

To paste the cut or copied fields:

  1. Go to Edit and choose Paste.

  2. Place the fields in the desired area of the form.

Example


Deleting a Row from a Program

To delete your commands/codes from a variable, just highlight the text in the Program Editor and hit delete on your keyboard; however, make sure to hit save (so that the asterisk is gone from your "choose field where action will occur" drop down box). Also, you can delete the field by just double-clicking on the prompt and clicking delete. This will delete the whole field and any data in it.


Deleting an Existing Data Table without Deleting the View

To delete an existing data table without deleting the view:

  1. From the MakeView menu bar, choose Tools then select "Delete Data Table" from the drop down menu.

  2. Click the OK button.

  3. Click OK when the warning message is displayed.


How to use EpiWeek External DLL

Introduction

The Epiweek DLL is a windows-base dynamic Link Library that calculates the epidemiological week.

Description of the Contents

The Epiweek DLL contains two types of routines they are called properties and methods. The difference between a property and a method is that the property is a value that you can set while the method executes a specific function and returns a value or values to Enter.

Declaring a new DLL for use in Epi Info

The Epiweek DLL must be declared in the DEFINED VARIABLES section of the check code before it can be used.

To define a new DLL use the following syntax:

DEFINE <MyName> DLLOBJECT "<Name>.<class>"

<MyName> | Is any valid EpiInfo variable name you wish.
<Name> | Refers to the internal ActiveX project name. In this case the internal name is “EIEpiweek”
<Class> | Refers to the class inside the DLL to be called. The Epiweek
DLL contains only one class and it is called “Epiweek”
The resulting code to activate the DLL in enter should be:
DEFINE Mytest DLLOBJECT "EIEpiwk.Epiweek"

Properties of Epiweek DLL

Define the first day of the week.

Epidemiological weeks are usually complete weeks. The ministry of health of the country defines the day of the week to be considered the first epidemiological day. As a result, some countries may consider the first day of the week Sunday while others may consider the first day of the week Saturday or Monday.

EpiFirstDaySetting

The EpiFirstDaySetting property allows you to decide which day of the week is considered to be the beginning of the epidemiological week. Using the following check code will set the first day settings:

<name>! EpiFirstDaySetting = <number>

<name> | Is the name that you assigned to the DLL in the defined variables area?
<number> | The number you can store determines on what day of the week the Epidemiological week begins. The values are (1 for Sunday, 2 for Monday, etc.)
Since we wish to start our Epidemiological weeks on Sunday, we can set the property as follows:
Mytest! EpiFirstDaySetting = 1

However the default value for this property is 1. It means that if you do not set this property, the DLL will consider that the epidemiologic week starts on Sunday by assigning the value of one by default.

Epifirstweek

Some countries may define the first week of the year a week including January first. Other countries may consider the first epidemiologic week of the year the first full seven-day week. It is possible to change the definition for the first week of the year by setting a property called Epifirstweek.

<name>! EpiFirstWeek = <number>

<name> | Is the name that you assigned to the DLL in the defined variables area?
<number> | The number you can store determines on what type of week you wish to use. In this case, 1 will set the first Epidemiological week as the week that includes Jan 1st, 2 defines the first Epidemiological week as the first week with four or more days, and 3 will define week number 1 as the first seven-day week of the year. If no value is set, EpiFirstweek will assume that the first week of the year is the first week with four or more days (default value is 2).

Methods of the Epiweek DLL

As we explained above, the method will perform some calculations and return a value to Enter. Usually methods need some parameters to perform the computations. Parameter to be passed to the method should be included in parenthesis. If no parameters are needed, you should include the parenthesis anyway. The general syntax for executing DLL methods which return results is as follows:

ASSIGN <variable1> = <name>!<method>(<variable2[, variable3,...]>)

<name> | Is the name that you assigned to the DLL in the defined variables area
<method> | Is the name of the method that you want performed
<variable1> | Is any variable standard, global, permanent or database that will receive and store the result
<variable2,...> | Are the variables containing the values of the parameters required by the method (if any)
Methods which do not return results are executed using the following syntax: <name>!<method>(<variable2[, variable3,...]>)

Version

Version is the first method. It takes no parameters, displays a message box with the date of the DLL. We added to our demo one button containing the following code:

mytest!version()

Enter will display the version of the DLL we are using every time we click on the button. Note that we do not need to include the call in an ASSIGN statement because it does not return any value.

EpiYearWeek

Different from the previous method, Epiyearweek takes one parameter and returns a string representing the epidemiological week as YYYY:WW. Remember that you will receive from the DLL a string; therefore, you cannot assign this method to a numeric variable. In the example below, TEXT1 will receive the value corresponding to the year and epidemiological week of the onset date.

ASSIGN TEXT1 = mytest!version(OnsetDate)

Epiweek

If the year of occurrence is not relevant, you can use the Epiweek method instead. The advantage of using Epiweek is that the value is returned as a number and it can be stored in a numeric field. Epiweek takes one required parameter that must be a date. If the second parameter is provided, the week is computed relative to the first week of the specified year. Epiweek takes one. We calculated the Epidemiological week using the following code:

ASSIGN week = Mytest!EpiWeek(Date)

Passing two parameters is useful to create histograms. An alternative syntax to calculate the epidemiological week for an outbreak starting in Sep 1, 2001 could be:

ASSIGN var1 = 9/1/2001

ASSIGN COMMENTS = Mytest!Epiweek(date, 2001) -Mytest!Epiweek(var1) + 1


Inserting a Background Image or Color on a Page

To insert a background image:

  1. From the MakeView menu bar select Format then Background from the drop down menu. The Background box will be displayed.

  2. In the Background Image area of the Background box, click on the Choose Image button and the Background Image box will be displayed.

  3. Select the desired image and click Open. The selected image will appear to the right of the Choose Image button.

  4. In the Image and Color area, select the radio button option to have the image fill the screen or just have the image appear in the upper left corner of the view. The selected image can be applied to all of the pages in the view or applied to the current view only.

  5. Click the OK button to save the current changes.

To insert a background color:

  1. From the MakeView menu bar select Format then Background from the drop down menu. The Background box will be displayed.

  2. In the Background Color area of the Background box, click on the Change Color button and the Color box will be displayed.

  3. Select the desired color and click OK. The selected color will appear above the Change Color button.

  4. Next, select the radio button option to have the color applied to all pages or to the current page only.

  5. Click OK to save the current changes.


Inserting an Image on a Record

To insert an image on a record:

  1. In MakeView, create a new field and select its type as Image from Type drop down box, then click OK.

  2. From the MakeView File menu, select Save to save the current View.

  3. From the MakeView File menu select Enter Data. In the Enter Data view, the newly created image field will be displayed and ready to be edited.

  4. Left mouse click on the image field and a new dialog box appears asking to "Select the picture file" window. Select the image file you want to insert and click Open.

  5. The new image will be displayed on the view.

  6. Click Save from the MakeView Enter Data File menu to save this view.


Moving Between the Parent and Related Forms

The HOME and BACK buttons can be used to move to and from parent and related forms. These buttons do not appear until you have displayed a related View. The HOME button will take you back to the main form. The BACK button displays the parent of the current form. In a two-level, hierarchy, both buttons accomplish the same thing, but with three levels, HOME skips back to the main form and BACK moves up just one level.


Moving Related Field Buttons

To move related field buttons:

  1. Hold down the SHIFT key and the left mouse button

  2. Click on the desired button with your cursor and drag the button to the desired location on that page.


Page View Menu Panel

The Page View Menu Panel displays the created Views names and gives the user easy access to the created pages. The user can also add pages, insert pages, and delete pages from this menu panel.

The MakeView Program Editor can also be accessed from this menu panel by clicking the Program button.

After the user has created a Related View, the Home and Back buttons to access the parent and child views will also be available in this menu area.


Reordering Pages in a View

To reorder the pages within a view:

  1. Cut the desired fields from your selected view by clicking and holding the left mouse button, this will create a selection box around the fields. Once all the fields are in the dotted selection box, go to the Edit menu and select Cut.

  2. Create a new page by clicking the Add Page button [image].

  3. From the Edit menu select Paste, to paste the cut fields from the previous view.

  4. Right click on the new page name and rename the page in the Pagename box.

  5. From the File menu, select Save to save the new page.


Setting Legal Values in the Order Entered

To set legal values in the order entered:

Select the Do not Sort checkbox in the Legal Value dialog box.


Setting the Tab Order

The tab order is set automatically based on the positioning of the fields in your View.

To manually change the tab order:

  1. Click on the Edit menu and choose Order of FieldEntry (Taborder). The Order of FieldEntry dialog box will be displayed.

  2. Using the up and down buttons, move your field in the desired order.

  3. Click the OK button to accept the changes.


Setting up Conditional Related Forms

To set up conditional related forms:

  1. Right click on the screen to open the Field dialog.

  2. Enter a prompt and click the button called CREATE RELATED VIEW.

  3. When the Conditions for Related Form to Be Active dialog appears

  4. Select ONLY WHEN CERTAIN CONDITIONS ARE TRUE from the options.

  5. When the Access section appears, choose which variables or values are to be true before accessing this page, then click OK.

  6. The next dialog is Related View Choice, where you can choose to create a new related view or relate to the existing view.

By choosing to create a new related view, you are creating a new view, which allows you another screen to create more or different fields. By choosing to relate to existing view, you are referring to another view or another form that already exists.


Using Autosearch

When the user is entering data in the Enter program, the system will automatically search for one or more matching records. If a match is found, the user can choose to display and edit the matching record(s) or to ignore the match and continue to enter the current record.

To create an autosearch:

  1. Click on the Program button.

  2. Under "Choose field where action will occur," click on the drop-down box and choose the field you want to have the unique ID.

  3. Click on the "Records" tab, and then click on "AutoSearch."

  4. Choose the same field again, and then click on OK.

  5. Click on "Save" in the Program Editor section.

  6. Click on Ok in the above section marked Check Commands.

Please note that autosearch does not prevent from entering duplicated records.


Using Related Tables

What are Related Tables, and Why Use Them?

Suppose that you do a survey of households and record for each one some basic information such as address, number of rooms, and head of household. You also interview each family member and have information for between 1 and 15 such persons per household. In thinking about how to capture the data, there are two obvious choices:

Create a separate questionnaire for each person, and copy the household information onto up to 15 forms per household.

Or

Use a single form per household and allow up to 15 lines for individual data on the form.

If the forms are computerized, the first method requires redundant and error-prone entry of the same data a number of times for a household. The second works well on the written form, but leads to difficulties when I try to analyze data from fields called PERSON1, PERSON2, PERSON3, etc., even assuming that individuals are entered in some defined order.

One day, while jogging, you might come up with the idea of using a single form for each household, and another form for each individual, and linking the two by using a common Household number. This minimizes the amount of paper needed, and also permits easier analysis, since the forms for each person are in the same format. By using the Household number, I can look up household information for any given person whenever it is needed. Or, by keeping the forms in order, I can simply staple the household form to its group of person forms.

Relational database features in the computer work in very similar fashion. By using unique identifiers, I can "relate" records in one dataset (household) to those in another (person). The computer automatically looks up the necessary information in both records when needed, so that each person appears to have a copy of the correct household information. Hence, I can use TABLES WATER ILL to find out how many ill and well persons (ILL in the Person View) have running water at home (WATER in the Household View).

Creating Related Tables

Creating a related View in MakeView requires defining a button on the parent form that will allow access to the related View. To see how this works, run MakeView, choose MAKE NEW VIEW from the FILE menu, and then create a new MDB called RELATE.MDB. Within this, give the name of the new View as HOUSE. On the HOUSE View, create text fields for NAME and ADDRESS, and a Yes/No field for Private Water. Now right click on the form to bring up the field dialog and enter CHILDREN as the Prompt. Click on the button called RELATED VIEW. In the next dialog, choose FORM SHOULD BE ACCESSIBLE : ALL THE TIME and then OK. In the next dialog, choose RELATED VIEW and click OK.

Now make a second related view button with the Prompt WATER in the same way, but this time the choices are:

CREATE RELATED VIEW

FORM SHOULD BE ACCESSIBLE ONLY WHEN CERTAIN CONDITIONS ARE TRUE

RETURN TO THE PARENT FORM WHEN ONE RECORD HAS BEEN ENTERED

In the box for CONDITIONS, enter PRIVATEWATER = (+)

You should now have buttons called CHILDREN and PRIVATE WATER. Let the mouse cursor hover over the CHILDREN button and note the instructions. Hold down the Ctrl key and left click on the button. You should see a blank view called CHILDREN. Create a text field for NAME and a numeric field for AGE, adding any others that you think relevant to record the status of a child in the household. Click on the BACK button to return to the main form.

Now do the same thing with the PRIVATEWATER button, creating a View with questions like WATER SOURCE and DATE OF LAST COLIFORM TEST. Click on BACK to return to the HOUSE View. From the FILE menu, choose ENTER DATA.

Entering Data in Related Tables

In the HOUSE view enter a name and address. In PRIVATE WATER, choose NO and note that the WATER button remains inactive. Click on CHILDREN and then enter data for one or more children, clicking on NEW for each new child's record. Click on BACK to return to the HOUSE View. Click NEW to save the record and enter another name and address. This time answer YES to PRIVATE WATER and the WATER button should become active. Click the WATER button and fill in the form for WATER. Click NEW and note that it has the same effect as BACK, since only one instance of the WATER form per household is allowed. Click NEW to save the second HOUSE record and then choose EXIT from the FILE menu. You have created a View called HOUSE and two related Views called CHILDREN and WATER. CHILDREN is unconditionally related to HOUSE and WATER is only accessible if PRIVATE WATER has the value YES.

Analyzing Related Tables

A View with related Views can be read in Analysis using the READ and RELATE commands. If the database was created in Makeview and the data entered in Enter, Analysis will establish relationships automatically, using the UniqueKey and Fkey (Foreign Key) variables created by Epi Info. If the relationship was created in Epi Info 6 or another program with that uses different keys, the keys variables in both files must be identified. A relationship in Epi Info is represented by “::” (Without the quotes).

Read ‘D:\Epi_Info\sample.mdb’:file1

Relate ‘D;\Epi_Info\Sample.mdb’:file2 Key1::Key2

Analysis can establish relationships using multiple keys.

For example:

File A contains SSN and Date while file B contains SSN1 and Date1

To relate files that match both criteria at the same time (same SSN and same

Date) the relational key might be:

Relate ‘C:\Epi_Info\sample.mdb’: viewRelated SSN::SSN1 and Date::Date1

Epi Info comes with a related database called REFUGEE.MDB. The structure for the system is shown below. Since Refugee was imported from Epi6, all relationships must be declared in Analysis. Household (Family) is related to Person (Patient) using FAMIDNUM key which can be located in both databases. Patient relates with all other tables by BOH, in some cases the relationship is one to one while in another the relationship is one to many.

The following program will read both databases, establish the relationship and analyze data from variables located in both files. To display the number of refugees arriving from “Anycounty” by sex type the following instructions:

READ ‘C:\Epi_Info:REFUGEE.MDB’:viewPatient

RELATE viewFamily FAMIDNUM::FAMIDNUM

TABLES COUNTRY SEX

The variable for COUNTRY of origin is located in the Family table while SEX is in the PATIENT view. The first instruction READs the first table (Patient), the second one (RELATE) establishes a relationship between table1 (Patient) and Table2 (Family). After the relationship is successfully created, variables in both tables are available for use in the table.

The keys for relating can also contain mathematical or string concatenation expressions. Suppose that two tables contain related records but that someone has added 1000 to each of the keys in one of the tables. The relationship can be established for Analysis by using (say) KEY1+1000 as one of the keys and KEY2 as the other.

You can use any of the Epi Info functions to determine the relationship, although this is rarely necessary, and it may be easier to write out a new file in which the complex key is included as a single variable, and to use this single variable as a key.


Enter Overview

Enter: The Data Entry Program for Epi Info for Windows

The Enter program performs the following functions:

  • Displays the View that was constructed in MakeView

  • Constructs a data table if necessary

  • Controls the data entry process, using the settings and check code that was specified in MakeView.

  • A search function is provided so that records can be located that match values specified for any combination of variables.

The cursor moves from field to field and from page to page automatically, saving data as necessary. Navigation buttons provide access to new, previous, next, first, and last records, and to their related tables.

Sample View

The following links describe some of the functionality provided by Enter:

Enter Menu Features Overview

Compressing Databases

Defining Yes/No Fields

Enhance Searching with Find

Entering Data

Finding Records

Moving Between Records

Navigating Parent and Related Forms

Saving a Page or Record


Enter Menu Features Overview

Click on button bar to display corresponding button help!

The Enter menu bar provides single-click access to the resources you need most often while using the Enter program. You can quickly open a view, compress databases, print your view, find records, and set options for Yes or No fields.

The following options are available in the Enter menu:

  • File

  • Edit

  • Options

  • Help


File Menu

Enter File Menu

Menu Item | Description
Open | Open allows the user to access a previously created project.
Close | Close allows the user to exit the current project.
Save | Save allows the user to copy the current view to a file on the computer’s main memory or other desired storage medium.
Compress Database | Compress Database reduces the size of the current database. This process will not harm the file; the file may still be used as it was before.
Print | Print will produce a paper copy of the current page and send it to the selected print device.
Exit | Exit will allow the user to leave the Enter program.


Edit Menu

Enter Edit Menu

Menu Item | Description
Find | Find directs the user to the Find Records screen.
Delete | Delete removes the current record from the project and all records associated with it. This action does not actually delete the record, it is just marked as deleted.


Options Menu

Enter Options Menu

Menu Item | Description
Yes/No Fields | Yes/No Fields allows the user to select the value of the Yes and No field. Yes can be valued at Yes or True No can be valued a No or False
Full Screen | Full Screen is used to maximize the view of the Enter screen. To return this view to the standard screen size, click the Options button and select Standard Screen.


Help Menu

Enter Help Menu

Menu Item | Description
Contents | The Contents lists the topics available in the Epi Info for Windows program and helps to quickly navigate to the desired topic.
Command Reference | The Command Reference lists and defines all the commands that are used in Epi Info for Windows.
Functions and Operators | The Functions and Operators reference lists and defines all the functions and operators that are used in Epi Info for Windows.
Properties and Variables | The Properties and Variables reference lists and defines all the properties and variable that are used in Epi Info for Windows.
About | The About describes the Enter module and information on the Epi Info for Windows version that is currently being used.


Page View Panel

The Enter Page View Panel displays a list of pages (forms) that have been created in the current project. This includes the parent and child related forms.

When a page is completed, the data values that were entered on the page are automatically saved for that page. The Save Data button can also be used to save the date while still entering information on the page.

To navigate through the pages in the Enter Page View Panel, there are arrow buttons located at the bottom of the panel.

These arrow buttons will navigate the user to the first, last, previous or next page. The user can also type the record number in the number box and press Enter to go to that record.

If there are parent and child related records, the Next button will also be displayed to help the user navigate through the parent child related forms.

For compatibility with Epi Info for DOS, the F7 key moves to the previous record and F8 to the next.

When related files are accessed in Enter, a Home and Back button will be displayed within the Enter Page View Panel. The main form can always be brought up with the HOME button and the parent of the current form can be reached with the BACK button.

To mark a record to be deleted, the user can click on the mark record as deleted button. Once this button is clicked, the Undelete button will replace it. If the user chooses not to have this record appear deleted, they can just click the Undelete button.

To create a new record, the user can click the New button and a new blank record will be displayed.

To find a record, the user can click the Find button, which will display the Find Record screen.


Compressing Databases

To Compress a database in Enter:

  1. Select Compress Database from the Enter File drop-down menu.

  2. Select the database to compact.

  3. Select the database to compact to.

  4. Click OK on the success dialog box to return to the Enter main screen.


Defining Yes/No Fields

To define the values for the Yes/No field:

Go to the Options menu and select Yes/No Fields.

The Settings for Yes/No Fields dialog box will be displayed. The values for Yes/No fields can be set to the following:

  • Yes as Yes or True

  • No as No or False

After the setting the Yes/No values click OK to accept changes.


Enhance Searching with Find

Special Wildcard Characters | Description
“>” or “<” | To indicate all values greater than or less than the value entered
>07/08/2001 | Finds all the records “since” or “more recent than” 07/08/2001
<07/08/2001 | Finds all records “prior to” 07/08/2001
AGE >19 | Finds all persons with ages of 20 or older
“or “ or “OR “ | Indicates a choice of values to match (No quotes, but surrounded by spaces).
“*” | (without quotes) Indicates any number of characters, as in DOS filenames. Val* would match Valerie, Valentine, and Val, for example.
“?” | Specifies a single unknown character. “Patient?” matches “Patient1,” “Patient2,” etc., but not “Patient10” because the latter has more than one character following “Patient.” To match “Patient10” you could use “Patient*” or “Patient?0” or “P*10.”

Enhance Searching with Find

When doing a FIND with a numeric or date field, the format for the field is displayed to the right of the chosen field. In addition to entering a valid date or numeric value that matches the format, you can use special characters (without the quotation marks) to guide the search.

Embedded text items in multiline and text fields can be found by searching for "*word*" where "word" is the text string being sought. Thus a search for DIAGNOSES "*heart*" (without the quotes) would identify all records in which a large text field called DIAGNOSES contained the word "heart."

If a field is declared as a SOUNDEX field; a property that when used in combination with search, allows the user to find not only exact names but also those similar in pronunciation; a checkbox appears to the right of the search field. If you click in the checkbox, the search will use the SOUNDEX mechanism.

This algorithm works only with English last names.

Fields that do not have the SOUNDEX property use the “LIKE” feature of database searching to find a broader range of matches than would be found in a strictly literal search. Searches are not case sensitive and are designed to be more inclusive than exclusive, so that small spelling variations are automatically accommodated.

For automatic searching to eliminate duplicates, the AUTOSEARCH command may be used in check code so that an automatic search is performed as soon as, for example, FIRSTNAME and LASTNAME are entered.

Limitations

A user must have write privileges to the directory that Epi Info is installed in and all the Epi Info directories below that.


Entering Data

To enter information into a View:

Ensure the cursor is in the first data field. While entering data into the form, field properties that have been previously defined such as Repeat, Read Only and Required entry in MakeView are enforced. Fields coded with drop-down lists and values are also visible. Fields that have been defined as multiline will scroll automatically when filled with text; plain text fields will also scroll and have a default setting of 128 characters within that field.


Finding Records

If the view has more than one associated data table, only the first data table will be used for the FIND. As a result, only the fields in the first table will be listed in the field list and only the field values in the first table will be displayed in the results grid.

To find records matching a specified criteria:

  1. Click on the Find button in the Enter Page View panel.

  2. The Find Record screen will be displayed.

  3. Choose the fields to search and then type the values to be found in the field(s) that appear.

  4. Click the OK button to perform the Find.

To edit any of the records found:

Double-click on the arrow [image] of the chosen row. The record will then be displayed on the screen.

Enhanced Searching Capability in the Find Record Screen


Moving Between Records

To move to the first or last records:

Use the double arrows at the bottom of the Enter Page View Panel. The single arrows will move the user one record at a time. If the user knows the record number, they can change the actual number of the record and press Enter to be directed to that record.

The F7 and F8 function keys also move to the previous or next record, as in Epi Info 6.

Clicking the NEW button brings up a new blank record.


Navigating Parent and Related Forms

To navigate between parent and related forms:

The Home and Back buttons can be used to move to and from parent and related forms. These buttons do not appear until you have displayed a related View. The Home button will take you back to the main form. The Back button displays the parent of the current form. In a two-level, hierarchy, both buttons accomplish the same thing, but with three levels, Home skips back to the main form and Back moves up just one level.


Saving a Page or Record

Pages are saved automatically. The current page is saved when you move to the next record or page.

To save the current record:

Click on the Save Data button in the Enter Page View Panel. The user can also save a record by clicking the New button located in the Enter Page View Panel since records are saved automatically when the user moves to a new record.


Analysis Overview

Analysis: A program for analyzing data

Analysis is the program in Epi Info used for analyzing data. This data may have been collected using Epi Info or it may have been collected in another type of database. Analysis can read many common data formats such as DBase, FoxPro, Excel and others. Analysis offers simple and intuitive tools for producing many forms of statistics useful for epidemiologists and other public health professionals. In addition, Analysis produces graphs and interacts easily with Epi Map for displaying geographic data.

The following links describe some of the functionality provided by Analysis:

Analysis Command Tree

Analysis Output Screen

Analysis Screen

Program Editor Overview

Adding Unique Data into a Second Table

Assigning Random Numbers in Analysis

Canceling a Previous Selection

Changing the Appearance of a Graph

Combining .MDB Files with the Same Structure into One Large Dataset

Combining Two or More Fields in Analysis

Exporting a Microsoft Excel File

Importing a dBase (.dbf) File

Importing a Microsoft Excel File

Importing a Paradox File

Importing a Text File

Importing an Epi 6 REC File

Merging a Table into Another Table (Append and Update)

Merging Data into a Second Table to Update Matching Records

Reading a Database using ODBC

Reading a Microsoft Access Database

Reading and Writing to Another File

Replacing or Overwriting a Table with New Data

Saving and Opening PGMS

Saving Outputs in Formats other than HTML

Selecting a Subset of Records

Selecting Records Based on a Range of Dates

Using IF Statements with Permanent/Global Variables


Adding Unique Data into a Second Table

READ Master Table | + | MERGE/APPEND from Second Table
1. A |  | 1. S
2. B |  | 3. T
3. C |  | 5. U
4. D |  | 7. V
5. E |  | 9. W
-----------------> | READ Master Table |
 | 1. A |
 | 2. B |
 | 3. C |
 | 4. D |
 | 5. E |
 | 7. V |
 | 9. W |

In this new table, records from the second table that do not match records in the first table (based on the identification numbers) are appended to the master table, while preserving the matched records.

Adding Unique Data into a Second Table

If you are attempting to merge or add data into a view while preserving pre-existing data in the view, you need to use the Merge Append command. These steps will add part of the content from the second table into the "master" table. In this example, the unmatched records from the second table are appended to the master table, while preserving the matched records

To add unique data into a second table:

  1. From the Analysis Command Tree select Read(Import).

  2. Change the Project and find the first or "master" .MDB and then click on Open

  3. Choose the View name and click on OK

  5. From the Analysis Command Tree select Merge.

  6. Click the Find File button [image] to locate the file that the data will be merged from.

  7. Click Open.

  8. Click on the View name and confirm that Append is checked and Update is not.

  9. Click on Build Key [image].

  10. Choose the matching field(s) from the master view using the Available Variable drop down list.

  11. Click OK for the selection to appear under the Current Tables section.

  12. Choose the matching field(s) from the second view using the Available Variable drop down list.

  13. Click OK for the selection to appear under the Related Table section.

  14. Click OK again, which will return you to the MERGE dialog box

  15. Click OK from the Merge dialog box to create the Merge Append command.

  16. If the dialog box requesting a name for a temporary link appears, respond to it as desired.

  17. To view the new data, READ the master table and LIST to see the changes.

The content from the second table has been added and updated to the master table.

Example


Assigning Random Numbers in Analysis

To assign random numbers in Analysis, use the code below:

DEFINE < variable >

ASSIGN <variable>= rnd(1,100)

This means that every time you run the program each record will contain different random values between 1 and 100. If you need the changes to be permanent, please write a secondary table using the following code:

WRITE REPLACE "Epi Info" 'C:\Epi2002\<Filename>.Mdb':<secondarytable> *

(Replaces data in <> with your own values)

<variable> = the variable name that stores the random values


Canceling a Previous Selection

To cancel a previous selection:

From the Analysis Command Tree click on the CANCEL SELECT command.


Changing the Appearance of a Graph

To change the appearance of a graph:

  1. From the Analysis Command Tree click on the GRAPH command.

  2. Create a new graph.

  3. Once the graph is created, while still in the Epi Graph screen select Menu.

  4. Select Edit.

  5. Select Launch Dialog Box. The Customization dialog box will be displayed.

The tab options available are as follows:

  • General

  • Slices

  • Font

  • Color

  • Style

Select the desired functions to change the appearance of the created graph.

Once the graph is updated/modified, click Save and Exit to save the graph and return to the Analysis screen.


Combining .MDB Files with the Same Structure into One Large Dataset

READ Master Table | -------------> | WRITE APPEND to Second Table
1. A |  | 1. S
2. B |  | 3. T
3. C |  | 5. U
4. D |  | 7. V
5. E |  | 9. W
-----------------> | READ 2nd Table |
 | 1. S |
 | 3. T |
 | 5. U |
 | 7. V |
 | 9. W |
 | 1. A |
 | 2. B |
 | 3. C |
 | 4. D |
 | 5. E |

In this new table, all of the records from the master table are appended to the second table.

Note that identification numbers are duplicated. If this is the UniqueKey field, it is no longer unique and cannot be used with views.

Combining .MDB Files with the Same Structure into One Large Dataset

If you are attempting to merge the same two file structures in Epi Info (but with different datasets), you would need to use the Write/Append command.

These sample steps will append the content of the master table to the second table.

To combine .MDB files with the same structure into one large dataset:

This process will not create a view and cannot be used to create a data table that will work with a view. To preserve views, MERGE must be used.

  1. From the Analysis Command Tree select the Read command.

  2. Change the Project and find the first or "master" .MDB.

  3. Click Open.

  4. Click on the View name.

  5. Click OK.

  6. From the Analysis Command Tree select the Write command.

  7. Choose Append (default choice).

  8. Click the Find File button [image] to locate the second .MDB file that the data will be appended to.

  9. Under the Tables drop-down box, choose a pre-existing data table that will be appended to.

  10. Click OK.

  11. Read the second .MDB file and List to see view the new data table and to see the changes.

Now you have added the content of the master table on to the second table.

Example


Combining Two or More Fields in Analysis

In some cases data is stored in different fields. For example in a death certificate you may find cause1, cause2 and cause3.

This sample description illustrates how to combine values in three fields into one single variable for further analysis:

Read County Data

Define Diagnosis

Assign Diagnosis = DX1

SELECT NOT DX1=(.)

Write FinalTable Diagnosis County replace

SELECT

SELECT NOT DX2=(.)

Assign Diagnosis = DX2

Write FinalTable Diagnosis County append

SELECT

SELECT NOT DX3=(.)

Assign Diagnosis = DX3

Write FinalTable Diagnosis append

Read FinalTable

Freq Diagnosis

Example


Exporting a Microsoft Excel File

To convert your .MDB table to a Microsoft Excel file:

  1. From the Analysis Command Tree, select the Read command.

  2. Choose the .MDB file you want to convert.

  3. Select Write and click on Replace for the Output Mode.

  4. At Output Formats choose Excel 4.0.

  5. Name the new .xls file in the new dialog box.

  6. Click Save.

  7. Click OK.


Handling Date Fields

Date fields in views are entered in European or American format as specified in MakeView. They are stored in the database in a neutral format.

Date fields in ODBC databases, Epi 6, DBase, FoxPro and Paradox are read into Analysis according to the format specified in those databases and stored in a neutral format.

Date fields in HTML, Excel and Text files are read into Analysis according to the date format found in Regional Settings in the Control Panel and stored in a neutral format. Please note that Excel files prepared with one date setting often do not import properly on machines with a different setting.

Date fields in views are displayed in European or American format as specified in MakeView by the following Analysis commands: LIST, LIST GRIDTABLE, TABLES, FREQ.

Date fields in views are displayed according to the date format found in Regional Settings in the Control Panel in the following Analysis commands: LIST UPDATE, DISPLAY, GRAPH

Date fields in tables without views are displayed according to the date format found in Regional Settings in the Control Panel.

Date fields written to tables in ODBC databases, DBase, FoxPro and Paradox are written in the format used by those databases.

Date fields written to Epi 6 files are written as American or European dates depending on whether the decimal point character is a period or a comma, respectively.

Date fields written to Excel or Text files are written according to the date format found in Regional Settings in the Control Panel.

Date constants in Check Code or Analysis Programs, and date-type permanent variables in the INI file, must be in American format.

Dates formatted with the format() function are formatted according to the date format found in Regional Settings in the Control Panel when no format is specified as a second argument.

Dates converted from text with TXTTODATE are converted to a neutral format according to the date format found in Regional Settings in the control panel. For multi-national applications, it may be safer to use NUMTODATE.


Importing a dBase (.dbf) File

To read a dBase file in Epi Info (to analyze that data):

  1. From the Analysis Command Tree select Read.

  2. Select Data Formats as dBase (choose whichever type of dBase is appropriate)

  3. Under the Data Source field, click the Find File button [image] to locate the desired dBase file to import. Choose the desired file and click OK to return to the Read dialog box.

  4. Click OK.

To permanently convert the dBase file to an Epi Info .MDB format:

  1. From the Analysis Command Tree select Write.

  2. Under Output Mode select Replace.

  3. Under Output Format leave Epi Info as the format.

  4. Type the name of an .MDB file in the Filename Field or click on the Find File button [image] to select a previously saved file.

  5. In the Data Table field, type a new name for the .MDB file.

  6. Click OK.

Then, you can open the .MDB in MakeView to create a View, or just start analyzing your data, by Reading the table you have just created.


Importing a Microsoft Excel File

To read an Excel file in Epi Info (to analyze data):

  1. From the Analysis Command Tree select Read(Import)

  2. Select Data Formats as Excel 8.0 (or an earlier version as appropriate)

  3. Select Data Source as location of your Excel file/Excel file name

  4. Select the Excel sheet that you want to open from View

  5. Click OK

To permanently convert the Excel file to an Epi Info for Windows .mdb format:

  1. From the Analysis Command Tree select Write(Export)

  2. Select Replace for the Output Mode

  3. Leave Epi Info 2002 for the Output Formats

  4. Click on the Find file button [image] and name your new .MDB file.

  5. Type a Data Table name for the new .MDB

  6. Click OK

Then, you can open the new .MDB in MakeView to create a View, or just start analyzing your data, by reading your new .MDB file (remember to click first on Change Project to find your newly saved .MDB file, and then click on All to view the new table).


Importing a Paradox File

To read a Paradox file in Epi Info (to analyze that data):

  1. From the Analysis Command Tree select Read.

  2. Select Data Formats as Paradox (choose whichever type of Paradox is appropriate)

  3. Under the Data Source field, click the Find File button [image] to locate the desired Paradox file to import. Choose the desired file and click OK to return to the Read dialog box.

  4. Click OK.

At this point, the link between the Paradox file and the Epi Info is only temporary. If you exit Analysis, the data from the Paradox file will not be imported permanently into an Epi Info .MDB file.

To permanently convert the Paradox file to an Epi Info .MDB format:

  1. From the Analysis Command Tree select Write.

  2. Under Output Mode select Replace.

  3. Under Output Format leave Epi Info as the format.

  4. Type a new name for your .MDB file in the Filename Field or click on the Find File button [image] to select a previously saved file.

  5. In the Data Table field, type a new name for the .MDB file.

  6. Click OK.

Then, you can open the new .MDB in MakeView to create a View, or just start analyzing your data, by Reading your new .MDB file (remember to click first on Change Project to find your newly saved .MDB file, and then click on All to view the new table).


Importing a Text File

To read a text file in Epi Info (to analyze that data):

  1. From the Analysis Command Tree select Read.

  2. Select Data Formats as text (choose whichever type of text is appropriate)

  3. Under the Data Source field, click the Find File button [image] to locate the desired text file to import. Choose the desired file and click OK to return to the Read dialog box.

  4. Click OK.

  5. The FILESPEC screen will be displayed. Choose the appropriate Field and Text types.

  6. Click OK.

Then you could permanently convert the text file to an Epi Info .MDB format:

  1. From the Analysis Command Tree select Write.

  2. Under Output Mode select Replace.

  3. Under Output Format leave Epi Info as the format.

  4. Type a new name for your .MDB file in the Filename Field or click on the Find File button [image] to select a previously saved file.

  5. In the Data Table field, type a new name for the .MDB file.

  6. Click OK.

Then, you can open the new .MDB in MakeView to create a View, or just start analyzing your data, by Reading your new .MDB file (remember to click first on Change Project to find your newly saved .MDB file, and then click on All to view the new table).


Importing an Epi 6 REC File

To read a .REC file in Epi Info (to analyze that data):

  1. From the Analysis Command Tree select Read.

  2. Select Data Formats as Epi 6 (choose whichever type of text is appropriate)

  3. Under the Data Source field, click the Find File button [image] to locate the desired .REC file to import. Choose the desired file and click OK to return to the Read dialog box.

  4. Click OK.

  5. The FILESPEC screen will be displayed. Choose the appropriate Field and Text types.

  6. Click OK.

To permanently convert the .REC file to an Epi Info .MDB format:

  1. From the Analysis Command Tree select Write.

  2. Under Output Mode select Replace.

  3. Under Output Format leave Epi Info as the format.

  4. Type a new name for your .MDB file in the Filename Field or click on the Find File button [image] to select a previously saved file.

  5. In the Data Table field, type a new name for the .MDB file.

  6. Click OK.

Then, you can open the new .MDB in MakeView to create a View, or just start analyzing your data, by Reading your new .MDB file (remember to click first on Change Project to find your newly saved .MDB file, and then click on All to view the new table).


Merging a Table into Another Table (Append and Update)

READ Master Table | + | MERGE/UPDATE/APPEND from 2nd Table
1. A |  | 1. S
2. B |  | 3. T
3. C |  | 5. U
4. D |  | 7. V
5. E |  | 9. W
-----------------> | READ Master Table |
 | 1. S |
 | 2. B |
 | 3. T |
 | 4. D |
 | 5. U |
 | 7. V |
 | 9. W |

In this new table, matching records from the second table are updated and unmatched records are added into the master table.

Merging a Table into Another Table (Append and Update)

To merge data by updating and adding records:

The Merge/Update/Append command is used to perform this function. The following steps illustrates the way to update and append records from the 2nd table into the "master" table.

  1. From the Analysis Command Tree select READ.

  2. Click the Change the Project button and find the first or "master" .MDB.

  3. Click Open.

  4. Under Views, choose the desired view.

  5. Click OK.

  6. From the Analysis Command Tree select MERGE.

  7. Click the Find File button [image] to locate the second .MDB file that the data will be merged from.

  8. Click Open.

  9. Click on the View name and confirm that Update and Append are checked.

  10. Click on Build Key [image].

  11. Choose the common field between both views under the Available Variable drop down list.

  12. Click OK for the selection to appear under the Current Tables section.

  13. Choose the same common field variables between both views under the Available Variable drop down list.

  14. Click OK for the selection to appear under the Related Table section.

  15. Click OK again, this take you back to the MERGE dialog box.

  16. Click OK from the Merge dialog box to create the Merge/Update/Append.

  17. Click OK to bypass the READ dialog box, that requests a name for a temporary link.

  18. To view the new data, READ the master table and LIST to see the changes.

The content from the second table has been added and updated in tot the master table.

Example


Merging Data into a Second Table to Update Matching Records

READ Master Table | + | MERGE/UPDATE/APPEND from 2nd Table
1. A |  | 1. S
2. B |  | 3. T
3. C |  | 5. U
4. D |  | 7. V
5. E |  | 9. W
-----------------> | READ Master Table |
 | 1. S |
 | 2. B |
 | 3. T |
 | 4. D |
 | 5. U |

In this new table, only matching records from the second table are updated or changed in the mater table, while preserving the unmatched records. Only the matched data is updated.

Merging Data into a Second Table to Update Matching Records

The Merge/Update command is used to perform this function. The following steps illustrates the way to update only matching records from the second table into the "master" table.

  1. From the Analysis Command Tree select READ.

  2. Click the Change the Project button and find the first or "master" .MDB.

  3. Click Open.

  4. Under Views, choose the desired view.

  5. Click OK.

  6. From the Analysis Command Tree select MERGE.

  7. Click the Find File button [image] to locate the second .MDB file that the data will be merged from.

  8. Click Open.

  9. Click on the View name and confirm that Update is checked. The Append should not be checked in this instance.

  10. Click on Build Key [image].

  11. Choose the common field between both views under the Available Variable drop down list.

  12. Click OK for the selection to appear under the Current Tables section.

  13. Choose the same common field variables between both views under the Available Variable drop down list.

  14. Click OK for the selection to appear under the Related Table section.

  15. Click OK again, this take you back to the MERGE dialog box.

  16. Click OK from the Merge dialog box to create the Merge/Update.

  17. Click OK to bypass the READ dialog box, that requests a name for a temporary link.

  18. To view the new data, READ the master table and LIST to see the changes.

The content from the second table has been added and updated in tot the master table.

Example


Reading a Database using ODBC

You can import and export in Epi Info. You must set up an ODBC between Epi and whichever application you want.

Ensure you have the appropriate driver for that application.

Some types of data sources, those accessed through the ODBC or OLE DB methods, require that a special file containing access information be constructed and stored before they are READ in Analysis. To construct a DSN (Data Source Name) link to an ODBC or OLE DB database such as Microsoft SQL Server, Oracle, Sybase, or Informix, choose SETTINGS from the Windows START menu. Within the Control Panel that appears, click on the icon for "ODBC Data Sources (32bit)". On the tab called FILE DSN click the ADD button, and then from Create New Data Source, choose the driver to be used. Now click NEXT and use the browse button to navigate to navigate to the directory where Epi Info is installed, probably ..\EPI2000. Enter as the Data Source Name, "Epi 2K Sample Database." Click SAVE. When you are prompted for More Information, click the SELECT button under Database and find the SAMPLE.MDB file in the Epi2000 directory. Now click OK in the ODBC Microsoft Access Setup window and you should return to the User DSN display. Allow Windows to place the file in the specially designated directory for DSNs. Click OK again and then close the Control Panel window.

Database Analysis Using ODBC

The challenging part of setting up an ODBC file connection is in creating the DSN (Data Source Name) as described above. Once this is done, use the READ command in Analysis and select ODBC as the Data Type. You should see the available DSNs or be able to navigate to the directory where you placed yours. When you use a DSN, there may be some security formalities, such as entering a user name and password, or these may have been included when the DSN was constructed, and hence will not appear again. Although there may be restrictions on the type of access provided to particular tables or fields, analysis of an ODBC data source should otherwise be similar to working with a native Epi Info/Access dataset.

Importing Epi Info 6 Files

Analysis imports Epi Info 6 files automatically into a temporary Microsoft Access table . It is also possible to import data from Epi6 into the MDB format by choosing IMPORT from the FILE menu in MakeView. After supplying name and location of the file, a new Epi Info View and Data table will be created automatically. The fields in the View may require some adjustment for best appearance in the Windows screen, and you may choose to enhance the View by adding Groups and other features. After analysis is completed you can export your MDB into Epi6 format using the write command.

Importing Epi Info 6 Check Code

Check code in Epi Info is not quite the same as that in Epi 6 check (.CHK). It is close enough, however, so that many features can be reused. A Check ( .CHK) file from Epi Info for DOS can be transferred to appropriate variable blocks of Epi Info check code by running IMPORT EPI 6 CHK FILE on the MakeView FILE menu. Each line begins with an asterisk so that the code will be ignored until you make the necessary changes in syntax, remove the asterisk, and test the code in Epi Info.

Importing a Related File System from Epi Info 6

The IMPORT function in MakeView imports one file at a time from the Epi Info 6 format. In Epi Info 6, related files and keys for the relations are designated within check code in the .CHK file.

To import a system of related files from Epi 6, first make a diagram on paper of the system to understand which file is the main file, which files are related and the keys for each. Consulting the check code and the Epi Info 6 users manual may help with this step. If there are IF statements to express conditional relationships (IF <fieldname> = something or other THEN RELATE <Filename>), then jot down the conditions.

Make a proper backup copy of all the files you will be converting, and set it aside. Now import each of the files into Epi Info using the MakeView FILE|IMPORT menu choice. On the main View, right-click in a suitable location to create a relate button, and follow the procedure given above in the section on Creating a Related View. Instead of choosing to CREATE A NEW RELATED FILE, choose RELATE TO EXISTING VIEW, and make appropriate choices to create the relationship to the existing View that was imported from Epi Info 6.

The relational keys will be the same in both Views, since this is enforced by Epi 6. To enter data in Epi2000 is necessary however to convert the relational system used in Epi Info 6 to the new format in Epi2000. When a relation button is created in MakeView, a new field called Fkey (foreign key) is added to the related table. To convert an Epi 6 relationship into an Epi2000 relation is necessary to fill the fkey field with the appropriate data. This can be done in Analysis. The MERGE command can move values from the unique key of the parent table to the fkey of the child table when the word “Relate” (Without quotes) is added to a valid syntax. Since this is not a common procedure (it will be use one time per system) there are no boxes in the merge dialog to click on.

Read the child table, then select MERGE from the command list. Supply the appropriate information in the MERGE dialog including the old relationship (the relationship used by Epi 6). When ready instead of using the OK button, click on “Save Only”. Analysis will write the appropriate syntax in the program editor. Identify the merge line and at the end of the statement add the word “RELATE” (without quotes).

Click on run this command only.

Once these steps have been completed, test the new relationship in Enter by choosing ENTER DATA from the FILE menu. Continue this process until all the relationships have been reestablished in the Epi Info Views.

This procedure has to be completed every time a new set of related tables in Epi 6 is converted to Epi Info. Therefore you must decide whether to use Epi 6 or Epi Info for data entry. It is not possible to use the same dataset in both systems, once it is converted to Epi Info. Do not attempt to MERGE an Epi Info 6 file with an Epi Info dataset, as data may be lost or misidentified.

Analysis (PGM) Programs?

Programs written in Analysis can be stored in the current MDB. This is done automatically in a separate table called “Programs”. Do not create another table or view called ”Programs” because Analysis maintains its own version. Analysis will store some information about the program such as comments, author, and date of creation.

In some cases it is necessary to share a program between users without sharing data tables (MDB), or to send a program elsewhere, or create one in a Word processor or from DOS batch file commands in the menu. Analysis can read .PGM files in text format containing program commands. To read a program stored in a .PGM file, click on the “Open” button located at the top of the Program editor. In the Open form click on the Text File button. A window to select the text file will be displayed. Choose a file and click Ok to load it into the Program editor. In general simple Epi 6 programs can be executed, but those that point to different files and folders will need some editing to use the Epi Info 2002 syntax.. Consult the COMMANDS and FUNCTIONS chapters for details on syntax.

HTML Output Files

Output files can be placed in any folder you want. The ROUTEOUT command will allow you to select both path and filename. If no output file is selected, Analysis will use the default value (see below). In every folder Analysis will create a new index table that contains links to the files created.

The default name and path for HTM documents can be defined using the STORING OUTPUT command. The first part of an output file name must begin with a letter and can contain any valid character. The second part of the name contains the output file sequence which is a number. The default values for automatic output are “OUT” as prefix and 1 as sequence number. If you change the output prefix to “page” and set the sequence to 100, the first output created for analysis will be called “Page100.htm.” It is best to keep filenames within the standard DOS 8+3 format, since some Local Area Networks and other programs still do not accept the long file names that are convenient for most purposes in Windows.

The archive database allows renaming and keeping important results permanently, since output names are recycled after the time or number of files designated in the OUTPUT STORAGE dialog.. The archive database will be stored in the same directory in which the INI file is located. Unlike the results index, the archive can contain information about files located in different folders.

Many Views for A Data Table

In some cases is necessary to have different views from one table. For example, you may not want to show confidential information to your secretary, or clinicians and epidemiologists in a clinic need access to different kinds of information in the same file.

Epi2000 can solve this problem using a single database by having more than one View connected with the data table(s). One View can contain all fields and others can contain only a subset.

A View cannot contain fields that are not in the dataset, as there would be no place to store data that might be entered. If such a View is created, the necessary fields will be added to the database automatically to prevent problems.

To create a new view for an existing table, use the COPY VIEW option in VIEW menu in MakeView. Choose CREATE A NEW VIEW USING THE SAME TABLE. Create a second view by choosing the MDB in which to place the View, give the View a name, and click Ok.


Reading a Microsoft Access Database

To read a Microsoft Access database:

  1. From the Analysis Command Tree select Read (Import).

  2. Click The Change Projects button [image] to find the Access .MDB file.

  3. Select the desired .MDB file.

  4. Click OK.

  5. Under the Show area, select the All radio button to show all data tables in the selected .MDB and choose the desired table.

  6. Click OK.

To permanently convert the .REC file to an Epi Info .MDB format:

  1. From the Analysis Command Tree select Write.

  2. Under Output Mode select Replace.

  3. Under Output Format leave Epi Info as the format.

  4. Type a new name for your .MDB file in the Filename Field or click on the Find File button [image] to select a previously saved file.

  5. In the Data Table field, type a new name for the .MDB file.

  6. Click OK.

Then, you can open the new .MDB in MakeView to create a View, or just start analyzing your data, by Reading your new .MDB file (remember to click first on Change Project to find your newly saved .MDB file, and then click on All to view the new table).


Reading and Writing to Another File

To read and write to another file:

  1. Click on READ from the Analysis Command Tree.

  2. Choose the correct format for your file.

  3. Select the Data Source and the type of data to be shown.

  4. Click OK.

  5. After reading the file, click on the WRITE command.

  6. Choose the Output Format from the drop down list.

  7. Choose a Filename for the file.

  8. Select the desired directory.

  9. Click Save.

  10. Click OK.


Replacing or Overwriting a Table with New Data

READ Master Table | + | WRITE/REPLACE from 2nd Table
1. A |  | 1. S
2. B |  | 3. T
3. C |  | 5. U
4. D |  | 7. V
5. E |  | 9. W
-----------------> | READ Master Table |
 | 1. A |
 | 2. B |
 | 3. C |
 | 4. D |
 | 5. E |

All of the records from the mater table have been replaced by the data in the second table.

Replacing or Overwriting a Table with New Data

If you are attempting to overwrite or replace data into a table, you would need to use the Write/Replace command. These steps will replace the content from the master table to the 2nd table.

  1. From the Analysis Command Tree select READ.

  2. Click the Change the Project button and find the first or "master" .MDB.

  3. Click Open.

  4. Under Views, choose the desired view.

  5. Click OK.

  6. From the Analysis Command Tree select WRITE.

  7. Under Output Mode choose Replace.

  8. Click the Find File button [image] to locate the second .MDB file that the data will be merged from.

  9. Click Open.

  10. Under the Data Table drop down list, choose the data table that will be replaced then click OK.

  11. To view the new data, READ the master table and LIST to see the changes.

Now you have replaced or copied the content of the master table to the 2nd table.

Example


.PGM Files

Analysis programs are generally similar in the DOS and Windows versions of Epi Info, but there are important differences that require changes. One difference is that Epi Info databases are no longer simple files, but consist of tables within MDB files, and changes in syntax, for example, allow specification of both the MDB and the table name in the READ command. Since each command has a dialog box that generates the command after information is supplied, it should relatively easy to get the syntax right.

Programs are normally stored in a table inside the MDB where the data reside. This makes a neat package of data and programs that can be copied to another system or sent by email for use elsewhere. Programs can also be saved to or loaded from text files with the extension .PGM, as in Epi Info for DOS. PGM files from Epi Info 6 can be opened in the Epi Info program editor and then edited to conform to the syntax of Epi Info commands in cases where the syntax differs.

Saving and Opening PGMs

The commands you enter generate one or more lines of program code in the Program Editor at the bottom of the screen in Analysis. Programs can be saved internally within the project or externally as a text file with .pgm file extension.

In the Program Editor, click on the Save [image] button.

This button will save the code written in the Program Editor in a special table in the current .MDB called Programs.

A saved program can be executed with the Run PGM command or opened in the Program Editor.

In the Save Program box, type a name for your program, then type your name in the Author box. If desired, you may type a description of the program in the comments box. Then click on OK.

In the Save Program dialog box, using the Text File [image] button, programs can be saved in a text file format similar to those for Epi Info 6 for DOS.

After saving the program, it can be reloaded into the Program Editor by selecting File ==> Open or clicking the Open [image] button.

To Open a saved PGM, from the Program Editor, click the Open button. This button will provide a list of programs that were previously saved.

To open a program that was saved externally, click on the Text File button to get a list of available .PGM files. Now the program you opened is ready to be executed. Click on the Run button to process the program. The program can be edited if desired. If you make any changes to the program, click on Save and save the program under the same name.

In some cases you may want to run only one command at a time. Place the cursor on a particular line, and then click on Run This Command button to execute the selected command.


Saving Outputs in Formats other than HTML

All reports will be saved in .htm files, however, you can open the .htm file in another product and save it as another file type.


Selecting a Subset of Records

To select particular records based on criteria that you specify:

  1. From the Analysis Command Tree click on the SELECT command.

  2. Enter the condition that you want to specify.

  3. Click OK.

  4. From the Analysis Command Tree click on the List command to show only those records that meet that condition.


Selecting Records Based on a Range of Dates

To select records based on a range of dates:

  1. From the Analysis Command Tree select the Read command to read your file.

  2. Click on the Select command and input the desired calculation.

  3. Select reportdate >mm/dd/yyyy (literal dates in PGMs are always in US date format)

  4. Select reportdate <mm/dd/yyyy

Reportdate has to be a date field; otherwise you will have to convert it into one.


Using IF Statements with Permanent/Global Variables

The following is correct:

DEFINE County PERMANENT

County="Fulton"

IF County="Fulton" THEN

READ "l:\fulton\hepatitis.mdb"

END

The following is incorrect:

IF AgeMo>12 THEN

SELECT NShots<2

ELSE

SELECT NShots<1

END

The following is correct:

DEFINE ReqShots

IF AgeMo>12 THEN

ReqShots=2

ELSE

ReqShots=1

END

SELECT NShots<ReqShots

Using IF Statements with Permanent/Global Variables

If the condition of an IF statement depends only on global or permanent variables, its value is computed immediately and only the true or false branch, as appropriate, is followed. If the condition of an IF statement depends on a field variable, neither branch is followed, but computations within the branches are saved for execution as appropriate on each record. In the second case, non-computational commands such as READ, SELECT, SORT, HEADER and ROUTEOUT will never be executed.

Example


Cleaning, Transforming and Analyzing Data to Produce Tables, Maps and Graphs

Cleaning, Transforming and Analyzing Data to Produce

Tables, Maps and Graphs

The Analysis program provides access to existing data either directly or through Views. It is able to read data from files and tables that have been created in Epi Info, Microsoft Access, FoxPro, dBase, and etc. The Analysis program can access any format for which an ODBC driver is available. Most other programs can produce one of the supported formats, or at least a fixed-field or delimited text file that can be read by Analysis. Analysis can even read HTML tables, thus allowing data to be extracted directly from web pages.

Importing

Microsoft Excel Files

Text Files

dBase Files

Paradox Files

Epi 6 REC Files

Exporting

Microsoft Excel Files

Reading

Datatbase Using ODBC

Microsoft Access Database

Reading and Writing to Another File

Merging

A Table into Another Table (Append and Update)

Data into a Second Table to Update Matching Records

Data Stored in Two Computers


Output Library Notes for Analysis

By default, output files are stored in the directory of the current project with a name composed of a prefix and a sequence number. The prefix and sequence number can be changed in the storage screen. The output of a single statistical procedure is called a result. Results accumulate in a given output file until the data source changes by READ, RELATE, SORT, SELECT or SET PROCESS, or until a CLOSEOUT command is executed.

Users can specify the location of the output by using the ROUTEOUT command. If no directory is given, the file is placed in the directory of the current project. Results accumulate until a CLOSEOUT command is executed.

Each result is logged to a results index file named IResults.htm, located in the project directory. Thus, if several projects share the same directory, they share the same results index. Output files generated with HYPERLINKS set on will contain a link to the results index.

Results can be selected for archiving using the storage screen. Results so selected are logged to an archive index file named IArchive.htm. The archive index may be located in any directory, and may include references to results taken from more than one results index. Archived results are marked as archived in the results index. A result may be archived in more than one archive index, but this is not recommended.

Results can be selected for deletion using the storage screen. Because an output file can contain more than one result, it is not actually deleted until all its results have been deleted from the index. Archived results cannot be deleted when viewing the results index, and therefore are protected from deletion within the Analysis storage system. When viewing an archive index, archived results can be deleted from within the Analysis storage system, subject to the following limitations: 1) If a result is archived to more than one archive index, it can only be deleted from the first archive to which it was assigned, and deletion from the first archive will be effective even if the result has been archived elsewhere. 2) If a result is stored in an output file located in a different directory than its results index, it cannot be deleted from its results index.

Neither output files nor index files are protected from deletion using the operating system.

Storage is an interactive command only; no code is generated and its functions cannot be programmed. The storage screen looks like this:

The output file prefix and sequence are set by the top two text boxes. The next sequence assigned will be one greater than that shown. Existing files of the same name are not overwritten; the sequence is incremented until an unused name is found.

The limits on age, number of results, and total file size are set by the bottom three text boxes. These are used in the Flag Files operation.

Selecting OK will close the window and save the current values of the five text boxes just discussed in the INI file. Selecting Close will close the window without saving the values.

The View, Delete, and Browse operations can be done on either a results index or an archive index. Since the names of these files are fixed, the user need only choose the folder in which they reside. The user chooses the file to be used by selecting the corresponding option button. The Archive operation can be done only on a results file; its button is disabled when the archive folder is selected.

Selecting Browse will open a common dialog file open window. The user must choose a file in the appropriate directory. Although new folders can be created, they cannot be selected because they will have no files in them; however, the user can then type in the folder name.

Selecting one of the other operations will open a new window, which looks the same for each command except that the operations available on it are different. The window for Archive looks like this:

Selecting Archive will cause the selected results to be archived. Selecting Archive All will cause all the results to be archived.

If the Delete operation was selected, the available operations are Delete and Delete All. Selecting Delete will cause the selected results to be deleted. Selecting Delete All will cause all the results to be deleted. Prior to deletion, a confirmation dialog will appear. Deletion will only affect the index file, unless all references to a particular output file are deleted. In that case , the confirmation dialog will indicate which files would be deleted.

If the View operation was selected, the available operations are Display and Flag Files. Selecting Display will cause the selected result to be displayed in the browser. Selecting Flag Files will cause a new window to be opened, which looks like this:

On this screen, for each file, the following information is displayed: its name; the number of results it contains; whether it can be deleted (true if results in it are not archived elsewhere); file date; and file size in KB. The file date, number of results, and file size columns are highlighted if they exceed the limits set on the main storage screen. The number of results and file size limits are cumulative; the accumulation is done first for non-deletable files, then for deletable files; within these classes, more recent files are done first. If a file exceeds all three limits, its name is highlighted initially. Selecting Flag On/Off inverts the highlighting on deletable files. Selecting Delete deletes all highlighted files; the actual deletion is preceded by a confirmation dialog.


Merge

The MERGE command merges records in one dataset with those in another, using one or more defined identifiers to establish the match between records. Records in the second dataset can be appended to the end of a dataset, used to update records in the main dataset, or used to establish an Epi Info relationship between the datasets.

Box Properties | Description
Current Project | Displays the current project
Data Formats | Allows the selection of a data format
Data Source | Allows the selection of a data source corresponding to the selected format
Show | Determines the type of data sources to be displayed for data formats which permit multiple formats
Views | This field contains a listing of all views available from selected Data Source.
Key | The key expression indicating the basis on which the data sources will be matched.
Update | If checked, this item will cause the generation of a MERGE command which will update the values of existing records where the keys match
Append | If checked, this item will cause the generation of a MERGE command which will append new records to the existing data source where the keys do not match. If neither APPEND nor UPDATE is selected, a RELATE-type merge will be generated.
Build Key | This function is not available in MERGE. Selecting this item will open another screen for generating the key expression by which the data sources will be matched.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Read (Import)

The READ command makes one or more views the active dataset. It also removes any previously active datasets and associated defined variables, and dataset-specific commands.

Box Properties | Description
Current Project | Displays the current project
Data Formats | Allows the selection of a data format
Data Source | Allows the selection of a data source corresponding to the selected format
Show | Determines the type of data sources to be displayed for data formats which permit multiple formats
Change Project | When selected, allows the current project to be changed.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Relate

The RELATE command links one or more tables to the current dataset during analysis, using a common identifier to find matching records. The identifier may span several fields, in which case values in each of the fields must match. The changes are not permanent, and the linked tables remain separate on the disk, having been linked only temporarily by a system of pointers in random access memory.

Box Properties | Description
Current Project | Displays the current project
Data Formats | Allows the selection of a data format
Data Source | Allows the selection of a data source corresponding to the selected format
Show | Determines the type of data sources to be displayed for data formats which permit multiple formats
Key | The key expression indicating the basis on which the data sources will be matched.
Use Unmatched (ALL) | If checked, this item will cause the generation of a RELATE command which will use all records from the existing data source, whether or not matched by records in the related data source
Build Key | This function is not available in RELATE. Selecting this item will open another screen for generating the key expression by which the data sources will be matched.
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Write (Export)

WRITE will send records to an output table or file in the format that you specify. You can specify what variables will be written, the order in which they will appear, and the type of file to be written.

Box Properties | Description
All (*) | Initially selected, this item generates a command to write all field and standard variables. It must be unchecked to permit the selection of All (*) Except
All (*) Except | Selecting this item generates a command to write all field and standard variables except those selected in the Variables box.
Variables | Selecting variables in this box causes them to be written, or excluded from being written when used with the All (*) Except item, by the generated command
Output Mode | Determines whether the data being written is added to or replaces the existing data
Output Formats | Allows the selection of a data format
File Name | Allows the selection of a data file to receive output corresponding to the selected format
Data Table | Allows the selection of a data table to receive output corresponding to the selected format
Browse | Permits browsing for the output file name
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Assign

The Assign command in Analysis stores the value of a variable or assigns the result of the mathematics to a variable.

Box Properties | Description
Assign Variable | Contains the variable to be assigned
= Expression | The = Expression field is any valid mathematical expression or logical expression generated by the user.
Available Variables | Inserts the chosen variable in the condition at the cursor location.
+ | Basic arithmetic operator used for addition; the result of an arithmetic operator is usually a numeric value. EX. 3 + 3
- | Basic arithmetic operator used for subtraction or negation; the result of an arithmetic operator is usually a numeric value. EX. 3 – 1EX. - 1
* | Basic arithmetic operator used for multiplication; the result of an arithmetic operator is usually a numeric value.
/ | Basic arithmetic operator used for division; the result of an arithmetic operator is usually a numeric value.
= | Comparison operator used for equal to; the result of comparison operators is usually a logical value, either True or False. EX. A1 = B1
< | Comparison operator used for comparing a value less than another value; the result of comparison operators us usually a logical value, either True or False. EX. A1< B1
> | Comparison operator used for comparing a value greater than another value; the result of comparison operators is usually a logical value, either True or False EX. A1 > B1.
& | Text concatenation operator connects, or concatenates, two values to produce one continuous text value. EX. “North” & “wind” produce “Northwind”
" | Quotes enclose dialog that is displayed in question or prompt dialog boxes.
( |
) |
AND | The AND operator performs logical conjunction on two Boolean expressions. That is, if both expressions evaluate to True, then the AND operator returns True. If either or both expressions evaluate to False, then AND returns False.
OR | The OR operator performs logical disjunction on two Boolean Expressions. If either expression evaluates to True, OR returns True. If either expression evaluates to True, OR returns True. If neither expression evaluates to True, OR returns False.
"Yes" | The “Yes” button is used to code the selected variable for a positive or True return.
"No" | The “No” button is used to code the selected variable for a negative or False return.
"Missing" |
Functions | The Functions button displays the online help for Functions.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Define

The Define command in Analysis allows the creation of new variables.

Box Properties | Description
Variable Name | Contains the variable to be defined
Scope | Determines the scope (lifetime) of the variable
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Display

The Display command in Analysis allows the display of table, view and database information.

Box Properties | Description
Information for | Specifies type of object for which information is sought
From | For variables, specifies available tables. For views and tables, specifies available databases.
Output to Table | Identifies a table to receive output from the command (optional)
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Recode

The Recode command in Analysis allows grouping of data for age and other variables, or transformation of coding from one system to another.

Box Properties | Description
From | Identifies the variable whose values are to be recoded
To | Identifies the variable which is to receive the recoded values
Value (blank = other) | Identifies the bottom of a range of values (if To Value is used), a single value, or all remaining values which are to be recoded
To Value (if any) | Identifies the top of a range of values which are to be recoded
Recoded Value | Identifies the value to which values in the specified range or equal to the specified value are recoded
Fill Ranges | When selected, permits the automatic definition of recode ranges of equal width
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Undefine

The Undefine command in Analysis removes a defined variable and any assigned values from the system.

Box Properties | Description
Variable Name | Indicates the name of the variable to be undefined
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Cancel Select

The Cancel Select command in Analysis cancels a previous SORT or SELECT command.

Box Properties | Description
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Cancel Sort

The Cancel Sort command in Analysis cancels a previous SORT or SELECT command.

Box Properties | Description
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Help | Displays command help
Cancel | Closes the form without generating or saving a command


If

The IF command in Analysis defines a condition which if true, causes the THEN code block to be executed, and if false, causes the ELSE code block (if present) to be executed.

Box Properties | Description
If Condition | Contains the condition to be tested
Available Variables | This field contains a listing of variables currently available to the user. Select an item from the list.
Then | When selected, opens a command generator for generating the THEN block
Else | When selected, opens a command generator for generating the ELSE block
+ | Basic arithmetic operator used for addition; the result of an arithmetic operator is usually a numeric value. EX. 3 + 3
- | Basic arithmetic operator used for subtraction or negation; the result of an arithmetic operator is usually a numeric value. EX. 3 – 1EX. - 1
* | Basic arithmetic operator used for multiplication; the result of an arithmetic operator is usually a numeric value.
/ | Basic arithmetic operator used for division; the result of an arithmetic operator is usually a numeric value.
= | Comparison operator used for equal to; the result of comparison operators is usually a logical value, either True or False. EX. A1 = B1
< | Comparison operator used for comparing a value less than another value; the result of comparison operators us usually a logical value, either True or False. EX. A1< B1
> | Comparison operator used for comparing a value greater than another value; the result of comparison operators is usually a logical value,
& | Text concatenation operator connects, or concatenates, two values to produce one continuous text value. EX. “North” & “wind” produce “Northwind”
" | Quotes enclose dialog that is displayed in question or prompt dialog boxes.
( |
) |
AND | The AND operator performs logical conjunction on two Boolean expressions. That is, if both expressions evaluate to True, then the AND operator returns True. If either or both expressions evaluate to False, then AND returns False.
OR | The OR operator performs logical disjunction on two Boolean Expressions. If either expression evaluates to True, OR returns True. If either expression evaluates to True, OR returns True. If neither expression evaluates to True, OR returns False.
"Yes" | The “Yes” button is used to code the selected variable for a positive or True return.
"No" | The “No” button is used to code the selected variable for a negative or False return.
"Missing" |
Functions | The Functions button displays the online help for Functions.
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Select

The Select command in Analysis allows you to specify an expression that must be true for a record to be processed.

Box Properties | Description
Select Criteria | Contains the expression to be tested
Available Variables | This field contains a listing of variables currently available to the user. Select an item from the list.
+ | Basic arithmetic operator used for addition; the result of an arithmetic operator is usually a numeric value. EX. 3 + 3
- | Basic arithmetic operator used for subtraction or negation; the result of an arithmetic operator is usually a numeric value. EX. 3 – 1EX. - 1
* | Basic arithmetic operator used for multiplication; the result of an arithmetic operator is usually a numeric value.
/ | Basic arithmetic operator used for division; the result of an arithmetic operator is usually a numeric value.
= | Comparison operator used for equal to; the result of comparison operators is usually a logical value, either True or False. EX. A1 = B1
< | Comparison operator used for comparing a value less than another value; the result of comparison operators us usually a logical value, either True or False. EX. A1< B1
> | Comparison operator used for comparing a value greater than another value; the result of comparison operators is usually a logical value.
& | Text concatenation operator connects, or concatenates, two values to produce one continuous text value. EX. “North” & “wind” produce “Northwind”
" | Quotes enclose dialog that is displayed in question or prompt dialog boxes.
( |
) |
AND | The AND operator performs logical conjunction on two Boolean expressions. That is, if both expressions evaluate to True, then the AND operator returns True. If either or both expressions evaluate to False, then AND returns False.
OR | The OR operator performs logical disjunction on two Boolean Expressions. If either expression evaluates to True, OR returns True. If either expression evaluates to True, OR teturns True. If neither expression evaluates to True, OR returns False.
"Yes" | The “Yes” button is used to code the selected variable for a positive or True return.
"No" | The “No” button is used to code the selected variable for a negative or False return.
"Missing" |
Functions | The Functions button displays the online help for Functions.
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Sort

The Sort command in Analysis allows the user to specify the sequence in which records will appear when using the LIST, GRAPH and WRITE commands.

Box Properties | Description
Available Variables | This field contains a listing of variables currently available to the user. Select an item from the list.
Sort Order | Selecting ascending or descending displays or changes the sort order of the variable selected in the sort variables list. Selecting Remove from Sort removes the variable selected in the sort variables list from the list.
Sort Variables | The variables on which the data will be sorted
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Frequencies

The Frequencies command (FREQ) in Analysis produces a table from the table(s) specified in the last READ statement, showing how many records have each value of the variable.

Box Properties | Description
Weight | Identifies the variable (if any) to be used for a weighted analysis
Output to Table | Identifies a table to receive output from the command (optional)
Frequency of | Identifies the variable(s) whose frequency is desired
All (*) Except | If checked, indicates that all variables except those selected should have frequencies computed
Stratify by | Identifies the variable (if any) to be used to stratify data
Settings | If selected, opens a version of the SET command window to select settings which apply only during the execution of this command.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Graph

The GRAPH command in Analysis offers many types of graphs for displaying the values of one or more fields in a data table. A toolbar within the graphing module can be activated to allow customization of the resulting graphs. Settings can be saved as templates and used again from Analysis.

Box Properties | Description
Graph Type | Permits the selection of the desired graph type
Page Title | Permits the specification of a title for the page. This title is in addition to any titles contained in the graphs which appear on the page.
3D | If selected, chooses the 3-dimensional display of this graph type
Template | Specifies the graph template file to be created or used when generating the graph.
Main Variables | For bar or similar graphs, the variables to be displayed along the X axis. For scatter or similar graphs, the variables to be plotted as X, Y and Z
Show Value Of | Permits selection of an aggregate where there are multiple records to be displayed as a group
Weight Variable | Permits selection of a variable to be used as a weight
Bar for Each Value of | Permits selection of a variable to generate multiple series from a single data source, each of which is displayed in a different color or style as appropriate
One Graph for Each Value of | Permits selection of a variable to generate multiple series from a single data source, each of which is displayed on a separate set of axes
Hold Graph for Subsequent Overlay | If selected, GRAPH will return without generating a graph. Its data series will be saved and the series of the next GRAPH command will be added to them.
Show Preview Window | If selected, GRAPH will pause to permit customization by the user
Multiple Graph Settings | If selected, the user is permitted to select the number of sets of axes on a page vertically and horizontally
Browse | Allows browsing for the template file
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


List

The List command in Analysis performs a line listing of the current dataset.

Box Properties | Description
Variables | Variables selected here are added to the variable list box
All (*) Except | If selected, the command generated will list all variables except those in the variable list box
Display Mode | Determines whether the output will appear in the output file or only on screen. If the latter, it may be displayed read-only (Grid) or for editing (Allow Updates).
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Map

Numerous settings are available in the MAP module. These can be saved into a MAP template. When a MAP template is referred to by name, the settings are taken from this record. If explicit settings are given they override the settings in the MAP Template

Box Properties | Description
1 record per geographic entity | If selected, no aggregation is necessary
Aggregate Function | Permits selection of an aggregate where there are multiple records to be displayed for the same geographic area
Geographic Variable | The variable in the data source which indicates the geographic area in which the data is to be mapped
Data Variable | The variable in the data source which indicates the data to be displayed on the map
Weight | Permits selection of a variable to be used as a weight
Template File | Specifies the map template file to be created or used when generating the map.
Output to Table | Specifies the name of table to be created with the data to be mapped. Must be specified when a template is specified. Text of a map title
Title | Filename of the Shapefile containing the map to be used
Shapefile | Variable of the Shapefile which matches the geographic variable in the data source
Geographic Variable | The variable in the data source which indicates the geographic area in which the data is to be mapped
Denominator | Variable of the Shapefile to be used as the denominator when computing rates
Browse | Allows browsing for the filename of the template or Shapefile
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Match

The Match command in Analysis performs a matched analysis of the specified exposure and outcome variables, which must be Yes/No variables.

Box Properties | Description
Exposure Variable | Identifies the variable indicating the presence of a risk factor
Weight | Identifies the variable (if any) to be used for a weighted analysis
Output to Table | Specifies the name of table to be created with the data to be mapped.
Outcome Variable | Identifies the variable indicating the presence of an outcome
Matched Variable | Identifies the variable indicating the group membership of each record
Matched Analysis | If selected, a matched analysis is performed; if not, a stratified analysis is performed
Settings | If selected, opens a version of the SET command window to select settings which apply only during the execution of this command.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Means

The Means command in Analysis is used when the variable of interest is numeric and measured on a continuous scale.

Box Properties | Description
Means of | Identifies the variable whose mean is to be determined
Weight | Identifies the variable (if any) to be used for a weighted analysis
Output to Table | Identifies a table to receive output from the command (optional)
Cross-tabulate by Value of | Identifies the variable (if any) to be used to cross-classify the data
Stratify by | Identifies the variable (if any) to be used to stratify data
Columns per Page | Indicates the number of columns of cross-classification variables to include on a single page of output
No Line Wrap | If selected, variable values are put on a single line regardless of length
Settings | If selected, opens a version of the SET command window to select settings which apply only during the execution of this command.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Summarize

The Summarize command is used to solve some recurring problems for systems designers. One such problem is computing percents; it is difficult to get a denominator. Another problem is determining the earliest or latest date in a list of relevant dates, or the highest or lowest of a series of measurements. Many of these problems can be solved with the OUTTABLE from a TABLES or FREQ command, or with self-joins, but this provides a straightforward way of achieving these results.

Box Properties | Description
Aggregate |
Variable |
Group By |
Intro Variable |
Apply |
Weight | Identifies the variable (if any) to be used for a weighted analysis
Output to Table | Specifies the name of table to be created with the data to be mapped.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Tables

The Tables command in Analysis does a cross-tabulation of the specified variables and sends the table to the screen, printer or other current output.

Box Properties | Description
Exposure Variable | Identifies the variable indicating the presence of a risk factor
Weight | Identifies the variable (if any) to be used for a weighted analysis
Output to Table | Specifies the name of table to be created with the data to be mapped.
Outcome Variable | Identifies the variable indicating the presence of an outcome
Stratify By | Identifies the variable (if any) to be used to stratify data
Matched Analysis | If selected, a matched analysis is performed; if not, a stratified analysis is performed
Columns per Page | Indicates the number of columns of cross-classification variables to include on a single page of output
No Line Wrap | If selected, variable values are put on a single line regardless of length
Settings | If selected, opens a version of the SET command window to select settings which apply only during the execution of this command.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Complex Sample Frequencies

Box Properties | Description
Weight | Identifies the variable (if any) to be used for a weighted analysis
PSU | Identifies the variable which indicates the primary sampling unit which the record represents
Output to Table | Identifies a table to receive output from the command (optional)
Frequency of | Identifies the variable(s) whose frequency is desired
All (*) Except | If checked, indicates that all variables except those selected should have frequencies computed
Stratify by | Identifies the variable (if any) to be used to stratify data
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Complex Sample Frequencies, Complex Sample Tables, and Complex Sample Means

The Complex Sample Frequencies (FREQ), Complex Sample Tables (TABLES), and Complex Sample Means (MEANS) commands in the Analysis program perform statistical calculations that assume the data come from simple random (or unbiased systematic) samples. In many survey applications, more complicated sampling strategies are used. These may involve sampling features like stratification, cluster sampling, and the use of unequal sampling fractions. Surveys that include some form of complex sampling include the coverage surveys of the WHO Expanded Program on Immunization (EPI) (Lemeshow and Robinson, 1985) and CDC’s Behavioral Risk Factor Surveillance System (Marks et al., 1985).

The CSAMPLE functions compute proportions or means with standard errors and confidence limits for studies in which the data did not come from a simple random sample. If tables with two dimensions are requested, the odds ratio, risk ratio, and risk difference are also calculated.

Data from complex sample designs should be analyzed with methods that account for the sampling design. In the past, easy-to-use programs were not available for analysis of such data. CSAMPLE provides these facilities, and, with an understanding of sampling design and analysis, can form the basis of a complete survey system.


Complex Sample Means

Box Properties | Description
Means of | Identifies the variable whose mean is to be computed
Weight | Identifies the variable (if any) to be used for a weighted analysis
PSU | Identifies the variable which indicates the primary sampling unit which the record represents
Output to Table | Identifies a table to receive output from the command (optional)
Cross-tabulate by Value of | Identifies the variable (if any) to be used to cross-tabulate the main variable
Stratify by | Identifies the variable (if any) to be used to stratify data
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Complex Sample Tables

Box Properties | Description
Exposure Variable | Identifies the variable to appear on the horizontal axis of the table
Weight | Identifies the variable (if any) to be used for a weighted analysis
PSU | Identifies the variable which indicates the primary sampling unit which the record represents
Output to Table | Identifies a table to receive output from the command (optional)
Outcome Variable | Identifies the variable to appear on the vertical axis of the table
Stratify by | Identifies the variable (if any) to be used to stratify data
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Cox Proportional Hazards

The Cox Proportional Hazards and Extended Cox Proportional Hazards command in Analysis performs survival analysis. This form of survival analysis relates covariates to failure through hazard ratios. A covariate with a hazard ratio less than one improves survival. At any given time, some of the subjects may be "censored", that is, not have information available on their status. COXPH is especially constructed to deal with this situation.

Box Properties | Description
Censored Variable | The variable which indicates whether the case indicates a failure or a censored case
Time Variable | The variable which indicates at which time the failure or censorship occurred
Group Variable | A discrete variable used to divide the cases into groups for comparison. In the Cox model, there is no essential difference between the group variable and other predictor terms, and for this reason its use is optional. It is similar to the group variable in Kaplan-Meier, and when used will be graphed by default.
Weight | Identifies the variable (if any) to be used for a weighted analysis
Confidence Limits | The probability level at which confidence limits should be computed (default=.05)
Output to Table | Identifies a table to receive output from the command (optional)
Value for Uncensored | The value of the censored variable that indicates a failure
Time Unit | The time unit in which the time variable is expressed (optional)
Other Variables | Variables selected here will appear in the predictor variables list below.
Make Dummy | This button will be enabled when a predictor variable is selected. If selected, a numeric variable is treated as discrete rather than continuous; the variable will be enclosed in parentheses to indicate that dummy variables will be created. If a predictor variable enclosed in parentheses is selected, the label will be "Make Continuous" and selecting it will result in the variable being treated as continuous.
Stratify By | Identifies the variable (if any) to be used to stratify the data
Make Extended Term | This button will be enabled when a continuous predictor variable is selected. It is used to generate a time dependency function for use with the Extended Cox model.
Graph Options | When selected, opens the graph selection window to allow selection of variables for graphing and graph types.
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Kaplan-Meier Survival

The Kaplan-Meier Survival command in Analysis produces graphs and statistics for one or several groups of subjects being followed in a clinical study. At any given time, some of the subjects may be "censored", that is, not have the information available on their status. KMSurvial is especially constructed to deal with this situation.

Box Properties | Description
Censored Variable | The variable which indicates whether the case indicates a failure or a censored case
Time Variable | The variable which indicates at which time the failure or censorship occurred
Group Variable | A discrete variable used to divide the cases into groups for comparison.
Weight | Identifies the variable (if any) to be used for a weighted analysis
Value for Uncensored | The value of the censored variable that indicates a failure
Time Unit | The time unit in which the time variable is expressed (optional)
Graph Type | Identifies the type of graph to be produced
Output to Table | Output to Table Identifies a table to receive output from the command (optional)
Browse | This is a standard dialog box button. The browse button is used to search the local directory for a file.
Save Only | Allows the user to save the specified file without opening it
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Linear Regression

The Linear Regression command in Analysis performs multivariate linear regression with support for automatic dummy variables and multiple interactions.

Box Properties | Description
Outcome Variable | Indicates the dependent variable for the regression
Other Variables | Variables selected here will appear in the predictor variables list below.
Interaction Terms | Shows interaction terms defined with the "Make Interaction" button. Double-clicking a selected term will result in its deletion.
Make Dummy | This button will be enabled when one or more predictor variables are selected. If one predictor is selected, a numeric variable is treated as discrete rather than continuous; the variable will be enclosed in parentheses to indicate that dummy variables will be created. If a predictor variable enclosed in parentheses is selected, the label will be "Make Continuous" and selecting it will result in the variable being treated as continuous. If more than one predictor variables are selected, the label will be "Make Interaction" and selecting it will result in all possible combinations of the selected variables being added to the regression as interaction terms.
Weight | Identifies the variable (if any) to be used for a weighted analysis
Confidence Limits | The probability level at which confidence limits should be computed (default=.05)
Output to Table | Identifies a table to receive output from the command (optional)
No Intercept | If this item is selected, the regression will performed without a constant term, forcing the regression line through the origin.
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Logistic Regression

The Logistic Regression command in Analysis performs conditional or unconditional multivariate logistic regression with automatic dummy variables and support for multiple interactions.

Box Properties | Description
Outcome Variable | Indicates the dependent variable for the regression
Other Variables | Variables selected here will appear in the predictor variables list below.
Interaction Terms | Shows interaction terms defined with the "Make Interaction" button. Double-clicking a selected term will result in its deletion.
Match Variable | Identifies the variable indicating the group membership of each record
Make Dummy | This button will be enabled when one or more predictor variables are selected. If one predictor is selected, a numeric variable is treated as discrete rather than continuous; the variable will be enclosed in parentheses to indicate that dummy variables will be created. If a predictor variable enclosed in parentheses is selected, the label will be "Make Continuous" and selecting it will result in the variable being treated as continuous. If more than one predictor variables are selected, the label will be "Make Interaction" and selecting it will result in all possible combinations of the selected variables being added to the regression as interaction terms.
Weight | Identifies the variable (if any) to be used for a weighted analysis
Confidence Limits | The probability level at which confidence limits should be computed (default=.05)
Output to Table | Identifies a table to receive output from the command (optional)
No Intercept | If this item is selected, the regression will performed without a constant term, forcing the regression line through the origin.
Save Only | Allows the user to save the specified file without opening it.
OK | This is a standard dialog box button. It accepts the current settings and data and then closes the form or window.
Clear | This is a standard dialog box button. It clears all dialog box parameter entries so you can reenter new parameters.
Help | This is a standard dialog box button. It will take you to the Help file associated with the Epi Info program.
Cancel | This is a standard dialog box button that returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Closeout

The Closeout command in Analysis closes the current output file.

Box Properties | Description
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Header

The Header command in Analysis sets up specific headings as part of the output in Analysis.

Box Properties | Description
Title Option | If Set Text or Font is selected, the form permits title lines to be set or changed. If Reset Title is selected, the selected title level will be reset to default titles. If Remove Last Line is selected, the last line of a title level will be removed.
Title Line | Indicates which level of titles or body text will be affected by the command
Append Text | If selected, a new title line will be added, otherwise the current title will be replaced
Title | Text of the heading title
Bold | If selected, the heading will be displayed in bold font
Italic | If selected, the heading will be displayed in italic font
Underline | If selected, the heading will be displayed in underlined font
Font Size | Selects the relative (+/-) or absolute size of the text font
Font Color | Selects the color of the text font
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Printout

The Printout command in Analysis sends the current output file, or some other file specified by the user, to the default printer. This differs from the print button on the output window in that a command is generated that will cause printing whenever it is run.

Box Properties | Description
Filename | If left blank, the current output file will be printed. If a filename is selected, the indicated file will be printed
Browse | Allows browsing for the filename
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Routeout

The Routeout command in Analysis directs the output to the named file until the process is terminated by Closeout. Output from commands such as FREQ, and LIST is appended to the same output file as it is produced.

Box Properties | Description
Filename | Output filename
Replace any existing file | If selected, deletes any existing file of the same name before writing
Browse | Allows browsing for the filename
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Storing Output

The Storing Output command in Analysis by default, output files are stored in the directory of the current project with a name composed of a prefix and a sequence number.

Box Properties | Description
Output File Prefix | Used as the first part of the filename for output files
Output File Sequence | Used as the second part of the filename for output files. Automatically incremented for each file.
Results Folder | When selected via the option button, indicates that the Results file in the indicated directory is to be processed
Archive Folder | When selected via the option button, indicates that the Archive file in the indicated directory is to be processed
View | When selected, view the Results or Archive file
Archive | When selected, archive output files from the Results file
Delete | When selected, delete files from the Results or Archive files
Browse | When selected, browse for directories to use for Results or Archive files
Age in Days | Mark output files older than the indicated number of days
Number of Results | Mark output files in excess of the number indicated
File Size (KB) | Mark output files in excess of the size indicated
Help | Displays command help
Close | Closes the Results Storage window without changes
OK | Closes the Results Storage window and accepts any changes


Type

The Type command in Analysis inserts text, either a string or the contents of a file, into the output. Typical uses may include comments or boilerplates.

Box Properties | Description
Text or Filename | Text or filename to be inserted into the output file
Bold | If selected, the text will be displayed in bold font
Italic | If selected, the text will be displayed in italic font
Underline | If selected, the text will be displayed in underlined font
Font Size | Selects the relative (+/-) or absolute size of the text font
Font Color | Selects the color of the text font
Browse | Allows browsing for the output file
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Report

The Report Command dialog box allows report templates to be created or edited, and existing reports to be previewed. If it is desired to use the current Analysis output file as a data source for Epi Report, the command generation screen must be used rather than running Epi Report as a separate task.

Box Properties | Description
Report Command | Selecting Report Command causes a REPORT command to be generated.
Dataset Name | Selecting Dataset Name causes a REPORTDATA command to be generated.
Design | When selected, the Epi Report design screen is displayed.
Preview | Allows for the report to be previewed before printing.
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Define Command

The Define User Command in Analysis allows for the creation of a block of code that can be invoked by name, like a subroutine.

Box Properties | Description
Command Name | Names the command
Command List | Contains the typed or generated commands to be executed
Get Command | When selected, opens a command generator for generating the command block
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Execute File

The Executes a Windows command in Analysis or DOS program-either one explicitly named in the command or one designated within the Windows registry as appropriate for a document with the file extension that is named. If the program being executed requires parameters, they should be supplied as well.

Box Properties | Description
Filename | Output filename
Browse | Allows browsing for the filename
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Run Saved Program

The Run Saved Program (RUNPGM) command in Analysis transfers control to the second program, returning to the first automatically, beginning with the line following the RUN statement. A program being run from another program is somewhat like an INCLUDE or subroutine in other systems.

Box Properties | Description
Filename | Indicates the database or text file containing program
Program | If program is in a database, indicates the name of the program
Browse | Allows browsing for the filename
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


User Command (CMD)

After a User-Defined Command has been defined, a command consisting of its name can be used to run it.

Box Properties | Description
Command Name | Indicates the name of the user-defined command
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Beep

The Beep command in Analysis is used to generate a sound when a function is performed.

Box Properties | Description
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Dialog

The Dialog command in Analysis provides interaction with the user from within a program. Dialogs can display information, ask for and receive input, and offer lists for making choices.

Box Properties

Description

Dialog Type

Selecting Simple will produce a dialog box with an OK button.

Selecting Get Variable will produce a dialog box for accepting a variable. Additional items will appear to determine variable type and name

Selecting List of Values will produce a dialog box for accepting one value of a specified variable. Additional items will appear to determine the table and field.

Title

Indicates the message to appear in the window frame of the dialog box.

Prompt

Indicates the message to appear in the body of the dialog box.

Save Only

When selected, the command is generated and saved in the program editor but not executed

OK

When selected, the command is generated, saved in the program editor and executed

Clear

Clears the form

Help

Displays command help

Cancel

Closes the form without generating or saving a command


Help

The Help command in Analysis displays a customized document in HTM format using a default browser.

Box Properties | Description
Filename | Indicates the help file
Anchor | Indicates the topic within the help file
Browse | Allows browsing for the filename
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Clear | Clears the form
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Quit Program

The Quit program command in Analysis closes the current data files and terminates the current program, closing Analysis.

Box Properties | Description
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed
Help | Displays command help
Cancel | Closes the form without generating or saving a command


Set

Displays the current values of Analysis option settings and generates commands to change them.

Box Properties | Description
Yes as | Label to be used for true value of yes-no variables
No as | Label to be used for false value of yes-no variables
Missing as | Label to be used for missing value of all variables
Show Complete Prompt | Displays prompts rather than variable names in output
Show Graphics | Displays frequency and 2x2 table output graphically
Show Hyperlinks | Includes hyperlinks in output fil
Show Selection Criteria | Includes descriptions of data sources in output file
Show Percents | Includes percentage in frequency and tables output
Show Tables in Output | Includes tabular data in frequency and tables output
Statistics | Sets the level of detail desired in statistical procedures
Include Missing | Includes missing data in statistical procedures
Process Records | Determines whether undeleted, deleted, or all records will be input to statistical procedures
Save All | Generates a SET command to reset all settings to the current values
Reset | Restores all settings to their values upon entering this window
Save Only | When selected, the command is generated and saved in the program editor but not executed
OK | When selected, the command is generated, saved in the program editor and executed


Analyis Output Screen Buttons Overview

The Analysis Output screen buttons allows the user to navigate through the program scripts that have been run and displayed in the output screen.

Click on button bar to display corresponding button help!


Bookmark Button

The Bookmark button displays the Bookmark dialog box, from there the user can enter the identification for the bookmark.


History Button

The History button displays the Session History screen. This is a display of all the programs that have been run in the current session.


Last Button

The Last button directs the user to the last output in the session.


Maximize and Restore Buttons

The Maximize button allows the user to increase the viewing area of the output screen.

The Restore button (only visible when the screen is maximized) allows the user to restore the viewing area of the output screen to its original size.


Next Button

The Next button takes the user to the next output in the session.


Open Button

The Open button opens saved outputs in the current session.


Previous Button

The Previous button takes the user to the previously generated output.


Print Button

The Print button sends the current output to the designated printer.


Analysis Program Editor Buttons Overview

Click on button bar to display corresponding button help!

Use the Analysis Program Editor button bar to create a New program, to Open a previously created program, to Save the current program, to Print the current program in the editor, to Run the program or run a specific command with Run This Command.


New

Click on button bar to display corresponding button help!

The New button allows the users to create a new program in Analyis.


Open

Click on button bar to display corresponding button help!

The Open button displays the Read Program dialog box, from there the user can select the desired project to open.


Print

Click on button bar to display corresponding button help!

The Print button displays the Print Range Selection dialog box, from there the user can choose the print range of the current program.


Run

Click on button bar to display corresponding button help!

The Run button is used to run the current program script displayed.


Run This Command

Click on button bar to display corresponding button help!

The Run This Command button is used to run the selected line in the program script. This line can be highlighted or the cursor be at the front of the line.


Save

Click on button bar to display corresponding button help!

The Save button displays the Save Program dialog box, from there the user can save the current program.


Edit

Menu Item | Description
Copy | Copy will copy the selected area for placement in the current project or another project file.
Cut | Cut will remove the selected area and place it in the clipboard.
Paste | Paste will paste the copied or cut areas into the current project or another project file.
Delete Line | Delete Line will delete a line in the current program.
Find | Find will allow the user to search for a particular string in the program in the displayed Search String Parameter dialog box.
Find Next | Find Next allows the user to continue the search for a particular string through out the entire output.
Replace | Replace allows the user to replace text or a string of text in the Program Editor.
Program Beginning | Program Beginning this menu feature places the cursor in the Program Editor at the top of the program script.
Program End | Program End this menu feature places the cursor in the Program Editor at the end of the program script.


File

Menu Item | Description
New | New will give the users a blank program editor to type a new script in.
Open | Open displays the Read Project dialog box; from there the user can select the desired project to open.
Close | Close will close the current Program Editor view.
Save | Save will save the current program being worked on.
Save As | Save As saves the current program under another desired name.
Print | Print will print the current view to the selected print device.
Print Setup |
Exit | Exit will exit the user from the Analysis Program Editor. The user will receive a Yes or No prompt on whether to exit Analysis. Yes will exit the use entirely out off Analysis. No will exit the user from the Program Edit and then display a new blank Program Editor.


Fonts

The Fonts menu item allows the user to change the font displayed in the Program Editor. (Fonts will vary by system)

The Style menu item allows the user to apply certain styles to the text in the Program Editor.

The styles available are as follows:

  • Normal

  • Bold

  • Italic

  • Underline

  • Double Underline

  • Superscript

  • Subscript

  • Strike Through

The Color menu item allows the user to choose the Text Color for the text that is displayed in the Program Editor and also, to choose the Background Color of the Program Editor.

Text Color/Background Color Box

Fonts

Fonts...

Style

Color


Help

Menu Item | Description
Contents | The Contents are used to get an overview of the topics discussed in the Epi Info program and they help to quickly navigate to a topic.
About | About Project Editor describes the Project Editor and how it can be used within Epi Info.


Program Editor Overview

The Analysis Program Editor displays the dialog of the generated commands created from the Analysis Command Tree.

The Analysis Program Editor menu bar provides single-click access to the resources you need most often while using the Program Editor. You can quickly start a new view, open an existing view, copy views, add pages, create checkcodes, format view backgrounds, import files and create datatables in MakeView.

The menu options available in the Analysis Program Editor are:

  • File

  • Edit

  • View

  • Fonts

  • Run

  • Help

Click on button bar to display corresponding button help!


Run

Menu Item | Description
Run | The Run menu item is used to run the entire script in the Program Editor.
Run This Command Only | The Run This Command Only menu item runs the selected command in the Program Editor.


View

Menu Item | Description
Status bar | The Status Bar when selected displays the Program Editor Status Bar.
Tool bar | The Tool Bar when selected displays the Program Editor Tool Bar.

View Status Bar

View Tool Bar


Analysis Command Tree

Commands are generated, edited and executed in Analysis. The following are the commands that are used in Analysis:

Data

Read (Import)

Relate

Write (Export)

Merge

Variable

Define

Undefine

Assign

Recode

Display

Select/If

Select

Cancel Select

IF

Sort

Cancel Sort

Statistics

List

Frequencies

Tables

Match

Means

Summarize

Graph

Map

Advanced statistics

Linear Regression

Logistic Regression

Kaplan-Meier Survival

Cox Proportional Hazards

Complex Sample Frequencies

Complex Sample Tables

Complex Sample Means

Output

Header

Type

Routeout

Closeout

Printout

Storing Output

User-Defined Commands

Define Command

User Command

Runs Saved Program

Execute File

User Interaction

Dialog

Beep

Help

Quit Program

Options

Set


Analysis Output Screen

The Analysis output screen displays all the output information that is generated from the commands run in the Analysis Program Editor.

The Analysis Output screen buttons allows the user to navigate through the program scripts that have been run and displayed in the output screen.

Click on button bar to display corresponding button help!


Analysis Screen

There are three screens that the user interfaces with in the Analysis program:

  • Analysis Command Tree

  • Analysis Output Screen

  • Program Editor

View Screen


Creating an Epi6 DSN

To create an Epi6 DSN:

  1. Type in the Data Source Name (DSN) and Description.

  2. In ODBC Driver frame select Epi 6. The Database field will be displayed.

  3. Select an existing database from the drop-down menu or click the Find File button [image] to select a new database file.

  4. Click OK.


Creating an SQL DSN

To Create an SQL DSN:

  1. Type in the Data Source Name (DSN) and Description.

  2. In ODBC Driver frame select SQL Server. The Server and Database fields will be displayed.

  3. Select the Server. Once a server is selected, a list of databases available for that server will populate the Database field.

  4. Select the desired database to be read.

  5. Click OK.

The User ID and Password for the server you want to connect to needs to be typed in before you can connect to the desired Server and Database.


EXAMPLE

Setup dialog box for dBase:

Creating Other DSN

EpiDSN can create any ODBC database type DSN, as long as an ODBC driver has been installed on the computer being used.

To create other DSN:

  1. Type in the Data Source Name (DSN) and Description.

  2. In ODBC Driver frame select Other.

  3. A list of ODBC drivers available will populate the Other database drop-down field.

  4. Select the desired database type.

  5. Click OK.

  6. Follow the setup steps for the selected driver.


EpiDSN Overview

EpiDSN is an Activex .dll for development use of Epi Info. Currently it is only used by Analysis. The client program can either show its user interface to the user or call the functions of the .dll directly.

To access EpiDSN in Analysis:

  1. Select Read(Import) from the Analysis Command Tree.

  2. In the Read dialog box, under the Data Formats field, select ODBC.

  3. Then, click the Data Source button find file button [image].

  4. The Select DSN dialog box will be displayed. This screen displays all of the DSNs that have been previously created.

  5. Select the desired DSN from the Data Source name and Description field drop-down menu, then click OK.

To Create a New DSN:

  1. In the Select DSN dialog box, click the Create New DSN button [image].

  2. The Create New DSN dialog box will be displayed.

The following links describe how to create an SQL, Epi6 or other DSN and to reconfigure a DSN:

Creating an SQL DSN

Creating an Epi6 DSN

Creating Other DSN

Configuring An Existing DSN


Reconfiguring An Existing DSN

To reconfigure an existing DSN:

  1. In the Select DSN dialog box, select an existing Data Source Name (DSN) from the drop-down menu.

  2. Click the Reconfigure button [image]. The Reconfigure DSN dialog box will be displayed.

  3. Select the desired server. Once a server is selected, a list of databases available for that server will populate the Database field.

  4. Select the desired server and/or database, depending on selection, to be reconfigured.

  5. Click OK.


3D Scientific Graph Object

3D Scientific Graph Customizations

General Tab

Main/Sub Title

Viewing Style

Font Size

Show Annotations

Numeric Precision

Grid Lines

Rotation Animation

Show Bounding Box

More Tab

Rotation Detail

Rotation Increment

Shading Style

2D Contour

Plotting Method

Other Tabs

Fonts Tab

Colors Tab

Style Tab

Customization Dialog Buttons

OK/Apply Button

Export Button

Maximize Button

User Interface

Mouse and Keyboard

Zooming


3DSGraph: 2D Contour

2D Contour

This feature controls whether a 2D contour is added to the image.

Possible values are:

  • OFF No 2D contour is added.

  • Lines on Top 2D contour in monochrome at top.

  • Colors on Top 2D contour in color at top.

  • Lines on Bottom 2D contour in monochrome at bottom.

  • Colors on Bottom 2D contour in color at bottom.


3DSGraph: Colors

Colors

To adjust colors:

  1. Select the desired object attribute in the Graph Attributes section. The corresponding color for that attribute will be highlighted in the color selection grid.

  2. To change the color, either use the mouse to click an alternate color, or use the keyboard arrow keys to move to adjacent colors. As the highlighted color selection changes position, the sample image will be updated with the newly selected color.

  3. Finally, Pressing the OK button will update the color parameters of the object.

Desk Background

This is the color that surrounds the bounding rectangle.

Desk Foreground

This is the color that is used when placing text onto the Desk Background. This includes the main title, and sub title.

Shadow Color

The bounding rectangle is bounded at the bottom/right edges with shadows. To remove the shadows, choose the same color as the Desk Background.

Graph Background

This is the color used as the background color within the bounding box.

Graph Foreground

This is the color used for the x, y, and z axis grid lines and bounding boxes.

X and Z Axis Plane

This is the color used in filling the graph’s lower rectangle.

Y Axis Plane

This is the color used in filling the graph’s two y axis back rectangles.


3DSGraph: Font Size

Font Size

The 3D Scientific Graph Object supports three font sizes, Large, Medium, and Small. Depending on the size of the graph, the user can select the font size that is most readable. When printing the graph, a font size of Medium or Small is suggested.


3DSGraph: Fonts

Fonts

The Graph Object only supports True Type fonts (because their scaleable).

The user can select fonts for the:

Main Title

Sub Title

Labels Including, X axis label, Y axis label,

Z axis label, and X, Y and Z axis grid numbers.

For the Main Title, Sub Title, and Labels, the user can also select font attributes of Boldness, Italics, and Underline.


3DSGraph: Grid Lines

Grid Lines

The 3D Scientific Graph Object can contain grid lines on all axes; y, x, and z. The user can limit the number of grid lines to just the y axes, x plus z axes, or disable all grid lines.


3DSGraph: Numeric Precision

Numeric Precision

This feature is mainly used with 3D Scatter Graphs and controls the precision of data labels added to 3D scatter charts. However, it also controls the precision of data exported from the Export Dialog.


3DSGraph: Plotting Method

Plotting Method

The 3D Scientific Graph Object has the following plotting methods:

3D Surface Charts

Wire-Frame Simple wire frame image.

Surface Surface in a solid color

Surface with Shading Surface with shading.

Surface with Contouring Surface with color contour lines

Pixels Surface made up of pixels.

3D Bar Charts and Polygon Objects

Wire-Frame Simple wire frame image.

Surface Surface in a solid color

Surface with Shading Surface with shading.

3D Scatter Charts

Point Point/Symbols

Line Lines only

Points plus Line Points/Symbols plus Lines

Depending on the implementation, some plotting methods may not be available.


3DSGraph: Rotation Detail

Rotation Detail

This feature controls the complexity of the image while the image is rotated.

Possible values are:

Wireframe The simplest and fastest rotation method.

Plotting Method Draws object as normal but with no axes or labels.

Full Does not limit image detail during rotation.


3DSGraph: Rotation Increment

Rotation Increment

This feature controls the increment of rotation while the object is automatically rotating (Rotation Animation). Changing the increment changes the rotation speed and/or direction.

Possible values are:

15 Increment 15 degrees with each new update.

10 Increment 10 degrees with each new update.

5 Increment 5 degrees with each new update.

2 Increment 2 degrees with each new update.

Increment 1 degree with each new update.

-1 Decrement 1 degree with each new update.

-2 Decrement 2 degrees with each new update.

-5 Decrement 5 degrees with each new update.

-10 Decrement 10 degrees with each new update.

-15 Decrement 15 degrees with each new update.


3DSGraph: RotationAnimation

Rotation Animation

This feature will turn-on or turn-off automatic image rotation. The user can also control the direction and rotation increment if needed.

If enabled, Double Clicking the 3D image is any easy way toggling this feature.


3DSGraph: Shading Style

Shading Style

This feature controls how 3D surfaces are shaded if the PlottingMethod is set to Surface Shaded.

Possible values are:

White Brightest color is white.

Color Brightest color is the color of polygon.


3DSGraph: Show Annotations

Show Annotations

If the object contains annotations. This check box allows you to remove/add the annotations from the image.


3DSGraph: Show Bounding Box

Show Bounding Box

This feature controls when a bounding box is added to a 3D image.

Possible values are:

While Rotating Only show a bounding box while object is rotated.

Always show a bounding box.

Never show a bounding box.


3DSGraph: Style

Style

The Style tab allows the control of color for 3D objects such as wire-frame color, or solid surface color. For 3D Scatter Charts, this tab allows the control of subset color, subset line style, and subset point style.

  1. Select the desired subset in the Subsets list box. The corresponding color and possible line and point styles are then highlighted in their respective controls.

  2. To change the color, either use the mouse to click an alternate color, or use the keyboard arrow keys to move to adjacent colors. For 3D Scatter Charts, adjust the subset line and point styles as desired.

  3. Finally, Pressing the OK button will update the object’s image.


3DSGraph: Titles

Titles

These two edit-boxes allow adding, editing, and deletion of main and sub titles. If no title is present, entering one will add one. If you remove all the characters from a title it will be deleted from the image.


3DSGraph: Viewing Style

Viewing Style

The 3D Scientific Graph Object supports three viewing styles.

Color

Monochrome

Monochrome with Symbols (*Note, Scatter Charts Only)

This customization allows you to quickly adjust the image to best suite printing on a monochrome printer.

For 3D Scatter Charts:

If fewer than four subsets are included in a graph, then the Monochrome setting will probably be the best choice. If four or more subsets are included in the graph, then Monochrome with Symbols will help distinguish the different subsets.


Average or Mean

The mean of a set of data is equal to the sum of the data divided by the number of items in the data set.


Best Fit Line

The best-fit-line represents how to fit the "best" straight line to a given set of data points. It is calculated from a least-squares-approximations of the data set.


Chebyshev's Rule & The Empirical Rule

You can use these rules to determine if a data value should be considered too far from the rest of the normal data values.

Chebyshev's Rule - any shape frequency distribution

  1. It is possible that very few of the data points will fall within 1 standard deviation of the mean.

  2. At least three-fourths of the data points will fall within 2 standard deviations of the mean.

  3. At least eight-ninths of the data points will fall within 3 standard deviations of the mean.

The Empirical Rule - mound shaped frequency distributions

  1. Approximately 68% of the data points will fall within 1 standard deviation of the mean.

  2. Approximately 95% of the data points will fall within 2 standard deviations of the mean.

  3. Essentially all of the data points will fall within 3 standard deviations of the mean.


Customization Overview

Customizations

All objects have their own individual customization dialogs. The customization dialogs allow the user to adjust visual, and functional attributes of the object as well as gain access to the Export and Maximization dialogs.

Custom and Original Parameters

All objects store two sets of customization parameters. The first set is known as the Original set. The Original set is programmed into the control and the user can not adjust these parameters. The second set is called the Custom set. The Custom set can be adjusted through the customizations dialog. While the object has the input focus, PRESSING T will toggle between the Original and Custom parameter sets.

Showing the Customizations Dialog

DOUBLE-CLICKING the MOUSE over the object, or

PRESSING SPACEBAR while the object has the input focus will show the customization dialog.

How to

When the customization dialog is shown, the parameters it shows reflect the current state of the object. By making adjustments to the customization dialog and then pressing the OK Button, the user updates the Custom set of parameters controlling the object. By pressing the Original Button the object will show the object with the Original set of parameters.

The Apply button is similar to the OK button but does not close the customization dialog.

The Color Tab and Font Tab allow adjustment of color and font attributes. To change colors or fonts, press the tab to show the dialog, make your adjustments and then press the OK/Apply Button to update the image.

The customization dialog can not be used to toggle between the Original and Custom set of parameters. This is because pressing the OK Button creates a new Custom set of parameters. To toggle between Original and Custom sets of parameters, press the T key while the object has the input focus.


Exporting Overview

Exporting

All objects have the same exporting capabilities. Objects can export the following formats to the listed destinations.

FORMAT DESTINATIONS

Metafile Clipboard, File, and Printer.

Bitmap Clipboard, and File.

OLE Object Clipboard. ( 16 bit only )

Text / Data Clipboard, and File.

JPEG File.

How to

By Pressing 'X' when the object has the focus, or selecting the Export button from the Customizations Dialog.

  1. Select the type of export desired.

  2. Select the destination of the export.

  3. If available, select the size of the image to export.

  4. Press the Export/Print button.

File Destination

If information is to be exported to a file, then you must enter a target filename. Click the mouse over the Browse button to show the File Save As Dialog. Enter a filename and select OK to close the File Save As dialog.

Printer Destination

If your exporting a metafile to the printer, pressing the Print button will show the Print Dialog. Use the Print Dialog to make changes to the selected printer, orientation, paper bin, and other printer options.

Exporting an OLE Object, 16 bit

When exporting an OLE Object, you paste the object into an OLE container. The object is supported by the OLE-MiniServer PEGRPSVR.EXE.

Exporting Text/Data

When exporting Text/Data, pressing the Export button launches the Text/Data Export Dialog.


File Save As Dialog

Filename

This text box is used to (1) enter the filename, or (2) enter a wild card expression used to fill the file list box below. If a wild card expression is entered, then press the OK button to fill the file list box.

Files Listbox

This list box shows the files that are located in the current working directory and satisfy either the wild card expression that is in the Filename list box or the wild card expression that is selected in the File Type Combobox.

File Type Combobox

This drop-down list allows you to quickly change the types of files you want listed in the Files Listbox.

Directories Listbox

This list box allows you to change the current directory. By choosing a selection and pressing 'Enter or by Double-Clicking a selection, the working directory will change to that selected.

Drives Combobox

This drop-down list shows the available drives on your system. It will also show any network drives that are available.


Graph Object

Graph Customizations

General Tab

Main/Sub Title

Viewing Style

Font Size

Show Annotations

Numeric Precision

Graph Grid Lines

Grid in front of data

Graph and/or Table

Subsets To Table

Plot Style Tab

Plot Styles

3D

Other Tabs

Subsets Tab

Points Tab

Fonts Tab

Colors Tab

Style Tab

Axis Tab

Graph Customization Dialog Buttons

OK/Apply Button

Export Button

Maximize Button

User Interface

Mouse and Keyboard

Zooming


Graph: Axis

Axis

The Axis tab allows the control of the axis type and range.

Possible Axis Types:

Linear

Log

Possible Axis Range Control:

Auto Graph automatically determines min and max based on data.

Min Manually set Min and automatically set Max.

Max Manually set Max and automatically set Min.

Min/Max Manually set both the Min and Max.

Depending upon the Auto, Min, Max, and Min/Max item selected, the appropriate text boxes will be enabled allowing you to set the axis range.


Graph: Data Shadows

3D

This feature allows the user to adjust 3D effects added to plotting methods.

Possible values are:

None No 3D effect is added.

Shadows Draw shadows behind bars, points, and the area of an area graph.

3D Bars and area charts are drawn in a 3D fashion.


Graph: Font Size

Font Size

The Graph Object supports three font sizes, Large, Medium, and Small. Depending on the size of the graph, the user can select the font size that is most readable. When printing the graph, a font size of Medium or Small is suggested.

There are occasions, (mainly when attempting to generate an image for a highly rectangular graph) the graph may automatically reduce the size of the font in order to produce a higher quality image.


Graph: Fonts

Fonts

The Graph Object only supports True Type fonts (because their scaleable). The user can select fonts for the:

Main Title

Sub Title

Labels

Including , X axis label, Y axis label,

X axis grid numbers or point labels,

Y axis grid numbers.

Tabled Data

For the Main Title, Sub Title, and Labels, the user can also select font attributes of Boldness, Italics, and Underline.


Graph: Graph and/or Table

Graph and/or Table

The Graph Object can display a graph, table, or both graph and table.

The font size of the text inside the table depends on the number of points, and the numeric precision of the output. The more points and higher precision that is attempted to be tabled, the smaller the font must be in order for the information to fit.


Graph: Grid in front of data

Grid in front of data

By checking this option, the graph's grid is placed in front of the data graphics. Otherwise, the data graphics are drawn on top of the graph's grid.


Graph: Grid Lines

Grid Lines

The Graph Object can contain vertical grid lines, horizontal grid lines, both vertical and horizontal grid lines, or no grid lines.


Graph: Numeric Precision

Numeric Precision

When placing information into a table, or exporting Text/Data from the Export Dialog, the number of decimal positions can be between 0 to 7. Depending on the implementation, the maximum precision may vary.


Graph: Plotting Method

Plotting Method

The Graph Object has 21 possible plotting methods for the primary plotting style:

Area

Area Stacked

Area Stacked Percent

Bar

Bar Stacked

Bar Stacked Percent

Box-Plot (Candle Stick)

High-Low-Bar

High-Low-Line

High-Low-Close

Histogram

Horizontal Bar

Line

Open-High-Low-Close

Point

Points plus Best Fit Curve

Points plus Best Fit CurveII (Best Fit Curve for graphed points)

Points plus Best-Fit-Line

Points plus Best-Fit-LineII (Best-Fit-Line for graphed points)

Points plus Spline

Spline

Depending on the implementation, some plotting methods may not be available. Also, many but not all of these plotting styles can be set for a secondary comparison plotting style.

If the graph has multiple y axes, then you can control plotting and comparison plotting styles for each individual axis by selecting the axis in the axis-button group.

The Histogram plotting method displays a histogram of the data that is currently selected. The Histogram is most meaningful with larger data sets (at least 15 data points). If the Histogram is for only one subset, then bars represent the number of occurrences. If the Histogram is for multiple subsets, then lines will represent the different frequency distributions.

Mark Data Points

Checking this checkbox will cause little circular marks to be placed at data point locations..


Graph: Points to Graph

Points to Graph

If the Graph Object contains a data set with many points, then it may be hard to table or even graph all of the information at one time. The Graph Object gives you two methods for viewing a smaller amount of points, thus making the information more readable.

Sequential

When choosing the Sequential method, you use the scroll bar to adjust the amount of points to graph. If the amount chosen is less than the total number of points, then a horizontal scroll bar will be visible, allowing you to scroll left and right through the rest of the data.

Selected (Random)

When choosing the Selected method, you use the list box to select the points to place in the graph.

Point Label Orientation

This radio group allows for possible settings:

Auto Point Labels are either horizontal or vertical.

Vertical Point Labels are vertical.

Horizontal Point Labels are horizontal

Slanted Point Label are slanted.

If horizontal point labels are too small to read, then Vertical or Slanted orientation will force them larger.


Graph: Show Annotations

Show Annotations

If the object contains annotations. This check box allows you to remove/add the annotations from the image.


Graph: Style

Style

The Style tab allows the control of subset color, subset line style, and subset point style.

  1. Select the desired subset in the Subsets list box. The corresponding color and possible line and point styles are then highlighted in their respective controls.

  2. To change the color, either use the mouse to click an alternate color, or use the keyboard arrow keys to move to adjacent colors. Adjust the subset line and point styles as desired.

  3. Finally, Pressing the OK button will update the object’s image.


Graph: Subsets to Graph

Subsets to Graph

This group allows the user to view subset information is a variety of ways.

  1. If nothing is selected in the list box and Scrolling Subsets equals zero, then the object will display all subset information (14 subsets graph maximum, and no limit on the amount of subsets tabled.)

  2. If there are selections in the list box and Scrolling Subsets equals zero, then the object will display only those subsets selected.

  3. If nothing is selected in the list box and Scrolling Subsets is non-zero, then the object will scroll through subset information by the amount defined by Scrolling Subsets.

  4. If there are selections in the list box and Scrolling Subsets is non-zero, then the object will maintain those selected subsets as permanent subsets and revolve through the remaining subsets in increments of Scrolling Subsets.

The following table summarizes the Subsets to Graph variations.

Selected Scrolling

Subsets Subsets Result

no no | Display all subsets.
yes no | Display only those selected subsets.
no yes | Scroll through all subsets.
yes yes | Permanent selected subsets and scroll through remaining subsets.


Graph: Titles

Main/Sub Title

These two edit-boxes allow adding, editing, and deletion of main and sub titles. If no title is present, entering one will add one. If you remove all the characters from a title it will be deleted from the image.


Graph: Viewing Style

Viewing Style

The Graph Object supports three viewing styles.

Color

Monochrome

Monochrome with Symbols

This customization allows you to quickly adjust the image to best suite printing on a monochrome printer. If fewer than four subsets are to be included in a graph, then the Monochrome setting will probably be the best choice. If four or more subsets are to be included in the graph, then Monochrome with Symbols will help distinguish the different subsets.


Graph: What to Table

What to Table

If the Graph Object is currently displaying a table, then the table can include (1) the subset(s) that are currently selected to be graphed, or (2) all subset information that is included into the object.

If All Subsets are being tabled then those subsets that are currently graphed will be highlighted.

If the table includes only those subsets that are graphed, and permanent subsets are displayed along with scrolling subsets, then permanent subsets will be highlighted.


Histogram

Histogram or Frequency Distribution

The histogram is a graphical representation of the frequency (number of occurrences) of data values within small data ranges (classes) which are created by dividing the total range of data into 5 to 20 equal subintervals.

The most common histogram form is the Bell-Curve. Which is also known as a Normal Distribution.

The histogram is a valuable tool in that it allows you to see how the data values are distributed throughout the range of the data set. Outlier's (the number of data values that are either much smaller or larger than the rest of the data values) are quickly recognized.


Introduction to Graph

Epi Graph Overview

Graphical Objects

Graph

Scientific Graph and Polar/Smith Charts

3D Scientific Graph

Pie Chart

Common Functionality of All Objects

Mouse and Keyboard Control

Customization

Exporting

Maximization

Statistics Refreshers

Average or Mean

Standard Deviation

Best Fit Line

Histograms

Chebyshev's Rule and The Empirical Rule


Maximization

Maximization is the process of resizing the object to use the entire video display.

All ProEssentials objects support maximization (if available.) When maximizing the object, the object is actually copied to a maximized dialog. The dialog (maximized object) can be closed by pressing 'Escape' or by using the mouse to Click the title bar. Making customizations to the maximized object will not effect the original (non-maximized) object.


Mouse and Keyboard Control

Depending on how ProEssentials were implemented, some of the following user interface features may or may-not be accessible.

Mouse:

The mouse can be used as follows:

  1. Single-Clicking the mouse over objects will give that object the input focus.

  2. Controlling object scroll bars, selecting Hot-Spots, and moving the Data-Cursor.

  3. Right-Button Single-Clicking invokes a pop-up menu.

  4. Double-Clicking a data point shows the value of the data point.

  5. Double-Clicking inside a graphs grid shows the coordinates clicked.

  6. Double-Clicking desk portion of object invokes the customization dialog.

  7. Double-Clicking 3D Scientific Charts starts/stops Rotation Animation.

Keyboard:

The objects can also receive the following keyboard commands.

SPACEBAR | Shows the customization dialog.
Q | Shows a pop-up menu.
S | Switches between monochrome and color styles.
T | Toggles between custom and original parameters.
X | Shows the export dialog.
M | Maximizes the object to fit the screen.
P | Shows the print dialog.
D | Shows the Text/Data export dialog.
Z | Undo Zoom (Graph and Scientific Graph only)
ARROWS | Scrolls vertical/horizontal scroll bars and moves cursor.
PG-UP/PG-DOWN | Pages vertical scroll bar.
SHIFT+PG-UP | Pages horizontal scroll bar to the right.
SHIFT+PG-DOWN | Pages horizontal scroll bar to the left.
HOME | Moves vertical scroll bar to its first position.
END | Moves vertical scroll bar to its last position.
SHIFT+HOME | Moves horizontal scroll bar to its left-most position.
SHIFT+END | Moves horizontal scroll bar to its right-most position.


Object Embedding Overview

Object Embedding

When exporting a Metafile or Bitmap, you are exporting an image. Once the image is exported it is difficult to make adjustments to the image (like transforming a color image in to a monochrome image.) Exporting an OLE object will solve this problem.

The ProEssentials objects allow the user to adjust both visual and functional attributes of the object. Also, the ProEssentials objects also take commands to revolve through various subsets of data and scroll horizontally through large amounts of point data. All this functionality will be lost if you export a Metafile or Bitmap. However, if you export an OLE object, all this functionality will still be accessible.

You export the ProEssentials object as an OLE object to the clipboard. You then paste the OLE object into a document or other OLE container. Once the OLE object has been embedded into the container, it looks as if you have imported a simple Metafile. However, Double-Clicking the OLE object will invoke PEGRPSVR (ProEssentials OLE-Mini Server.) PEGRPSVR will display the object and allow all the same functionality as if the object were in its original application.


Pie Chart Object

Pie Chart

Pie Chart Customizations

General Tab

Main/Sub Title

Viewing Style

Font Size

Numeric Precision

Grouping Small Percentages

3D

Other Tabs

Slices Tab

Fonts Tab

Colors Tab

Style Tab

Pie Chart Functionality

OK/Apply Button

Export Button

Maximize Button

User Interface

Mouse and Keyboard


Pie Chart: Colors

Colors

The Pie Chart Object supports two sets of color parameters. A Monochrome color set and a Color color set. Depending on the Viewing Style, the Colors Dialog will customize the appropriate set.

To adjust colors:

  1. Select the desired object attribute in the Graph Attributes section. The corresponding color for that attribute will be highlighted in the color selection grid.

  2. To change the color, either use the mouse to click an alternate color, or use the keyboard arrow keys to move to adjacent colors. As the highlighted color selection changes position, the sample image will be updated with the newly selected color.

  3. Finally, Pressing the OK button will update the color parameters of the object.

Desk Background

This is the color that surrounds the bounding rectangle of the pie chart.

Desk Foreground

This is the color that is used when placing text onto the Desk Background. This includes the main title, and sub title.

Shadow Color

The rectangle that bounds the pie chart is bounded at the bottom/right edges with shadows. To remove the shadows, choose the same color as the Desk Background.

Graph Background

This is the color used as the fill color for the bounding rectangle of the pie chart.

Graph Foreground

This is the color used for the bounding rectangle of the pie chart, and the slice labels.


Pie Chart: Data Shadows

3D

This feature allows the user to adjust 3D effects added to slices.

Possible values are:

None No 3D effect is added.

Shadows Draw shadows behind slices

3D Slices are drawn in a 3D fashion.


Pie Chart: Font Size

Font Size

The Pie Chart Object supports three font sizes, Large, Medium, and Small. Depending on the size of the graph, the user can select the font size that is most readable. When printing the graph, a font size of Medium or Small is suggested.

There are occasions, (mainly when attempting to generate an image for a highly rectangular graph) the graph may automatically reduce the size of the font in order to produce a higher quality image.


Pie Chart: Fonts

Fonts

The Pie Chart Object only supports True Type fonts (because their scaleable).

The user can select fonts for the:

Main Title

Sub Title

Labels Slice label

Tabled Data Percentage / Value

For the Main Title, Sub Title, and Labels, the user can also select font attributes of Boldness, Italics, and Underline.


Pie Chart: Grouping Small Percentages

Grouping Small Percentages

The Pie Chart can group smaller percentages into one slice (Other). The scroll bar controls what percentages get placed into the Other slice. Percentages smaller than that selected will be forced into the Other slice. This feature will prevent sliver pieces that cause the text percentage labels to crowd into each other.


Pie Chart: Numeric Precision

Numeric Precision

When placing data labels next to the slices, or exporting Text/Data from the Export Dialog, the number of decimal positions can be between 0 to 3. Depending on the implementation, the maximum precision may vary.


Pie Chart: Slice Parameters

Slice Parameters

Default Behavior

The pie chart is created with all slice information included, and default slices exploded.

Custom Slices to Explode

In the list box, select the custom slice or slices which you wish to explode.

Custom Slices to Include

In the list box, select those slices which you want to use to make up the pie chart. You must select at least two slices.


Pie Chart: Style

Style

The Style tab allows the control of slice color.

  1. Select the desired point in the Points list box. The corresponding color is then highlighted in the respective control.

  2. To change the color, either use the mouse to click an alternate color, or use the keyboard arrow keys to move to adjacent colors.

  3. Finally, Pressing the OK button will update the object’s image.


Pie Chart: Titles

Main/Sub Title

These two edit-boxes allow adding, editing, and deletion of main and sub titles. If no title is present, entering one will add one. If you remove all the characters from a title it will be deleted from the image.


Pie Chart: Viewing Style

Viewing Style

The Pie Chart Object supports two viewing styles:

Color

Monochrome

This customization allows you to quickly adjust the image to best suite printing on a monochrome printer.


Print Dialog

The Print Dialog will show the default printer and its current orientation and paper bin. The user can select another printer via the drop-down combo-box which will display all available system and network printers. If printer orientation, paper bin, or other printer option needs to be adjusted, press the Setup button to invoke the printer's setup dialog.

Scrolling Subsets Print Options

If the object that is being exported has scrolling subsets (a vertical scroll bar), then the Print Dialog offers two optional ways to export the object.

  1. Printing the current image only.

  2. Printing the current image and then paging through additional subset information, printing new pages with each new set of subset information. This provides a quick, clear way to print all of the object's information. To print all of the object's information, make sure that the object's vertical scroll bar is in it's top most position (prior to exporting), and that the scroll bar controlling the number of additional pages to revolve through is in it's right most position (maximum position).


ProEssentials Graphic Server

ProEssentials OLE-Mini Server

PEGRPSVR is an OLE Mini-Server. It is the program that serves the ProEssentials objects exported from an application into a document or other OLE container. It allows the exported OLE object to be functional as if it still existed in the original application from which it was exported.

PEGRPSVR's only menu options are available through an extended system menu.

Update Client

Selecting this menu option causes the container (document or other OLE container) to be updated with the current image that is displayed in PEGRPSVR. Pressing U will also perform the update.

If the Resize Capabilities Option is set, then updating the container will change the size of the embedded object to the size of the PEGRPSVR window.

Customization Dialog

Selecting this menu option will invoke the customization dialog for the object. Double-Clicking the object, or Pressing SPACEBAR will also launch the customization dialog.

Export Dialog

Selecting this menu option will invoke the export dialog for the object. Pressing X will also launch the export dialog.

Resize Capabilities

This menu item is an option that can be toggled ON or OFF.

ON - Updating the image will cause the image in the container to be resized to that of the PEGRPSVR window.

OFF - Updating the container image will not effect the original size of the image in the container.

Maximize on Use

This menu item is an option that can be toggled ON or OFF.

ON - PEGRPSVR is invoked to a maximized size.

OFF - PEGRPSVR is invoked to the size of the object being contained.


Scientific Graph Object

Scientific Graph and Polar/Smith Charts

Customizations

General Tab

Main/Sub Title

Viewing Style

Font Size

Show Annotations

Numeric Precision

Graph Grid Lines

Grid in front of data

Plot Style Tab

Plotting Method

3D

Other Tabs

Subsets Tab

Fonts Tab

Colors Tab

Style Tab

Axis Tab (Scientific Graph Only)

Customization Dialog Buttons

OK/Apply Button

Export Button

Maximize Button

User Interface

Mouse and Keyboard

Zooming


Scientific Graph: Axis

Axis

The Axis tab allows the control of the axis type and range.

Possible Axis Types:

Linear

Log

Possible Axis Range Control:

Auto Graph automatically determines min and max based on data.

Min Manually set Min and automatically set Max.

Max Manually set Max and automatically set Min.

Min/Max Manually set both the Min and Max.

Depending upon the Auto, Min, Max, and Min/Max item selected, the appropriate text boxes will be enabled allowing you to set the axis range.


Scientific Graph: Colors

Colors

The Scientific Graph Object supports two sets of color parameters. A Monochrome color set and a Color color set. Depending on the Viewing Style, the Colors Dialog will customize the appropriate set.

To adjust colors:

  1. Select the desired object attribute in the Graph Attributes section. The corresponding color for that attribute will be highlighted in the color selection grid.

  2. To change the color, either use the mouse to click an alternate color, or use the keyboard arrow keys to move to adjacent colors. As the highlighted color selection changes position, the sample image will be updated with the newly selected color.

  3. Finally, Pressing the OK button will update the color parameters of the object.

Desk Background

This is the color that surrounds the bounding rectangle of the graph's grid.

Desk Foreground

This is the color that is used when placing text onto the Desk Background. This includes the main title, sub title, subset labels, grid numbers, and axis labels.

Shadow Color

The rectangle that make up the graph's grid is bounded at the bottom/right edges with shadows. To remove the shadows, choose the same color as the Desk Background.

Graph Background

This is the color used as the background color of the graph's grid.

Graph Foreground

This is the color used for the bounding rectangle of the grid, and the grid-lines.


Scientific Graph: Data Shadows

3D

This feature allows the user to adjust 3D effects added to plotting methods. Possible values are:

None No 3D effect is added.

Shadows Draw shadows behind bars, points, and the area of an area graph.

3D Bars and area charts are drawn in a 3D fashion.


Scientific Graph: Font Size

Font Size

The Scientific Graph Object supports three font sizes, Large, Medium, and Small. Depending on the size of the graph, the user can select the font size that is most readable. When printing the graph, a font size of Medium or Small is suggested.

There are occasions, (mainly when attempting to generate an image for a highly rectangular graph) the graph may automatically reduce the size of the font in order to produce a higher quality image.


Scientific Graph: Fonts

Fonts

The Scientific Graph Object only supports True Type fonts (because their scaleable).

The user can select fonts for the:

Main Title

Sub Title

Labels Including , X axis label, Y axis label,

X axis grid numbers or point labels,

Y axis grid numbers.

Tabled Data Data labels included into the graph.

For the Main Title, Sub Title, and Labels, the user can also select font attributes of Boldness, Italics, and Underline.


Scientific Graph: Grid in front of data

Grid in front of data

By checking this option, the graph's grid is placed in front of the data graphics. Otherwise, the data graphics are drawn on top of the graph's grid.


Scientific Graph: Grid Lines

Grid Lines

The Scientific Graph Object can contain vertical grid lines, horizontal grid lines, both vertical and horizontal grid lines, or no grid lines.


Scientific Graph: Numeric Precision

Numeric Precision

When placing data labels onto the graph, or exporting Text/Data from the Export Dialog, the number of decimal positions can be between 0 to 7. Depending on the implementation, the maximum precision may vary.

Include Data Labels

If this option is checked then the object's plotting method will include Data Labels into the graph. Depending upon the implementation, Data Labels will either be numeric values, or text descriptors.


Scientific Graph: Plotting Method

Plotting Method

The Scientific Graph Object supports 15 plotting methods:

Area

Bar

Box Plot (Candle Stick)

Bubble

High-Low Line

High-Low Bar

High-Low-Close

Line

Open-High-Low-Close

Points

Points plus Best Fit Curve

Points plus Best-Fit-Line

Points plus Spline

Spline

Sticks

The Polar/Smith Chart Object supports 4 plotting methods.

Line

Point

Points + Line

Stick

Depending on the implementation, some plotting methods may not be available. Also, many but not all of these plotting styles can be set for a secondary comparison plotting style.

If the Scientific Graph has multiple y axes, then you can control plotting and comparison plotting styles for each individual axis by selecting the axis in the axis-button group.

The Scientific Graph Object can display up to 14 subsets at once, however, it is suggested that no more than three subsets should be displayed at any one time.

Mark Data Points

Checking this checkbox will cause little circular marks to be placed at data point locations..


Scientific Graph: Show Annotations

Show Annotations

If the object contains annotations. This check box allows you to remove/add the annotations from the image.


Scientific Graph: Style

Style

The Style tab allows the control of subset color, subset line style, and subset point style.

  1. Select the desired subset in the Subsets list box. The corresponding color and possible line and point styles are then highlighted in their respective controls.

  2. To change the color, either use the mouse to click an alternate color, or use the keyboard arrow keys to move to adjacent colors. Adjust the subset line and point styles as desired.

  3. Finally, Pressing the OK button will update the object’s image.


Scientific Graph: Subsets to Graph

Subsets to Graph

This group allows the user to view subset information is a variety of ways.

  1. If nothing is selected in the list box and Scrolling Subsets equals zero, then the object will display all subset information (14 subsets graph maximum, and no limit on the amount of subsets tabled.)

  2. If there are selections in the list box and Scrolling Subsets equals zero, then the object will display only those subsets selected.

  3. If nothing is selected in the list box and Scrolling Subsets is non-zero, then the object will scroll through subset information by the amount defined by Scrolling Subsets.

  4. If there are selections in the list box and Scrolling Subsets is non-zero, then the object will maintain those selected subsets as permanent subsets and revolve through the remaining subsets in increments of Scrolling Subsets.

The following table summarizes the Subsets to Graph variations.

Selected Scrolling

Subsets Subsets Result

no no | Display all subsets.
yes no | Display only those selected subsets.
no yes | Scroll through all subsets.
yes yes | Permanent selected subsets and scroll through remaining subsets.


Scientific Graph: Titles

Main/Sub Title

These two edit-boxes allow adding, editing, and deletion of main and sub titles. If no title is present, entering one will add one. If you remove all the characters from a title it will be deleted from the image.


Scientific Graph: Viewing Style

Viewing Style

The Scientific Graph Object supports three viewing styles:

Color

Monochrome

Monochrome with Symbols

This customization allows you to quickly adjust the image to best suite printing on a monochrome printer. If fewer than four subsets are to be included in a graph, then the Monochrome setting will probably be the best choice. If four or more subsets are to be included in the graph, then Monochrome with Symbols will help distinguish the different subsets.


Standard Deviation

The standard deviation is defined as the positive square root of the variance of a data set.

The variance for a data set of n items is equal to the sum of the squared distances from the mean divided by (n-1).

You can think of the standard deviation as the average of all distances of each data point from the mean.


Text / Data Export Dialog

Data to Export

You can export all the information from the object, or export only that data which you select in the two list boxes (Subsets to Export, & Points to Export.) If you choose to select the information to export, leaving a list box empty of selections will cause all the information to be exported.

What to Export

You can export the data with or without subset and point labels. Depending on the object, you are offered several possible selections of data to export.

Export Format

You can export the information in two formats:

  1. Table Format - which exports the information in a grid fashion in either a Subset by Point or Point by Subset style.

  2. List Format - which exports the information one record per line. The data fields can either be separated by tabs or commas.

Export Precision

The data's export precision can either be the current precision state of the object, or 7 decimal positions (the maximum precision stored by the object).


Axis Tab

Click on graphic area to display corresponding help!


Color Tab

Click on graphic area to display corresponding help!


Font Tab

Click on graphic area to display corresponding help!


General Tab

Click on graphic area to display corresponding help!


Plot Tab

Click on graphic area to display corresponding help!


Points Tab

Click on graphic area to display corresponding help!


Style Tab

Click on graphic area to display corresponding help!


Subsets Tab

Click on graphic area to display corresponding help!


Edit

Box Item | Description
Display Data | Displays the data point in a table. The font size of the text inside the table depends on the number of points, and the numeric precision of the output. The more points and higher precision that is attempted to be tabled, the smaller the font must be in order for the information to fit.
Copy to Clipboard | Places an image of the currently selected graph on the clipboard. This image can then be pasted into another application.
Launch Dialog Box | Displays the graph customization dialog.
Set YAxis Style | Displays the Y-Axis customization dialog box.


File

Box Item | Description
Save Template | Saves the current graphs customizable properties to a template file. This file can be used in the Analysis Graph command to apply the property values saved in the template file to the graph being created.
Export | Displays the export dialog box.
Print | Sends the current graph to the default printer.
Print Setup | Displays the page setup dialog.


Save and Exit

Box Item | Description
Save & Exit | Saves the graphs as JPG files and exits Epi Graph. Analysis in turn displays the JPG files in its output window.


Area Graph

Area graphs are used to display data sets on X-Y axis with the area under the line filled.


Bar Graph

Bar Graphs are use to compare single events and the differences between them using a bar for each data set. Bar Graphs group data together according to categories, displaying a bar for each value in that category. Bar lengths are represent quantities in a set of data. The bars are color-coded according to the series represent. Bar graphs can be used to compare data sets against some variable data such as time or frequency.


Box-Whisker Graph

Box-Whisker plots are commonly used to show the min, max, median, and lower and upper quartiles for a particular group. The caps at the end of each box indicate the extreme values (min and max).


Hi-Low Graph

High low graphs display 2 or 3 Y-values for each X-value. The first two Y variables determine the star and end of a vertical bar, the third (if present) locates a tick mark. Hi Lo graphs are typically used to display a confidence range or the trading range of a stock. The range of Y-values represent the low and the high values for the given X value.


Histogram Graph

A histogram is a type of bar graph used for displaying frequency (in count or percent) on the Y axis for a numeric X variable whose range is segmented into "bins" of equal size. Multiple series can be displayed either side-by-side or stacked.


Line Graph

Line graphs are used to determine trends and cyclic variation based on interaction of data elements. The data points are plotted on the graph and connected with lines. Line graphs can display large amounts of data that varies along some accepted sequence such as time, temperature, price etc.

Line graphs with multiple lines can be used to display several variables to conserve space and to facilitate comparison of more than one dependent variable on a single independent scale.

Line graphs must have numeric variables for both X and Y axes, and the X variable values are treated as continuous, not discrete. To generate a line graph utilizing categorical X variables, use a Bar graph and then customize the graph style to Line.


Moving Average Graph

A moving average is an average taken over a specified number of periods where the number of specified periods remains fixed but the numbers being averaged change. The numbers change because as the latest number is added, the earliest number is discarded thus maintaining the same number of specified periods to be averaged.


Pareto Graph

Pareto graphs are used to determine the "vital few" factors that are responsible for the major part of a problem or a solution. Pareto graphs consist of a combination bar graph and a line graph. The bars represent percentages of the data set and the line displays a cumulative total of the bar percentages. The X axis values are sorted in order of their corresponding Y values, highest first.


Pie Graph

Pie graphs are used for proportional assessment by comparing data elements as percentages or counts against other data elements and against the sum of the data elements. A pie graph is a circular graph having wedges dividing the circle into sectors that are proportional in area to the quantities of the data sets represented.


Points Graph

Point graphs are similar to bar graphs except that each data point is indicated by a marker located where the top center of the bar would have been.


Polar Graph

Plots data on a circular grid, with X data represented by the angle and Y data as the radius.


Pyramid Graph

The pyramid graph is normally used to graph population by age and sex, but can be used with any 2-series data. The graph consists of horizontal bars emerging from a vertical line representing zero. One series is plotted to the left and the other to the right.


Rotated Bar Graph

A rotated bar graph is similar to a bar graph except the bars are horizontal rather than vertical.


Scatter 3D Graph

The scatter graph consists of plotted points "scattered" around an X-Y-Z grid. The pattern may reveal a relationship among the three variables measured by the X, Y, and Z axes.


Scatter XY Graph

The scatter graph consists of plotted points "scattered" around an X-Y grid. The pattern may reveal a relationship between the two variables measured by the X and Y axes. Using the customization screen, it is possible to add a regression curve.


Spline Graph

The spline graph connects the data points with a smooth curve.


Stacked Bar Graph

Stacked Bar graphs are used in the same manner as non-stacked bar graphs except that the Y values from each series are accumulated as each new series is plotted. The bars are stacked on the end of the previous bar with each separate series color-coded.


Stacked Histogram

A histogram is a type of bar graph used for displaying frequency (in count or percent) on the Y axis for a numeric X variable whose range is segmented into "bins" of equal size. In this graph type, multiple series are displayed stacked.


Step Graph

The step graph displays one or more series of data as steps in a line.


Epi Graph Overview

Epi Graph offers many types of charts for displaying the values of one or more fields in a data table through the Analysis program. The Customization dialog box within Epi Graph allows for the desired customization of various graph types in Epi Graph. Settings can be saved as templates and used again from Analysis.

Available Graphs Types in Epi Graph

The following graphs can be generated using Epi Graph through Analysis:

Area Graph

Bar Graph

Box-Whisker Graph

Hi-Low Graph

Histogram Graph

Line Graph

Moving Average Graph

Pareto Graph

Pie Graph

Points Graph

Polar Graph

Pyramid Graph

Rotated Bar Graph

Scatter 3D Graph

Scatter XY Graph

Spline Graph

Stacked Bar Graph

Stacked Histogram

Step Graph

Surface Graph

Sample Epi Graph Screen


How can I interpret the result of the KM curve?

If the survival rate for a group of patients 5 years after the beginning date of the study is 0.8, this means these patients have, on the average, 80 chances out of 100 of remaining alive after 5 years. In this example, the occurrence of an event is “death,” but we could also describe other events, for example, the occurrence of complications during medical treatment.


How does Epi Info compute the KM estimator?

In the first step Epi Info sorts the records by time, ti, then for each time interval ti up to t i+1 (but not including) it counts:

* the number of deceased patients di at time ti,

* the number of censored patients ci at time ti,

* the number of risk patient ni (number of patients living just before ti)

ni = n i-1 - c i-1 - d i-1

After all the steps, it is possible to compute the KM estimator:

(“” means “product of”)

The example provided in this documentation uses the Leukemia study (Freireich, 1963), a study about the remission time delay for patients with leukemia who are given different treatments.

This example is based on a randomized clinical trial to evaluate if patients assigned to treatment with 6-mercaptopurine would fare better than untreated (Placebo) patients.

The project file is provided with Epi Info as leukem2.kmp

Key variables:

* time delay (in weeks)

* censored variable (“0” for censored individual, “1” for uncensored individual)

* group of patients (6-MP or Placebo)

KM estimator for the group 6-MP

Time in Weeks | S(t) | Standard Error | Cumulative Failures | At Risk
6.00 | 0.95238 | 0.04647 | 1 | 20
6.00 | 0.90476 | 0.06406 | 2 | 19
6.00 | 0.85714 | 0.07636 | 3 | 18
6.00+ |  |  | 3 | 17
7.00 | 0.80672 | 0.08694 | 4 | 16
9.00+ |  |  | 4 | 15
10.00 | 0.75294 | 0.09635 | 5 | 14
10.00+ |  |  | 5 | 13
11.00+ |  |  | 5 | 12
13.00 | 0.69020 | 0.10681 | 6 | 11
16.00 | 0.62745 | 0.11405 | 7 | 10
17.00+ |  |  | 7 | 9
19.00+ |  |  | 7 | 8
20.00+ |  |  | 7 | 7
22.00 | 0.53782 | 0.12823 | 8 | 6
23.00 | 0.44818 | 0.13459 | 9 | 5
25.00+ |  |  | 9 | 4
32.00+ |  |  | 9 | 3
32.00+ |  |  | 9 | 2
34.00+ |  |  | 9 | 1
35.00+ |  |  | 9 | 0

+ denotes censored patient (ci )

Where:

Time is the day of observation

S(t) is the survivor function => Pr (T>t)

Standard Error is the standard error of S(t)

Cumulative Failure is the number of deceased patients (di)

At Risk is the number of at-risk patients (ni )

The patients in the 6-MP group have, on the average, 44.8 chances out of 100 of remaining alive after 23 weeks.

Quartile Estimate

75th ......... 13.00

50th ......... 23.00

75 % from the sample live on the average 13 weeks

50 % from the sample live on the average 23 weeks

Mean Survival Time (MST) in Days

Method MST Limited Standard

To Error

Last Obs. 23.287 35.00 2.9990

Cutpoint 16.117 20.00 1.3518

Comparison 17.909 23.00 1.6474

KM estimator for group Placebo :

Time in Weeks | S(t) | Standard Error | Cumulative Failures | At Risk
1.00 | 0.95238 | 0.04647 | 1 | 20
1.00 | 0.90476 | 0.06406 | 2 | 19
2.00 | 0.85714 | 0.07636 | 3 | 18
2.00 | 0.80952 | 0.08569 | 4 | 17
3.00 | 0.76190 | 0.09294 | 5 | 16
4.00 | 0.71429 | 0.09858 | 6 | 15
4.00 | 0.66667 | 0.10287 | 7 | 14
5.00 | 0.61905 | 0.10597 | 8 | 13
5.00 | 0.57143 | 0.10799 | 9 | 12
8.00 | 0.52381 | 0.10899 | 10 | 11
8.00 | 0.47619 | 0.10899 | 11 | 10
8.00 | 0.42857 | 0.10799 | 12 | 9
8.00 | 0.38095 | 0.10597 | 13 | 8
11.00 | 0.33333 | 0.10287 | 14 | 7
11.00 | 0.28571 | 0.09858 | 15 | 6
12.00 | 0.23810 | 0.09294 | 16 | 5
12.00 | 0.19048 | 0.08569 | 17 | 4
15.00 | 0.14286 | 0.07636 | 18 | 3
17.00 | 0.09524 | 0.06406 | 19 | 2
22.00 | 0.04762 | 0.04647 | 20 | 1
23.00 | 0 | 0 | 21 | 0

+ denotes censored patient (ci )

Where :

Time is the week of observation

S(t) is the survivor function => Pr (T>t)

Standard Error is the standard error of S(t)

Cumulative Failure is the number of deceased patients (di)

At Risk is the number of risk patient (ni )

The patients in the Placebo group have, on the average, 0 chances out of 100 of remaining alive after 23 weeks.

Quartile Estimate

75th ......... 4.00

50th ......... 8.00

25th ......... 12.00

75 % from the sample live on the average 4 weeks

50 % from the sample live on the average 8 weeks

25 % from the sample live on the average 12 weeks

Mean Survival Time (MST) in Days

Method MST Limited Standard

To Error

Last Obs. 8.667 23.00 1.4114

Cutpoint 8.429 20.00 1.3896

Comparison 8.667 23.00 1.4114

Summary Table for the Data:

Group Total Fail Cens. %Fail %Cens. FDR(*) Lower Upper

21 9 12 42.86 57.14 0.0251 0.0153 3.7213

Placebo 21 21 0 100.00 0.00 0.1154 0.0250 3.9093

TOTAL 42 30 12 71.43 28.57 0.0555 0.0183 3.7851

(*) Failure Density Rate (#Failures / Person * Time).

Where :

Total is the sample size

Fail is the number of deceased patients

Cens is the number of censored patients

%Fail is the percentage of deceased patients

%Cens is the percentage of censored patients

FDR is the Failure Density Rate (#Failures / Person * Time).

Lower and Upper are the limits of the 95 % Confidence Interval of FDR


Kaplan-Meier Survival Analysis Overview


References

Freireich EJ, Gehan E, Frei E. The effect of 6-mercaptopurine on the duration of steroid-included remissions in acute leukemia: a model for evaluation of the other potentially useful therapy. Blood 1963; 21: 699-716.

Kleinbaum DG. Statistics in the health sciences: Survival analysis. New York: Springer-Verlag; 1996.


What is KM good for?

Each time a survival study is done (e.g., a follow-up study, a clinical trial, or a study of the occurrence of an event over time), the KM methodology could be used to estimate the probability of survival over a given time period. “Survival” means that the event of interest has not occurred. The event can be death, a complication of a treatment, or other defined adverse event. KM therefore provides an estimate of being free of the event at time t. Conversely, “1 minus the probability of being free of the event at time t” is the probability of having the event at time t.


What is the objective of the Kaplan-Meier method?

In clinical epidemiology , particularly in the study of usually fatal chronic diseases, the measurement of patient survival has become an important criterion in evaluating the effectiveness of therapeutic modalities.

The objective of the Kaplan-Meier (KM) methodology is to estimate the probability of survival of a defined group at a designated time interval (conditional probability). KM uses a non-parametric survival function for a group of patients (in other words their survival probability after the time t) and therefore does not make assumptions about the survival distribution .


What is the variable to be studied?

The variable to be studied is the time delay until the occurrence of an event (death, disease, treatment outcome, etc.). This time delay corresponds to survival duration (the difference between the beginning study date and the event date).

What distinguishes survival analysis from most other statistical methods is the presence of “censoring” for incomplete observations. In a study of survival following two different treatment regimens, for example, analysis of the trial typically occurs well before all the patients have died. For those still alive at the time of analysis, the true survival time is known only to be greater than the time observed to date. Such an observation is said to be “censored.” There are two other sorts of incomplete observation: the “lost to follow-up” (patient missing during the study duration) or the appearance of an event other than the event being studied. These observations are also considered censored. For survival analysis, the censored variable, the time variable, the units of time (day, month, year), and the group of patients (if studying the effect of a treatment) must be specified. The time variable is numeric. The censored variable is coded: “1” if the patient experiences the event (uncensored data), “0” if the event is not known to occur (censored data). Survival data is often presented using a “+” for the censored observation, so that a set of times might be 8, 11+, 14, 2, 36+, etc.

Table 1: Coding of censored variable for 6 patients with bladder cancer.

 | 1982 | 1983 | 1984 | 1985 |  | coding of censored variable | time variable (year)
Individual |  |  |  |  |  |  |
1 | ------ | ------ | ------ | ------ | -------- | 0 (no event) | 4
2 |  | ------ | ----- X |  |  | 1 (event) | 2
3 |  | ------ | ------ |  |  | 0 (no event) | 2
4 |  |  |  | ------ | -------- | 0 (no event) | 1
5 | ------ | ------ | ----- X |  |  | 1 (event) | 3
6 | ------ | ------ | ------ | -----X |  | 1 (event) | 4
beginning of the study |  |  |  |  | end of the study |  |

The censored variable has the value of “0” for individuals 1, 3, and 4, and “1” for individuals 2, 5, and 6.


1) Oswego study: A study about an outbreak of acute gastrointestinal illness.

Synonymous with epidemic. Sometimes the preferred word, as it may escape sensationalism associated with the word epidemic. Alternatively, a localized as opposed to generalized epidemic. Sometimes the preferred word, as it may escape sensationalism associated with the word epidemic. Alternatively, a localized as opposed to generalized epidemic.

Oswego study: A study about an outbreak of acute gastrointestinal illness

We use this example to illustrate the fact that we do not need logistic regression for this study.

On April 19, 1940, the local health officer in the village of Lycoming, Oswego County, New York, reported the occurrence of an outbreak of acute gastrointestinal illness to the district Health Officer in Syracuse. Seventy-five persons ate at a particular supper, and 46 persons with gastrointestinal illness were identified. The goal for the study was to find which food or foods caused the outbreak.

The outcome variable is Ill (yes/no).

Possible risk factors (predictor variables) are foods and drinks consumed.

This file is available in SAMPLE.MDB as viewOSWEGO.


2) L.A. Study: Los Angeles retirement community study of endometrial cancer.

The probability that an event will occur, e.g. that an individual will become ill or die within a stated period of time or age.

In epidemiology, a countable instance in the population or study group of a particular disease, health disorder, or condition under investigation. Sometimes, an individual with the particular disease. E pidemiology, a countable instance in the population or study group of a particular disease, health disorder, or condition under investigation. Sometimes, an individual with the particular disease.

The study of the distribution and determinants of health-related states or events in specified populations, and the application of this study to the control of health problems.

In epidemiology, the frequency and pattern of health-related characteristics and events in a population. In statistics, the observed or theoretical frequency of values of a variable.

In a case-control study, comparison group of persons without disease.

Any characteristic or attribute that can be measured.

Statistical relationship between two or more events, characteristics, or other variables.

L.A. Study: Los Angeles retirement community study of endometrial cancer

We use this example to illustrate the methods for matched data analysis in the study of the effect of exogenous estrogens on the risk of endometrial cancer reported by Mack et al. (1976). These investigators identified 63 cases of endometrial cancer in a retirement community near Los Angeles. Each case was matched to 4 control women who were alive and had lived in the community one year at the time the case was diagnosed, and who had entered the community at approximately the same time. In addition, controls were chosen from among women who had not had a hysterectomy prior to the time the case was diagnosed, and who were therefore still at risk for the disease. Information on the history of use of several specific types of medicines, including estrogens, antihypertensives, sedatives, and tranquilizers, was abstracted from the medical record of each case and control. Other abstracted data relate to pregnancy history, mention of certain diseases, and obesity.

The analysis of these data is aimed at studying the risk associated with the use of estrogens, as well as with a history of gallbladder disease, and how these risks may be modified by other explanatory variables.

Variables in the file include:

The outcome variable , Ill (yes/no)

Possible risk factors (predictor variables): age, hypertension, gallbladder disease, other drugs (non-estrogen), estrogens (any) conjugated estrogen: amount (mg/day), or conjugated estrogen: duration (months).

After I Have a Model, What Can I Do with It?

The use of a model depends on the design of the epidemiologic study. When using follow-up data, you can estimate a predicted risk (P), then calculate a relative risk (RR). In using case-control or cross-sectional data, however, a limitation is that you cannot estimate individual risks even though you can still obtain an OR. This limitation is not severe if the goal of the study is to obtain a valid estimate of an exposure-disease association in terms of an OR. As in univariate analysis, the OR becomes a reasonable estimate of the RR if the disease is “rare.”

Take, for example, a follow-up study:

The fitted model that we obtained by using the method of the maximum likelihood to estimate the parameters of the variables is:

Where;

D, the disease, is coded "0" if no disease

"1" if disease

cat stands for catecholamine level, coded "0" if low level

"1" if high level

age is a continuous variable

ecg denotes electrocardiogram status, coded "0" if normal

"1" if abnormal.

The predicted risk of this model is:

Suppose we want to use our fitted model, to obtain the predicted risk for a certain individual, for example:

cat = 1; age=40 and ecg=0.

For a person with cat=1, age=40, and ecg=0, the predicted risk obtained from the fitted model is 0.109. That is, this person's estimated risk is about 11% over the time period studied.

cat = 0; age=40 and ecg=0.

For a person with cat=0, age=40, and ecg=0, the predicted risk obtained from the fitted model is 0.109. That is, this person's estimated risk is about 6%.

Here, for the same fitted model, we compare the predicted risk of a person with cat=1, age=40, and ecg=0 with that of a person with cat=0, age=40, and ecg=0. If we divide the predicted risk of the person with high cathecholamine with the predicted risk of the person with low cathecholamine, we get an RR estimate of 1.82. Thus, using the fitted model, we find that the person with high cat has almost twice the risk of the person with low cat, assuming both persons are of age 40 and have no previous ecg abnormality.

Two conditions must be specified to estimate RR directly. First, we must have a follow-up study; second, for two individuals being compared, we must specify values for all the independent variables in our fitted model to compute risk estimates for each individual.

If either of the above conditions is not satisfied, then we cannot estimate RR directly. We can only compute an OR that is a measure of the association directly estimated from a logistic regression model (without requiring special assumptions), regardless of whether the study design is follow-up, case-control, or cross-sectional. As in univariate analysis of a case-control study, the OR is a reasonable estimate of RR only if the disease is rare.

So, for the same example:

X1= (cat=1; age=40; ecg=0)

X0= (cat=0; age=40; ecg=0)

Using the fitted model, we find that the person with high cat has almost twice the risk of the

person with low cat, OR adjusted on the age and the ecg.

For each dichotomous variable, it is possible to compute an adjusted OR.

If Xi is coding in (0,1): OR =

If Xi is coding in (a,b): OR =

For the continuous variable, it is the same formula but you must multiply your with a coefficient (e.g., for the age you can compute an adjusted OR).

If we compare the effect for a person of 40 years of age with that for a person of 35 years of age, then adjusted

So, a person of 40 years of age will have 1.15 times more risk of having the disease than a person of 35 years of age, OR adjusted on cat and ecg.


A. Variable and interaction specification

The probability that an event will occur, e.g. that an individual will become ill or die within a stated period of time or age.

In a case-control study, comparison group of persons without disease.

The probability that an observed association between an exposure and a disease could have occurred due to chance alone, if the exposure was not actually related to the disease. associatio n between an exposure and a disease could have occurred due to chance alone, if the exposure was not actually related to the disease.

Statistical relationship between two or more events, characteristics, or other variables.

Any characteristic or attribute that can be measured.

In epidemiology, a countable instance in the population or study group of a particular disease, health disorder, or condition under investigation. Sometimes, an individual with the particular disease. epidemiolog y, a countable instance in the population or study group of a particular disease, health disorder, or condition under investigation. Sometimes, an individual with the particular disease.

The study of the distribution and determinants of health-related states or events in specified populations, and the application of this study to the control of health problems.

In epidemiology, the frequency and pattern of health-related characteristics and events in a population. In statistics, the observed or theoretical frequency of values of a variable.

The value obtained by dividing one quantity by another.

Variable and interaction specification: Choose the Variables to include in the multivariate logistic Regression model

If you have only a few variables, start with all of them. Otherwise, include variables that may be risk factors or control variables, based on literature review, and then add all variables for which the p-value of the chi square, Fisher exact, or t-test is less than 0.25 (not the usual threshold of 0.05) in the Epi Info TABLES or MEANS commands. (Note: If you have several exposure and control variables, you have to build a model with all of them and their pertinent interactions.) Now that you have an outcome variable and a list of confounder/risk variables, choose one variable as your primary effect variable for analysis. In the L.A. Study example, the outcome variable is Ill (yes/no). To examine the role of estrogens, choose it as the effect variable. Construct the model as follows:

Ill = estrogen + age + hypertension + age*hypertension + estrogen*age + hypertension*estrogen

NOTE: If there are a lot of exposure variables (for example, in the Oswego study there are 20 variables), build a first model with all of the variables, choose those variables with the smallest p-value (around 7) and build another model with these variables and their pertinent interactions (biologically meaningful subsets).

Use a backward elimination approach to find the best model. This means eliminating variables or groups of variables one at a time, keeping only those that are “meaningful” in the model. “Meaningful” in this case stands for a p-value <0.05 and the likelihood <A class=glossterm x-use-popup=#POPUP272613005 x-popup-type=expanding href="javascript:kadovTextPopup(this)" id=HotSpot60389> ratio test <0.05 for the model containing this “chunk” versus one from which it has been removed.</p>

Frequently there is “interaction” among variables so that the OR for one depends on the value of another (e.g., the effect of age or smoking might vary in different races).

If you have two or more categorical explanatory variables in the best model, you must systematically test the interaction term in the logistic regression model (see previous question). The interaction term in the logistic regression model corresponds to the mathematical product of the two variables (variable 1*variable 2). In this case, interaction variables are included in the model, as smoking*race and ageclass*race. If you have more than two categorical variables included in the model, you must test the interaction term for biologically meaningful subsets (which may be all of them, depending on the literature). If there is an interaction term, it is important information for the study: the relationship between the exposure variable and the outcome variable is not the same for all levels of the explanatory variable (the risk factor varies).

All variables in interaction terms must be included elsewhere in the model as single terms, or Epi Info will not allow the interaction term. This results in what is known as a “hierarchically well formulated” model. Once an interaction has been found to be significant, all of its smaller subcomponents must be left in subsequent models.

The simplest interaction terms are pairs of categorical variables. In setting up the model, list the single variables first. The following example is from the Oswego study:

vanilla, chocolate, age

Then include the interaction term:

age + vanilla + chocolate + vanilla*chocolate + vanilla*age + chocolate*age (interaction term)

Third-order terms should also be included, as in vanilla*chocolate*age, if pertinent.

Use the likelihood ratio (“chunk”) test to assess the effect of removing the third-order interaction term at the same time. Run the full model, then remove the three-variable term and run it again. The results of the log likelihood ratio test for the “chunk” removed will appear at the bottom of the output. If the likelihood ratio p-value is < 0.05, at least part of the “chunk” is significant. Now do the same for the second-order terms, removing both at one time. If the likelihood ratio test p-value is significant, then at least one of the two terms is significant, and they should be evaluated individually. Identify any two variables and single variable terms that are components of significant three-variable terms. These must stay in the model, regardless of subsequent results. They are protected members of the “hierarchically well formulated model.”

More details on interaction can be found below, under " How Do I Interpret the Results of Logistic Regression Containing Interaction Terms?”


After Choosing the Outcome Variable, How Do I Construct a Good Logistic Regression Model?

“Different people have different modeling strategies. It’s important that you develop a point of view for yourself (after considering other schools of thought).” D.G. Kleinbaum

We give you one strategy below. The references contain other modeling strategies to consider (Hosmer, Breslow).

One modeling strategy to find risk factors for an outcome involves two stages:

  1. Variable specification and interaction assessment;

  2. Confounding assessment followed by consideration of precision.


An Example of a Logistic Regression Model

After Choosing the Outcome Variable, How Do I Construct a Good Logistic Regression Model?

“Different people have different modeling strategies. It’s important that you develop a point of view for yourself (after considering other schools of thought).” D.G. Kleinbaum

We give you one strategy below. The references contain other modeling strategies to consider (Hosmer, Breslow).

One modeling strategy to find risk factors for an outcome involves two stages:

  1. Variable specification and interaction assessment;

  2. Confounding assessment followed by consideration of precision.


How Can I Use Explanatory Categorical Variables with More Than 2 Values?

Explanatory categorical (coded) variables with more than 2 values must be recoded with dummy variables. If not, these variables will be considered to be quantitative variables, which may make it difficult to interpret the results of the logistic regression model. A variable with "k" values must be coded in "k -1" dichotomous dummy variables that have two values, with "0" value indicating no or least exposure.

For example:

coding

Race:

White 1

Black 2

Asian/Pacific Islander 3

Dichotomous dummy variables coding used for Race:

 | Design | Variables
Race | R1 | R2
White | 0 | 0
Black | 1 | 0
Asian/ Pacific Islander | 0 | 1

Two dichotomous dummy variables are enough to locate the three initial values of the "Race" variable. In the logistic regression model, only the variables R1 (Black Race = 1) and R2 (Asian/Pacific Islander = 1) will appear, and the risk computed will be in reference to White Race (risk = 1).

Epi Info creates dummy variables for categorical variables.


The probability that an event will occur, e.g. that an individual will become ill or die within a stated period of time or age.

The measure of central location which divides a set of data into two equal parts.

Any characteristic or attribute that can be measured.

The value obtained by dividing one quantity by another.

How Can I Use Explanatory Continuous Variables?

If there are continuous variables in the dataset (age, or duration of a treatment, for example), it is possible to include them as continuous variables in the logistic regression model. The results are expressed as the risk for each unit of the continuous variable (each year of age or each day of a treatment, for example) and the risk for the number of units desired will have to be computed (see examples below, under "What Does the Model Look Like in Epi Info?").

Continuous variables can also be recoded into categories to make interpretation easier, using the median as a cut point to recode them in two values, or quartiles as a cut point to recode them in four values, or other meaningful categories (e.g., age = adult / child or 10 year age groups, treatment = none, partial, or full). After recoding, test each version in a model containing only outcome and the variable being recoded. Choose the coded or continuous version that gives the most significant result in the likelihood ratio test (the smallest).

The interpretation of the results for a continuous variable is more difficult than for a categorical variable, but in recoding a continuous variable in a categorical variable, some information is lost from the data. It is never a simple choice.


How Do I Interpret the Results of Logistic Regression Containing Interaction Terms?

If there is an interaction term (say E*X in a logistic regression model), then the risk factor E for outcome M differs with the values of the explanatory dichotomous variable X.

In mathematical expressions:

interaction term

if then

In

and if then

ln

There is an interaction between E and X if is different than "0" (Wald test (Z-Statistic) or the likelihood ratio chi square test is significant on the threshold of 0.05).

For example:

interaction term

Coding of tobacco: no tobacco "0"

tobacco "1"

Coding of inhale: don't inhale "0"

inhale "1"

There are two ORs: one for people who inhale the tobacco (inhale = 1) and one for people who don't inhale the tobacco (inhale = 0). Two ORs are computed.

OR/people who don't inhale tobacco = e 0.066 = 2.43

OR/people who inhale tobacco = e (0.066+0.82) = 1.07

The people who inhale tobacco have 2.43 more risk to be ill than the people who don't smoke.

The people who don't inhale tobacco have 1.07 more risk of being ill than the people who don't smoke.


How Do I Know When I Need Logistic Regression?

In Epi Info, either the TABLES command or logistic regression (LOGISTIC command) can be used when the outcome variable is dichotomous (for example, disease/no disease). Analysis with the TABLES command in Epi Info is adequate if there is only one “risk factor.” Logistic regression is needed when the number of explanatory variables (“risk factors”) is more than one. The method is often called “multivariate logistic regression.”

Logistic regression shows the relationship between an outcome variable with two values and explanatory variables that can be categorical or continuous.


How Do I Pick the Outcome Variable?

The outcome variable is a dichotomous variable (two values) for which other variables may provide an explanation. Often, the outcome variable will indicate the presence or absence of a disease. To explore the risk factors for premature birth, however, the outcome variable might be low birth weight.

The coding of this variable must be in "0/1":

"1" for persons who experienced the event studied (disease or low weight),

"0" for persons who did not (no disease or normal weight).

Epi Info does the coding if the outcome variable is a “yes / no” variable.


How Should I Present the Results of Logistic Regression in a Slide or an Article? (Example, Please.)

The value obtained by dividing one quantity by another.

How Should I Present the Results of Logistic Regression in a Slide or an Article?

Table 1: Risk factors for endometrial cancer.

Variables |  | Se |  | Confidence Interval (CI 0.95) | p-value
Gallbladder disease (dichotomous variable ) | 1.150 | 0.446 | 3.158 | [1.316 ; 7.578] | 0.010
Estrogen (dichotomous variable) | 1.718 | 0.517 | 5.576 | [2.021 ; 15.383] | < 0.001
Duration of estrogen treatment (Continuous variable) | 0.011 | 0.005 | 1.012 | [1.002 ; 1.022] | 0.017

Likelihood ratio chi square test: 46.58 with 3 degrees of freedom (p <0.0001).

NOTE: For a less technical audience, the beta coefficient and the standard error of the beta coefficient can be omitted.


I Have Seen a Lot of Arguments in the Literature About the Improper Use of Regression Analysis,

The value obtained by dividing one quantity by another.

I Have Seen a Lot of Arguments in the Literature About the Improper Use of Regression Analysis, Even Among Experts. What Can Cause Wrong Conclusions? How Do I Know That I Have Used It Correctly?

If you didn't take into account a confounder or an interaction factor, your conclusion may be incorrect. To avoid this, use:

* Good modeling strategy (see above, " What is Interaction and Why Should It Be Addressed Early in the Model?"):

good choice of the variables included in the multivariate logistic regression model

good choice of the coding of variables (very important!)

appropriate assessment of interaction terms

appropriate assessment of the confounder variables.

* Quality of the results:

precision of confidence interval: CI 0,95

is the value "1" inside CI 0,95 or not?

is Wald test of the differences among variables significant?

is the likelihood ratio of the chi square test of the model significant?

comparison of the results with other studies

analysis of residuals of the model.


Improper use of regression analysis

Improper use of regression analysis and what can cause wrong conclusions

If you didn't take into account a confounder or an interaction factor, your conclusion may be incorrect. To avoid this, use:

* Good modeling strategy (see above, " What is Interaction and Why Should It Be Addressed Early in the Model?"):

good choice of the variables included in the multivariate logistic regression model

good choice of the coding of variables (very important!)

appropriate assessment of interaction terms

appropriate assessment of the confounder variables.

* Quality of the results:

precision of confidence interval: CI 0,95 is the value "1" inside CI 0,95 or not?

is Wald test of the differences among variables significant?

is the likelihood ratio of the chi square test of the model significant?

comparison of the results with other studies

analysis of residuals of the model.


L.A. Study

L.A. Study: Los Angeles retirement community study of endometrial cancer

We use this example to illustrate the methods for matched data analysis in the study of the effect of exogenous estrogens on the risk of endometrial cancer reported by Mack et al. (1976). These investigators identified 63 cases of endometrial cancer in a retirement community near Los Angeles. Each case was matched to 4 control women who were alive and had lived in the community one year at the time the case was diagnosed, and who had entered the community at approximately the same time. In addition, controls were chosen from among women who had not had a hysterectomy prior to the time the case was diagnosed, and who were therefore still at risk for the disease. Information on the history of use of several specific types of medicines, including estrogens, antihypertensives, sedatives, and tranquilizers, was abstracted from the medical record of each case and control. Other abstracted data relate to pregnancy history, mention of certain diseases, and obesity.

The analysis of these data is aimed at studying the risk associated with the use of estrogens, as well as with a history of gallbladder disease, and how these risks may be modified by other explanatory variables.

Variables in the file include:

The outcome variable , Ill (yes/no)

Possible risk factors (predictor variables): age, hypertension, gallbladder disease, other drugs (non-estrogen), estrogens (any) conjugated estrogen: amount (mg/day), or conjugated estrogen: duration (months).


Oswego study

Oswego study: A study about an outbreak of acute gastrointestinal illness

We use this example to illustrate the fact that we don’t need logistic regression for this study.

On April 19, 1940, the local health officer in the village of Lycoming, Oswego County, New York, reported the occurrence of an outbreak of acute gastrointestinal illness to the district Health Officer in Syracuse. Seventy-five persons ate at a particular supper, and 46 persons with gastrointestinal illness were identified. The goal for the study was to find which food or foods caused the outbreak.

The outcome variable is Ill (yes/no).

Possible risk factors (predictor variables) are foods and drinks consumed.

This file is available in SAMPLE.MDB as viewOSWEGO.


Presenting results of Logistic Regression in a slide or an article

Presenting the results of Logistic Regression in a slide or an article

Table 1: Risk factors for endometrial cancer.

Variables |  | Se |  | Confidence Interval (CI 0.95) | p-value
Gallbladder disease (dichotomous variable ) | 1.150 | 0.446 | 3.158 | [1.316 ; 7.578] | 0.010
Estrogen (dichotomous variable) | 1.718 | 0.517 | 5.576 | [2.021 ; 15.383] | < 0.001
Duration of estrogen treatment (Continuous variable) | 0.011 | 0.005 | 1.012 | [1.002 ; 1.022] | 0.017

Likelihood ratio chi square test: 46.58 with 3 degrees of freedom (p < 0.0001>)

NOTE: For a less technical audience, the beta coefficient and the standard error of the beta coefficient can be omitted.


References

Breslow NE, Days, NE. Statistical methods in cancer research, Vol. 1: The analysis of case-control studies. Lyon, France: IARC Scientific Publication No. 32; 1981.

Hosmer DW, Lemeshow S. Applied logistic regression (Wiley Series in Probability and Mathematical Statistics. Applied Probability and Statistics Section). New York: John Wiley; 1989.

Kleinbaum DG, Kupper LL, Morgenstern H. Epidemiologic research: Principles and quantitative methods. New York: Van Nostrand Reinhold; 1982.

Kleinbaum DG, Kupper LL, Muller KA. Applied regression analysis and other multivariate methods. Second edition. Boston: Duxbury Press; 1987.

Kleinbaum DG. Statistics in the health sciences: Logistic regression. New York: Springer-Verlag; 1994.

Mack TM, Pike MC, Henderson BE, Pfeffer RI, Gerkins VR, Arthur M, Brown SE. Estrogens and endometrial cancer in a retirement community. N Engl J Med 1976 Jun 3;294(23):1262-7.


Types of Variables

Types of variable | Other terms ... | Examples ...
Continuous variables | Quantitative variables | Weight, Blood pressure
Categorical variables | Qualitative variables, discrete variables, nominal variables, coded variables. | Presence or absence of a disease or risk factor, Race


Use of Logistic Regression Model

After I Have a Model, What Can I Do with It?

The use of a model depends on the design of the epidemiologic study. When using follow-up data, you can estimate a predicted risk (P), then calculate a relative risk (RR). In using case-control or cross-sectional data, however, a limitation is that you cannot estimate individual risks even though you can still obtain an OR. This limitation is not severe if the goal of the study is to obtain a valid estimate of an exposure-disease association in terms of an OR. As in univariate analysis, the OR becomes a reasonable estimate of the RR if the disease is “rare.”

Take, for example, a follow-up study:

The fitted model that we obtained by using the method of the maximum likelihood to estimate the parameters of the variables is:

Where;

D, the disease, is coded "0" if no disease

"1" if disease

cat stands for catecholamine level, coded "0" if low level

"1" if high level

age is a continuous variable

ecg denotes electrocardiogram status, coded "0" if normal

"1" if abnormal.

The predicted risk of this model is:

Suppose we want to use our fitted model, to obtain the predicted risk for a certain individual, for example:

cat = 1; age=40 and ecg=0.

For a person with cat=1, age=40, and ecg=0, the predicted risk obtained from the fitted model is 0.109. That is, this person's estimated risk is about 11% over the time period studied.

cat = 0; age=40 and ecg=0.

For a person with cat=0, age=40, and ecg=0, the predicted risk obtained from the fitted model is 0.109. That is, this person's estimated risk is about 6%.

Here, for the same fitted model, we compare the predicted risk of a person with cat=1, age=40, and ecg=0 with that of a person with cat=0, age=40, and ecg=0. If we divide the predicted risk of the person with high cathecholamine with the predicted risk of the person with low cathecholamine, we get an RR estimate of 1.82. Thus, using the fitted model, we find that the person with high cat has almost twice the risk of the person with low cat, assuming both persons are of age 40 and have no previous ecg abnormality.

Two conditions must be specified to estimate RR directly. First, we must have a follow-up study; second, for two individuals being compared, we must specify values for all the independent variables in our fitted model to compute risk estimates for each individual.

If either of the above conditions is not satisfied, then we cannot estimate RR directly. We can only compute an OR that is a measure of the association directly estimated from a logistic regression model (without requiring special assumptions), regardless of whether the study design is follow-up, case-control, or cross-sectional. As in univariate analysis of a case-control study, the OR is a reasonable estimate of RR only if the disease is rare.

So, for the same example:

X1= (cat=1; age=40; ecg=0)

X0= (cat=0; age=40; ecg=0)

Using the fitted model, we find that the person with high cat has almost twice the risk of the

person with low cat, OR adjusted on the age and the ecg.

For each dichotomous variable, it is possible to compute an adjusted OR.

If Xi is coding in (0,1): OR =

If Xi is coding in (a,b): OR =

For the continuous variable, it is the same formula but you must multiply your with a coefficient (e.g., for the age you can compute an adjusted OR).

If we compare the effect for a person of 40 years of age with that for a person of 35 years of age, then adjusted

So, a person of 40 years of age will have 1.15 times more risk of having the disease than a person of 35 years of age, OR adjusted on cat and ecg.


Variable and interaction specification

Variable and interaction specification: Choose the variables to include in the multivariate logistic Regression model

If you have only a few variables, start with all of them. Otherwise, include variables that may be risk factors or control variables, based on literature review, and then add all variables for which the p-value of the chi square, Fisher exact, or t-test is less than 0.25 (not the usual threshold of 0.05) in the Epi Info TABLES or MEANS commands. (Note: If you have several exposure and control variables, you have to build a model with all of them and their pertinent interactions.) Now that you have an outcome variable and a list of confounder/risk variables, choose one variable as your primary effect variable for analysis. In the L.A. Study example, the outcome variable is Ill (yes/no). To examine the role of estrogens, choose it as the effect variable. Construct the model as follows:

Ill = estrogen + age + hypertension + age*hypertension + estrogen*age + hypertension*estrogen

NOTE: If there are a lot of exposure variables (for example, in the Oswego study there are 20 variables), build a first model with all of the variables, choose those variables with the smallest p-value (around 7) and build another model with these variables and their pertinent interactions (biologically meaningful subsets).

Use a backward elimination approach to find the best model. This means eliminating variables or groups of variables one at a time, keeping only those that are “meaningful” in the model. “Meaningful” in this case stands for a p-value <0.05>ratio test <0.05>.

Frequently there is “interaction” among variables so that the OR for one depends on the value of another (e.g., the effect of age or smoking might vary in different races).

If you have two or more categorical explanatory variables in the best model, you must systematically test the interaction term in the logistic regression model (see previous question). The interaction term in the logistic regression model corresponds to the mathematical product of the two variables (variable 1*variable 2). In this case, interaction variables are included in the model, as smoking*race and ageclass*race. If you have more than two categorical variables included in the model, you must test the interaction term for biologically meaningful subsets (which may be all of them, depending on the literature). If there is an interaction term, it is important information for the study: the relationship between the exposure variable and the outcome variable is not the same for all levels of the explanatory variable (the risk factor varies).

All variables in interaction terms must be included elsewhere in the model as single terms, or Epi Info will not allow the interaction term. This results in what is known as a “hierarchically well formulated” model. Once an interaction has been found to be significant, all of its smaller subcomponents must be left in subsequent models.

The simplest interaction terms are pairs of categorical variables. In setting up the model, list the single variables first. The following example is from the Oswego study:

vanilla, chocolate, age

Then include the interaction term:

age + vanilla + chocolate + vanilla*chocolate + vanilla*age + chocolate*age (interaction term)

Third-order terms should also be included, as in vanilla*chocolate*age, if pertinent.

Use the likelihood ratio (“chunk”) test to assess the effect of removing the third-order interaction term at the same time. Run the full model, then remove the three-variable term and run it again. The results of the log likelihood ratio test for the “chunk” removed will appear at the bottom of the output. If the likelihood ratio p-value is < 0.05, at least part of the “chunk” is significant. Now do the same for the second-order terms, removing both at one time. If the likelihood ratio test p-value is significant, then at least one of the two terms is significant, and they should be evaluated individually. Identify any two variables and single variable terms that are components of significant three-variable terms. These must stay in the model, regardless of subsequent results. They are protected members of the “hierarchically well formulated model.”

More details on interaction can be found below, under "How Do I Interpret the Results of Logistic Regression Containing Interaction Terms?"


What Does the Model Look Like in Epi Info?

There are two examples provided with Epi Info:


What is a Logistic Regression “Model”?

What is a Logistic Regression "Model"?

The purpose of logistic regression is to produce a mathematical equation that relates the probability of an outcome to the particular value of risk factor variables. A model might predict the probability of occurrence of a myocardial infarction (MI) over a 5-year period, given a patient’s age, sex, race, blood pressure, cholesterol level, and smoking status.

In Epi Info, a model can be expressed as:

MI = age + sex + race + blood pressure + cholesterol + smoking status

The actual model is

or

Epi Info uses a process called “maximum likelihood estimation” to arrive at the best estimate of the relationships based (usually) on a follow-up study, such as the well known Framingham study. The results include values for the beta coefficients but more important for epidemiologists, can produce an odds ratio (OR) for each value of a risk factor compared with its baseline (“absent” or “normal”) state.


What is Interaction and Why Should It Be Addressed Early in the Model?

Interaction means that the odds ratio (OR) for a variable varies with the value of another variable. For example, if the outcome is mesothelioma, a form of lung cancer caused by asbestos exposure, the effect (OR) of asbestos exposure differs greatly between smokers and nonsmokers.

Mesothelioma = asbestos + smoking

does not tell the whole story, and another term, called an “interaction term,” is needed:

Mesothelioma = asbestos + smoking +asbestos*smoking

Interaction must be addressed early in forming a model, because the model must contain all single variables that are found in significant interaction terms to be “hierarchically well structured.” One school of thought in modeling strategy suggests that all pertinent interaction terms be evaluated before eliminating any individual variables.


What Kinds of Epidemiologic Data Sets Are Suitable for Logistic Regression?

What Kinds of Epidemiologic Data Sets Are Particularly Suitable for Logistic Regression? Not Suitable?

Logistic regression can be applied to case-control, follow-up, and cross-sectional data. All types of variables (categorical and continuous) can be included in a logistic regression model, although categorical (coded) variables make results easier to interpret. The outcome variable must be dichotomous. Categorical data must be coded in "0/1", "0" being the class with the least exposure (Epi Info takes care of this for YES/NO variables).


Dibley MJ, Goldsby JB, Staehling NW, Trowbridge FL. Development of normalized curves for the international growth reference: historical and technical considerations. Am J Clin Nutr 1987;46:736-48.

De Onis M, Yip R, Mei Z. The development of MUAC-for-age reference data recommended by a WHO expert committee. Bull WHO 1997;75:11-18.

Mei Z, Grummer-Strawn LM, de Onis M, Yip R. The development of a MUAC-for-height reference, including a comparison to other nutritional status screening indicators. Bull WHO 1997;75:333-342

Kuczmarski RJ, Ogden, CL, Grummer-Strawn, LM et al. CDC growth charts: United States. Advance data from vital and health statistics; no. 314. Hyattsville, Maryland: National Center for Health Statistics. 2000.

NutStat Overview

NutStat is a program for recording and evaluating measurements of length, stature, weight, head circumference and arm circumference for children and adolescents. It can be run as a standalone program or linked to an Epi Info questionnaire view.

The program calculates percentiles, number of standard deviations from the mean (z-scores), and in some cases, percent of median, using the following references:

  • The sex specific 1978 CDC/WHO normalized version of the 1977 NCHS reference curves for height-for-age, weight-for-age, and weight-for-height. (Reference)

  • WHO reference data for arm circumference-for-age (Reference) and arm circumference-for-height. (Reference)

  • The sex specific 2000 CDC reference curves for head circumference-for-age, length-for-age, weight-for-length, weight-for-age, stature-for-age, weight-for-stature, and body mass index (BMI)-for-age. (Reference)

The main screen of NutStat is configurable to use either English or Metric units and to perform calculations with the desired reference data set. Measurements entered on the screen are automatically stored in a Microsoft Access database and can be retrieved by patient name or identification number. Data from one person or from the entire population can be displayed graphically in several formats. NutStat databases can be read by The Epi Info Analysis program where summary tables, lists, frequencies, graphs, and complex data manipulations can be performed.

Existing data in Microsoft Access files can be imported to produce a standard NutStat database with selected anthropometric statistics. An Add Statistics feature adds the results of calculations to external Microsoft Access data files that are not necessarily in the NutStat format.

The following links describe some of the functionality provided by NutStat:

NutStat Functions

NutStat Program Screen Overview

Anthropometric measurements and calculating BMI

Calculated Age

External Data Features of NutStat

Flags to identify potential errors

Generating Reports

Importing Non-Access Files Using the Epi Info Analysis Program

Interpretation and Uses of Anthropometry

Printing From NutStat

Variable Names Generated by Epi Info Anthropometric Programs

What the NutStat Program Calculates

Calculating HA, WA and WH


Display

The tab labeled Display contains the names of nearly all of the fields on NutStat’s main screen. A field can be added or removed from the main screen simply by checking or un-checking the check box next to the field name. The reference that is used to calculate the statistics can also be changed on this tab. If the reference is changed, the program offers to update all of the existing records with statistics calculated with the newly selected reference. WHO/CDC 1978 and CDC 2000 statistics are stored in separate fields in the data table so that statistics calculated with one reference will not replace statistics calculated with the other reference.


Graph

The tab labeled GRAPH allows the user to select which graph will be produced when the GRAPH button is clicked on the main screen. If a graph is dependent on data from a field that is not being displayed on the main screen, the graph will not be included in the list.


Units

The tab labeled UNITS allows the user to switch between Metric, English, and User Customized units for the data entry fields. This tab also allows the user to select the format for the date fields and whether the age should be entered in months or years and months.


Data Reporter Overview

The Data Reporter Screen allows customizing of the current report being generated.

To display the Data Reporter screen:

After entering the template location and the filter to be used in the Report Generator - Source dialog box, click the OK button. The Data Reporter screen will be displayed.

To navigate through Data Reporter:

Use the Data Reporter menu bar to access the resources needed to generate your reports. The options available in the Data Reporter menu are:

  • File

  • View

  • Options

  • Help


File

Menu Item | Description
Open | This option is not available.
Save | Saves any changes to report to the template file.
Save As | Saves the settings for the currently opened report to a new template file.
Printer Setup | Printer Setup allows the user to choose the print options (i.e., printer location).
Page Setup | Page Setup allows the user to choose the way the page will print out (i.e., page orientation: landscape or portrait).
Print | Print will produce a paper copy of the current view and send it to the selected print device.
Exit | Exit will allow the user to leave the Data Reporter Utility.


Help

Menu Item | Description
Help Topics | This directs you to the Epi Info Help file for more information on using Data Reporter.
About Data Reporter | This provides general information on the Data Reporter software.


Options

Menu Item | Description
Fit Report to Page | This option resizes the view of the report.
Save Current Style as Default | This option saves the current changes as your default settings for report generation style.


View

Menu Item | Description
Designer | Select this view option to display the report in the designer view.
Print Preview | Select this view option to display the report the way it will be printed.
Toolbar | Select this view option to display the Data Reporter tool bar.
Layout Window | Select this option to view the layout dialog box to change/update the look of the generated report.
Global Settings | Select this option to view the global settings dialog box which allows the user to update and change the font, header and footer, font size, etc. of the generated reports.


Data Reporter Screen Overview

Data Reporter Menu Bar

Click on button bar to display corresponding button help!

Data Reporter Design Screen

In the Data Reporter Design screen, the user can double click on the screen to display the Data Reporter Properties dialog box. The user can then format the look of the report to be printed.

Data Reporter Preview Screen

In the Data Reporter Preview screen, the user can view the report the way it will be printed.


Define Default Format

Define Default Format saves the current changes as your default settings for report generation style.


Fit to Page

The Fit to Page button is used to resize the view of the report.


Layout Window

The Layout Window toolbar button pops-up a window that lists all of the fields in the data source. The fields can be added and grouped in the report simply by dragging and dropping them into the appropriate list.


Print

Print will send the current report to the selected print device.


Properties

The Properties (Settings Box) toolbar button pops up a window for setting several formatting properties.

Available settings are:

Text: The Text property tab allows the user to format the title, header, footer, and text alignment in the report.

Fields: The Fields property tab allows the user to format the individual fields that are used in generating the report.

Styles: The Styles property tab allows the user to format all the header, font, background color, border color, spacing and border styles for the generated reports.

General: The General property tab allows the formatting of the subtotal position, page/printer settings and line break/page break settings.


Save

Saves any changes to report to the template file.


Dibley MJ, Goldsby JB, Staehling NW, Trowbridge FL. Development of normalized curves for the international growth reference: historical and technical considerations. Am J Clin Nutr 1987;46:736-48.

WHO working group. Use and interpretation of anthropometric indicators of nutritional status. Bull WHO 1986;64:929-41.

1978 CDC/WHO Growth Reference Curves

The anthropometric calculations using the 1978 CDC/WHO growth reference curves are a normalized version of the 1977 National Center for Health Statistics (NCHS) growth reference curves developed using data from the Fels Research Institute and US Health Examination Surveys. (Reference) These normalized growth curves are recommended by the World Health Organization (WHO) for international use. (Reference)


Kuczmarski RJ, Ogden, CL, Grummer-Strawn, LM et al. CDC growth charts: United States. Advance data from vital and health statistics; no. 314. Hyattsville, Maryland: National Center for Health Statistics. 2000.

2000 CDC Growth Reference Curves

The 2000 CDC growth charts are intended to replace the 1977 NCHS growth charts (Reference) for the United States. They consist of sex specific charts for infants, birth to age 36 months (length-for-age, weight-for-length, weight-for-age, and head circumference-for-age) and older children, 2 to 20 years (stature-for-age, weight-for-age and BMI-for-age). Additionally, sex specific weight-for-stature charts are included for children 77 to 121 centimeters in stature.

The 2000 CDC charts are based primarily on US National Health Examination (NHES) and National Health and Nutrition Examination surveys (NHANES) data. Supplemental data include the US National distribution of birth weights, birth lengths and weight-for-lengths from the states of Wisconsin and Missouri, head circumference at birth from the Fels Research Institute, and length data from a select subset of the CDC Pediatric Nutrition Surveillance System (PedNSS) for 0.5 to 4.5 months of age. Two substantial exclusions were made. First, all weight data from NHANES III for children 6 years and above were excluded from the weight-for-age, weight-for-stature and BMI-for-age charts. Second, all very low birth weight infants (<1500 grams) were excluded from the infant charts.

For more information about the 2000 CDC growth charts see:

http://www.cdc.gov/growthcharts


Calculating HA and WA

HA and WA indices can be calculated for individuals from birth up to 18 years of age. WH indices are calculated for males to 138 months (11.5 years) of age and less than 145 cm (57 inches) and for females to 120 months (10 years) of age and less than 137 cm (53 inches). WH cannot be calculated for children less than 49 cm (19.3 inches). For children less than 2 years of age, recumbent (i.e., lying down) length measurements are assumed; for children 2 years of age and older, height refers to standing height.

No anthropometric indices are calculated if sex is unknown or miscoded because there are separate growth reference curves for males and females. If weight is unknown, only HA will be calculated; if height is unknown, only WA will be calculated; and if age is unknown, only WH will be calculated. When age is unknown, children shorter than 85 centimeters are assumed to be less than 2 years of age; otherwise, WH is calculated with the assumption that the child is 2 years of age or older.


Edit Menu

Menu Item | Description
Cut | Cut will remove the selected text and place it in the clipboard.
Copy | Copy will place the selected text in the clipboard.
Paste | Paste will insert the copied or cut text into the selected field.
Find | Find provides methods of searching for records based on a number of search criteria.


File Menu

Menu Item | Description
New Table | New will create a new table in NutStat.
Open Table | Open allows the user to access a previously created table in NutStat.
External Data | NutStat has two features that deal with external data - ADD STATISTICS and IMPORT. The purpose of the Add Statistics feature is to add statistical data to an existing table. The purpose of the Import feature is to import data from an existing table into a new table that has the data structure that is required by NutStat. The table can be an Epi Info table or a table from Microsoft Access.
Save Record | Save Record will save the changes made to the record.
Print | Print will send the records associated with the currently loaded ID to the selected print device.
Print Preview | Print Preview allows the user to view the data before it is printed.
Exit | Exit will allow the user to leave the NutStat program.


Tools Menu

Menu Item | Description
Generate Report | Generate Report allows the user to generate and display the desired report in the Data Reporter.
Graph | Graph produces a graph from the supplied data.
Options | This option displays the NutStat Customization Screen.


View Menu

Menu Item | Description
Grid | Allows the user to view the data information in table (grid) format.
Refresh | Allows the user to refresh the screen layout.


NutStat Program Screen Overview

Click on graphic region to display the corresponding help!

The main screen for NutStat is divided into three general sections, separated by frames. The outer frame contains the ID level data, corresponding to the records for a single person. Clicking the navigation buttons at this level will navigate through the IDs (persons) in the table.

DATE OF MEASUREMENT

The Date of Measurement frame displays the data associated with a set of measurements on a single date. A person can have many measurements on different dates. The navigation buttons in this frame will navigate to the other measurements for the current ID.

RESULTS

This frame contained in the DATE OF MEASUREMENT frame contains the calculated statistics for the current measurements. The statistics are calculated upon exit from the relevant data fields.

GRAPH

This button and the TOOLS:GRAPH menu item will display a graph when clicked. The format of the graph is determined by the selections made in the GRAPH tab of the Customize screen found under TOOLS:OPTIONS. The graph options can also be displayed upon clicking the GRAPH button if that option has been selected in the Customize screen.

GRID

This button and the VIEW:GRID menu item will display all of the measurements for a single person in grid format. The values can be viewed but not edited in the grid. Double clicking on a record in the grid will close the Grid screen and load the record into the Main screen.

FIND

This button and the EDIT:FIND menu item provide methods of searching for records based on ID Number, First Name, Last Name, Birth Date, Measurement Date or any combination thereof. The results of a search are displayed in a grid. Double clicking on a record in the grid will close the Find screen and load the record into the Main screen. The ID Number, First Name and Last Name fields will accept the following wild card characters:

* | Matches any number of characters
! | Matches any single character
# | Matches any single digit
[] | Matches and single character within the brackets
[!] | Matches any character not within the brackets
[-] | Matches any one of a range of characters

DELETE

This button will delete the current measurement date and data. If the measurement date is the only one associated with the current ID Number, the ID Number and data will be deleted as well.

The records are actually deleted from the table and not just marked for deletion, as in other Epi Info programs.


Date of Measurement

The Date of Measurement frame displays the data associated with a set of measurements on a single date. A person can have many measurements on different dates. The navigation buttons in this frame will navigate to the other measurements for the current ID.


Delete

The Delete button is disabled as a default. To have the Delete button visible in the main NutStat window, perform the following steps: Click on the Tools Menu on the NutStat main menu, then select Options, then Display. The Display tab will be displayed. Check the Enable Delete check box.

The Delete button [image] will delete the current measurement date and data. If the measurement date is the only one associated with the current ID Number, the ID Number and data will be deleted as well.

The records are actually deleted from the table and not just marked for deletion, as in other Epi Info programs.


Find

The FIND button [image] provides methods of searching for records based on the following combinations of search criteria:

ID & Name Tab

  • ID Number

  • First Name

  • Last Name

The ID Number, First Name and Last Name fields will accept the following wild card characters:

* | Matches any number of characters
! | Matches any single character
# | Matches any single digit
[] | Matches and single character within the brackets
[!] | Matches any character not within the brackets
[-] | Matches any one of a range of characters

Date Tab

  • Birth Date

  • Measurement Date

The results of a search are displayed in a grid in the lower portion of the Find dialog . Double clicking on a record in the grid will close the Find screen and load the record into the main NutStat screen.

If criteria is entered in both tabs, both criteria are used in the search.


Graph

The Graph tab allows the user to select which graph will be produced. If a graph is dependent on a data from a field that is not being displayed on the main screen, the graph will not be included in the list.

Menu Item

Description

Graph Type

This is the list of available graphs. The list is dependent on the fields that are displayed on the main window. For example, if “Weight for Age” is not displayed on the main window, then the “Wt for Age” graphs will not be in the Graph Type list.

ID Numbers to Graph

Determines what data should be graphed.

  • Current ID No.: Graphs all the records for the ID currently loaded in the main window.

  • All Males: Graphs all the records that have Male selected as the sex.

  • All Females: Graphs all the records that have Female selected as the sex.

Graph Units

Determines whether the graph should display English or Metric measurement values.

Show Before Graphing

Determines whether this window will be displayed when clicking the Graph button on menu item on the main window. If this checkbox is not checked, this window will not be displayed and the graph will be created using the current settings.

OK

This is a standard dialog box button. It accepts the current settings and data, and then closes the form or window.

Cancel

Cancels any changes made to the form and closes the form without creating a graph.

Set Defaults

Help

This button will take the user to the Help file associated with the Epi Info program.


Grid

The Grid button [image] will display all of the measurements for a single person in grid format for the current ID.

The values can be viewed but not edited in the grid. Double clicking on a record in the grid will close the Grid screen and load the record into the Main screen.


ID Number

The ID level data corresponds to the records for a single person. Clicking the following described navigation buttons at this level will navigate through the IDs (persons) in the table or a new record can be created.


Results

The Results frame, which is contained in the Date of Measurement frame, contains the calculated statistics for the current measurements. The statistics are calculated upon exit from the relevant data fields.


NutStat Functions

NutStat can be run from within an Epi Info questionnaire view as though it is a related table. NutStat can also be accessed on a questionnaire by creating a button.

To set up the relationship and the button, right click on the screen of a questionnaire in MakeView, enter a name for the button to be created (“Growth,” for example), and then click on the button labeled CREATE RELATED VIEW. In the next dialog, selection criteria can be entered so that the button is active only under certain conditions, or it can be made active at all times. A reasonable condition might be that an AGE field contain a value between 0 and 20 years, since the calculations in NutStat are limited to this age group.


What the Nutstat Program Calculates

The NUSTAT program uses the following input data to calculate anthropometric indices.

SEX | Coded as 1/M/m for males, 2/F/f for females
AGE (in months or years) or BIRTH DATE and DATE OF MEASUREMENT |
WEIGHT |
HEIGHT | If using the CDC/WHO 1978 reference, recumbent length is assumed from birth to age 24 months and standing height 24 months and older; if using the 2000 CDC reference, recumbent length can be used from birth to age 36 months and standing height from age 2 to 20 years. For the overlap period of 24 to 36 months the user must indicate if the measurements are recumbent length or standing height.
HEAD CIRCUMFEREN |
MID UPPER ARM CIRCUMFERENCE (MUAC) |

Either English or metric units may be used.

The program performs calculations and returns the following values:

 | Percentiles | Z-scores | Percent of Median*
Height-for-Age | HAP | HAZ | HAM
Weight-for-Height | WHP | WHZ | WHM
Weight-for-Age | WAP | WAZ | WAM
BMI-for-Age** | BMIP | BMIZ | --
Head circumference-for-Age** | HCP | HCZ | --
MUAC-for-age | -- | MUACAZ | --
MUAC-for-height | -- | MUACAZ | --

*If using the CDC/WHO 1978 reference

**If using the CDC 2000 reference

Each of the variables created has a prefix (CDC or WHO) indicating which reference was used.


Variable Names Generated by Epi Info Anthropometric Programs

Anthropometric Variables | EPI 6 VARIABLE NAMES | Epi Info 2000 v1.1.2 and later WHO 1977 VARIABLE NAMES | Older Epi Info 2000 Versions Prior to 1.1.2 NCHS/CDC 2000 (Variable Names for Reference Only) | Epi Info 2000 v 1.1.2 and later CDC 2000 VARIABLE NAMES
Height-for-Age Centile | HAP | fldWHOHAC | fldNCHSHAC | fldCDCHAC
Stature-for-Age Centile |  |  |  | fldCDCSAC
Height-for-Age Z-Score | HAZ | fldWHOHAZ | fldNCHSHAZ | fldCDCHAZ
Stature-for-Age Z-Score |  |  |  | fldCDCSAZ
Height-for-Age Percent of Median | HAM | fldWHOHAPM |  |
Weight-for-Age Centile | WAP | fldWHOWAC | fldNCHSWAC | fldCDCWAC
Weight-for-Age Z-Score | WAZ | fldWHOWAZ | fldNCHSWAZ | fldCDCWAZ
Weight-for-Age Percent of Median | WAM | fldWHOWAPM |  |
Weight-for-Height Centile | WHP | fldWHOWHC | fldNCHSWHC | fldCDCWHC
Weight-for-Stature Centile |  |  |  | fldCDCWSC
Weight-for-Height Z-Score | WHZ | fldWHOWHZ | fldNCHSWHZ | fldCDCWHZ
Weight-for-Stature Centile |  |  |  | fldCDCWSZ
Weight-for-Height Percent of Median | WHM | fldWHOWHPM |  |
Record Flag for extreme of Missing Information | FLAG | fldCDCFLAG | fldNCHSFLAG | fldWHOFlag
Head Circumference-for-Age Percentile |  |  | fldHCircumC | fldHCircumC
Head Circumference-for-Age Z-Score |  |  | fldHCircumZ | fldHCircumZ
Body Mass Index-for-Age |  | fldBMI | fldBMI | fldBMI
Body Mass Index-for-Age Percentile |  | fldBMIC | fldBMIC | fldBMIC
Body Mass Index-for-Age Z-Score |  | fldBMIZ | fldBMIZ | fldBMIZ


Generating Reports

To generate a report in NutStat:

  1. Under the Tools menu select Generate Report. The Report Generator - Source dialog box will be displayed.

  2. This screen has two text boxes that capture the template path name and the report filter.

  3. The template path name can be entered directly into the text box or located by clicking the Browse [image] button.

  4. Click OK to generate the report.

  5. The Data Reporter screen will be displayed.

To change the Data Source:

  1. On the Report Generator - Source dialog box, click the Change [image] button. The Data Source dialog box will be displayed.

  2. This screen is similar to the Find screen. The data source can be selected based on ID or Date.

  3. The Test [image] button will display the records in the data source in a grid.

  4. Click OK to refresh the Report Generator - Source dialog box with the new data source.

  5. Click OK to close the Report Generator - Source dialog box. The Data Reporter will be displayed.


Printing From Nutstat

NutStat stores printing formats in template files. The FILE:PRINT menu item will use the last selected template to produce the printout. Printed output can be previewed by selecting FILE:PRINT PREVIEW. The Print Preview screen will display the data associated with the current ID Number.

The Print Setup screen is accessed by way of the CUSTOMIZE button on the Print Preview screen. The Print Setup Customize screen consists of three sections separated by tabs.

The General tab enables the customization of the information contained in the beginning and end of the document. Text entered in the HEADER text area will be displayed in the top left corner of the first page of the document. The PATIENT INFORMATION list box will display all of the checked items directly below the Header information. An image can be added by entering the path name of a Bitmap, Icon, or Windows Metafile image in the IMAGE FILE text box. The image will be displayed in the upper right corner of the first page of the document. The size of the image can be adjusted by changing the value in the IMAGE SIZE combo box. A Text or Rich Text file with additional information can be appended to the document by entering the path name of the file ADDITIONAL INFORMATION FILE.

The Graphs tab allows the addition of graphs to the document. Checking the check box next to a graph will cause it to be inserted into the document. A title or description can be added to a graph by selecting it in the list and adding the title and/or description in the GRAPH TITLE and GRAPH DESCRIPTION text boxes respectively.

The Table tab allows the addition of a table. Fields are added to the table by moving the field name from the AVAILABLE FIELDS list to the SELECTED FIELDS list. The text entered in the TABLE TITLE field will be added as the title for the table.

The graphs and tables available for selection are dependent on which fields are being displayed on the main screen.

Ex. If Height is not being displayed, the Weight for Height graph type will not be available.

The SAVE and SAVE AS buttons on the bottom of the screen are used to save the current settings on the screen in a template file. The OPEN button is used to open a previously saved template. Clicking the OK button will save the current settings on the screen to the default template, refresh the Print Preview screen with the new settings and close the Print Setup screen. Since the OK button always saves the settings to the default template, it is only necessary to use the Save and Save As buttons if multiple templates are desired. Clicking the Cancel button in the Print Setup screen will close the screen without refreshing the Print Preview screen or saving the changes to the default template.


Anthropometric measurements and calculating BMI

There are several sources of information concerning anthropometric measurements and calculations.

http://www.cdc.gov/nccdphp/dnpa/bmi/meas-height.htm

http://www.cdc.gov/nccdphp/dnpa/bmi/meas-weight.htm

Calculation of BMI is discussed at the following site:

http://www.cdc.gov/nccdphp/dnpa/bmi/bmi-for-age.htm


Interpretation and Uses of Anthropometry

WHO working group. Use and interpretation of anthropometric indicators of nutritional status. Bull WHO 1986;64:929-41.

Gorstein J, Sullivan K, Yip R, de Onis M, Trowbridge F, Fajans P, Clugston G. Issues in the assessment of nutrition status using anthropometry. Bull WHO 1994;72(2):273-83.

Dibley MJ, Staehling N, Nieburg P, Trowbridge FL. Interpretation of Z-score anthropometric indicators derived from the international growth reference. Am J Clin Nutr 1987;46:749-62.

WHO working group. Use and interpretation of anthropometric indicators of nutritional status. Bull WHO 1986;64:929-41.

WHO working group. Use and interpretation of anthropometric indicators of nutritional status. Bull WHO 1986;64:929-41.

Gorstein J, Sullivan K, Yip R, de Onis M, Trowbridge F, Fajans P, Clugston G. Issues in the assessment of nutrition status using anthropometry. Bull WHO 1994;72(2):273-83.

For additional information on the use and interpretation of anthropometry, please refer to the articles by: WHO Working Group on the Purpose, Use, and Interpretation of Anthropometric Indicators of Nutritional Status,5 Gorstein et al., 5 Dibley et al.;7 Waterlow et al., and Beaton et al. To obtain additional information on anthropometric software containing the 1978 CDC/WHO references, please contact one of the following:

Division of Nutrition and Physical Activity

Center for Chronic Disease Prevention and Health Promotion

Centers for Disease Control and Prevention

4770 Buford HWY, NE MS K25

Atlanta, GA 30341-3717 U.S.A.

http://www.cdc.gov/nccdphp/dnpa/products.htm

or

Nutrition Unit

World Health Organization

1211 Geneva 27

Switzerland

http://www.who.int/nutgrowthdb/anthro.htm

Waterlow JC, Buzina R, Keller W, Land JM, Nichaman MZ, Tanner JM. The presentation and use of height and weight data for comparing the nutritional status of groups of children under the age of 10 years. Bull WHO 1977;55:489-98.

Beaton G, Kelly A, Kevany J, Martorell R, Mason J. Appropriate uses of anthropometric indices in children: a report based on an ACC/SCN workshop. ACC/SCN Nutrition Policy Discussion Paper no. 7, 1990.

Interpretation and Uses of Anthropometry

To calculate anthropometric indices, information is needed on each individual's sex, age, weight, height, head circumference, and/or arm circumference. From these data it is possible to form different indices, including those that relate to height-for-age (HA), weight-for-age (WA), weight-for-height (WH), head circumference-for-age (HCA), body mass index-for-age (BMIA), mid upper arm circumference-for-age (MUACA) and mid upper arm circumference-for-height (MUACH). These indices can be expressed in terms of Z-scores, percentiles, and percent of median relative to the selected reference population.

Anthropometry can be used to assess nutritional status at both the individual and the population level. Ideally, individuals should have several anthropometric measurements over time. A decline in an individual's anthropometric index from one point in time to another could be an indication of illness and/or nutritional deficiency that may result in serious health outcomes. In some situations, a single set of measurements may be used for screening populations or individuals to identify abnormal nutritional status and priority for treatment.

At the population level, the prevalence of low or high anthropometric indices can be assessed by determining the proportion of the population that falls below a cutoff value in a reference population. In addition, the mean or median anthropometric value of a population can be compared with the reference value to assess the status of the study population relative to the reference population.

The preferred anthropometric indices for determining nutritional status are weight-for-height, height-for-age and BMI-for-age, as these discriminate between different physiological and biological processes. (References) Low weight-for-height or BMI-for-age is considered an indicator of acute under-nutrition (thinness or wasting) and is generally associated with failure to gain weight or a loss of weight. Low height-for-age is considered an indicator of chronic under-nutrition (shortness or stunting), which is frequently associated with poor overall economic conditions and/or repeated exposure to adverse conditions. BMI-for-age is also used to assess overweight and at risk for overweight. Weight-for-age is primarily a composite of weight-for-height and height-for-age, and fails to distinguish tall, thin children from short, well-proportioned children.

The distribution of the indices can be expressed in terms of Z-scores, (Reference) percentiles, and percent of median. Z-scores, also referred to as standard deviation (SD) units, are frequently used. The Z-score in the reference population has a normal distribution with a mean of zero and standard deviation of 1. For example, if a study population has a mean WHZ of 0, this would indicate that it has the same median WH as the reference population. The Z-score cutoff point recommended by WHO, CDC, and others to classify low anthropometric levels is 2 SD units below the reference median for the three indices. The proportion of the population that falls below a Z-score of -2 is generally compared with the reference population in which 2.3% fall below this cutoff. The cutoff for very low anthropometric levels is usually more than 3 SD units below the median.

Percentiles, or "centiles," range from zero to 100, with the 50th percentile representing the median of the reference population. Cutoff points for low anthropometric results are generally <10th percentile, < 5th percentile or < 3rd percentile. In the reference population, 5% of the population falls below the 5th percentile; this can be compared with the proportion that falls below this cutoff point in the study population. Cutoff points for risk of overweight and overweight are >=85th to <95th percentiles and >=95th percentile of BMI-for-age. In the reference population, 10% and 5% of the population fall within or above these cutoff points, respectively.

The calculation of the percent of median does not take into account the distribution of the reference population around the median. Therefore, interpretation of the percent of median is not consistent across age and height levels or across the different anthropometric indices. (Reference)

Traditionally, in the United States and some other countries, percentiles are more commonly used. In other parts of the world, either Z-scores or percent of median are more frequently used. WHO favors the use of z-scores. (Reference)

Z-scores and percentiles are directly related. Both rely on the fitted distributions of the indices across age and height values and are consistent in their interpretation across anthropometric indices. Z-scores are useful because they have the statistical property of being normally distributed, thus allowing a meaningful average and standard deviation for a population to be calculated. Percentiles are useful because they are easy to interpret (e.g., in the reference population 3% of the population falls below the 3rd percentile).

Other Anthropometric Software and Sources of Information


Calculated Age

When possible, it is always preferable to have age calculated from the birth date and the date of the measurement(s). The reference curves are based on "biologic" age rather than calendar age. Biologic age in months divides the year into 12 equal segments as opposed to calendar age in which months have from 28 to 31 days. Although this makes little difference in older children, it can have an effect on the anthropometric calculations for infants. To calculate biologic age, the program calculates the number of days between the two dates. The age in days is divided by 365.25 and then multiplied by 12. Entering age by rounding to the nearest month and/or the most recently attained month can have a substantial effect on the anthropometric calculations, especially for infants. (Reference)


External Data Features of Nutstat

Nutstat has two features that deal with external data:

  • Add Statistics

  • Import

The purpose of the Add Statistics feature is to add statistical data to an existing table. The purpose of the Import feature is to import data from an existing table into a new table that has the data structure that is required by Nutstat. The table can be an Epi Info table or a table from Microsoft Access.

To access Add Statistics or Import:

  1. Under the File Menu, select External Data then choose either Add Statistics or Import.

  2. The first two screens to be displayed after selecting either feature will capture the database and table name for the table to be imported or added to.

  3. The third screen that is displayed will capture all of the information needed to process the incoming table. For Add Statistics, the Add Anthropometric Statistics screen will be display for Import, the Import Table Screen will be displayed.

The frame labeled SELECT THE REFERENCE TO USE is common to both Import and Add Statistics. It is used to select the reference (2000 CDC or 1978 CDC/WHO) to use when processing the data in the table.

The frame with the label SELECT THE FIELDS TO USE is common to both Add Statistics and Import. It is used to link the fields in the table with the type of data they contain. The list box labeled INPUT FIELD contains all the fields in the source table. The list box labeled FIELD TYPE contains all the field types that the process can use. To link a field to a field type, select the field and field type in the list boxes and click the link button. For some field types, a Units dialog box may pop up to capture the unit of measurement that the data in the field is in. After the unit is selected (if necessary) the field, field type and unit of measurement will be added to the Linked Fields grid. Before linking any fields, a reference must be selected.

The only field type that is required is the SEX field (marked by asterisks) when importing. None of the other field types are required, but, if a statistic is dependent on a field that is not linked, it cannot be calculated.

With “sex” you must indicate whether its “1/2” or “M/F” (1 should be male) If “sex” is not identified as one of these two, you must convert the field or “sex” won’t be recognized.

When linking the height field, a dialog box will appear prompting for the measurement type. Select the method that was used to measure the subject. The options are Stature (subject was standing), Length (recumbent) or Stature and Length. Stature and Length should be selected if the field contains both Stature and Length measurements. If the source table has both a Stature field and a Length field then the Add Statistics process must be run twice to add statistics for both measurements. If the Add Statistics is run twice, once for length and then again using the file with the length calculations generated in the first run, the final output file will contain calculations for both length and stature.

The frame labeled SELECT THE STATISTICS TO ADD is unique to the Add Statistics feature. It contains check boxes that indicate whether a statistic should be added to the table. The check boxes are only enabled if the required field types for the statistics have been linked. Hovering the mouse pointer above a check box will display a tool tip that lists the field types required for the respective statistic.

The OUTPUT DATABASE and OUTPUT TABLE text boxes are unique to the Import feature. They capture the path and name of the database and the name of the table that the data will be imported into. If the database or table does not exist, it will be created when Import is preformed.

The Process button [image] is common to both Import and Add Statistics. Clicking this button starts the processing of the data. A dialog box with a progress bar will display after clicking the process button to indicate the progress of the process.


Importing Non-Access Files Using the Epi Info Analysis Program

Because EpiInfo or Nutstat files are Microsoft Access files they have an MDB extension. To create an MDB file, an external file must be saved as an MDB file within an external Microsoft program (e.g. Excel) or converted to an MDB file in Epi Info’s Analysis program. To convert an external file within Analysis, click ANALYZE DATA in the main EpiInfo 2000 menu. This will bring up a screen with three sections: the command section on the left, the browser box on top, and the program editor at the bottom.

To import an external file (e.g., Excel or dBase file) click on READ under Analysis and click on DATA FORMAT to choose the database format you want to convert.

After locating and opening the file you are converting you may need to indicate whether the first row in your file contains column titles. The browser will then show the number of records in the file and the program editor will show the command you have just implemented.

You can view the file by double clicking on LIST in the Analysis commands tree. This will bring up a LIST box. In the “Display Mode” section, click GRID and then OK. This should bring up the file in the browser so you can view the entire contents. The program editor will show this command as LIST*GRIDTABLE.

To complete the conversion, return to the analysis commands and click on WRITE.

A dialog box containing the variable names will display. On the right side of the box is the output mode. You can either Append or Replace. When converting a data file Replace is usually used.

As you move down the right side, the format you want is Epi Info, which should be in the output format box. Next, you need to name the new file and place it in a folder. Because the file saved is an MDB file you will then go to the “Table” box under the output mode. It is necessary to also name an individual table because an MDB file may contain many tables.

Return to the Analysis screen. In the program editor you will find the write command as the bottom line. It should look something like:

WRITE REPLACE “EPI INFO” ‘FILE NAME; TABLE NAME’

This is the verification that an MDB file has been saved. Next, click on the close box in the corner to close analysis. You can now ADD STATISTICS or IMPORT in Nutstat. You can save the Analysis program using the save button in the program editor. The program can then be used to import files with the same names.


Flags to identify potential errors

Currently, no flags are created when using the CDC 2000 reference, however, in a future release of Epi Info flags will be added. Flags are currently created when using the 1978 CDC/WHO reference. These flags are described below in table 2.

In addition to the percentile, z-score and percent of median values calculated in NutStat, if the 1978 WHO/CDC reference is selected, a record FLAG, coded 0 to 7, is created.

For the Z-scores, a code of 9.99 means that the index could not be calculated because of missing data or data values out of the appropriate range. An example of the latter would be an age of 18 years or older if using the WHO reference or 20 years or older if using the CDC reference. A code of 9.98 for Z-scores denotes that the Z-score was greater than or equal to 9.98 and most likely indicates an error in measurement. For percentiles and percent of median, a similar coding scheme is used (99.9 and 99.8 for percentiles and 999.9 and 999.8 for percent of median, respectively).

The record FLAG field, is used to identify records where there are missing data points or a strong likelihood that some of the data items are incorrect (based on extreme Z-scores). The criteria for "flagging" an anthropometric index are as follows:

Index | Minimum | Maximum
HAZ | -6.00 | +6.00
WHZ | -4.00 | +6.00
WAZ | -6.00 | +6.00

Two additional criteria for "flagging" a record are combinations of data items:

(HAZ > 3.09 and WHZ < -3.09) or (HAZ < -3.09 and WHZ > 3.09)

It is recommended that all "flagged" records be verified for accuracy. Common errors include incorrect data entry, incorrect age/dates, weight or height measurements entered incorrectly or in the wrong units, and missing/blank data. When anthropometric data are being analyzed in the Epi Info Analysis program or elsewhere, it is recommended that certain indices be set to missing (and therefore excluded from analyses) based on the coding in the FLAG field (Table 2). Note that when a Z-score is flagged, the corresponding percentiles and percent-of-median values are also flagged.

Table 2: Record flag coding scheme

Flag Code | Index Flagged |  |  |  | Notes
 | HAZ | WHZ |  | WAZ
0 |  |  |  |  | No indices flagged
1 | Y |  |  |  | Only HAZ flagged
2 |  | Y |  |  | Only WHZ flagged
3 | Y | Y |  |  | Both HAZ and WHZ flagged
4 |  |  | Y |  | Only WAZ flagged
5 | Y |  | Y |  | Both HAZ and WAZ flagged
6 |  | Y | Y |  | Both WHZ and WAZ flagged
7 | Y | Y | Y |  | All three indices flagged

Y=Index flagged, blank means index not flagged.

Interpretation of the flags is as follows:

Flag 0: This means that none of the indices were flagged. However, this does not necessarily mean the information is correct. Either sex, age, weight, or height could be incorrect but not extreme enough to be flagged.

Flag 1: HA is flagged but not WH or WA. This could be an extremely short or tall individual. Assure that the height information entered onto the computer file is correct. If height is incorrect, then WHZ would generally be close to -3.09 or 3.09 (a WHZ value beyond these would produce a flag error number 5). The other alternative is that the age information is incorrect, which would make the WAZ extreme (near -6 or 6).

Flag 2: WH is flagged but HA and WA are not. First, check the age and height of the child and make sure they are within the limits described above. If the child is within the age and height limitations, then either height or weight may be incorrect. If height is incorrect, then HAZ would be expected to be near an extreme value (but not extreme enough to be flagged), and if weight is incorrect, then WAZ would be close to an extreme value (but not extreme enough to be flagged). Finally, this could truly be an extremely thin or obese child.

Flag 3: HA and WH are both flagged but WA is not. This is an indicator that height may be incorrect or missing.

Flag 4: WA is flagged but not HA or WH. If the weight is incorrect, then WHZ would be near an extreme value (but not extreme enough to be flagged), and if age is incorrect, then HAZ is likely to be near an extreme value (but not extreme enough to be flagged).

Flag 5: HA and WA are flagged but not WH. This is an indication that the age information is incorrect, missing, or out of range.

Flag 6: WH and WA are flagged but not HA. This is an indication that weight is likely to be incorrect or missing.

Flag 7: All three indices are flagged. This can occur if sex is unknown or incorrectly coded; or at least two of the following are missing, incorrectly coded, or beyond the limitation of the growth curve: age, weight, or height.


Epi Map Overview

View Main Screen

Epi Map, the mapping component of Epi Info, is built around MapObjects software from ESRI, the makers of ArcView and ArcInfo, popular Geographic Information System (GIS) tools. Epi Map displays shapefiles from these two systems, and thus can use the enormous reservoir of map boundaries and geographic data available on the Internet in ESRI-compatible formats.

Epi Map is designed to show data from Epi Info files by relating data fields to shapefiles containing the geographic boundaries. Shapefiles also can contain data on population or other variables, and can therefore provide numeric data that become part of the display either as numerator or denominator. Numeric data can be displayed either as color/pattern (choropleth) maps or as dot density maps with the dots randomly distributed within geographic regions. (To avoid calling geographic regions “polygons,” we will refer to each named polygon as a “region.”)

Point locations can be plotted automatically from data files containing x and y coordinates in various symbols, colors, and sizes. Shapefiles can contain lines or points to represent streets or point locations, and points can be placed on top of the shapefile layer to represent homes in which cases occurred or other geographic points of interest.

Most of the work in Epi Map is done from the Map Manager, which allows Layers to be constructed with shapefiles and related data variables. Layers can be removed or moved to the front or rear of a series of layers. Many properties affecting colors, shapes, grouping of data, type of display, and other characteristics can be set in the Map Manager. When a map has been completed, it can be saved as a template or .MAP file that can be recalled at a later session or from Analysis to reproduce the original map.

Epi Map can also be run from the command line but requires the complete path to the mapfile (.map) you are trying to open.

The following links describe some of the functionality provided by Epi Map:

Epi Map Menu Features Overview

Epi Map Tool Bar Features Overview

Adding a Map Layer

Adding a Map Layer Partial

Adding Map Data

Adding Map Points

Buffer Layer

Case-Based Mapping

Changing Colors or Patterns

Choosing Boundary Layer

Clearing All Map Layers

Displaying a Map

Displaying Rates

Displaying values from a data file in a map using Analysis

Map Composition

Map Legends

Map Properties

Merging Map Layers

Moving the legend

Preparing a Data File for Use with a Map

Removing a Map Layer


Advanced Labels

VIEW SCREEN

The Adv Labels panel of the Layer Properties form is used to label features with a text string using an ESRI Map Objects label placement renderer. Users must select a Text field from a drop-down menu. A Font may be selected from those available on your system. The font’s attributes may also be modified from the system defaults. These attributes include the font name, style (bold, underline, italic, etc.), size (in points), effects (strikeout or underline) and color. The user may select one of three (3) label placement options: Place on; Place above; or Place below. Label height may be specified in map units by using the Label height slider bar. There are four control options for the following: Draw features enables drawing layer features; Allow duplicates disables elimination of duplicate labels; Mask labels enables using the Mask color to insure labels stand out from the background; and Overlay enables more than one renderer to create high information content map displays. Users may click Apply to preview the result of the symbology choices without dismissing the Layer Properties form, click Cancel to dismiss the Layer Properties form, or click OK to accept the symbology changes and dismiss the Layer Properties form.

To view advanced labels, add layer MXState.shp. Access the Layer Properties form and click on the Adv Labels panel. Select Text field “NAME” and click OK to accept other system defaults and view the labels. Experiment with different fonts and the various placement options to get the best looking labels for this layer.


Choropleth

VIEW SCREEN

The Choropleth panel of the Layer Properties form is used to categorize features into equal ranges or counts (quantiles). The symbol attributes are set by the ESRI Map Objects Class Breaks renderer. Users must specify the layer’s numeric field that will be divided into ranges or counts. Users may specify the number of classes or quantiles. The start and end color ramp values may be specified. Reset Legend must be used if users wish to change from one of the maps’ numeric fields to another. Three control options are available to allow users to Draw outlines (for polygons), to select Quantiles instead of classes, and to Overlay more than one renderer to create high information content map displays. Users may click Apply to preview the result of the symbology choices without dismissing the Layer Properties form, click Cancel to dismiss the Layer Properties form, or click OK to accept the symbology changes and dismiss the Layer Properties form.

To view cholorpleth symbology, add the layer MXState.shp. Add Data by using the database “Sample.mdb”. Choose table “MexMap95”. The Select Relate Fields and Render Field form will be displayed showing two Shape Fields/Geographic Field (“CODE” and “NAME”), one MexMap95 Columns/Geographic Field (“STATE”) and one MexMap95 Columns/Render Field (“PerTeenBirths95”). From the Shape Fields, select “NAME” to join with MexMap95 Columns “STATE” and render the values of the new field “PerTeenBirths95”. Click OK and the display will present four (4) ranges of values using a white to blue color ramp. The lowest class (in this case, the white color) has been reserved for missing or excluded data. So if you really want five (5) equal intervals, then choose 6 on the Choropleth panel.

To change this display from equal intervals to equal number of cases per interval (quantiles), access the Choropleth panel of the Layer Properties form and click the Quantiles option. In the legend preview, it can be seen that each interval contains 8 cases and that the intervals are no longer equal. Click OK to visually verify that there are eight states symbolized with each of the four (4) shades of blue. Again, the lowest class (in this case, the white color) has been reserved for missing or excluded data.

To change the colors of the display, there are two methods. First, users may change the Color Ramp Start and/or End color, click Reset Legend and then either click Apply or OK. With the second method, users may click on the color picture of the specific class to be changed in the legend preview. Each class in turn may be modified to enhance the graphic presentation.

Users may also modify the ranges. Epi Map calculates the class breaks based upon equal intervals. There may be circumstances where users wish to customize the ranges. This is accomplished by clicking inside the Missing (low value) column or Excluded (high value) column of the legend preview. After clicking inside a range box, the user may edit the value and all other affected ranges will be updated accordingly.


Dot Density

VIEW SCREEN

The Dot Density panel of the Layer Properties form is used to randomly place dots inside polygons to represent the value of a numeric field. The location of the dots may not be random as of this writing and has been reported to the vendor. This may give a false impression of geographic significance as to the placement of the dots.

The symbol attributes are set by the ESRI Map Objects dot density renderer after users specify Numeric field, Dot value, Dot size, Dot color and Background color. The Numeric field must be one specific tabular data set associated with the polygons and may be chosen from a drop-down list. The Dot value will be used to divide into the Numeric field’s value to determine the count of dots to be placed inside each area or polygon. The Dot size determines how much area will be covered by each dot and is in pixels. The Dot color sets the color of all dots while the Background color sets the color of the features upon which the dots will be placed. Two control options are available allowing the user to Draw polygons and to Overlay more than one renderer to create high information content map displays. Users may click Apply to preview the result of the symbology choices without dismissing the Layer Properties form, click Cancel to dismiss the Layer Properties form, or click OK to accept the symbology changes and dismiss the Layer Properties form.

To view a dot density rendering, add layer “MXState.shp”. Add data from “Sample.mdb”, using table “MexMap95”, Shape field “NAME”, MexMap95 column “STATE” and MexMap render field “PerTeenBirths95”. Access Layer Properties from the Map Manager and click on the Dot Density panel. Choose “PerTeenBirths95” as the Numeric field and then click OK to accept the other system default values and view the dot density rendering. Change the Dot value to 0.5 and the result should be twice the density of dots while a Dot value of 2.0 would result in half the original dot density. Toggle off the Draw polygons options and the features are not drawn and the Background color is not used.


Single

VIEW SCREEN

The Single panel of the Layer Properties form is used to symbolize every feature in the selected layer using a single symbol. The symbol attributes that users may specify vary depending upon the type of layer.

For point layers, users may change point (marker) color, style and size. The Marker Color determines the color to be used when drawing the features. The Point Style may be set to Circle marker, Square marker, Triangle marker, Cross marker or True Type marker. The Point Size is in number of pixels. If True Type marker is chosen, users must also specify font, character index and rotation. The font may be chosen from a drop-down menu. Available fonts will vary from system to system depending upon what has been installed. The character index may be chosen from a drop-down menu after a font has been selected. The rotation may be changed via a slider to a value between 0 and 360 degrees, inclusive.

For line layers, users may change line color, style and width. The Line Color determines the color to be used when drawing the features. The Line Style may be set to Solid line, Dash line, Dot line, Dash dot line or Dash dot dot line. The Line Width is in number of pixels.

For polygon layers, users may change the Fill Color. This is the color with which the inside of the feature will be filled. Users may change the Outline Color. This determines the color of the outer edge of the features. Users may change the fill Style. The fill Style may be set to Solid fill, Transparent fill, Horizontal fill, Vertical fill, Upward diagonal, Downward diagonal, Cross fill or Diagonal cross fill. Users may change the Outline width. This determines the features’ outline width in number of pixels. Finally, users may change whether or not to draw feature outlines.

To view single symbology, simply add the layer MSState.shp. The states of Mexico will be displayed using the default polygon single symbology.


Standard Labels

VIEW SCREEN

The Std Labels panel of the Layer Properties form is used to label features with a text string using an ESRI Map Objects label renderer. Users must select a Text field, Horizontal alignment (left, center or right) and Vertical alignment (top, center or bottom) from drop-down menus. A Font may be selected from those available on your system. The font’s attributes may also be modified from the system defaults. These attributes include the font name, style (bold, underline, italic, etc.), size (in points), effects (strikeout or underline) and color. The rotation of the text string may be set by the Rotation slider bar between 0 and 359 degrees where 0 degrees is horizontal and left to right, 90 degrees is from top to bottom, 180 degrees is upside down and right to left, 270 degrees is bottom to top and 315 degrees is bottom to top on a 45 degree angle. There are five control options for the following: Draw features enables drawing layer features; Allow duplicates disables elimination of duplicate labels; Splined text enables text string to follow line features (rivers or roads); if Splined text is true, then Flip controls whether splined text will be placed right side up; and, Overlay enables more than one renderer to create high information content map displays. Users may click Apply to preview the result of the symbology choices without dismissing the Layer Properties form, click Cancel to dismiss the Layer Properties form, or click OK to accept the symbology changes and dismiss the Layer Properties form.

To view standard labels, add layer MXState.shp. Access the Layer Properties form and click on the Std Labels panel. Select Text field “NAME” and click OK to accept other system defaults and view the labels. Experiment with different fonts and the various alignment options to get the best looking labels for this layer.


Unique

VIEW SCREEN

The Unique panel of the Layer Properties form is used to symbolize every feature in the selected layer using a unique symbol. The symbol attributes are set by the ESRI Map Objects Value Map Renderer after users specify which field’s value will be used to determine uniqueness. All features having the same value for the specified field will be symbolized identically. Users must first specify a field from the Field drop-down list and then click the Reset legend command button. Two control options are available allowing the user to Draw outlines (for polygon features) and to Overlay more than one renderer to create high information content map displays. Users may click Apply to preview the result of the symbology choices without dismissing the Layer Properties form, click Cancel to dismiss the Layer Properties form, or click OK to accept the symbology changes and dismiss the Layer Properties form.

In order to overlay more than one rendering, the Overlay option must be selected prior to Applying or OK'ing the first rendering. When setting up the second or third, the Overlay option should remain selected. In order to turn off the Overlay option, clear all map layers or apply single symbology.

To view unique symbology, simply add the layer MXState.shp. Access the Layer Properties form by clicking the Properties command button. Click on the Unique panel, choose Field “AREA”, click Reset Legend and then click OK. In that the values of the field “AREA” are all unique, each state of Mexico will be displayed using a different fill color symbolizing the unique values of the field “AREA”. Users’ eyes may not be able to discern the difference between some of the system default unique colors.


Add Line

The Add Line tool, represented by the diagonal line icon, allows users to add a line and assign it a “NAME”. Once clicked, users will move the mouse cursor to the beginning of the line to be created and click. This click will start a tracking function that will follow the users’ clicks lengthening the tracking line to form the desired line feature. This tracking is terminated by double clicking on the last coordinate. Once the line has been defined, users must assign its “NAME”. Its value should be assigned in consideration with data standards or other data associated with the investigation. This process may be continued repeatedly to enter as many lines as required.


Add Point

The Add Point tool, represented by the centered point icon, allows users to add a point and assign it a “NAME”. Once clicked, users will move the mouse cursor to the point’s intended location and click. Once the point has been defined, users must assign its “NAME”. Its value should be assigned in consideration with data standards or other data associated with the investigation. This process may be continued repeatedly to enter as many points as required.


Add Polygon

The Add Polygon tool, represented by the six sided polygon icon, allows users to add a polygon and assign it a “NAME”. Once clicked, users will move the mouse cursor to the beginning of the polygon to be created and click. This click will start a tracking function that will follow the users’ clicks expanding the tracking line to form the desired polygon. This tracking is terminated by double clicking on the last coordinate that will be automatically connected to the first coordinate. Once the polygon boundary has been defined, users must assign its “NAME”. Its value should be assigned in consideration with data standards or other data associated with the investigation. This process may be continued repeatedly to enter as many polygons as required.


Add Vertex to Selected Line or Poly

The Add vertex to selected Line or Poly tool, represented by an icon with a line with a new, red coordinate in the middle, allows users to add a vertex to a selected line or polygon. To add a vertex, users must click within the snapping tolerance of the selected feature. When adding vertices to polygons with shared boundaries, it is necessary to update the coincident boundaries of the neighboring polygons with a as close a point as possible. If the new point of the neighboring polygon is within the snapping tolerance, the coordinate will be adjusted by the snapping routine to be the same as the original added vertex.


Divide Selected Poly with Track Line

The Divide Selected Poly with Track Line tool, represented by an icon with a polygon that has been divided with an “S” line, allows users to divide the currently selected polygon. When a polygon is selected, then the Divide Polygon option will be enabled. Once clicked, users must start by clicking outside the selected polygon, traversing into the polygon, follow a course through the polygon and end by double clicking once again outside the polygon. Double clicking terminates the tracking line. Epi Map will then reorder the coordinates of the two newly divided polygons. One will receive the name of the original polygon. A dialog will be displayed for users to enter a new name for the second newly formed polygon. Which polygon receives which name is somewhat of a mystery. Technically, the resultant polygon that happens to contain the first vertex will receive the original name. The other new polygon will receive the new name. To correct unanticipated naming problems, refer to Rename Feature.


Full Extent

The Full Extent tool, represented by the globe icon, allows users to set the display extent to the full extent of the edit layer.


Pan

The Pan tool, represented by the white hand icon, allows users to roam or pan the area of interest (up, down, left or right) once the display has been zoomed or magnified from the full extent of the edit layer.


Select Point, Line or Polygon

The Select Point, Line or Polygon tool, represented by the upward pointing arrow, allows users to select features. Once features are selected, then other tools and options may be applied. Selected points may be renamed, moved or deleted. Selected lines may be renamed or deleted. Also, a specific vertex within the line may be selected to be moved or deleted, or a vertex may be added to more accurately represent the intended feature. Selected polygons may be renamed or deleted. Also, a specific vertex on the polygon boundary may be selected to be moved or deleted, or a vertex may be added to more accurately represent the intended feature. Also once a polygon is selected, the Divide Polygon function may be used to split the original feature into two parts. Additionally, the Select tool ends any “Add” tool mode.


Snapping Tolerance

The Snapping Tolerance tool, represented by the tracking rectangle icon, allows users to alter the default snapping tolerance to either expand or contract the search distance. With a snapping tolerance too small, no coordinates will be found to be close to any other. With a snapping tolerance too large, every coordinate in the edit layer will be found to be within the tolerance. The implications of too large a tolerance is over generalization, or every coordinate will be replaced by the first one found within the tolerance. In some applications, getting the right magnitude tolerance can be tricky.


Zoom

The Zoom tool, represented by the magnifying glass icon, allows users to zoom in to enlarge an area of interest during editing.


Data

Once a point or polygon layer has been added, then Add Data becomes enabled. Otherwise, Add Data is disabled when there are no layers or when added layers are of type line. When enabled and clicked, the Open Data Project form is presented to allow users to specify which data project to use. Either double clicking on a data project or clicking on a data project and then clicking on the Open command button will select a data project. Once the data project has been selected, a list of data tables within the project will be presented for users to select a table. At this time, users may click Cancel to return to the Map Manager, click Change Database and return to the previous step to select a data project, or select a table by clicking in the list and then clicking OK.

Once a table has been selected, the three part Select Relate Fields and Render Field form will be displayed showing Shape Fields/Geographic Field, TableName Columns/Geographic Field, and TableName Columns/Render Field, where TableName is the selected table name from within the selected data project. From the Shape Fields, the user must select the primary field which will be used to join with the selected TableName Columns Geographic Field. These two fields must contain the exact same number of rows and values for each feature in the layer in order for the database join to be successful. The TableName Columns Render Field selected will contain the values to be rendered. Users may click Cancel and return to the Map Manager, or click OK. If OK and the data fields can be joined successfully, the layer will have one or more additional fields. This joined field will then be passed to the class breaks renderer to enhance the map display.

To successfully add data to a layer, start by adding the layer “MXState.shp”. From the Map Manager, click Add Data and select data project “Sample.mdb”. Choose table “MexMap95”. The Select Relate Fields and Render Field form will be displayed showing two Shape Fields/Geographic Field (“CODE” and “NAME”), one MexMap95 Columns/Geographic Field (“STATE”) and one MexMap95 Columns/Render Field (“PerTeenBirths95”). From the Shape Fields, select “NAME” to join with MexMap95 Columns “STATE” and render the values of the new field “PerTeenBirths95”. Click OK and the display will present four (4) ranges of values from “PerTeenBirths95” using a white to blue color ramp. The lowest class (in this case, the white color) has been reserved for missing or excluded data of which there is none.


Edit

The Edit menu allows users to copy the map display’s bitmap to paste to other applications and to search spatial data set using string matching.

Menu Item | Description
Copy Bitmap to Clipboard | The Copy Bitmap to Clipboard allows users to copy the map display to the systems clipboard. This allows users to paste the bitmap into other applications or documents.


Epi Map Menu Features Overview

The Epi Map menu bar provides access to the resources you need most often while using the Epi Map program. You can quickly open a map file, edit map files, view and edit map types and set map options.

The following options are available in the Epi Map menu:

  • File

  • Edit

  • Shape (Boundary)

  • Data

  • Map Type

  • View


File

The File menu allows users access to file operations. When Epi Map is first started, there are three (3) options enabled. These options include Map Manager, Open Map File and Exit. Once a layer is added, then all options are enabled except Open Map File which will be disabled.

Menu Item | Description
Map Manager | The Map Manager option will present the Map Manager and allows users to add and remove layers and control the map display. For more information, see the Map Manager section above.
Open Map File | The Open Map File option allows users to read the contents of a saved map file and execute the instructions contained therein.
Save Map File | The Save Map File option allows users to write a map file with instructions necessary to reproduce the current map display. There are limitations to what can be saved and thus read from a map file.
Save as Bitmap File | The Save as Bitmap file options allows users to convert the map display to a bitmap. The bitmap file can then be used in other applications, inserted into documents or emailed.
Clear Map(s) | Clear Maps(s) clears the Epi Map screen of all current shape files.
Print | The Print option allows users to print the map display to any printer or plotter available locally or on the local area network.
Exit | The Exit option allows users to exit Epi Map. In that there are no data created or modified by Epi Map (exception is the Shape Editor which will be discussed below), there is no confirmation prior to termination.


Map Type

The Map Type menu allows users to go directly to the Layer Properties form for the selected layer in the table of contents depending upon the most recent rendering. If users click Choropleth, then the Choropleth panel of the Layer Properties form will be displayed to accept modification of the class breaks renderer parameters. If users click Dot Density, then the Dot Density panel of the Layer Properties form will be displayed to accept modification of the dot density renderer parameters. Likewise, if users click Labels, then the Standard Labels panel of the Layer Properties form will be displayed to accept modification of the label renderer parameters.

Menu Item | Description
Choropleth | Choropleth is used to categorize features into equal ranges or counts (quantiles).
Dot Density | Dot Density is used to randomly place dots inside polygons to represent the value of a numeric field.
Labels | The Standard Labels classification draws text for a specified field and attempts to resolve overlapping and crowding of labels.


Shape (Boundry)

The Shape Editor is accessible from the Shape(Boundary) – Create/Edit pull-down menu. When activated, a blank map canvas is displayed in the Epi Map Create/Edit Shapefile (Boundary) window.

Shapefiles by definition may contain only one type of feature; points, lines or polygon. The Shape editor will not allow users to deviate from this rule. Each shape should have a primary field and the Shape Editor uses “NAME”. This field should be unique for each feature to allow joining to columns in data projects.

Menu Item | Description
Create/Edit | Users can create or edit shapefiles by adding or deleting features. This is a useful addition to Epi Map in that it allows field personnel to create and manage their own spatial data sets. There are four (4) pull-down menus and a toolbar. Many functions may be accessed either by the pull-down menus or via the toolbar.


Shape Editor Tool Bar

Click on graphic button area to display corresponding help!

The Shape Editor toolbar allows users to control the addition and selection of features and the visible extent of the map display.


View

The View menu presents many options that allow users to control the map display’s viewable components and its visible extent.

Menu Item | Description
Title | The Title option allows the user to set the title of the map that will be displayed across the top of the map display. There is no option to set the font characteristics or correct mistakes.
Legend | The Legend option displays the Map Composition form.
Points | The Points option allows users to toggle on or off points that have been added to the map display through Add Points. For more information on Add Points, see the Add Points section.
Full Extent | The Full Extent option allows users to reset the visible extent to the full extent of all layers that have been added to the map display.
Zoom In | The Zoom In option changes the cursor to the plus magnifying glass cursor and allows users to narrow the geographical extent of the map display to a subset of the full extent. Users must define a rectangle which will become the visible extent of the map display. There is a limit to how far users can zoom in and that is determined by limits of integer mathematics. Real world coordinates are real numbers and must be converted to screen coordinates which are integers. When there are only a few real world coordinates mapped to the entire screen, the zoom in limit is reached.
Zoom In/Drill Down | The Zoom In/Drill Down option allows users to move from one layer to another, e.g., from US State to US County.
Zoom Out | The Zoom Out option changes the cursor to the minus magnifying glass cursor and allows users to expand the geographical extent of the map display up to, but not beyond the full extent of all layers in the table of contents. With each invocation, the area being displayed is fifty (50) percent larger looking directly at the location that was clicked in the map display. The limit for zooming out is the full extent of all layers in the table of contents.
Pan | The Pan option changes the cursor to the hand cursor and allows users to roam or pan the area of interest (up, down, left or right) once the map display has been zoomed (or magnified) from the full extent. Pan changes what features are visible without affecting the zoom factor.
Identify | The Identify option changes the cursor to the Identify cursor and sets the mode so that each click on the map display generates a spatial search for features near the cursor’s location. This capability can also be reached by the Identify tool. Each feature found near the cursor’s location will be displayed in the Identify Results form with all of it fields’ values. If more than one feature is found, each feature may be selected from the Feature drop-down menu. When selected, the feature will be highlighted (flashed) for a couple of seconds on the map display and all of the fields (attributes) of the selected feature will be displayed in the Attributes list. To exit the Identify mode, use the Arrow tool.
Find | The Find tool button displays the Find Features dialog box, which allows users to search for features whose attributes match user specified search strings.
Record(s) For Feature(s) | The Record(s) for Feature(s) tool, represented by the table icon, changes the cursor to the table icon and allows users to graphically select a feature or features and retrieve all database records associated with the feature(s). The Records for Feature tool, is a short cut to the View-Records(s) for feature pull-down menu. This button is only enabled when Case-Based mapping is invoked.
Graphics | The Graphics option changes the cursor to the graphic annotation (crosshair) cursor and adds six (6) additional tools to the toolbar. This capability can also be reached by the Graphics tool. Once the toolbar shows the six added annotation tools, users must select one of the following to begin: Add Text, Add Point, Add Line, Add Rectangle, Add Polygon, or Add Ellipse.
Arrow Cursor | The Arrow tool, represented by the up and left pointing arrow icon, cancels any mode tool or menu option and sets the cursor to the default arrow cursor. The modes that can be cancelled include, zoom in, zoom out, pan, identify and graphics.


Epi Map Tool Bar Features Overview

Menu Item | Description
Map Manager | The Map Manager button displays the Map Manager dialog box.
Print Map | The Print Map button prints the current map file.
Find | The Find tool button displays the Find Features dialog box, which allows users to search for features whose attributes match user specified search strings.
Full Extent | The Full Extent button allows users to reset the visible extent to the full extent of all layers that have been added to the map display.
Zoom In | The Zoom In button allows users to narrow the geographical extent of the map display to a subset of the full extent.
Zoom Out | The Zoom Out button allows users expand the geographical extent of the map display up to, but not beyond the full extent of all layers in the table of contents.
Pan Tool | The Pan tool changes the cursor to the hand cursor and allows users to roam or pan the area of interest (up, down, left or right) once the map display has been zoomed (or magnified) from the full extent.
Identify | The Identify button displays the Identify Results dialog box after an area is selected on the current map.
Graphics | The Graphics button displays the Graphics tool bar.
Return to Arrow Cursor | The Return to Arrow Cursor button returns the cursor to an arrow cursor.
Records for Feature | The Records for Feature tool, represented by the table icon, changes the cursor to the table icon and allows users to graphically select a feature or features and retrieve all database records associated with the feature(s). The Records for Feature tool, is a short cut to the View-Records(s) for feature pull-down menu. This button is only enabled when Case-Based mapping is invoked.


Find

The Find tool button displays the Find Features dialog box, which allows users to search for features whose attributes match user specified search strings.


Full Extent

The Full Extent tool, represented by the globe icon, allows users to reset the visible extent to the full extent of all layers that have been added to the map display. The Full Extent tool is a short cut to the View-Full Extent pull-down menu.


The Add Text tool, represented by the “A” icon (for Alphanumeric), allows users to place text. Users click at the starting point of the text to be displayed and are then prompted for the text to display. There is no option to set the font characteristics or correct mistakes.

The Add Point tool, represented by the point icon, allows users to place a point or points. Users click the location of the point and a black square marker of five pixels is placed there. There are no options to set the font characteristics or correct mistakes.

The Add Line tool, represented by a diagonal line icon, allows users to track a line or lines on the map display. Users click at the starting point of the line and traverse its path. To terminate the line double click at the last point. A solid black line of one pixel will be drawn as the line is traversed. There are no options to set the font characteristics or correct mistakes.

The Add Rectangle tool, represented by the rectangle icon, allows users to track a rectangle on the map display. Users move the cursor to any corner of the rectangle, depresses the left mouse button, holding it down while traversing to the opposite corner where the left mouse button is released to terminate the rectangle. A solid black line of one pixel will be drawn as the rectangle is traversed. There are no options to set the font characteristics or correct mistakes.

The Add Polygon tool, represented by an icon with a six sided, “L” shaped polygon, allows users to track a polygon or polygons on the map display. Users click at the starting point of the polygon and traverse its outside boundary. To terminate the polygon, double click the last point. The last point is automatically joined to the first. A solid black line of one pixel will be drawn as the outer boundary is traversed. There are no options to set the font characteristics or correct mistakes.

The Add Ellipse tool, represented by the ellipse icon, allows users to track a circle or circles on the map display. Users move the cursor to the center of the circle, depresses the left mouse button, holding it down while traversing to define the radius of the circle, where the left mouse button is released to terminate the circle. A solid black line of one pixel will be drawn as the radius is traversed. There are no options to set the font characteristics or correct mistakes.

The Select graphic for editing tool, represented by a vertical arrow icon, allows users to edit the selected graphic.

Graphics

The Graphics option changes the cursor to the graphic annotation (crosshair) cursor and adds six (6) additional tools to the toolbar. This capability can also be reached by the Graphics tool. Once the toolbar shows the six added annotation tools, users must select one of the following to begin:

Add Text

Add Point

Add Line

Add Rectangle

Add Polygon

Add Ellipse

Select graphic for Editing


Identify

The Identify tool, represented by the “i” icon, changes the cursor to the Identify cursor and sets the mode so that each click on the map display generates a spatial search for features near the cursor’s location. The Identify tool is a short cut to the View-Identify pull-down menu.


Map Manager

The Map Manager is used to control the display of layers on the screen. Users can add layers, either complete or partial, add data (a new field) or points, remove or clear layers, access the properties of layers, and select the map composition components. The Map Manager window can be dismissed so that it is not visible when viewing a map on the screen.

The Map Manager can be activated two ways. Users can choose to use the File-Map Manager pull-down menu or to use the Map Manager tool on the toolbar. Initially, the Layers tab is presented with an empty table of contents and two command buttons enabled: Add Layer and Add Layer Partial. The table of contents will display layer names once added to the map display.

Clicking on the General tab will allow users to specify the display background color, map border style and what action should be taken when users press the ESCAPE key. Users may also toggle on or off scroll bars on the map display and three dimensional (3D) appearance.


Pan Tool

The Pan tool, represented by the hand icon, changes the cursor to the hand cursor and allows users to roam or pan the area of interest (up, down, left or right) once the map display has been zoomed (or magnified) from the full extent.


Print

The Print option allows users to print the map display to any printer or plotter available locally or on the local area network.


Return to Arrow Cursor

The Return to Arrow Cursor button returns the cursor to an arrow cursor.


Zoom In

The Zoom In tool, represented by the "plus" (+) magnifying glass icon, changes the cursor to the plus magnifying glass cursor and allows users to narrow the geographical extent of the map display to a subset of the full extent. The Zoom In tool is a short cut to the View-Zoom In pulldown menu. For detailed options and explanations, refer to the Zoom In entry in the View Menu section in the Pulldown Menus section in the Epi Map 2002 section.


Zoom Out

The Zoom Out tool, represented by the "minus" (-) magnifying glass icon, changes the cursor to the minus magnifying glass cursor and allows users expand the geographical extent of the map display up to, but not beyond the full extent of all layers in the table of contents. The Zoom Out tool is a short cut to the View-Zoom Out pull-down menu. For detailed options and explanations, refer to the Zoom Out entry in the View Menu section in the Pulldown Menus section in the Epi Map 2002 section.


Adding a Map Layer

Upon clicking on the Add Map Layer command button, the Add Layer form will be displayed. This form will list all shapefiles present in the current directory. Users may navigate the local or local area network file systems to locate additional shapefiles. Users may double click on a shapefile name or single click on a shapefile name and then click the Open command button. Either way, the selected shapefile will then be displayed using the system default symbology.


Adding a Map Layer Partial

Upon clicking on the Add Map Layer Partial command button, the Add Layer Partial – Open form will be displayed. This form lists all shapefiles present in the current directory. Users may navigate the local or local area network file systems to locate additional shapefiles. Users may double click on a shapefile name or single click on a shapefile name and then click the Open command button. Either way, another form will be displayed to allow users to select the features to be included in the partial selection. The Shift key allows users to select a range of contiguous features. The Ctrl key allows users to select multiple, non-contiguous features. After selecting multiple features, the Ctrl key may be used to de-select single features.

After selecting all the features to be included in the partial layer, click the OK command button and the Add Map Layer Partial – Save form will be displayed. This form lists all shapefiles present in the current directory. Users may navigate the local or local area network file systems to locate additional shapefiles. Users may double click on a shapefile name or single click on a shapefile name and then click on the Save command button. Either way, users will be informed that the filename already exists and asked if the shapefile is to be over-written. Click the Yes command button if you want to over-write the existing file, otherwise click the No command button. More commonly, users should type in a new shapefile name into the Filename text field to be written to disk with the selected subset of features.


Adding Map Data

Once a point or polygon layer has been added, then Add Data becomes enabled. Otherwise, Add Data is disabled when there are no layers or when added layers are of type line. When enabled and clicked, the Open Data Project form is presented to allow users to specify which data project to use. Either double clicking on a data project or clicking on a data project and then clicking on the Open command button will select a data project. Once the data project has been selected, a list of data tables within the project will be presented for users to select a table. At this time, users may click Cancel to return to the Map Manager, click Change Database and return to the previous step to select a data project, or select a table by clicking in the list and then clicking OK.

Once a table has been selected, the three part Select Relate Fields and Render Field form will be displayed showing Shape Fields/Geographic Field, TableName Columns/Geographic Field, and TableName Columns/Render Field, where TableName is the selected table name from within the selected data project. From the Shape Fields, the user must select the primary field which will be used to join with the selected TableName Columns Geographic Field. These two fields must contain the exact same number of rows and values for each feature in the layer in order for the database join to be successful. The TableName Columns Render Field selected will contain the values to be rendered. Users may click Cancel and return to the Map Manager, or click OK. If OK and the data fields can be joined successfully, the layer will have one or more additional fields. This joined field will then be passed to the class breaks renderer to enhance the map display.

To successfully add data to a layer, start by adding the layer “MXState.shp”. From the Map Manager, click Add Data and select data project “Sample.mdb”. Choose table “MexMap95”. The Select Relate Fields and Render Field form will be displayed showing two Shape Fields/Geographic Field (“CODE” and “NAME”), one MexMap95 Columns/Geographic Field (“STATE”) and one MexMap95 Columns/Render Field (“PerTeenBirths95”). From the Shape Fields, select “NAME” to join with MexMap95 Columns “STATE” and render the values of the new field “PerTeenBirths95”. Click OK and the display will present four (4) ranges of values from “PerTeenBirths95” using a white to blue color ramp. The lowest class (in this case, the white color) has been reserved for missing or excluded data of which there is none.


Adding Map Points

When one or more layers have been added to the map display, the Add Points command button will be enabled. When clicked, the Open Data Project form will be displayed for users to select a data project. Either by double clicking on a data project or by clicking on a data project and then clicking on the Open command button will select a data project. Once a data project has been selected, a list of data tables will be displayed. At this point, users may click Cancel and return to the Map Manager, click Change Database and return to the previous step of selecting a data project, or click on a data table to select it from the list followed by clicking OK.

After selecting both a data project and a data table, the Select X/Y Field and Point Properties form will be displayed. Users will be presented with a list of possible X Fields, Y Fields and Point Label fields. Users must take every possible measure to insure appropriate fields are selected for X Field and for Y Field. The Point Label field is optional and should be used when users wish to label the points.

The Point properties may be modified. The Point Type may be selected from a drop-down menu. The Point Color may be selected by clicking on the color picture. The Point Size may be specified by either typing in the entry box or selecting from the drop-down menu. If users do not wish to save the points as a new layer, then there are two options here. First would be to click Cancel and return to the Map Manager, or to click OK and inspect the display as the points are added to the existing layer(s).

If users wish to save the point as a new layer, this option must be selected. If selected, a new option is displayed on the form. This newly displayed option allows users to vary symbol size for coincident points. In effect, this option will count cases occurring at the same, exact location and will set the symbol size larger dependent upon the number of cases present. In this situation, the Point Size is not used. If the values of the counts exceed “reasonable” limits, Epi Map automatically scales the point sizes.


Buffer Layer

The Buffer Layer process is an analysis process that allows users to create a new shapefile by creating polygons (buffer zones) that are equidistant from the source layer’s features. Buffer Layer command button is enabled when any map layer is added to the table of contents. When clicked, the “Save as SHP file” dialog will ask for a shapefile name to store the final results. If an existing shapefile name is chosen, users must confirm the existing shapefile is to be replaced by clicking “Yes”. Clicking “No” will return users to the “Save as SHP file” dialog to enter another shapefile name. If a shapefile name is entered that does not exist (in the current directory), or “Yes” was clicked to confirm replacing an existing shapefile, then the Buffer Layer form is presented.

The Buffer Layer form explains a little about the buffer process and informs users of the specified resultant shapefile name. Users must specify a buffer distance in map units that make sense given the purpose of the resultant buffer zone(s). If the map layer is in latitude and longitude (decimal degrees), the buffer distance will usually be a small decimal value; e.g., 0.5, for MXState.shp. A check box labeled “Union (merge) overlapping buffers” allows users to control whether or not the buffer process will attempt to simplify the many individual buffers which overlap each other into as few common zones as possible. Users may accept the default (union of results) or override this option by turning off the checked box. Users may click Cancel and return to the Map Manager, or click OK to begin the buffer process. When completed, the newly created map layer will be added to the table of contents.


Case-Based Mapping

The Case-Based process is an advanced display process that allows users to show different symbols based on levels of classification (e.g., Confirmed, Probable, Discarded, Suspected). First, you will be asked to select a database and table. Next, you will be expected to identify one (1) field from the source polygon map and two (2) columns from the database that contain appropriate data values to fulfill Case-Based mapping. Descriptions of the three (3) fields are: 1 - Polygon field: Geographic Field whose values are used in database selects; 2 - Database field: Geographic Field (must match the Polygon’s geographic field to retrieve cases within the polygon (or district); 3 - Database field: Classification Field used to uniquely classify cases and must be numeric.

Once a polygon layer has been added to the table of contents, then Case-Based Mapping becomes enabled. Otherwise, Case-Based Mapping is disabled when there are no layers or when added layers are of type point or line. When enabled and clicked, the Open Data Project form is presented to allow users to specify which data project to use. Either double clicking on a data project or clicking on a data project and then clicking on the Open command button will select a data project. Once the data project has been selected, a list of data tables within the project will be presented for users to select a table. At this time, users may click Cancel to return to the Map Manager, click Change Database and return to the previous step to select a data project, or select a table by clicking in the list and then clicking OK.

Once a table has been selected, the three part Select Case-Based Relate Fields and Classification Field form will be displayed showing: the polygon layer, the database, the table, Shape Fields/Geographic Field, TableName Columns/Geographic Field, and TableName Columns/Classification Field, where TableName is the selected table name from within the selected data project. From the Shape Fields, the user must select the primary field which will be used to join with the selected TableName Columns/Geographic Field. This is expected to be a one-to-many relationship. There can be zero (0) or more records in the database for each polygon in the map layer. Each record in the database represents a single case’s attributes. These two Geographic fields must contain the exact same values for each feature in the layer in order for the subsequent database selects to be successful. The TableName Columns/Classification Field selected must contain the unique values for each case classification to be graphed. Users may click Cancel and return to the Map Manager, or click OK. If OK and the data fields can be used successfully, then the Select Case Symbols form will be displayed.

The Select Case Symbols form is a six column form that allows users to choose symbols to represent each case’s classification value. The six columns of the form are: Value(s); Color; Marker; Size; Font; and Character. In the Values(s) column will be each unique case classification value found in the Classification Field of the database. This is performed using SQL “SELECT DISTINCT” capability. For each unique value returned by the query, there will be a row in this form. Users can select color, marker, and size using the system supplies markers known as “Circle”, “Square”, “Triangle”, or “Cross”. If “TrueType” marker is chosen, users must also select Font and Character. The fonts available are those installed on the computer upon which you are running Epi Map. The fonts will vary from system to system. Each font will have up to 255 characters. Not all characters are visible. Default values are presented using system supplied markers to give users a starting point before exploring “TrueType” markers. Once symbol selections have been made, users may click Cancel and return to the Map Manager, or OK and proceed generating the Case-Based map.

While the Case-Based map is being generated, a progress bar is updated to give users feedback in determining when the process might finish. For each case associated with a given polygon, the program generates a quasi-randomly dispersed point inside the polygon and places the user specified symbol on that location for the specific case classification value. Once the process completes, a Case-Based legend will be displayed documenting the symbols, their color and the case classification value they represent. The Case-Based map can be saved to and restored from a MAP file. With each restoration from a MAP file, the locations of the points will vary due to the random nature of locating the symbols.

After the Case-Based process completes successfully, the Epi Map View menu option “Record(s) for feature(s)” become enabled. This menu option is also represented by the “Table” icon on the toolbar. This menu option changes the cursor to the “Table” icon and waits for users to click inside a polygon. Using the Shapefile Geographic Field’s value, a query is performed to retrieve all records for cases associated with the polygon. For additional details refer to the Epi Map View menu section of this document.


Changing Colors or Patterns

To change the map color or pattern:

Click the General tab in the Map Manager to set a background color.

Click the Properties button on the Layers tab in the Map Manager to set colors or patterns inside the map itself.


Choosing Map Layer

Choosing Boundary Layer

To choose a boundary layer:

  1. From the File menu, select Map Manager.

  2. In the Map Manager dialog box, select the Layers tab.

  3. Click Add Layer and select the desired shapefile.


Clearing All Map Layers

Once one of more layers have been added to the map display, the Clear all Layers command button will be enabled. All layers in the Map Manager table of contents will be removed by clicking the Clear all Layers command button.


Displaying a Map

To display a map:

  1. Under the File menu, select Open Map File.

  2. In the Read MAP file dialog box select the desired map file to open.


Displaying Rates

In the MAP command in Analysis, choose both a data variable and a denominator variable.


Displaying values from a data file in a map using Analysis

Be sure that the data table or file contains a geographic variable with values matching the names of polygons in a corresponding shapefile. Then use the MAP command in Analysis to choose the variables containing data and geographic names in the data file or table, and the field in the shapefile that contains the same geographic names. After the map is displayed, you can customize it from within Epi Map and save the result either as a bitmap (BMP or GIF) or as a MAP, from the FILE menu.


Map Composition

Map composition enables the user to document the map display content by choosing from the six (6) various components to be visible. These options include Class Breaks legend, Dot Density legend, Unique Values legend, North arrow, Scale bar and Tic marks.

Class Breaks Legend

Class Breaks legend applies only after a Choropleth (class breaks) renderer has been applied.

Dot Density Legend

Dot Density legend applies only after a dot density renderer has been applied and may be viewed with either a Class Breaks or Unique Values legend.

Unique Values Legend

Unique Values legend applies only after a unique (value map) renderer has been applied.

Case-Based Legend

The Case-Based legend applies only after a case-based map has been created.

North Arrow

The North arrow option allows users to include a north indicator. Epi Map has been primarily used to display data in geographic projections with units in decimal degrees. The use of data from other projections and coordinate systems may cause the north arrow to fail to indicate north accurately. There is no distinction made between true or magnetic north.

Scale bar

The Scale bar option allows users to include a distance indicator (in generic map units).

Tic marks

The Tic marks option allows users to include a horizontal and vertical reference grid over the map extent. Epi Map has been primarily used to display data in geographic projections with units in decimal degrees. The use of data from other projections and coordinate systems may cause the tic marks to fail to indicate north/south and east/west accurately.


Map Legends

There are three (4) types of legends that may be generated.

Class Breaks legend applies only after a Choropleth (class breaks) renderer has been applied and Unique Values legend applies only after a unique (value map) renderer has been applied.

Unique Values legends form is used to symbolize every feature in the selected layer using a unique symbol..

Dot Density legend applies only after a dot density renderer has been applied and may be viewed with either a Class Breaks or Unique Values legend.

Case-Based legend applies only after a case-based map has been created.


Map Properties

Once one or more layers have been added to the map display, the Properties command button will be enabled.

Clicking the Properties command button will display the Layer Properties form for the currently selected layer.

The Layer Properties form is modal and no other actions may be undertaken (including the Epi Map Toolbar) until the OK command button or the Cancel command button is clicked.

The Layer Properties form has six (6) different panels that allow users to alter the selected layer’s appearance.

All panels may not be enabled if they require a different layer type (point, line or polygon) than the selected layer.


Merging Map Layers

Merge Two Layers allows users to merge two layers of the same type into one layer. For example, it is possible to merge the USState.shp with MXState.shp to create one layer with the extent of both countries having the 50 U.S. and 32 Mexican states.

This tool is enabled if and only if there are two layers in the table of contents and they are of the same type (point, line or polygon). When this condition exists and the Merge Two Layers button is clicked, the Save as SHP file dialog is presented enabling users to choose an output shapefile name. It is possible to over-write an existing shapefile, but it is highly discouraged.

Typically, users would enter a new shapefile name in which to save the result of the merge. Once a shapefile name is entered, users click Save. The Merge Two Layers form is presented allowing users to choose between the intersection or the union of their attributes (or fields).

Choosing Intersect Attributes will cause the resultant new map to contain only the fields in common to both map layers.

Choosing Union Attributes will cause the resultant new map to contain all fields from both map layers. If there are no common attributes, Merge Two Layers will fail. Also present on this form is the resultant shapefile name for confirmation by users.

Clicking OK will cause further validation and the actual merging of the two layers if the validation proves successful. Upon completion, both original layers will be removed from the table of contents and the resultant new layer will be added for inspection.


Moving the legend

Hold down the left mouse button with the cursor over the legend, drag it to a new location, and release the mouse button.


Preparing a Data File for Use with a Map

The .dbf file that is part of the shapefile (shapefiles are really 3 or more files--.dbf, .shp, and .shx) contains geographic names. Be sure that the shapefile contains polygons and not roads or points. Then READ the .dbf file in Analysis, DEFINE a new variable , ASSIGN it the value 0 (zero), and WRITE the new file in the Microsoft Access format. Then you can add data to the new variable in the Analysis LIST command with UPDATE selected, or use MakeView to create a View from the Data table and enter data in Enter. Obtaining the geographic names directly from the shapefile will assure that they match those in the shapefile exactly in spelling and format.


Removing a Map Layer

Once one or more layers have been added to the map display, the Remove Layer command button will be enabled. If more than one layers is in the table of contents, only one will be highlighted representing that it is selected. When a layer is selected, then it can be removed by clicking the Remove Layer command button.


Epi Report Overview

The Epi Report tool can be used to design and generate various reports. An end user can include various elements in the reports generated, and these elements can be bound to various data sources. Record lists, cell replacement, groups, fragments from analysis XML can be included in the report. Data analysis through pivot table is also provided. Apart from these, system variables, permanent variables (created by Epi info) can also be included.

The following links describe the functionality provided by Epi Report:

Embedding Database record-lists

Embedding Line Listing Groups

Embedding Field Aggregate values

Embedding Analysis XML elements

Embedding pivot table

Embedding other elements

Creating style sheets

Epi Report Menu Features

Epi Report File Menu

Epi Report Edit Menu

Epi Report View Menu

Epi Report Tools

Epi Report Windows Menu

Epi Report Help Menu

Designer Toolbar

Epi Report Program Screen

Main Designer Screen

Property Screen

Epi Report Program Editor Features

Designer Pop-Up Menu Options

Epi Report Format Screen

Epi Report Status Bar

Epi Report Query Builder Screen

Epi Report Shortcut keys Screen

Epi Report Generate Report Screen

Epi Report Pivot table Screen

Creating a Pivot table Report

Creating a Line List Group Report

Creating an Analysis based report

Embedding a Field Aggregate element

Embedding Permanent Variables from Epi Info

Embedding System Variables

Page Setup and Page Layout

Property Window – properties and their meanings

Epi Report Command line syntax

Epi Report Silent printing


Main Designer Screen

The Epi Report is divided into three panes.

1. Pane1 :- Displays the Epi Report Menu

2. Pane2 :- Displays the tree of Elements

3. Pane3 :- Displays the Designer area

Pane1

The above screen displays the available Menu Items and the toolbar. The user can select any menu, and items under them.

Pane2

The above screen displays the report elements in the form of a tree.

  1. Insert Report Object – Lists all the HTML elements (Table Shell, Image, Anchor, Label)

  2. Drawing Tools – Lists the HTML element Line.

  3. Insert Variable – Lists the Permanent Variables defined by Epi Info and System Variables such as variables current date, current time and template path.

  4. Read Data and Create – Lists the following options:

    • Read Analysis Output: which has information, related to analysis XML files.

    • Field Aggregates: which has information about cell replacement.

    • Line Listing Group: which has information regarding Record List.

    • Pivot Table: which displays the database information using Pivot Table

Pane3

The above screen displays the designer screen. The designer is designed to display rulers on the left and the top. Whenever the designer changes its size, the rulers adjust themselves accordingly. The button placed at the intersection of the rulers is the page layout button which when clicked displays the page layout in accordance to the current page setup. This option allows the user to see the page breaks, the page breaks are made visible by highlighting with a color. Please refer page setup for further explanation. A status bar has been provided at the bottom of the designer screen which shows the various Keys pressed (CAPS,INS, NUM) and the state of the template like Ready/Processing.


Property Window

The following are the HTML elements for which the Property Window will be shown:

Table

The following table describes the properties that are applicable for the HTML element – “Table”.

Property

Acceptable Values

Meaning

Background Color

Hexadecimal Number. Color to be selected from the palette.

The background of the table is set to the desired color.

Border Color

Hexadecimal Number. Color to be selected from the palette.

The border of the table is set to the desired color when the Borders have been specified through the Borders Property in the property window.

Note:

1. In order to set the borders when the stylesheet is used: a) Set the Borders through the Borders property in the Property Window.

b) Now apply the defined stylesheet to the table.

(The border size in the Styles window has no effect in this case.)

2. If no properties are set via the Property Window

a) set the Border Size as 1 (in Styles Window)

b) then select the desired border color.

Now apply this defined stylesheet to a table. This will set only the outer boundary of the table to the set border color

Border Size

Any number between 1 and 10

The size (in pixels) of the border of the table is set to the desired width.

If no border is desired, do not choose any Borders from the Borders property.

Note: Even if the Border is set to 1 in Styles window under the Tools Menu, the border will be set for the table only if Borders have been specified via the Borders Property in the Property Window.

Borders

Sets the desired Borders to the table. For more information see the Property Screen.

Cell Spacing

Any number between 0 and 100

Sets the amount of space (in pixels) between the cell contents and the cell border.

Cell Thickness

Any number between 0 and 100

Sets the amount of space (in pixels) between the cells.

Height

Any number between 0 and 10000

Sets the Height of the table.

If only a number is specified, the size is taken in pixels.

To specify the height in percentage, suffix the number with %.

Width

Any number between 0 and 10000

Sets the Width of the table.

If only a number is specified, the size is taken in pixels.

To specify the width in percentage, suffix the number with %.

Table – Row Properties

The following table describes the properties that are applicable for an entire row of a table:

Property

Acceptable Values

Meaning

Alignment

Left, Right or Center

Aligns the contents of the cells of the row to the left, right or center of the template.

Background Color

Hexadecimal Number. Color to be selected from the palette.

The background of the cells of the row is set to the desired color

Border Color

Hexadecimal Number. Color to be selected from the palette.

The border of the cells of the row is set to the desired color when the border size of the table is a non-zero number and borders have been set via the Borders property.

Height

Any number between 15 and 10000

Sets the height of the cells of the row in pixels.

VAlign

Baseline, Bottom, Middle or Top

If Baseline is selected, the contents of the cells of the row are aligned such that the base line of the first line of text aligns with the baselines in adjacent cells.

If Bottom is selected, the contents of the cells of the row are aligned to the bottom of each cell.

If Middle is selected, the contents of the cells of the row are aligned to the middle of each cell.

If Top is selected, the contents of the cells of the row are aligned to the top of each cell.

Table – Column Properties

The following table describes the properties that are applicable for an entire column of a table:

Property

Acceptable Values

Meaning

Alignment

Left, Right or Center

Aligns the contents of the cells of the column to the left, right or center of the template.

Background Color

Hexadecimal Number. Color to be selected from the palette.

The background of the cells of the column is set to the desired color

Border Color

Hexadecimal Number. Color to be selected from the palette.

The border of the cells of the column is set to the desired color when the border size of the table is a non-zero number and borders have been set via the Borders property.

Width

Any number between 1 and 10000

Sets the width of the cells of the column in pixels.

VAlign

Baseline, Bottom, Middle or Top

If Baseline is selected, the contents of the cells of the column are aligned such that the base line of the first line of text aligns with the baselines in adjacent cells.

If Bottom is selected, the contents of the cells of the column are aligned to the bottom of each cell.

If Middle is selected, the contents of the cells of the column are aligned to the middle of each cell.

If Top is selected, the contents of the cells of the column are aligned to the top of each cell.

Table – Cell Properties

The following table describes the properties that are applicable for the HTML element – “Table-Cell”.

Property | Acceptable Values | Meaning
Alignment | Left, Right or Center | Aligns the contents of the cell to the left, right or center of the template.
Background Color | Hexadecimal Number. Color to be selected from the palette. | The background of the cell is set to the desired color
Border Color | Hexadecimal Number. Color to be selected from the palette. | The border of the cell is set to the desired color when the border size of the table is a non-zero number and borders have been set via the Borders property.
Columns a cell should span | Any number between 0 and 100 | Sets the number of columns this cell should span to. Note: This property is not available for cells of the last column of the table.
Rows a cell should span | Any number between 0 and 100 | Sets the number of rows this cell should span to. Note: This property is not available for cells of the last row of the table.
VAlign | Baseline, Bottom, Middle or Top | If Baseline is selected, the contents of the cell are aligned such that the base line of the first line of text aligns with the baselines in adjacent cells. If Bottom is selected, the contents of the cell are aligned to the bottom of the cell. If Middle is selected, the contents of the cell are aligned to the middle of the cell. If Top is selected, the contents of the cell are aligned to the top of the cell.

Image

The following table describes the properties that are applicable for the HTML element – “Image”.

Property

Acceptable Values

Meaning

Alternate Text

Short Text (0 to 100 characters)

Alternate text is attached to the image which can be viewed when the mouse is moved over the image.

Note: The alternate text can be viewed once the report is generated using the Generate Report option.

Border

Any number between 0 and 10

The size (in pixels) of the border of the image is set to the desired width.

If no border is desired, choose 0 as the border size.

Height

Any number between 0 and 1000

Sets the height of the image in pixels.

Path

Absolute or Relative

If Absolute is selected, the exact path of the image on the system is displayed.

Eg: file://c:\Epi_Info\EpiInfo.jpg

--------------------

If Relative is selected:

For a non-saved template, the path of the image relative to the application is displayed.

Eg:

C:\Epi_Info\EpiInfo.jpg --when application and image are in different directories

..\Epi_Info\EpiInfo.jpg --when application and image are in same directory

For a saved template, the path of the image relative to the location of the saved template is displayed.

Source

Path of Image.

Path to be selected through the File Browse Window.

The path of the selected image is displayed

Width

Any number between 0 and 1000

Sets the width of the image in pixels.

Anchor

The following table describes the properties that are applicable for the HTML element – “Anchor”.

Property | Acceptable Values | Meaning
Name | Short Text | Attaches a name to the anchor. This is useful when an anchor points to some position within the current template.
Text | Short Text | Edits the text that is to be made as an anchor.
URL | Short Text | Sets the url to which the anchor should point. Note: A text can be converted to an Anchor by selecting the text and clicking CTRL+L or selecting the text and dragging “Anchor” from the treeview (toolbox).

Line

The following table describes the properties that are applicable for the HTML element – “Line”.

Property | Acceptable Values | Meaning
Color | Hexadecimal Number. Color to be selected from the palette. | Sets the desired color to the line.
Height | Any number between 0 and 100 | Sets the height of the line in pixels.
LineStyle | Any of the options displayed in the combo box. | Sets the desired style to the line.
Width | Any number between 0 and 10000 | Sets the width (length) of the line in pixels.

Body

The following table describes the properties that are applicable for the HTML element – “Body”.

Property | Acceptable Values | Meaning
Background Color | Hexadecimal Number. Color to be selected from the palette. | Sets the desired background color for the template.
Background Image | Path of image. Path to be selected through the File Browse window. | Sets the desired background image for the template.


Property Screen

By right clicking on any of the elements in the report designer, the following Properties dialog box is displayed, which displays the properties that are applicable for currently selected item. The properties of the selected element can be modified in this dialog box.

If no properties are defined for the element, a blank window is displayed with the header showing “No Properties”.

The following screen displays the property window for the HTML element – TABLE.

To apply borders to a table, select the desired border style form the Choose Border dialog box.

Note: Borders will be applied to a table only when a border style has been specified through the Choose Borders dialog box.

The following screen displays an overview of Border Formatting for Line Listing Groups.

For applying borders to the header of the line listing groups, select Header from the combo box and click on the appropriate horizontal and vertical buttons.

For applying borders to the body of the line listing groups, select Body from the combo box and repeat the above steps.

For applying borders to only the outer boundary of the table, click the single button on the right side of the Border Window.

Click on Apply to enable the desired bordering effects, Cancel to discard the chosen settings and OK to Apply the settings and Close the Border Window.


Page Setup and Page Layout

Page Setup

The above screen displays the page setup dialog box.

When the Epi Report is loaded, the page set up screen displays the system settings that are stored in the IE (Internet Explorer) registry settings.

The page settings can be modified by the user. The text to be displayed in the header and footer of the Report can be specified in the "Page Header and Footer" section of the dialog box. The other options for the user to select are:

  1. Paper Size

  2. Orientation

  3. Margins

The settings that are set in the "Page Setup" Screen are specific to that template. When that template is opened at a later date, the settings that were set for the template will be displayed.

When a New template is opened, the Page Set up will display the settings that are stored in the registry of the system.

To store the page settings to the registry, click on the print preview option. The settings that are displayed in the print preview will be stored in the system registry. All new templates will use this setting until they are modified through the Page Setup Menu.

Page Layout

The below screen displays a sample template when the page layout option is selected.

The blue margin displays the printable section of the template. The section of the template that is outside the margin will get cut off when the page is printed.

The blue margin enclosing the printable area is set in the Page Setup dialog box.


Creating style sheets

A user can create various style sheets. Style sheets can be created for the HTML elements table, image and line. The created style sheets are specific to a template. Provision for modification and deletion of these style sheets is also given to the user.


Creating a Pivot table Report

To create a new template, click on the New Template icon on the toolbar or the new option in the File menu.

Click Pivot Table available under the Read Data and Create node of the tree on the left side of the Designer. Then the screen to choose a database either via ODBC or by selecting a .mdb file would appear.

The below snapshot is of the file dialog box to choose an .mdb file. The snapshot for opening a database via ODBC is shown in Creating a Line List Group Report.

The selection of the database is followed by the display of the query builder screen for Pivot Table which has been described in Epi Report Pivot Table Screen.

Once the query for the pivot table along with its formatting options is completed, the pivot table is added to the Pivot Table Node on the tree with the Query Name as its name.

Dragging of the above node to the template will form a table as shown below. On generation of the report, the table will be replaced with the data from its data source.


Creating a Line List Group Report

A record-list is based on a database query. To create a record-list, click on Line Listing Group and select a database either via ODBC or by opening a .mdb file. The screen, where users can select/create a DSN to the target database is displayed below. The screen to choose a .mdb file has been shown in Creating a Pivot Table Report.

The selection of the database is followed by the display of the query builder screen for Line Listing Groups which has been described in Epi Report Query Builder Screen .

If no field is selected in the Groups tab of the query builder, a simple record list that fetches data from the database is formed. If a group field is selected, the records displayed are grouped on the group field.

Once the query is formed, it is added as a child node to the Line Listing Group of the tree with the Query Name as its name.

Dragging of the above node to the template will form a sample table as shown below. The table will be replaced with the data on generation of the report.

One can add customized headers and footers by inserting rows at the header and footer of the sample table respectively.

Various formatting options like color, size ..etc can be selected for the items in the table. The formatting options are applied during the generation of report.

The below screenshot displays the sample table formed on the designer when a line listing group is selected without Groups being selected.

The below screenshot displays the output generated by Line Listing Groups when Groups is NOT selected.

The below screenshot displays the output generated by Line Listing Groups when Groups is selected. Here two aggregate values- TotalCases and TotalDeaths are defined at Grand Total levels.


Creating an Analysis based report

Information pertaining to Analysis XML files from Epi Info can be fetched using the Epi Report tool.

Each XML file selected is added under the Read Analysis output node under the tree. Information related to each XML file is added under that XML file item on the tree.

Click on the Read Analysis output node and select a XML file. Only those XML files that conform to the EpiResults.dtd file will be loaded under the tree.

On selecting a XML file, a screen is displayed to filter the desired commands from the list of all commands present in the .xml. On completion of the filtering, the selected command names get added to the tree under the .xml filename. Each Command will consist of its corresponding value arrays as its child nodes.

Multiple XML files can be opened.

When an item under each command is dragged and dropped on the designer, its data is shown on the designer. When the report is generated, the corresponding data source (which is an XML file) is accessed to fetch the latest values.

On right clicking the items under command node, a pop-up screen would be shown, where the data is shown in the form of a table. The user can select individual data elements in the table shown which then gets highlighted.

Once the cells are selected and the selection is confirmed by clicking the OK button, these cells are added as nodes under the corresponding value array to which the cells belong. Each cell can also be dragged and dropped onto the designer area.


Embedding Database record-lists

The user can write Structured Query Language (SQL) queries on any ODBC compliant database and can also include the constructed query in the report. While generating reports, the queries are applied to the specified data sources and information is extracted and displayed to the user.

The user is allowed to include multiple tables, apply conditional filters, group the data and also apply various aggregate functions on the extracted data.


Designer Pop-Up Menu Options

Right click of the mouse on the Epi Report pops up a context menu with options that are applicable to the element selected.

The following are the options in the context menu:

Toolbar Item | Description
Cut | This option behaves similar to the Cut option in the Edit menu. It will be enabled only when some element is selected.
Copy | This option behaves similar to the Copy option in the Edit menu. It will be enabled only when some element is selected.
Paste | This option behaves similar to the Paste option in the Edit menu. It will be enabled only when some element is cut or copied.
Select All | This option behaves similar to the select all option in the Edit menu.
Properties | This option enables the user to retrieve/modify the properties of the selected element.
Column Properties | This option enables the user to retrieve/modify the properties of the entire column.
Cell Properties | This option enables the user to retrieve/modify the properties of the selected cell. Note: When a cell is selected, the user is provided to retrieve/modify properties for the following: a) the entire row b) the entire column c) the cell The above options are enabled only when the cursor/mouse position is inside the cell of a table.
Insert Row | This option enables the user to create a row, above the current row in a table. This option is enabled only when the cursor/mouse position is inside the cell of a table.
Insert Col | This option enables the user to create a column, to the left of the current column in a table. This option is enabled only when the cursor/mouse position is inside the cell of a table.
Insert Cell | This option enables the user to create a cell to the left of the current cell of the table. This option is enabled only when the cursor/mouse position is inside the cell of a table.
Delete Row | This option enables the user to delete the current row in a table. This option is enabled only when the cursor/mouse position is inside the cell of a table.
Delete Col | This option enables the user to delete the current column in a table. This option is enabled only when the cursor/mouse position is inside the cell of a table.
Delete Cell | This option enables the user to delete the current cell of the table. This option is enabled only when the cursor/mouse position is inside the cell of a table.
Merge Cell | This cell enables the user to merge the current selected cells. This option is enabled only when the cells to be merged are selected using the SHIFT key.
Split Cell | This option enables the user to split the current cell into two cells. This option is enabled only when the cursor/mouse position is inside the cell of a table.
Add condition | This option enables the user to provide a filtering condition for the selected Field Aggregate. This option is enabled only when the cursor/mouse position is on the Field aggregate.
Format | This option enables the user to provide the format for the current data element. This option is enabled only if the current data element’s data type is either numeric or date type.
Body properties | This option enables the user to provide a background image or background color to the report template. This option is enabled on right clicking anywhere on the template.


Designer Toolbar

The following table displays all the options and their functions:

Toolbar Item | Description
New | This option enables the user to create a new template
Open | This option enables the user to open an existing template. Only templates with .ept extensions can be opened.
Save | This option enables the user to save the current template. In case of saving the template for the first time, user can choose the path where the template has to be saved. Templates can be saved only with .ept extensions.
Save all | This option enables the user to save all the open templates. An option to choose the path of the template is provided for templates which are to be saved for the first time,
Generate Report | This option enables the user to generate the report for the current template on the designer.
Cut | Cut will remove the selected element and place it in the clipboard.
Copy | Copy will place the selected element in the clipboard.
Paste | Paste will insert the clipboard contents onto the desired position on the template.
Print Preview | This option enables the user to see the print preview of the current template
Undo | This option behaves in the same way as Undo option in the Edit menu
Redo | This option behaves in the same way as Redo option in the Edit menu
Text Style combo box | This combo box lists all the possible styles for text. For e.g.; Normal, Heading1, Heading2. This can be used to set the style of any selected text on the designer
Font Combo box | This combo box lists all the available fonts in the system. This can be used to set the font of any selected text on the designer
Font Size Combo box | This combo box lists all the available font sizes in the system. This can be used to set the font size of any selected text on the designer
Bold | This option enables the user to make the selected text in bold. If the selected text is already bold, clicking this button the text will become normal.
Italic | This option enables the user to make the selected text in Italic. If the selected text is already Italic, clicking this button the text will become normal.
Underline | This option enables the user to underline the selected text. If the selected text is already underlined, clicking this button the text will become normal.
Font Background Color | This option enables a user to highlight a selected text with the desired background color.
Font Foreground Color | This option enables the user to modify the font color the selected text.
Align Left | This option enables the user to left-align the selected text. In case of a table/label being selected, it will make all the text in the table/label as left-aligned
Align Center | This option enables the user to center-align the selected text. In case of a table/label being selected, it will make all the text in the table/label as center-aligned
Align Right | This option enables the user to right-align the selected text. In case of a table/label being selected, it will make all the text in the table/label as right-aligned
Numbering | This option enables the user to add/remove numbering to/from the selected text.
Bullets | This option enables the user to add/remove bullets to/from the selected text.
Decrease Indent | This option enables the user to indent the selected text to the previous tab stop.
Increase Indent | This option enables the user to indent the selected text to the next tab stop.


Embedding a Field Aggregate element

To embed a Field Aggregate element on the report template perform the following:

  1. Select Field Aggregate under Read Data and Create

  2. Select a database either ODBC or an .mdb file from the drop-down menu.

  3. Once a database is selected, the Select an Access Database dialog box will be displayed.

  4. The Select Tables dialog box will be displayed. Select the desired table(s) to be filtered. The selected tables (including code tables and view tables if selected) are then added to the tree.

Binary fields will not be loaded into the tree. Only the “count” function can be applied for a Memo data type field.

A field of a table can be dragged and dropped on the template. On generation of a report with a field of a table dragged, all the values of the field get displayed in the place where field was dropped. The size of the label has to be increased sufficiently to accommodate the entire data, else only data that could be contained in the visible region will be displayed.

On generation of a report template, wherein a field {Oswego.fAGE_1} has been dropped, the following screen is generated.

Alternatively, any aggregate node under any database column node can also be dragged and dropped onto the designer.

Here the count of Name has been dropped on the designer, and this template when run, the placeholder {Oswego.cName_1} would be replaced by the actual count.

All formatting options can also be used, when the column or aggregate is of either numeric or date data type.

The field values or aggregate values can also be filtered using some filtering criteria. Specifying a condition in the condition builder screen can act as a filter. Right clicking on the cell-replacement element can bring up the condition builder.

Any number of conditions can be added using this condition builder. The first list box shows all the fields of the table from which the cell-replacement element has been picked-up.

Binary fields will not appear in this list. The second list box shows the allowed conditional operators and the third list box shows columns and also gives a provision for the user to type-in any value.


Embedding Analysis XML elements

Information pertaining to analysis XML that is generated by Epi Info, can also be included in the reports generated. User are allowed to include information in table form in their reports. The latest information from the XML is displayed to the user during report generation.


Embedding Field Aggregate values

Aggregate functions (count, min, max. etc) can be applied for individual columns in the database and the corresponding information can be included in the report. These aggregates are calculated during report generation against the column selected and information is displayed to the user.

Conditional filters can also be applied for such Queries. Without an aggregate function the data values under the selected column are displayed during report generation.


Embedding Line Listing Groups

Users can logically group related data using the grouping concept. Various aggregate functions can be applied to groups of data.


Embedding other elements

Other element such as Hyper text markup language (HTML), anchors, lines, tables, and images, can be included in reports. The properties specific to these elements can be modified during the report design. Refer to the Epi Report property screen for more information.


Embedding pivot table

Pivot tables can be embedded into reports for data analysis. Users can build a query, and access the data from any ODBC compliant database. In the pivot table, axes can be changed and various aggregate functions can be applied to the data. The data can be displayed in various forms, determined by the user.


Embedding Permanent Variables from Epi Info

All the permanent variables defined in the Epi Info.ini file, are listed under Permanent variables. Any number of permanent variables can be dragged and dropped in the designer. When a permanent variable is dropped on the template, a placeholder is displayed indicating the position of the permanent variable. During the generation of the report, the actual value of the variable is read from the Epi Info.ini file and is substituted in place of the placeholder.

The below screen snapshot shows the substitution of the permanent variable-{epi_Language} from the EpiInfo.ini file once the report is generated.


Epi Report Command Line Syntax

The following is the syntax to call Epi Report from the command line:

EpiRepGen <template-ept-file-name-with-path> <analysis-xml-file-name-with-path> /v /p

OR

EpiRepGen <template-ept-file-name-with-path> /o:<folder-path-where-output-to-be-stored>

<template-ept-file-name-with-path> - Template file name

Example: c:\template1.ept with full path

<analysis-xml-file-name-with-path> - Analysis file name

Example: c:\analysis\out4026.xml

  • If only using <template-ept-file-name-with-path>, the template is opened with the XML and Datasources which was saved earlier with the template.

  • If using both <template-ept-file-name-with-path> <analysis-xml-file-name-with-path> then <template-ept-file-name-with-path> will be opened, which opens all the Datasources (XML & DB) associated and the <analysis-xml-file-name-with-path> will be opened as if it has been opened after opening the template.

  • If only using <analysis-xml-file-name-with-path> then it is opened in a new template.

  • Only one of the following is allowed to be used at a time:

/p or /v or /o:<folder-path-where-output-to-be-stored>

/p generates the template (if given) or the default template and print it directly.

/v option generates the template (if given) or the default template and previews it.

/o:<folder-path-where-output-to-be-stored> will store the generated output (in .htm file format) in the desired folder.

Passing Analysis XML to Epi Report

C:\epi_info\epirepgen c:\mydir\sample.ept c:\analysis_out\out01.xml

Preview Example

C:\epi_info\epirepgen c:\mydir\sample.ept /v

Print Example

C:\epi_info\epirepgen c:\mydir\sample.ept /p

Generate Output Example

C:\epi_info\epirepgen c:\mydir\sample.ept /o:c:\mydir\output_dir

There should not be any space between /o: and the directory path


Embedding System Variables

System variables available under System Variable (CurrentDate, CurrentTime, TemplatePath) can be dragged and dropped onto the Epi Report template. During report generation, data will populate the applied fields.

The below Screen snapshot displays the report in which the system variables have been replaced by their respective values.


Epi Report Edit Menu

1.2.2 Epi Report Edit Menu

Menu Item | Description
Undo | Reverses the last action that was performed in the designer.
Redo | Repeats the last action that was done in designer, if possible.
Cut | Cut will remove the selected element and place it in the clipboard.
Copy | Copy will place the selected element in the clipboard.
Paste | Paste will insert the clipboard contents.
Select All | Selects all the elements on the current template.


Epi Report Generate Report Screen

The Epi Report Generate screen displays the generated output of the current template. A report can be generated using the Generate Report option in the File menu of the designer application. The output can also be saved from this screen.

File Menu Options | Description
Save | Save will copy the current output to a file in the user’s chosen directory.
Save As | Save As will copy the current output to a file in the user’s chosen directory with another name if specified.
Make Template Build | This option enables the user to save the output along with all the images embedded in a single folder.
Print Preview | This option enables the user to see the print preview of the output
Print | This option enables the user to print the output.
Exit | This option closes the generate report screen.


Epi Report File Menu

1.2.1 Epi Report File Menu

Menu Item | Description
New | New creates a new template in Epi Report
Open | Open allows the user to access a previously created template in Epi Report. Only templates with .ept extensions can be opened.
Save | Save will copy the current template to a file on the computer's main memory or other desired storage medium.
Save As | Save As will copy the current template under another desired name.
Save All | Save All will copy the all the open templates to files on the computer's main memory or other desired storage medium.
Page setup | Page setup allows the user to select from the existing page size, Orientation (Portrait, landscape)). It also allows the user to setup page margins (left, top, bottom, right). Please see page setup for further explanation.
Print Preview | Print preview will produce a preview of the current template using the default print device.
Print | Print will produce a paper copy of the current template and send it to the selected print device.
Generate Report | Generate Report will generate the current template by bringing the latest data from all the required sources into the report output.
MRU | List of most recently accessed templates is shown.
Exit | Exit will allow the user to leave the Epi Report program.


Epi Report Format Screen

Numeric or date types can be specified as elements in created reports.

To apply a format perform the following:

  1. Select the element to be formatted.

  2. Right click on the element, the Format dialog box will be displayed.

  3. Choose from the available formats or type in a custom format.

  4. Click OK to apply changes.

The following is an example of the Format Screen for a date type element:

The following is an example of the Format Screen for a numeric type element:

In case of Analysis XML, the Format option will be enabled only if the data type of the analysis cell/column is of numeric or date data type.

In case of field aggregates, the Format option will be enabled only if the data type of the field aggregate is of numeric or date data type.

In case of Line Listing Groups, the Format option will be enabled only if the table cell consisting of the field name enclosed within “<>” is of numeric or date data type.

Format Option is not enabled for Pivot Table.

For a detailed information on formats and what each format means, please refer to Epi Info Documentation.


Epi Report Menu Features

The Epi Report menu bar provides access to the resources the user needs most often. The user can create, open and save a template. Editing features like cut, copy, paste can also be accessed easily.

The following give an overview of the options available in the menu:

File

Edit

View

Tools

Windows

Help


Epi Report Help Menu

Menu Item | Description
Contents | This option opens the Epi Info Help file.
Shortcut keys | This option lists all the commands that are used in the Epi Info Epi Report.
About Designer | About Designer describes the version of the Epi Info program being used.
Office-CD fix | This option gives a provision to fix the errors caused due to the improper installation of Microsoft Office.


Epi Report Pivot Table Screen

A Pivot table can be inserted using the Epi Report Pivot Table screen. This screen is displayed, when the user left-clicks on the pivot table node in the tree, selects a database and prepares a query using the query builder.

1) Design Pivot Table

The above screen displays the Design Pivot Table tab of the query builder. This tab is enabled only when the Pivot Table node is clicked on the tree.

Screen Item

Description

Available Fields

The selected fields in the Read tab will be displayed under this label.

>>Col

After selecting a field from the “Available Fields” list box, clicking this button moves the selected field to the Columns section.

>>Row

After selecting a field from the “Available Fields” list box, clicking this button moves the selected field to the Rows section.

>>Data

After selecting a field from the “Available Fields” list box, clicking this button moves the selected field to the Data section.

Select a data field and then an aggregate function from the combo box to specify an aggregate value for the respective field. The default aggregate function is “Sum”

Clear All Defined Rows, Cols and Data

Clicking this button will clear all the defined row, column and data fields.

Note: “Treat as Yes/No” is not applicable for Pivot Table.

The “Sort” Tab is not applicable for Pivot Table.

2) Format Pivot Table

The above screen displays the Format Pivot Table tab of the query builder. This tab is enabled only when the Pivot Table node is clicked on the tree.

Screen Item

Description

Properties

Under this label, various options are provided for formatting the output. The format set will be reflected on the pivot table at the left side of the snapshot which will be displayed on the generated report later.

Suppress Totals

This checkbox is to be clicked when the Total (Sum aggregate) is not to be displayed in the generated report.

Pivot Sections

The section of the pivot table on which the formatting is to be set can be chosen by selecting any of the values- Field Captions, Data Rows and All from this combo box.

Available Fonts

This list box displays all the available fonts in the system.

Size

This list box displays all the available font sizes in the system.

Background Color

This sets the desired background color to chosen section.

Foreground Color

This sets the desired font color to the text in chosen section.

Data Format

Under this label, the user can specify the format for the numeric data in the data section of the pivot table.

Set

Clicking this button sets the defined format options to the pivot table.

View Query

On click of this button the query constructed is displayed to the user.

Clear Query

On click of this button the user selection is cleared.

Ok

On click of this button, the user is allowed to proceed forward.

Cancel

On click of this button, the query builder is closed resulting in cancellation of the pivot selection.


Epi Report Silent Printing

Silent Printing is written with the intent to view the output of any template that has been designed using Epi Report. The output is generated without activating the design mode.

The Silent Printing feature is implemented in the ActiveX exe-PrintRep.exe

The Project Name to be called is Printrep

The Class Name to be called is clsProcessing

The class clsProcessing exposes two functions namely: PrintPreview and PrintTemplate.

  • PrintPreview: The functionality of PrintPreview is to view (print preview) the generated output of any template

Signature: PrintPreview (FileName as string)

Where FileName is the path of the template for which the output is to be generated and it holds a string type value

  • PrintTemplate: The functionality of PrintTemplate is to print the generated output in Silent mode without showing intermediate interface.

Signature: PrintTemplate(FileName as string)

Where FileName is the path of the template for which the output is to be generated and it holds a string type value

• GetPrinterName: The property GetPrinterName is used to get the path of the desired printer.

Example: objPrinter.GetPrinterName = “\\hccnt003\Laser2-2F”

Where objPrinter is the name of the object that references to the activeX exe -

Printrep.exe “\\hccnt003\Laser2-2F” is the path of the printer.

Prerequisites for using the activeX EXE - PrintRep.exe:

Following are the prerequisites required for using the activeX exe - PrintRep.exe:

  • The ept template for which the output is to be generated should be designed using the Epi Report Application.

  • The xml file corresponding to the template should be of the same name as the template and also be present in the same folder as the template.

  • The analysis xml, databases that have been used to design the template should be present.

  • Images if any present in the template, should be present in the system.


Epi Report Program Editor Features

Designer Pop-Up Menu Options

Epi Report Format Screen

Epi Report Status Bar

Epi Report Query Builder Screen

Epi Report Shortcut Keys Screen


Epi Report Program Screen

Epi Report Program Screens

Main Designer Screen

Property Screen


Epi Report Query Builder Screen

1) Read

The above screen displays the details of the read tab in the query builder.

Screen Item

Description

Available Items

This lists all of the tables which are present in the data source are displayed.

Available Fields

This field lists the available fields for each table.

Note: Binary fields will not be loaded in the Query Builder Screen. The user can select from these fields and the selected fields are to be moved to the Fields to Show list box by the clicking the “>“ button. If all the Available Fields are to be selected, the “>>” button can be clicked.

Memo fields will be loaded into the Query Builder Screen but they cannot be used in Group and Sort Options. In the case of Aggregates, only count of memo field can be performed.

Fields to Show

This field lists the selected fields. The order of selection can be changed, by clicking the fields and using the following navigation icons:

é ê

Show View Tables

This checkbox is selected to view the ViewTables that are created in EpiInfo for the current data source apart from the existing displayed tables.

Show Code Tables

This checkbox is selected to view the CodeTables that are created in EpiInfo for the current data source apart from the existing displayed tables.

Top N Value

This field is used to specify a numeric value for selecting only the top “N” number of rows in the result of the query.

Note: “N” can accept only whole numbers and cannot be used with aggregates.

Top percent

This checkbox is used to treat the value given in Top N value as a percentage value. (i.e., top n% records are displayed in the results).

Note: This also cannot be used with aggregates.

Treat as Yes/No

This checkbox is used to treat a particular field as a Boolean (Yes/No) field. An asterisk is appended to this field to distinguish it from the other selected fields.

Note: This feature is not applicable for use with the Pivot Table.

View Query

This button displays the constructed query to the user.

Clear Query

This button clears the current query.

Ok

This button accepts the current query.

Cancel

This button cancels the current query and closes the Query Builder dialog box.

2) Relate

The above screen displays details about the Relate tab in the query builder. This screen allows users to add join conditions on selected table fields.

Screen Item

Description

Select table pair

This field displays the selected tables. The user is expected to select two tables and apply a join condition to the fields.

Select fields to join on

This field displays the fields in which the join condition is to be performed.

Defined join conditions

This field displays the selected join conditions.

Add join to Query

This button adds the join conditions to the query.

Clear Joins

This button clears the displayed defined join conditions.

3) Select

This screen displays details about the Select tab in the query builder. Conditions for the selected data is specified on this screen. Boolean, arithmetic operators, and etc. can be applied on the fields/columns and an expression can be set.

Screen Item

Description

Field Name

This field allows the user to select the desired table field from the drop-down menu.

Operator

This field allows the user to select the desired operator to be used to build the query.

Value

This drop-down field displays the available values; information taken from the data source for the selected table field.

AND into criteria

This button adds a clause around the arithmetic expression.

Or into criteria

This button adds an or clause around the arithmetic expression.

List possible value

This button populates the values for the field/column selected under Value label.

Criteria

This field displays the criteria selected. The criteria can be modified in this field.

4) Group

This screen displays details about the Group tab in the query builder.

Screen Item

Description

Fields to Show

In this field, the selected table fields are displayed. The user can select the field in which the grouping is to be performed. The selected Group Field is moved to the “Grouped Field” list box by clicking on the “>” button.

Grouped fields

In this field, fields that are selected for grouping are displayed. The order of grouping can be changed by using the éê icons.

5)Sort

This screen displays details about the Sort tab in the query builder.

Screen Item

Description

Available fields

This field contains all the fields of the selected tables. If there are fields selected for grouping in the group tab, those fields will be excluded from this list.

The fields on which the sorting is to be performed are to be selected and moved to the “Order By Fields” list box.

Order By fields

This field displays the table fields that are selected for sorting. The sort order can be changed by using éê icons.

Ascending

Select the Ascending radio button to sort the Order by Fields field in ascending order.

Descending

Select the Descending radio button to sort the Order by Fields field in descending order.

6) Aggregates

This screen displays the details about the Aggregates tab in the query builder. This tab is only enabled when a field is selected for grouping in the group tab.

File Menu Options

Description

Defined Aggregates

The created aggregates are displayed in this field. The name can contain alphabets, numbers, spaces and special characters _ (underscore) and @.

Note: When an aggregate name is prefixed with the @ character, the aggregate label is not displayed on the report, only the aggregate value is shown. To have the aggregate label displayed on the report, the name should not be prefixed with the an @.

Aggregate Settings

This field allows the user to set various properties for the aggregates created.

Name

This field is used to name the aggregate.

Available Functions

This field is used to select one of the five required aggregate function from the drop-down menu: Avg, Count, Min, Max and Count.

Field

This field is used to select the field in which the selected aggregate will be applied.

Aggregate At

This field is used to specify the position where the selected aggregate is to appear. The aggregate can be displayed either at the top or at bottom of the group break in the generated report.

Aggregate Type

This field allows the user to specify whether the aggregation is displayed at each group break or at the grand total.

Grouped Field

This field allows the user to specify the grouped field in which the aggregation is to be performed.

Create Aggregate

Click this button to create the defined aggregate.

Delete Aggregate

Click this button to delete the selected aggregate.


Epi Report Shortcut keys Screen

The Epi Report Shortcut Key screen lists the shortcut keys and their functionality in the designer area of the Epi Report application.

The Shortcut Keys screen will be displayed when the shortcut key option is selected in the Epi Report Help drop-down menu.

The following is a complete list of the Shortcut Keys:

Movement
RIGHT ARROW | Move one character to the right. If an absolutely positioned element is selected, nudge the element one pixel to the right.
LEFT ARROW | Move one character to the left. In the Designer, if an absolutely positioned element is selected, nudge the element one pixel to the left.
DOWN ARROW | Move down one line. In the Designer, if an absolutely positioned element is selected, nudge the element down one pixel.
UP ARROW | Move up one line. In the Designer, if an absolutely positioned element is selected, nudge the element up one pixel.
CTRL+RIGHT ARROW | Move right one word
CTRL+LEFT ARROW | Move left one word
END | Move to the end of the current line
HOME | Move to the start of the current line
CTRL+DOWN ARROW | Move down one paragraph
CTRL+UP ARROW | Move up one paragraph
PAGE DOWN | Move down one page
PAGE UP | Move up one page
CTRL+HOME | Move to the beginning of the document
CTRL+END | Move to the end of the document
TAB | Cycle selection through block-level elements within the control
SHIFT+TAB | Reverse-cycle selection through block-level elements within the control
CTRL+TAB | Move from the control to the next element in the host application*
SHIFT+CTRL+TAB | Move from the control to the previous element in the host application*
Selection
SHIFT+RIGHT ARROW | Extend the selection one character to the right
SHIFT+LEFT ARROW | Extend the selection one character to the left
CTRL+SHIFT+RIGHT ARROW | Extend the selection right one word
CTRL+SHIFT+LEFT ARROW | Extend the selection left one word
SHIFT+UP ARROW | Extend the selection up one line
SHIFT+DOWN ARROW | Extend the selection down one line
SHIFT+END | Extend the selection to the end of the current line
SHIFT+HOME | Extend the selection to the start of the current line
SHIFT+PAGE DOWN | Extend the selection down one page
SHIFT+PAGE UP | Extend the selection up one page
CTRL+SHIFT+END | Extend the selection to the end of the document
CTRL+SHIFT+HOME | Extend the selection to the beginning of the document
CTRL+A | Select all elements in the document
Editing
BACKSPACE | Delete the selection or, if there is no selection, the character to the left of the insertion point
CTRL+BACKSPACE | Delete all of a word to the left of the insertion pointer, not including the space before
CTRL+C | Copy the selection to the Clipboard
CTRL+V | Paste the contents of the Clipboard to the current location
CTRL+X | Cut the selection to the Clipboard
DELETE | Delete the selection without placing it on the Clipboard
INSERT | Toggle between inserting and overwriting text
CTRL+Z | Undo the most recent formatting commands
CTRL+Y | Re-do the most recently undone commands
CTRL+F | Find text
SHIFT+F10 | Display the context menu, if any (equivalent to right-clicking the document)
CTRL+L in the Designer | Display the Hyperlink dialog box (if the insertion point is within an <A> element)
CTRL+K in the Designer | Toggle absolute positioning for the selected element
Formatting
CTRL+B | Toggle bold formatting
CTRL+I | Toggle italic formatting
CTRL+U | Toggle underlining
CTRL+T In the Designer | Increase paragraph indent
CTRL+SHIFT+T in the Designer | Decrease paragraph indent


Epi Report View Menu

Menu Item | Description
Toolbox | This is a toggle option which shows/hides the treeview/toolbox. This option can be used if the user needs a bigger design area and does not need the treeview/toolbox.
PageLayout | The borders of the page are shown to the end user with colored lines. The user can easily identify the content which goes over the boundaries of the page layout.
Zoom | Allows the user to set and apply the Zoom properties on the current template.


Epi Report Status Bar

Menu Item

Description

Status Bar

The Status Bar displays the following information:

  • Current status of the designer e.g. Ready, processing etc.

  • Caps Lock On/Off mode

  • Insert or Type over mode

  • Num Lock On/Off mode


Epi Report Tools

The following screen displays the various menu options that are available under the Epi Report Tools Menu.

Menu Item | Description
Styles | The user is allowed to define custom style sheets for tables, lines and images. Style sheet designs are specific to each template.
Reload Analysis XML | This menu item is displayed only if one or more analysis .xml files are opened. This feature enables the user to refresh the analysis xml file. This feature is also specific to each template.
Define Substitution Values | The user is allowed to define substitution values for Boolean variables like YES, NO, or MISSING. If substitution values are defined, they will overwrite the corresponding values in the EpiInfo.ini file. Otherwise, the original values defined in the EpiInfo.ini file will be used. The substitution values defined are specific to each template. Note: These substitution values are not applicable for Pivot Tables.

The following screen displays the style sheet dialog box for the HTML element - TABLE.

Once a style sheet is attached to an element, the properties of that element are locked. To change the properties of that element, the style sheet must be modified. The following screen displays the properties that are locked for the selected style.

To set Border Effects to the HTML Element- “Table” perform the following:

  1. Select the table and choose Properties by right clicking on the selected table.

  2. Specify the desired border effects through the Borders property in the Property Window.

  3. Apply the desired style sheet.

In the style sheet window, border has to be set a value which is between 1 to 10, to enable the bordering effects.

The following screen displays the window for defining the Substitution Values for Boolean Variables (i.e., Yes, No, or Missing).


Epi Report Windows Menu

Menu Item | Description
Tile Horizontal | Tiles all the open template windows horizontally.
Tile Vertical | Tiles all the open template windows vertically.
Cascade | Cascades all the open template windows.
Arrange Icon | Arranges all minimized template windows.
Open Windows list | All currently opened template windows are listed under this menu option.


Epi Info Menu Overview

The menu provides access to the other Epi Info programs, but is also a general purpose, configurable menu that can be used in Windows 95, 98, NT, or 2000 to offer menus and command buttons that lead to other programs, functions, images, and text to create a theme. By choosing menu items or buttons on a menu, the user can run other programs or any function for which a Windows or DOS program is available. A command called EXECUTE can be used to allow Windows to determine from the file extension (.HTM or .TXT, for example) which program should be used to display the file. Because the menu can run DOS batch file commands, a series of operations, such as copying files for backup or transmission to another destination, can be specified for a menu choice or button.

The menu items and commands to be run are determined by a text file with the extension .MNU that can be created or edited in the WordPad program that comes with Windows. Menu files can also be created in Microsoft Word or Corel WordPerfect, but be sure to save the file as a DOS text file and confirm that it has only the .MNU extension.

More than one menu can be created to form a series of connected menus. Each menu can have a different image, set of menu items and corresponding functions, and a language translation database for easy implementation in non-English languages. The global variable LANGUAGE can be set from a menu choice to indicate which translation tables should be used by both the menu and the other Epi Info programs. The SETTINGS menu item can be used to specify a Working Directory; the computer is logged into the specified directory before a program is executed from the menu.

The main programs of Epi Info can be accessed either through the PROGRAMS menu or by clicking on the buttons. The buttons can be turned on or off with the BUTTONS item on the SETTINGS menu. The Guided Tour is part of the Epi Info manual and help-file system represented on the MANUAL menu. Several exercises for learning epidemiology and computing are found on the TUTORIALS menu.

On the EXAMPLES menu, choose SURVEILLANCE MENU. A second menu appears with different menus, background picture, and screen text. This is the beginning of a Surveillance system to be developed in Epi Info, but most of the entries on this menu are not yet active. The menu is presented to show how easy it is to customize the menu and use it for your own programs. Close the Surveillance menu by choosing EXIT from the ENTER DATA menu.

To gain confidence and to see that your system is functioning well, you might click on each of the buttons on the main menu and briefly examine the program that appears. Exit from each one by clicking an Exit button, the small “x” box in the upper right corner, or EXIT in the FILE menu. We will visit each program again in more detail, as described below.

If you are interested in the details of the files behind the menu, use the word processor and OPEN the files Epi Info.MNU and SURVEIL.MNU. Note that differences in these text files are responsible for the differences in appearance and function of the two menus.

The following links describe some of the functionality provided by Menu:

Accessing the Epi Info Help System

Adding or Changing a Menu Item

Adding or Changing Buttons in Menu

Changing the Picture on the Menu Screen

Developing a new Menu

Programming a Response to a Menu Item or Button

Sending Information to Other Programs using Permanent Variables

Setting the INI File Directory from Menu

Setting the Working Directory from Menu

The Windows Word Processor

Turning Buttons On or Off in Menu

Functions and Operators used in Menu:

@@ Operator

COMPDATE (VERSION) SYSTEM VARIABLE

EXISTS FUNCTION

INIDIR SYSTEM VARIABLE

MENUDIR SYSTEM VARIABLE

SYSTEMDATE SYSTEM VARIABLE

WORKDIR SYSTEM VARIABLE

INSTALLDIR SYSTEM VARIABLE


@@ Operator

Assign FavoriteURL = "www.cdc.gov"

LINKTO @@FavoriteURL

Replace %source%, @@Path1; From @@Path1\App\Main.src To @@Path1\AppMain.pgm

@@

Operator [Menu]

Description

Replaces a variable name with its current value.

Syntax

@@<varname>

Comments

Variable with the same name has higher preference in [Menu Variables] section than in [Variables] section.

If a variable does not exist in [Menu Variables], then the value will be taken from [Variables].

Following this new rule above, @@ is to look for the variable name in [Menu Variables] first, then [Variables]. Once found, and then retrieve the value for the variable in the preference section

The name of a variable created with ASSIGN or DIALOG can be embedded in a menu command, a menu item, screen text, or a button description. When the command is executed, the value of the variable will be substituted for @@ varname.

Users of Epi Info 6 should note that @@ replaces @ to avoid confusion with internet addresses that frequently contain a single @ sign.

If a variable is used with @@ in a file path without a "\", then a "\" is needed to get the correct full file path. Since @@ always removes a space after the replacement, users need to ensure the line of sting will still be valid after @@ takes place.

Example


COMPDATE (VERSION) SYSTEM VARIABLE

COMPDATE (VERSION)

System Variable

Description

The value of CompDate is the date that the Epi Info application was compiled. This is the date that is displayed at the bottom of the Epi Info menu.

Syntax

@@CompDate

Comments

The compilation date will be displayed on the Epi Info for Windows Menu screen.


EXISTS FUNCTION

If EXISTS (“C:\Epi Info\Test.BAT”) then

Execute ‘C:\Epi Info\test.bat

EndIf

If Exists("d:\Temp\") then

Dialog "Directory d:\Temp\ exists"

EndIf

If Exists("c:\EpiInfo.mnu") = True then

Dialog "File epiInfo.mnu exists"

EndIf

EXISTS

Function

Description

This function returns a TRUE if a file exists; otherwise it returns a FALSE.

Syntax

EXISTS(<variable>)

<variable> represents the complete file path and name in text format

<path> represents the path of the file being searched for.

<path\> represents the path of the directory being searched for.

Comments

If the user does not have permission to access the file a FALSE may be returned.

EXISTS(<path>) returns TRUE or FALSE if the file exists or not.

EXISTS(<path\>) returns TRUE or FALSE if the directory exists or not.

Exists Function should be used with IF Then Else or Repeat Until command.

Example


INIDIR SYSTEM VARIABLE

INIDIR

System Variable [Menu]

Description

The value of INIDir is the EpiInfo.ini file location.

Syntax

@@INIDir

Coments

The value of INIDir is stored in the registry. This means only one EpiInfo.ini in the location where INIDir pointed can be implemented.


MENUDIR SYSTEM VARIABLE

MENUDIR

System Variable [Menu]

Description

The value of the MenuDir is the current EpiInfo.mnu file directory.

Syntax

@@MenuDir

Comments

MenuDir can be used with @@ to get the menu file directory where the current menu file read from. MenuDir will always be available and will still work if menu is copied to another directory or renamed and copied.


SYSTEMDATE SYSTEM VARIABLE

4/23/2002 9:31:03 AM

SYSTEMDATE

System Variable [Menu]

Description

Returns the system date and time.

Syntax

SYSTEMDATE

Comments

SYSTEMDATE can be used with @@ to get the system date and time.

Example


WORKDIR SYSTEM VARIABLE

WORKDIR

System Variable [Menu]

Description

The value of the WORKDIR is the user's working directory.

Syntax

@@WORKDIR

Comments

WORKDIR can be used with @@ to get the working directory. The value of WORKDIR is stored in the EpiInfo.ini file.

WorkDir is default to current menu folder when there is no WorkDir in [MnuEPIInfo] section in EpiInfo.ini file.


INSTALLDIR SYSTEM VARIABLE

INSTALLDIR

System Variable [Menu]

Description

The value of InstallDir is the Epi Info Windows installation directory.

Syntax

@@InstallDir

Coments

The value of the InstallDir is stored in the registry.


Turning Buttons On or Off in Menu

Insert the SETBUTTONS command into a block of commands in a .MNU file, as in:

ButtonSetting

Begin

SETBUTTONS

End


Sending Information to Other Programs using Permanent Variables

Use the ASSIGN command to create a variable and assign a value, as in:

ASSIGN CurrentYear= "200x"

The value of LANGUAGE becomes available as a "permanent" variable within Analysis and in check code written in MakeView. In menu (.MNU) programs it is not necessary to define variables; they are defined automatically by being included in an ASSIGN statement.


Adding or Changing a Menu Item

To add or change a menu item, edit the .MNU file. For example, to add an item to run Microsoft Word, first add the MENUITEM command to the .MNU file. Enter the words that will appear on the menu (enclosed in quotes ""), followed by a comma, then the command block name. An ampersand (&) can be used to choose a single character “hot key.” Hot keys must be different for each item on a simple menu.

Example:

MENUITEM “&MS Word”, DoWord

Now add a CommandBlock section:

DoWord

Begin

EXECUTE WINWORD.EXE

End

A menu entry is created on the POPUP menu within which the MENUITEM occurs. When the item is selected, the commands in the CommandBlock named are executed.


Accessing the Epi Info Help System

Epi Info provides help on a variety of topics.

To access the Epi Info Help files:

Click on the Help located on the Menu screen menu bar.

From the Help drop down menu you have access to the following:

  • Help Contents

  • Translantions

  • How to Edit the Menu

  • Tutorials

  • Epi Info Exercises

  • What's New

  • About Epi Info

These files will help you get acquainted with the Epi Info programs.


Adding or Changing Buttons in Menu

To add or change a button, edit the .MNU file:

The BUTTON command is used to create a button.

The command BUTTON “&NOTEPAD”, DoNotepad, 50,80 creates a button on the screen with the caption “Notepad” and the locations given as percentages of screen width and height: half way across the screen (50%) and (80%) of the down from the top. Clicking on the button with the left mouse button activates the commands in a block called DoNotepad.


Changing the Picture on the Menu Screen

Select SETTINGS on the menu, then click on PICTURE. From the file dialog that appears, select a suitable image file of the .BMP, .JPG or .GIF type. Other types of images can be converted to these formats by using commercial or shareware image editing programs.

Images can also be specified on the command line when running the menu program from the DOS command line, from the RUN command on the Windows START menu, or from another program.

The user sets the image from an entry on the menu that calls a command block containing the SETPICTURE command. When this choice is selected, a file dialog pops up so that the user can select a picture. The picture selected is displayed and also stored in the EPIINFO.INI file as a PICTURE entry under the block of settings for the menu. Thus, the name of the image for the EpiInfo.mnu file may be stored in EPIINFO.INI under “[MnuEpiInfo]” as PICTURE = C:\Epi_Info\EpiInfo.jpg, for example. A programmer could also edit the INI file directly to add or delete the PICTURE designation for a particular menu.

If there is no setting in the INI file, the picture name is determined from a command line parameter, such as EpiInfo.EXE Surveil.mnu refcamp.bmp. REFCAMP.BMP is the image file. If the menu has been run from another menu, using the MENU command in a block of commands, and there is no setting in the INI file, the image parameter determines the image. For example, MENU SURVEIL.MNU GLOBE.BMP will display GLOBE.BMP.

A PICTURE command may be placed in the menu configuration block of the MNU file, typically right after the MENU line. PICTURE REFCAMP.BMP will cause the menu to display REFCAMP.BMP, but only if there is no picture set in the INI file and none is given on the DOS or MENU command line.

If none of these choices determines a valid image, a search is made for an image with the same name as the EXE file that runs the menu. Hence, if EpiInfo.EXE is renamed or copied to MyMenu.EXE, an image called MyMenu.JPG, MyMenu.BMP and MyMenu.GIF (in that order) will be sought in the same directory with MyMenu.EXE – the first to be found will be selected.

The menu will display .BMP, JPG, and .GIF files. Other formats may display; try them out and see.


Developing a new Menu (.mnu)

To develop a new menu file:

Examine the EpiInfo.MNU in the Word Processor.

On the File menu, select Save As to save the original copy of EpiInfo.MNU by another name, and edit the menu items and commands to your own taste.

EpiInfo.EXE looks for a file named EpiInfo.MNU to run so you must make sure that the menu file you want to use is named EpiInfo.MNU.

To create a backup copy of the Epi Info.MNU file:

To do this, first make a backup copy of your Epi Info.MNU file under another name.

Edit the block of commands in the MNU file called WordProcess. Between the words BEGIN and END, you will find an EXECUTE statement. Edit the EXECUTE statement to contain the correct path and name of your word processor. The statement should be the same as one that will run the word processor from the RUN window of the Windows START menu. For example, "WinWord.exe" may work for Microsoft Word. Save the Epi Info.MNU file as a text file and test the menu to see that it runs your word processor.

Troubleshooting Hint: A common cause of problems in editing an MNU file is that some word processors add an extra extension when saving to a text file, resulting in Epi Info.MNU.TXT. The latter extension must be removed by renaming the file in Windows Explorer or My Computer before the Epi Info menu will work with the MNU file.


Programming a Response to a Menu Item or Button

A named block of commands is needed in the .MNU file for the program to respond to a menu item or button.

For example, the BUTTON “MakeView,” when selected by the user, runs the commands in the block called MakeView, which looks like this in the file called EpiInfo.mnu:

MakeView

Begin

EXECUTE MAKEVIEW.EXE

End

You can create these lines or edit the ones that are already there. A number of menu or DOS batch file commands can be inserted between the Begin and End markers.


Setting the INI File Directory from Menu

To set the INI file directory:

  1. Select Settings on the Menu menu bar.

  2. Click Set INI File Directory.

  3. Select the desired INI file directory.

  4. Click OK to save and exit.


Setting the Working Directory from Menu

To set the working directory:

  1. Select Settings on the Menu menu bar.

  2. Click Set Working Directory.

  3. Select the desired working directory location.

  4. Click OK to save and exit.


The Windows Word Processor

The Epi Info menu provides access to the Wordpad word processor supplied with all Windows operating systems.

By editing the EpiInfo.mnu file, you can change the word processor associated with the menu choice or button by that name.

Word Processor Overview


Compact Overview

Compact is an Epi Info utility for compacting Microsoft Access database files.

To compact a Microsoft Access file:

  1. From the Epi Info Menu, select Compact.

  2. Select the desired .MDB file to compact.

  3. Select the name of the compacted .MDB file.

  4. Type a password (optional) for the compacted .MDB file.

  5. Click the OK button to compact the file.

  6. The Compact done dialog box will appear.

  7. Click Exit.

To execute Compact from the command line:

Command line execution is as follows:

Epi menu command line: Execute compact.exe

DOS command line: compact.exe c:\ep_info\sample.mdb /s

/s represents silent mode. This switch is optional.


Accept Table 1 Value/Accept Table 2 Value

Accept Table 1 Value and Accept Table 2 Value allows the user to select the correct values to transfer to the current table.


Current Difference

The Current Difference field displays the number of differences that are in the compared tables.


Total Differences

The Total Differences field shows the total differences between both tables.


Edit

Menu Item | Description
Cut | Cut will remove the selected area and place it in the clipboard.
Copy | Copy will reproduce the selected area for placement in the current project or another project file.
Paste | Paste will insert the copied or cut areas into the current project or another project file.
Copy To Table 2 | On Unmatched Records Tab, highlight records and click the “Copy To Table 2” or “Copy To Table 1” button to have records copied from one table to the other.
Copy To Table 1 | On Unmatched Records Tab, highlight records and click the “Copy To Table 2” or “Copy To Table 1” button to have records copied from one table to the other.
Delete Table 1 Record | On Unmatched Records Tab, highlight records and click the Delete button to delete selected records.
Delete Table 2 Record | On Unmatched Records Tab, highlight records and click the Delete button to delete selected records.


File

Menu Item | Description
New Script | Select the New Script menu item to open and compare a new set of tables.
Open Script | Select the Open Script menu item to open a previously saved script.
Save Script | Select Save Script to save the current script.
Save Script As | Select Save Script As to save the current script under a new file name or in a different directory location.
Script Properties | Select Script Properties to view and/or edit the properties of the current script.


Script Properties

The Script Properties screen allows the user to view and to edit the current script. The user can readily view the Property Field and the associated value.

To edit the Script Properties, click the Edit button.


View

Menu Item | Description
View as Read-Only | This is the default setting for Data Compare. This allows the user to view the compared tables without the ability to make any edits. This option can be toggled by clicking the Read Mode On/Off button on the Data Compare button bar.
Show Introduction Page | Select this option if the Introduction Page is to be viewed when opening the Data Compare program to compare tables.
Show Message on Structure Identical | Select this option if the Table Differences message or the Table Identical message is desired to be shown in those instances when comparing tables.


Cut, Copy and Paste

Click the Cut button to remove the selected area and place it in the clipboard.

Click the Copy button to reproduce the selected area for placement in the current compare.

Click the Paste button to insert the copied or cut areas into the current compare.


Edit Script

Click the Edit Script button to change the properties for comparing tables.


New

Click the New Script button to open and compare a new set of tables.


Open

Click the Open Script button to open a previously saved script.


Read Mode On/Off

Read Mode On

Read Mode Off

Read Mode On is the default setting for Data Compare. This allows the user to view the compared tables without the ability to make any edits. To toggle this option to Read Mode Off, click on the Read Mode On button.


Copy to Table 1/Copy to Table 2

On the Unmatched Records Tab, highlight records and click the “Copy To Table 2” or “Copy To Table 1” button to have records copied from one table to the other.

The copied records are colored with green in VSGrid.

For EpiInfo View selection, when a record being copied has its own grids, then these grids will be copied over with the record. Copying grid records from a table to the other is allowed.


Delete

On Unmatched Records Tab, highlight records and click the Delete button to delete selected records.

The deleted records are colored with Red in the grid.

For EpiInfo View selection, delete a record from a table might delete its grids records as well if the record has grids. However, delete a grid record directly is not allowed.


Total Unmatched

Total Unmatched records are those match field values found in one table only. These records will be denoted in red in the table.


Data Compare Wizard - Finished

In the Data Compare Wizard - Finished! Screen, the user will has the option to save the create script. After saving the script, the user can click on the Compare button to compare the chosen tables.


Data Compare Wizard - Introduction

The Data Compare Wizard Introduction box will be displayed on the first time entry into the Data Compare program. This option can be toggled on and off by the user. The Skip this screen in the future option may be checked or the user can change the option from the View menu.

The Data Compare Introduction screen defines the type of tables that can be compared.


Data Compare Wizard - Step 1 New Script

The Data Compare Wizard - Step 1 New Script screen is where the user will select the tables to be compared.

First, select the Type of Tables to be compared by using the radio button option under the Type of Tables field area.

Then after selecting the table type, select the .MDB files to be compared.

If a backup file is desired to be saved, click in the Make Backup option box.


Data Compare Wizard - Step 2 New Script (Different Table Structure)

Once the files have been selected, the Data Compare Wizard - Step 2 New Script screen will be displayed. If there are differences found in the tables, there will be a prompt stating that the user has chosen tables with different structures. These differences can be displayed by clicking the Display Table Differences button.


Data Compare Wizard - Step 2 New Script (Identical Table Structure)

Once the files have been selected, the Data Compare Wizard - Step 2 New Script screen will be displayed. If there are no differences found in the tables, there will be a prompt stating that the user has chosen tables that are identical in structure.

This screen can be toggled on or off by choosing the option under the View menu or selecting the option box Do not show this message if tables are identical.


Data Compare Wizard - Step 3 New Script

In the Data Compare Wizard - Step 3 New Script Screen, the user will choose the match fields to get the records, by selecting the desired field name.


Data Compare Wizard - Step 4 New Script

In the Data Compare Wizard - Step 4 New Script Screen, the user will choose the table fields to compare, by selecting the desired field name.

All the field names can be chosen by clicking on the Check All button.

The user may also choose to show unmatched records by clicking in the option box Show unmatched records.


Data Compare Wizard - Step 5 New Script

In the Data Compare Wizard - Step 5 New Script Screen, the user can create an HTML report if desired from the comparison.

If the user chooses to create an HTML report, they check the option box next to Create HTML Report from Comparion. Then the user will give the HTML report a name. The user also has the option of not displaying values of different records by checking that option box.


Using the Data Compare wizard

Data Compare Wizard - Introduction Screen

The user may choose different window settings from the View menu at anytime.

To get this option back to show Introduction page, press Back button and uncheck this option.

Data Compare Wizard - Step 2 New Script Screen

Different Table Structure

Display Table Differences

Identical Table Structure

Do not show this message if tables are identical

Check this checkbox to do not show the message again at next time if table’s structures are identical. To get this option back to show message, press Back button from next step and uncheck this option.

Data Compare Wizard - Step 3 New Script Screen

Match fields (Match Key) are an identifier that used to get the records from two tables when using SQL query. Match key can be single field or multiple fields and match key must be unique.

Data Compare Wizard - Step 4 New Script Screen

Compare fields are ones that user selected from the common fields after the match key selection.

Show unmatched records

When this check box has been checked, the unmatched records will be displayed and the included in Data Compare Report.

Data Compare Wizard - Step 5 New Script Screen

HTML Report

When specified, the HTML report information, the Data Compare Report will be generated according to the settings on this page.

Note if checkbox “Don’t display values of different records” is checked, then the HTML report will display match key only, but not the values in the differing fields.

Data Compare Wizard - Finished! Screen

Save Script

User can save all selections from Wizard pages to a script file that can be used next time. Scripts are saved as .txt files.


Data Compare Differences Report

There are two kinds of reports user might have. The Structure Differences Report is only generated when Field Name and Data Type with differences. This is to help user to understand the reason why some fields could not be compared behind scene. The Data Compare Report is produced each time when loading up the main form if the checkbox for HTML Report is checked.

1. Statistics

Total # Compared for the Records is the number of records those of match fields value are identical in two tables. Total # Compared for the Fields is the number of fields that compared by the current selection.

Unmatched in Table 1 is the number of the records that match field values only exist in table 1. So, as likely words, Unmatched in Table 2 is the number of the records that match field values only found in table 2.

2. Differences in Details

There are two sections, Differences and Unmatched, in the details report. The yellow colored are the records those match fields are the same. If the checkbox of “Don’t display values of different records” (in Wizard page) was not checked, then the value of each field with difference will be displayed.

3. Unmatched Records

The red colored are the records those match field values found in one table only.


Data Compare Displays

1. Differences Color

The differences fields are those fields with background color of yellow. Once a difference field has been changed to identical, its background color is changed to green.

2. Unmatched Color

Unmatched records being copied over to the other table is colored with Green and being deleted is colored with Red. Any rows failed in copying or deleting are colored with Orange. User might try it again late after finding where the conflict was.

3. Show Related Record

For EpiInfo selection, user is able to view the Related Record in the parent table from a grid record. To do so, first, user clicks a grid record, then right mouse clicks to get the pop-up menu and clicks Related Record item.

4. Script Properties

User can review the current Script Properties from File menu, choose Script Properties item.

5. Switch Comparison Around

When comparing EpiInfo table and grids, user is able to switch the current comparison to another from the combo box in the toolbar. Note that the table names show both table 1 and table 2 separated by a colon. This is because tables to be compared can be different names in general. However, Grids to be compared must be the same name.

User might use combo box selection to refresh the data value after Copy or Delete taken place.

6. Trace Differences

Tab key is to trace differences in forward direction. And Shift-Tab is in reverse direction.


Data Compare Overview

Data Compare is an application for finding the differences between two tables. It is useful for checking the accuracy of double entry database creation. It can also be used to easily find changes in a database updated by more than one organization.

Data Compare supports Access 97 and Access 2000 in Microsoft Windows platform: Windows 95, Windows 98, Windows NT, and Windows 2000.

Data Compare can be run either from a new script or an existing script. The output of Data Compare includes screen display on a “Differences” Tab and an “Unmatched Records” Tab and printable reports, “Table Structure Report (in Text file format)” and an HTML Report.

Data Compare Menu

File

Edit

View

Data Compare Tool Bar

New

Open

Edit Script

Cut

Copy

Paste

Read Mode On

Read Mode Off

Differences Tab

Total Differences

Current Differences

Accept Table Value 1

Accept Table Value 2

Unmatched Records Tab

Total Unmatched

Delete

Copy to Table 2

Copy to Table 1


Data Compare Uses

1. Type of Table

Data Compare supports two types of database tables, EpiInfo or Standard, for users to select the desired comparison. As we know an EpiInfo view might have grids, the comparison of EpiInfo table starts with a view structure, then fields and the grids. There are number of special fields in EpiInfo View table. RecStatus is an indicator field in which filled with either 0 or 1 in the column. The deleted records are marked with 0’s in RecStatus column. UniqueKey is an auto field. Fkey is a foreign key in a grid table. A standard table is a regular Access table.

2. Structure of Table

At the Access database design time, we are able to see a table’s list of attributes that describe table structure. Data Compare only checks Field Name and Data Type for the table structure. Any differences found in structure, Data Compare will generate a Structure Differences Report. And the process might continue going on for rest of the Wizard pages as long as there are some common fields for further selections. However, EpiInfo Grids must be identical in grid table structure to get compared. Additionally, EpiInfo View table is a table structure or cluster that references to fields and grids in the view. From the view structure, Data Compare Wizard collects all record data and grid data that associates to the fields and grids for the data comparison.

If an EpiInfo View includes a Related View, then the user should compare the Related View separately from the current View comparison.

3. Common Fields

Fields with the same name and data type in both two tables refer to common fields. The match fields and the compare fields can be selected within these common fields. A field might not be listed in common fields for user to select, if its name is not included in the EpiInfo view table. Besides, RecStatus, UniqueKey, and Fkey are not included in common fields as they are EpiInfo internal control fields. If there is an auto field in the Standard table, then this auto field will not be displayed as a choice for use as a common field.

There is another case that common fields can also mean the fields listed on the right of match fields in Unmatched Records Tab. When copy a record from table 1 to table 2, the values of these fields will be copied over with the match key value.

4. Match Fields

Match fields (Match Key) are an identifier that is used to get the records from two tables when using SQL query. Match key can be single field or multiple fields and match key must be unique. To compare grids in EpiInfo view, require both table match key and grid match key, which are unique in combination. Grid match key is a single field only. Once users select a match field for a grid, then the grid is also selected for comparison. Fields with type of Memo can not be selected as a match field. If an EpiInfo view has been selected as a standard table comparison, for example, then Lists, checkcode, or web code can not be a match field. It is filtered out from the match fields selection.

Null value of a match field could bring the record to Unmatched Records list even two records in comparison are identical.

5. Compare Fields

Compare fields are ones that user selected from the common fields after the match key selection. Although fields with type of Memo can not be a match field, it might be available to be selected as a compare field.


Editing in Data Compare

The default mode in Data Compare is Read-Only. Data Compare allows user to use Edit Mode to change values of the fields. To do so, uncheck View as Read-Only from View menu. Then the fields in Differences Tab are in Edit Mode for Cut, Copy, and Paste. User might alternatively use Accept Table 1 Value and Accept Table 2 Value to perform the edit event.

1. Edit A Field

On Differences Tab, user can modify a field’s value as follows:

Single-click a field is to set a focus on the field. Then user is able to use Cut, Copy, or Paste.

Double-click a field is ready to change a value by keyboard directly.

Right-mouse-click is to display the pop-up menu to do the same thing as Cut, Copy, or Paste.

2. Copy Records

On Unmatched Records Tab, highlight records and click the “Copy To Table 2” or “Copy To Table 1” button to have records copied from one table to the other.

The copied records are colored with green in VSGrid.

For EpiInfo View selection, when a record being copied has its own grids, then these grids will be copied over with the record. Copying grid records from a table to the other is allowed.

3. Delete Records

On Unmatched Records Tab, highlight records and click the Delete button to delete selected records.

The deleted records are colored with Red in the grid.

For EpiInfo View selection, delete a record from a table might delete its grids records as well if the record has grids. However, delete a grid record directly is not allowed.


Using Data Compare from the Command Line

Data Compare can also be run from a command line with a specified script file.

Example:

C:\Epi_Info\TableDiff\DataComp.exe C:\Epi_Info\TableDiff\Script0321.txt /S

When a silent mode “/s” is used, Data Compare will be running without GUI. User should be aware of the silent mode with a script file which does not include the HTML report option: it will not give user any result. In this case, user might have a structure difference report if tables to compare are not the same with structure.

When any error is detected, Data Compare will write error message into the HTML report. If HTML report is not specified, then Data Compare will create HTML report named after the running script file with .html extension.

Example:

C:\Epi_Info\DataComp\Script0321.txt.html

This report is saved in the folder where script file resides.

When running from a command line with /s option for a script which does not exist, a Data Compare .log file will be created in the folder where Data Comp.exe resides.


40-bit and 128-bit Encryption and Decryption

If 128-bit encryption is available on the host computer, then either 40-bit or 128-bit can be chosen. To send a file to a country where only 40-bit encryption is permitted (Cuba, Iran, etc.), you could choose 40-bit encryption, for example.

If 128-bit encryption functions are not available, however, (as in Cuba or Iran), the encryption will default to 40-bits. The encryption available depends entirely on the functions provided with the version of Windows on the computer, not on the Epi Lock program. To decrypt an encrypted file, you need to have the same encryption strength as the module used for encrypting. Thus, a file encrypted at 128 bits can only be decrypted on a computer with 128-bit encryption, but 40-bit encryption can be decrypted on any Windows computer.

Epi Lock automatically detects whether 128-bit encryption is available on starting the program and offers only the level of encryption available on the host machine.


Additional Epi Lock Techniques

How to Create a File that Requires Two Passwords Held by Different People to Decrypt

In the movies at least, guided missiles can only be launched by agreement between two authorized persons, each of whom holds a different key. The same effect could be created for an extremely confidential file by first encrypting with person A’s password and then encrypting the resulting file with person B’s password. The final file can only be opened by first decrypting with person B’s password and then decrypting the resulting file with person A’s password. James Bond, here we come.

How to Create a File that Can be Decrypted with Either of Two Passwords

Using Epi Lock, the only way to do this is to create two files, one encrypted with the first password, and another encrypted with the second password. Then each of the two passwords will decrypt one file and produce the original file.

How to Transmit Passwords to a Potential Recipient of an Encrypted File

Answer 1: Very carefully, and then only in the dark of night on a bench in Central Park.

Answer 2: Unless you are in military intelligence, a number of methods are probably suitable, using a channel that is different from the channel by which the encrypted file is sent. For example, the password might be transmitted by voice telephone (not in a voicemail message, however) fairly safely unless you suspect that the phone line is tapped or you are using a radiotelephone. A paper transmission by mail or carried by someone is reasonable particularly if it is not clear to someone reading the message that it contains a password. Of course, person-to-person transmission is recommended, provided each party is careful about where any written record of the password is kept.

How to Use Epi Lock in an Epi Info Menu for Automatic Encryption

In a laptop computer that will be carried through airports and subject to theft, it may be advisable to encrypt sensitive data files automatically whenever you are through entering or analyzing data, and decrypt them just before further work is performed.


Composing Effective Passwords

  • Easily identifiable personal information (family name, pet’s name).

  • Use of password cracking software.

  • "Brute force attacks" where every possible combination of letters and numbers is tried (this type of attack can take days or months depending on the strength of your password).

  • A good password adheres to as many of the following guidelines as a system will accommodate.

When devising a password, many people's first instinct is to use a name that they will remember such as their spouse, children, pet, or even their own. This is often the easiest password to discover or guess. Personal items in the workplace can often give easy clues to these passwords.

Using common facts about yourself such as your birthday, hobbies, favorite sports teams, or other similar information will provide others with a better chance of guessing your password.

Software programs that can 'crack' a password are readily available on the Internet. These programs can find a password from a dictionary in a matter of seconds. An alternative to using a word is misspelling it or replacing letters or words with numbers or characters. This is similar to a personalized license plate. The password 'homeplate' could easily become 'homepla8'. It's just as easy to remember but would take a cracking program much longer to decipher.

Within certain limits, the more characters in the password, the more secure it may be. For cracking programs it becomes exponentially more difficult to crack a password with each character added. Also, some operating systems, such as Windows NT, store passwords in 'chunks' of seven characters. If the second 'chunk' is empty it is a known value and the program knows the character is less than eight characters.

By using a combination of letters and numbers in your password you make it much more difficult for a person or program to guess your password. You are increasing the potential character set by another 10 characters!

Some systems allow special characters such as ! @ # $ % & to be used in a password. This not only adds to the character set available but foils many password cracking programs that may not use special characters. If the system allows special characters it is wise to take advantage of them.

Some operating systems can use case sensitive passwords. They can tell the difference between upper-case (capital) and lower-case letters. This doubles the quantity of letters available when choosing a password and can create a more secure password than just using lower-case.

By misspelling words you avoid a 'dictionary attack' and a potential hacker has to resort to what is referred to as a 'brute force' attempt to get a password. This means that their program must try all potential combinations of letters, numbers, and characters. This can take a great deal of time, even for a sophisticated program.

We've all seen license plates that are customized with initials, names, or personal messages. They are sometimes referred to as 'vanity' plates. By taking a combination of letters and numbers, a phrase can be spelled out without using complete words.

Composing Effective Passwords

A password is the basis for encryption in Epi Lock. Anyone in possession of the password can unencrypt the files. If the password is lost after encryption and deletion of the original file have been performed, the files are also lost, just as surely as in a hard disk crash.

(The following material was adapted from CDC internal educational materials)

What are the most frequent ways in which passwords are compromised?

Do not use familiar names...

Avoid using commonly known facts about yourself...

Do not use words found in the dictionary...

Use least eight (8) characters...

Utilize letters and numbers...

Use special characters, if possible...

Use upper and lower case letters if the system differentiates them...

Combine misspelled words...

Use Numbers to Abbreviate...

You can use this method to create passwords, too, for example:

Phrase | Creates this Password
Too late again | 2L8again
Music is for me | MusikS4me
Day after today | dayFter2day


Decrypting a Data File

To decrypt the file using the same password with which it was encrypted:

  1. From the Epi Lock screen, choose the Decrypt tab.

  2. Using the find file button [image], navigate to the encrypted file, and then give the password with which it was encrypted. Be sure that the level of encryption is the same as the level at which it was encrypted (in most countries, the more secure 128-bits can be chosen. Epi Lock will notify you if 128-bit encryption is not available on this computer).


Deletion of the Original File in Epi Lock

During encryption, Epi Lock provides an option to delete the original file. This is necessary if the objective is to make the file unavailable on the local machine, but might not be necessary if an encrypted copy is being produced to send to a remote machine.

When Delete Original File is chosen, Epi Lock first encrypts the file. It then decrypts the encrypted version to produce an unencrypted file in the TEMP folder. If the current drive does not have Temp folder, it creates one. Epi Lock then compares the original file and the decrypted version. If there are no differences, the encryption and decryption were successful, and Epi Lock then deletes both unencrypted copies of the file. Since files deleted in Windows can normally be restored by widely available software such as Norton Utilities, Epi Lock performs a special deletion that involves first filling the file with 11111111 bytes before it is deleted. This means that a hacker who steals the computer or the file and restores the deleted file will find only 1’s rather than the original data. It also means that you should be very sure to preserve the password for decrypting the encrypted version, as there is no “backdoor” way to restore the file without the password.


Encrypted or Decrypted File Locations

Files being produced by encryption or decryption will be placed in the same folder as the source file, unless a different folder is specified.


Encrypting a Data File

To Encrypt a data file to protect its contents during transmission to another computer:

  1. From the Epi Lock screen, choose the Encrypt tab.

  2. Click on the find file button [image] and search for a suitable .MDB file to encrypt.

  3. Type the intended password twice, being careful to use the same combination of upper and lower case both times. Passwords are case sensitive.

  4. Click OK and the file will be encrypted to produce a new file with the additional extension .ELH.

ELH stands for Epi Lock High encryption. If you chose to encrypt with 40-bit encryption, a less secure method, but one available in all countries, then the extension will be .ELS, for Epi Lock standard encryption. The original file will remain in place. Use this option to produce an encrypted file for transmission elsewhere, but note that it does not protect files on the current computer.


Encryption Levels

Standard encryption and high or strong encryption refer to the length of the keys used. Encryption with a 40-bit key can be “cracked” with currently available computers, but 128-bit encryption is still considered secure against any feasible attack.

High encryption functions are included in the latest versions of the Microsoft Internet Explorer browser. If you are running an earlier version of Internet Explorer without 128-bit encryption, you can download the latest version of Internet Explorer with the High Encryption Pack from the Internet Explorer Download page.


Epi Lock Compression

The compression feature of Epi Lock is similar to “zipping” the file. It offers significant reduction in file size, particularly for Microsoft/Epi Info MDB files, some of which are reduced in size by almost 20-fold. Compression can be performed with or without encryption. The compression feature of Epi Lock facilitates storage of backup copies of data files, and can be integrated with the Epi Info menu to perform semi-automatic backup and archiving of files.


Epi Lock Compression by Zipping

Epi Lock provides a Zip or compression function, similar to that provided by WinZip or by recent versions of Windows. The field, Name of Zip File, may be used to specify an existing zip archive to which the file is to be added, but Epi Lock otherwise adds .ZIP to the source file name to create a new name. Files to be unzipped from a zip archive can be selected from a list of contents.


Epi Lock Installation and License Information

Epi Lock can be run from folder (directory). It is in the public domain, and may be freely translated or distributed. Comments and suggestions are welcome.


Epi Lock Language Translation

Like other Epi Info programs Epi Lock can be translated into non English languages by placing translated phrases or words into a Language.MDB database in the proper folder.


Epi Lock Log File

If an error occurs, Epi Lock writes error messages into the EpiLock.LOG file in the directory where EpiLog.EXE resides.


Epi Lock Naming Conventions

Epi Lock uses a simple naming scheme. When a file is encrypted, the extension .elh or .els is added to the original file name. When the file is decrypted, the original file name is restored. Using this method, the original file name is visible at all times.


Epi Lock Overview

View Screen

Epi Lock provides encryption to control access to data files and compression to facilitate both transmission and making backup copies. Using Epi Lock, files can be encrypted with a password to reduce the risk of others being able to read the data. The encryption mechanism also provides some assurance that the files have not been altered in transmission, since they will not decrypt properly if altered. Epi Lock also performs the function of properly deleting the unencrypted version (“clear text”) version of the file after testing to make sure that the encrypted version can be decrypted to produce the identical result.

Encryption programs are subject to regulation and federal legislation when exported to countries outside the US. Prohibitions on export of secure encryption have lessened in recent years, but are subject to change. Encryption algorithms are highly technical and best provided by experts. Even these experts sometimes discover holes in the encryption process through the efforts of thousands of “hackers” who attempt to crack the algorithms for good or bad purposes. For these two reasons, Epi Lock does not provide the modules containing actual encryption algorithms.

The following links describe the functionality provided by Epi Lock:

40-bit and 128-bit Encryption and Decryption

Additional Epi Lock Techniques

Composing Effective Passwords

Decrypting a Data File

Deletion of the Original File in Epi Lock

Encrypted or Decrypted File Locations

Encrypting a Data File

Encryption Levels

Epi Lock Compression

Epi Lock Compression by Zipping

Epi Lock Installation and License Information

Epi Lock Language Translation

Epi Lock Log File

Epi Lock Naming Conventions

Running Epi Lock Interactively

Tools For Controlling Access to Data

Tools for Preventing Data Loss or Corruption

Using Epi Lock from the Command Line or from the Epi Info Menu

Zipping and Unzipping a Data File


Running Epi Lock Interactively

Epi Lock is a Windows executable program written in Visual Basic, Version 6. It can be run from the Epi Info menu, from the RUN command on the START menu of Windows, or from other programs that are able to run Windows EXE (executable) files. The tutorial at the beginning of this chapter describes how to run Epi Lock interactively to encrypt, zip, unzip, and decrypt files, and optionally to test whether decryption of an encrypted file is possible and then to permanently obliterate the original file.


Tools For Controlling Access to Data

Data access control can include the following techniques:

  • Physical security such as door locks, access cards, and storage of backups in a secure area.

  • Training of personnel in the ethics and techniques of data confidentiality, and limiting access to trained and authorized persons

  • “Closing the Door” after employees leave a system, so that they can not continue to access it after leaving or teach others how to do so

  • Use of passwords for computer access, and of proper password maintenance (frequent changes, adequate password construction, no sharing, passwords not written down near computer). Passwords should not be short, in any dictionary, or proper names, and should make use of numbers and special characters to prevent easy cracking.

  • Authentication of users when possible with key fobs, fingerprint, iris, or face readers, and passwords.

  • Encryption of files being transmitted over the Internet, using the Secure Socket Layer (SSL), with additional password encryption using a program like Epi Lock.

  • Encryption of confidential files after working hours using Epi Lock or other programs.


Tools for Preventing Data Loss or Corruption

The tools available to prevent data loss or corruption include:

  • Anti-virus software that compares files against known virus patterns or detects activity suspicious of computer virus effects.

  • Firewall software or hardware that filters incoming files from the Internet and prevents use of unauthorized “ports”.

  • Disconnecting computers from the Internet when access is not needed.

  • Physical security of laptop and desktop computers with alarms, steel cables, and where available, locked doors and security personnel.

  • Maintenance of computer equipment for proper ventilation, protection against voltage surges, and physical vibration or shocks.

In the long run, the primary protection against data loss, however, is the maintenance of backup copies so that lost data can be restored if necessary. Tools and techniques for this purpose include:

  • Regular backup of data. The Epi Info menu can be combined with the Epi Lock program to provide single button backup techniques that compress and optionally encrypt backup copies of data files.

  • Storage of copies both on site and off site so that a local disaster will not destroy all copies.

  • Rehearsals of restoring data from the backup copies so that problems do not first appear during real need .


Using Epi Lock from the Command Line or from the Epi Info Menu

Like other Epi Info programs, EpiLock can be launched from a command line with arguments. For example:

EXECUTE c:\EpiLock.exe c:\myfile.mdb.ELH /d

will decrypt the encrypted file MYFILE.mdb.ELH, assuming 128-bit encryption because the extension is .ELH rather than .ELS. A dialog will appear to ask the password for decryption, after which the rest of the process is automatic. Similar command lines can be included in an Epi Info menu (MNU) file so that decryption can be done automatically by clicking on a button or choosing a menu item.

The syntax for the Epi Lock parameters is:

EpiLock.EXE <Path and File Name> /e {/k} or /d or /e128 {/k} or /e40 {/k} or /z {/s} or /u {/s}

Parameter | Definition
/e {/k} | encrypt at the highest level available on the local machine
/d {/k} | decrypt using the level indicated by the file extension, if available. If the file is encrypted at 128 bits and 128-bit encryption is not available on the computer, decryption cannot be done,although downloading the latest version of Microsoft Internet Explorer or the High Encryption Package for Internet Explorer may provide the desired function
/e128 {/k} | 128-bit encryption
/e40 {/k} | 40-bit encryption
/z {/s} | for Zipping without encryption
/u {/s} | for unzipping a zipped file

* /k - optional parameter - delete original file

* /s - optional parameter - silent mode

Zip and unzip can have destination path and filename

EpiLock.exe <path and file name> {<path and file name to be zipped or unzipped /d or /n {/s}}


Zipping and Unzipping a Data File

Epi Lock provides a Zip or compression function, similar to that provided by WinZip or by recent versions of Windows. The field, Name of Zip File, may be used to specify an existing zip archive to which the file is to be added, but Epi Lock otherwise adds .ZIP to the source file name to create a new name. Files to be unzipped from a zip archive can be selected from a list of contents.

If you check the file sizes in Windows Explorer, you will find that encryption also compresses (ZIPs) the file so that it is considerably smaller for transmission or storage. The ZIP and UNZIP buttons allow you to compress (ZIP) files without encrypting, in which case they can be unzipped by other programs such as WinZip or late versions of Windows.

Encrypted files cannot be opened by these programs. Epi Lock encryption is more secure than zipping a file with a password in the WinZip program.


Analysis of Single and Stratified Tables

These tables are similar to those produced in Analysis, but with the addition of exact confidence limits for odds ratios. Both single and stratified 2-by-2 tables can be analyzed to produce odds ratios and risk ratios (relative risks) with confidence limits, several types of chi square tests, Fisher exact tests, Mantel-Haenszel summary odds ratios and chi squares, and associated p values.


Chi Square for Trend

Chi square for trend by the Mantel extension of the Mantel-Haenszel summary odds ratio and chi square. This tests for the presence of a trend in dose response or other case-control studies where a series of increasing or decreasing exposures is being studied.


Sample Size and Power

These are calculations for population surveys or descriptive studies or for differences in proportions between two groups.

Population Survey

Cohort or Cross-Sectional

Unmatched Case-Control


StatCalc Overview

StatCalc is an epidemiologic calculator the produces statistics from summary data entered on the screen. Three types of calculations are offered:

Statistics from 2-by-2 to 2-by-n tables

Sample Size Calculations

Chi Square for Trend

Running StatCalc

In the Epi 6 main menu click on Utilities.

Select StatCalc. The Statcalc main window will be displayed.

To select from the menu items:

Move the cursor to the selection with the Page Up or Page Down keys or press the corresponding key on the keyboard that matches the highlighted letter on the menu (i.e., T for Tables) and press Enter.

Help screens containing information about the program and the statistical methods are displayed by pressing the F1 key. It is recommended that the help screens are read very carefully to ease the use of StatCalc.

Help Screen

The following links describe the functionality provided by StatCalc:

Analysis of Single and Stratified Tables

Chi Square for Trend

Sample Size and Power


Table To View Overview

Table-To-View is an Epi Info utility for users to generate a view (questionnaire) based on an existing data table.

Using Table-To-View:

  1. From the Epi Info menu screen under Utilities select Table-to-View. The Select a MDB File dialog box will be displayed.

  2. Select the desired MDB file and click OK. The Select a Table to View dialog box will be displayed.

  3. Select one table that you want to generate a view for. Only one table can be selected.

  4. The Table-to-View window will be displayed.

  5. Select the table fields to be used in the view.

  6. Click the Save Button.

If there is a field name which is an Epi Info reserved word, Table-To-View will change it to filename_RW.


Compacting a Database

  1. From the main screen of Epi Info, please click on VisData

  2. Click on File, then select Compact & Repair MDB Utility...

  3. The Database Compact Utility dialog box will be displayed.

  4. Enter the database to compact from (source).

  5. Enter the database to compact into (destination).

  6. Then click the Compact button to compact the database.

  7. Click Exit to return to Vizualize Data main screen.

This process will not harm your file; it only compresses the blank and empty areas of your database to reduce the size. You may still use the file as before.


Deleting or Renaming a Table, Field or File

  1. Choose VISUALIZE DATA on the main Epi Info menu.

  2. On the FILE menu, choose OPEN DATABASE and then MICROSOFT ACCESS or another format that matches your database. 1

  3. A panel on the left side of the window should display the tables within the database. Fields within the table can be displayed by clicking on the "+" signs next to the icons. 2

To delete or rename a field or table:

  1. Right click on its icon.

  2. On the pop-up menu that appears choose RENAME or DELETE.


Viewing VisData Data in a Spreadsheet Format

To view VisData data in a spreadsheet:

  1. Choose VISUALIZE DATA on the main Epi Info menu.

  2. On the FILE menu, choose OPEN DATABASE and then MICROSOFT ACCESS or another format that matches your database.

  3. A panel on the left side of the window should display the tables within the database.

  4. Click on the leftmost icon of the toolbar and also on the toolbar icon resembling a grid.

  5. Now double-click on one of the small grid icons in the tree of tables.

  6. The data in the table will be displayed in row and column format.


Vizualize Data Overview

VisData is a utility program, supplied by Microsoft with Visual Basic, for reading data files and examining and changing their properties. VisData can be used to examine the fields and properties in a variety of data file types, to display the data in spreadsheet (grid) format, and to edit or delete data items, rows, or columns. Utility functions are offered to COMPACT or REPAIR data files. COMPACT does not perform compression, but will reorganize files in which a great deal of editing has been done so that they occupy less disk space. REPAIR examines damaged files and repairs the damage if possible.

The following links describe the functionality provided by Vizualize Data:

Compacting a Database

Deleting or Renaming a Table, Field or File

Viewing VisData Data in a Spreadsheet Format


Word Processor Overview

The Epi Info menu provides access to the Wordpad word processors supplied with all Windows operating systems. By editing the Epiinfo.mnu file, you can change the word processor associated with the menu choice or button by that name. To do this, first make a backup copy of your EpiInfo.MNU file under another name. Then, edit the block of commands in the MNU file called WordProcess. Between the words BEGIN and END, you will find an EXECUTE statement. Edit the EXECUTE statement to contain the correct path and name of your word processor. The statement should be the same as one that will run the word processor from the RUN window of the Windows START menu. For example, "WinWord.exe" may work for Microsoft Word. Save the Epi Info.MNU file as a text file and test the menu to see that it runs your word processor.

Troubleshooting Hint:

A common cause of problems in editing an MNU file is that some word processors add an extra extension when saving to a text file, resulting in EpiInfo.MNU.TXT. The latter extension must be removed by renaming the file in Windows Explorer or My Computer before the Epi Info menu will work with the MNU file.


EpiData was developed for data entry as an update of the principles used in the DOS program Epi Info v6. It is an all in one program (one exe file) for windows (95/98/NT/2000) and Macintosh (with RealPc emulation). EpiData uses Epi Info v6 format for files (Qes, Rec and Chk). Data can be exported to CSV, (comma separated data), dBase, Excel and Stata v4-6. Simple (range, legal, date) and enhanced control of logical consistency across variables, jumps based on the value of entry and calculations during data entry is easy to define. Lists of data and overall frequency tables can be produced.Compare two files and get a list of differences in data (validate).

EpiData was developed for data entry as an update of the principles used in the DOS program Epi Info v6. It is an all in one program (one exe file) for windows (95/98/NT/2000) and Macintosh (with RealPc emulation). EpiData uses Epi Info v6 format for files (Qes, Rec and Chk). Data can be exported to CSV, (comma separated data), dBase, Excel and Stata v4-6. Simple (range, legal, date) and enhanced control of logical consistency across variables, jumps based on the value of entry and calculations during data entry is easy to define. Lists of data and overall frequency tables can be produced.Compare two files and get a list of differences in data (validate).

EpiData was developed for data entry as an update of the principles used in the DOS program Epi Info v6. It is an all in one program (one exe file) for windows (95/98/NT/2000) and Macintosh (with RealPc emulation). EpiData uses Epi Info v6 format for files (Qes, Rec and Chk). Data can be exported to CSV, (comma separated data), dBase, Excel and Stata v4-6. Simple (range, legal, date) and enhanced control of logical consistency across variables, jumps based on the value of entry and calculations during data entry is easy to define. Lists of data and overall frequency tables can be produced.Compare two files and get a list of differences in data (validate).

Creating Check Codes

Often it is useful to have the computer check for errors during the data entry process, to do automatic coding of entries, and to skip over parts of the questionnaire if certain conditions are met. The CHECK program makes it possible to instruct ENTER to perform such operations automatically. By using CHECK and investing a little extra time in setting up conditions, you can protect your data against many common types of error and also make data entry easier and more automatic. This is particularly helpful if several people or those with minimal computer experience will be entering the data.

CHECK makes a file with a name ending in .CHK. The .CHK file contains instructions for ENTER to restrict the data entered in specified fields. When ENTER is run, it automatically looks for a file with the same name as the .REC file but ending in .CHK.

Using CHECK is optional, and the ENTER program will function just as well if you decide not to make a .CHK file.

Running Check Codes:

Before running CHECK, a .REC file must already exist for the questionnaire you wish to enhance. Use ENTER to make a .REC file from the .QES file if necessary before running CHECK. Do not enter any data items, but exit immediately from ENTER with <F10> to make an empty .REC file; then run CHECK from the main menu. Enter the name of the .REC file in the data file space in CHECK and answer "Y" in the "Ready?" blank.

CHECK presents the questionnaire on the screen with the following function keys indicated on the bottom line:

  • F1/F2-Min/Max

  • F5-Link fields Legal

  • F6-Add

  • Shift-F6-Display

  • Ctrl-F6-Delete

  • F3-Repeat

  • F9-Edit field Jump

  • F7-Add

  • Shift-F7 Display

  • Ctrl-F7-Delete

  • F4-MustEnter

  • F10-Quit Codes

  • F8-Add

  • Shift-F8 Display

  • Ctrl-F8-Delete

Information on the status of functions set up for the field in which the cursor rests will be displayed just above this series of function key prompts.

The function keys act on the field in which the cursor is currently located. Pressing a function key once sets the condition, and in some cases, pressing it a second time will remove the condition. Thus, if you wish to make CITY a Repeat field, as described below, place the cursor in CITY, and press the <F3> key. To remove the Repeat condition, press <F3> again. The condition currently in effect is shown on the line above the function key information. Several different conditions may be entered for one field.


Generalidades

Generalidades de las Ordenes

Epi Info para Windows es fácil de utilizar en modo interactivo, pero las operaciones más complejas requieren guardar los pasos como programas. Los programas (similar a “scripts” en algunos programas) pueden usarse para preparar Menús, dirigir y limitar el proceso de introducción de datos, pueden reestructurar los datos, y hacer análisis. Se pueden configurar plantillas con los Gráficos y Mapas para que puedan producirse gráficos similares más de una vez.

En MakeView y en Analysis, el proceso de programación consiste en interactuar con una serie de diálogos que son los que producen las órdenes del programa. Los usuarios experimentados pueden querer revisar las órdenes o escribirlas directamente en el editor del programa. Por esta razón, se proporcionan los detalles sobre las sintaxis de las órdenes en este capítulo. Se da una definición de cada orden y su funcionamiento. Ya que una sola orden como EXECUTE puede encontrarse en MakeView, Analysis, y el Menu, cada orden se presenta en una sola sección del texto en este capítulo, con la anotación de las diferencias que pueden existir en su aplicación en los varios programas. Algunas órdenes sólo están disponibles en uno o dos de los programas. Las órdenes de check se guardan en MakeView y se ejecutan en Enter. En los archivos de .MNU se insertan las órdenes de menú con un procesador de textos y se ejecutan con el Menú Epi Info. Las órdenes de Analysis se generan, se modifican y se ejecutan en Analysis.

Las funciones y operadores aparecen dentro de las órdenes y se usan para tareas comunes como extraer un año de una fecha, combinando dos valores numéricos, o probar las condiciones lógicas. Como hay muchas funciones y operadores, éstas se presentan separadamente en el capítulo de Funciones y Operadores.

Ordenes de Analysis | Ordenes de Check | Ordenes de Menu
ASSIGN | ALWAYS | ASSIGN
BEEP | ASSIGN | BROWSER
CANCEL SORT/SELECT | AUTOSEARCH | BROWSERSIZE
CLOSEOUT | BEEP | BUTTON(S)
CMD | CLEAR | CALL
COMMENTS (*) | COMMENTS (*) | COMMAND BLOCKS
COXPH | DEFINE | COMMENTS (*)
DEFINE | DEFINE DLLOBJECT | DEFINE
DEFINE DLLOBJECT | DIALOG | DIALOG
DIALOG | ENDBEFORE | EXECUTE (LINKTO or ACTIVATE)
DISPLAY | EXECUTE (LINKTO or ACTIVATE) | EXIT(QUIT)
EXECUTE (LINKTO or ACTIVATE) | GOTO | FILEDIALOG
EXIT (QUIT) | HELP | GETPATH
FREQUENCIES | HIDE, UNHIDE | HELP
GRAPH | IF THEN ELSE | IF THEN ELSE
HEADER | RECORDCOUNT | LINK
HELP | RELATE | LINKREMOVE
IF THEN ELSE | SELECT | MENU
KMSURVIVAL | SETPICTURE | MENUITEM
LIST | UNDEFINE | MOVEBUTTONS
LOGISTIC |  | PICTURE
MAP |  | PICTURESIZE
MATCH |  | POPUP
MEANS |  | REPEAT UNTIL
MERGE |  | REPLACE FROM, TO
PRINTOUT |  | SCREENTEXT
READ |  | SETBUTTONS
RECODE |  | SETDBVERSION
RECORDCOUNT |  | SETDOSWIN
REGRESS |  | SETINIDIR
RELATE |  | SETLANGUAGE
ROUTEOUT |  | SETPICTURE
RUNPMG |  | SETWORKDIR
SELECT |  | STARTUP AND SHUTDOWN
SET |  | SYSINFO
SETPICTURE |  | UNDEFINE
SORT |  | WAITFOR
STEP |  | WAITFOREXIT
TABLES |  | WAITFORFILEEXISTS
TYPEOUT |  |
UNDEFINE |  |
WRITE |  |


Orden Assign

County = "Yellow Medicine"

DURATION = 01/01/88 - DATEONSET

(La duración estará en días.)

DURATION = YEARS(01/01/88, DATEONSET)

(Ahora estará en años)

ASSIGN ILL = (-)

GROUP = 1 (Si group es una variable numérica)

GROUP = "1" (Si group es una variable de texto)

Any characteristic or attribute that can be measured.

ASSIGN (con Expresiones)

[Analysis] Orden

Descripción

Esta orden almacena el valor de una variable o asigna el resultado de un cálculo matemático en una variable.

Sintaxis

ASSIGN <variable> = <expresión>

LET <variable> = <expresión>

<variable> = <expresión>

La <variable> representa una variable de una tabla de datos o una variable definida o creada en un programa.

La <expresión> representa cualquier expresión matemática válida.

Características específicas en este programa

Si el lado derecho de la asignación no contiene una variable (de la tabla de datos), o una variable que depende de una variable del datos, entonces la asignación se hará inmediatamente. Así:

DEFINE YEAR PERMANENT

YEAR = 2000

Sin embargo:

DEFINE INCUBATION

INCUBATION = ONSETDATE-EXPOSUREDATE

Contiene dos variables de la vista (VIEW), ONSETDATE y EXPOSUREDATE.

INCUBATION se calculará durante el procesamiento de la tabla. Se calculará para cada registro y se podrá utilizar como cualquier otra variable de la tabla de datos con las órdenes TABLES, FREQ, y GRAPH.

Antes de su procesamiento, INCUBATION tendrá un valor “missing”, aunque también se le podría asignar un valor por defecto, como INCUBATION = 999.

El valor se calcula cada vez que un registro cumple las condiciones establecidas con SELECT. Se puede utilizar cualquier expresión que combine variables o valores específicos u operadores como +, -, *, /, =, <, >, AND, OR, y NOT. Vea OPERATORS para ver un listado completo. Las variables estándar que dependen de un campo, deben guardarse con la orden WRITE antes de editarlas con LIST UPDATE.

Comentario

Esta orden asigna el valor de una expresión a una variable. La variable puede ser una variable de base de datos de una vista o tabla de datos o una variable definida, creada con la orden DEFINE en un programa.

Las variables temporales deben definirse; no se crean automáticamente como en las versiones anteriores de Epi Info, excepto en el programa del menú. Son flexibles aceptando cualquier tipo de datos (texto, numérico, o fecha). La conversión de tipo de los datos (de numérico a texto, por ejemplo) se hará automáticamente, si es necesario.

Ejemplo


Orden Beep

BEEP

Beep

Orden

Descripción

Esta orden produce un sonido.

Sintaxis

BEEP

Ejemplo


Cancel Sort/Select

Orden

Descripción

Esta orden cancela una orden previa SORT o SELECT.

Sintaxis

Sort

Select

Comentario

Cancel sort y Cancel select automáticamente cerrarán la salida del archivo activo.

Ejemplo


Orden Closeout

ROUTE Outbreak1.HTM

Tables * ILL

Tables AGE SEX ILL

MEANS AGE ILL

CLOSEOUT

Closeout

Orden

Descripción

Esta orden cierra el archivo de salida.

Sintaxis

CLOSEOUT

Características específicas en este programa

Esta orden debe usarse antes de mover a un archivo de salida diferente, bien mediante la librería de resultados o botón ATRÁS del navegador.

Comentario

Closeout es la manera normal de terminar un archivo de HTM, en algunos casos cuando la salida es demasiado larga, el navegador exigirá una gran cantidad de tiempo para mostrar la salida. Para evitar este problema debe evitar que los archivos de resultados sean grandes.

Ejemplo


Orden CMD

CMD HELLO

DIALOG “Welcome to Epi2000” TITLETEXT = “Greetings”

END

HELLO

HELLO

HELLO

Ordenes de usuarios (CMD)

Orden

Descripción

La orden CMD se puede usar para definir un bloque de órdenes que funcionarán de forma unitaria, de manera similar a una subrutina en otros lenguajes.

Sintaxis

CMD <Nombre de orden>

[Ordenes]

END

El <nombre de orden> executará el bloque de instrucciones definido.

[Ordenes] representa una serie de órdenes válidas de Epi Info para Windows.

Características específicas de este programa

El uso del generador de órdenes dentro de un CMD es limitado, ya que estas ordenes no se ejecutan hasta que se ejecute NombredeOrden en un programa. Aunque se puede escribir en el editor de órdenes cualquier orden válida de EpIInfo dentro de un bloque CMD.

Comentario

Siempre que aparezca <NombreDeOrden> en un programa, se ejecutarán las órdenes contenidas en el bloque.

Ejemplo


Comentarios (*)

[Analysis] Orden

Descripción

Esta orden permite escribir comentarios definidos por el usuario para identificar la tarea o los nombres de las variables al programarlas.

Sintaxis

* <texto>

El <texto> representa cualquier comentario.

Comentario

El carácter (*) debe ser el primer carácter de una línea, sin espacios en blanco delante para que pueda ser reconocido como marca de comentario. Los comentarios de más de una línea deben tener el símbolo de comentario (*) al principio de cada línea.

Ejemplo


Orden COXPH

READ 'Sample.Mdb':Addicts

COXPH SURVIVAL_TIME_DAYS = (CLINIC) METHADONE_DOSE__MG_DAY_ PRISON_RECORD * STATUS ( 1 ) graph = clinic graphtype="survival-observed"

The regressed curves do not match the observed curves. Thus, do a time dependent analysis separating clinic at 365 days with step functions.

define clinic1

clinic1 = clinic

COXPH Survival_Time_Days = (Clinic):step(365,survival_time_days): (clinic1):1-step(365,survival_time_days): Methadone_dose__mg_day_ Prison_Record * Status ( 1 ) graph = clinic clinic1 graphtype="survival-observed"

COXPH

Orden

Descripción

Esta orden realiza un análisis de supervivencia de Cox- Proportional Hazards y Extended Cox-Proportional Hazards. This form of survival analysis relates covariates to failure through hazard ratios. A covariate with a hazard ratio greater than one causes failure. A covariate with a hazard ratio less than one improves survival. At any given time, some of the subjects may be "censored," that is, not have information available on their status. COXPH is especially constructed to deal with this situation.

Syntax

COXPH <TimeVar> = <Covariate(s)>[: <Time Function>:] * <CensorVar> (<Value>) [TIMEUNIT="<TimeUnit>"] [OUTTABLE=<TableName>] [GRAPHTYPE =”<GraphType>”] [WEIGHTVAR=<WeightVar>] [STRATAVAR=<StrataVar(s)>] [GRAPH=<GraphVar(s)>]

The <TimeVar> represents a numeric variable, specifying the order of events.

The <Covariate(s)> represent a numeric variable, a non-numeric variable, or a variable specified as non-numeric by surrounded it by parenthesis. Any non-numeric variable, even a variable specified as non-numeric by surrounding with parenthesis, is automatically recoded into dummy variables. For all but one of the levels of a variable a dummy variable will be created. This dummy variable measures the contribution of its level to the excluded level. A covariate may be followed by a time function. This will cause COXPH to run the extended-Cox procedure.

The <TimeFunction> represents a numeric variable in database.

The <CensorVar> determines if the event is a failure or a censor.

The <StrataVar(s)> represents a list of variables indicating the different levels of strata.

The <WeightVar> represents a variable to specify the contribution each data row has on the output.

The <Value> represents failure.

The <TimeUnit> represents a value for labeling the time axis.

The <TableName> represents a valid table name.

The <GraphType> represents the following:

  • Survival Probability: The adjusted survival curves

  • Hazard Function: The adjusted hazard function

  • Survival-Observed: The adjusted survival curves, and the Kaplan curves

If no graph type is specified survival probability is the default type.

The <GraphVar(s)> represent a list of variables to be used to generate survival curves. Graph variables that are covariates or strata variables create curves adjusted by the covariates at all possible combinations of these graph variables. If a variable is numeric, it gets plotted at its average value. Otherwise the graph variable splits the data into separate groups each with its own curve.

Comment

COXPH uses the Breslow method to handle ties in the data.

Ejemplo


Orden Define

DEFINE Var1

DEFINE Var2 GLOBAL

DEFINE Var2 PERMANENT

Define

[Analysis] Orden

Descripción

Esta orden permite crear nuevas variables.

Sintaxis

DEFINE<variable>[alcance]

La <variable> representa el nombre de la variable a crear.

El [alcance] representa el tipo de variable definida: Global, Permanent o Standard.

Características específicas en este programa

Las variables standard —las normales, no definidas como GLOBAL o PERMANENT— se mantienen sólo hasta la próxima orden READ. Las variables GLOBALES permanecen mientras esté funcionando Analysis y puede usarse para llevar valores de un PGM a otro. Si una variable permanente se crea y no se asigna ningún valor, se anulará antes de cerrar Analysis.

Comentario

Las variables en Epi Info no tienen un tipo predefinido; aceptarán cualquier tipo de datos que se asignen con la orden de asignación (“=”). Sin embargo, una vez asignado, no puede cambiarse su tipo.

ALCANCE

Las variables PERMANENT se guardan en el archivo de EPIINFO.INI o registro del sistema y retienen el valor asignado hasta que se cambie el valor por otra asignación o la variable sea anulada (UNDEFINE). Se comparten entre los programas de Epi Info y persisten aun cuando la computadora esté cerrada. Las variables permanentes en Analysis no pueden tener valores que dependen directa o indirectamente de los campos de la tabla

Las variables GLOBAL persisten durante la ejecución del programa. Se usan en Enter para pasar valores de una vista a otra vista relacionada. En Analysis se suelen usar para guardar valores entre cambios de la fuente de datos. Las variables globales en Analysis no pueden depender directa o indirectamente de los campos de la tabla.

Las variables definidas STANDARD se usan como variables temporales que se comportan como los campos de la base de datos. Pierden sus valores y definiciones cuando se utiliza la orden READ.

Ejemplo


Orden Define DLLObject

DEFINE Var1 DLLOBJECT “EIEpiwk.Epiweek”

Define DLLObject

[Analysis] Orden

Descripción

Esta orden permite la creación de un objeto ActiveX (dynamic link library o executable).

Sintaxis

DEFINE<variable>DLLOBJECT"<nombre activex>.<class>"

<variable> representa el nombre de la variable a crear.

<Nombre activex> representa el nombre interno del objeto ActiveX que contiene el objeto class.

<class> representa la clase de objeto a crear.

Comentario

El nombre ActiveX no debe ser el mismo que la librería dinámica (.dll) o ejecutable. Cuando se ha desarrollado un objeto ActiveX el nombre del proyecto es el que se requiere para crear el objeto.

El objeto ActiveX (ejecutable o .dll) debe estar registrado antes de que se pueda usar.

Ejemplo


Orden Dialog

DIALOG "Escriba un valor " var1 TITLETEXT="Diálogo 1"

DIALOG " Escriba un valor " var1 DATABASES

DIALOG " Escriba un valor " var1 DATABASES TITLETEXT=" Dialog 1"

DIALOG " Escriba un valor " var1 "aaa", "bbb", "ccc", "ddd" TITLETEXT=" Diálogo 1"

DIALOG "seleccione una base de datos" var1 DATABASES TITLETEXT="base de datos"

Dialog

[Analysis] Orden

Descripción

Esta orden proporciona interacción con el usuario desde dentro de un programa. Los diálogos pueden mostrar información, pueden preguntar y pueden recibir datos, y ofrecer listas de opciones.

Sintaxis

SIMPLE:

DIALOG “<Texto>” {,TITLETEXT="<Título>"}

INPUT:

DIALOG “<Texto>” <Variable> [<Entry type>]

PICKLIST:

DIALOG “<Texto>” <Variable> “<Valor1>”, “<Valor2>”, “<Valor3>”, … ,“<Valuen>” {TITLETEXT="<Título>"}

TABLE/VARIABLE:

DIALOG “<Texto>” <Variable> [<List Type>] {TITLETEXT="<Título>"}

VARIABLE VALUE:

DIALOG “<Texto>” <Variable> DBVALUES < Table Name> {TITLETEXT="<Título>"}

El <Texto> es el texto que se mostrará como mensaje.

La <Variable> representa la variable en la que almacenar el valor escrito.

El [<Tipo de datos>] representa una palabra reservada que define el tipo de entrada a almacenar en la variable. Si no se especifica tipo, el valor será número/fecha.

TEXTINPUT definirá la variable como texto.

YN definirá la variable como Lógica.

El patrón Formato representa una cadena, como “####” o ##.### que indica el tipo de datos a introducir. # indica un dígito.

El <Título> es el texto a usar como cabecera de la ventana de diálogo. Si no se especifica un texto, aparecerá un título en blanco.

El [<Tipo de listado>] son DATABASES y DBVIEWS

Comentario

SIMPLE: La primera forma de DIALOG presenta una caja de diálogo en la pantalla, usando el texto proporcionado, con un botón "OK".

INPUT: La segunda forma de DIALOG muestra el texto y suministra una entrada para introducir un valor. Si se especifica YN, se presentarán los botones “Sí,” “No” y “Cancelar” y la variable especificada se pone a (+), (-), o (.).

Si se especifica TEXTINPUT o no se especifica tipo de datos, se proporciona una entrada para la respuesta del usuario, con botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor missing si se elige Cancelar.

PICK-LIST: La tercera forma de DIALOG muestra el texto y mantiene una caja con opciones para seleccionar un valor. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se pulsa Cancelar. La variable será de tipo texto.

TABLE/VARIABLE: La cuarta forma de DIALOG muestra una caja de opciones de un campo de una base de datos o vista. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se elige Cancelar. La variable será de tipo texto.

VARIABLE VALUE: La quinta forma de DIALOG muestra una caja de opciones con los valores de la variable de la base de datos especificada. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se elige Cancelar. La variable será del mismo tipo que la variable de la base de datos.

Ejemplo


Orden Display

Muestra información sobre variables. La Sub-opción DEFINE muestra sólo variables definidas. La Sub-opción FIELDVAR muestra sólo variables de la tabla/vista actual. Si se omite una sub-opción se muestra ambos dipos de variables.

Muestra informació sobre vistas y otras tablas de EpiInfo en la base de datos. La sub-opción es el directorio de la base de datos. Si se omite la sub-opción, se muestra información del proyecto actual.

Muestra información sobre tablas de la base de datos tanto específicas de EpiInfo como genéricas. La sub- opción es el directorio de la base de datos. Si se omite la sub-opción, se muestra información del proyecto actual.

DISPLAY DBVARIABLES

DISPLAY DBVARIABLES DEFINE

DISPLAY DBVARIABLES FIELDVAR

DISPLAY DBVIEWS

DISPLAY DBVIEWS 'c:\epi_info\sample.mdb'

DISPLAY TABLES

DISPLAY TABLES 'c:\epi_info\sample.mdb'

DISPLAY DBVARIABLES OUTTABLE=varinfo

Display

Orden

Descripción

Esta orden permite mostrar información de una tabla, vista o base de datos.

Sintaxis

DISPLAY<option>[<sub-opción>][OUTTABLE=<nombre de tabla>]

La <opción> determina el tipo y fuente de información a mostrar.

El <nombre de tabla> representa el nombre de la tabla de salida donde se guardarán los resultados (opcional).

La [<sub-opción>] se refiere a los siguiente:

Option DBVARIABLES

Option DBVIEWS

Option TABLES

Ejemplo


Orden Execute (Linkto o Activate)

EXECUTE "c:\epi2000\Epimap.exe"

Execute (Linkto o Activate)

[Analysis] Orden

Descripción

Esta orden ejecuta un programa Windows o DOS --bien porque se llama explícitamente en la orden o bien porque está designado (en el registro de Windows) para un documento con la extensión del archivo que se nombra. La orden EXECUTE acepta una serie de paths, separados por punto y coma, como en:

EXECUTE c:\epi_info\myfile.exe;d:\myfile.exe

Si no se encuentra el primero, intentará los otros sucesivamente.

Características específicas del programa

Link y Activate no se pueden utilizar en este programa.

Sintaxis

EXECUTE ArchivoEjecutable.EXE

EXECUTE Archivo.Extensión

El <programa> representa el directorio y nombre de archivos .exe (archivo registrado como programa en Windows) y archivos .com, junto con los argumentos especificados.

Comentario

Si se escribe el nombre de un programa ejecutable, como ENTER.EXE o MYBATCH.BAT o HAZLO.COM, el programa se ejecutará en una ventana separada. Cuando el programa termine, se cerrará la ventana.

Si el nombre dado no es un programa, pero es un archivo con una extensión (los 3 caracteres después del ".") registrada por Windows para mostrar un documento, se activará el programa correcto para abrir el archivo. Por ejemplo, WRITEUP.DOC hará que se active Microsoft Word © en su computadora y abra el documento. En otra máquina, sin embargo, .DOC podrían corresponder a Corel WordPerfect©. Normalmente .TXT ejecutará NOTEPAD.EXE© o WORDPAD.EXE©, y los archivos de imagen aparecerán en un navegador o en un programa de gráficos de su computadora. Un archivo .HTM ejecutará el navegador predefinido en su computadora.

Lo interesante de esta forma de EXECUTE es que no necesita proporcionar la situación o incluso el nombre del programa que se utilizará. Estos detalles se guardan en el registro de Windows para las extensiones del archivo comunes. Es como si usted dijera, "yo quiero clavar un clavo" y el sistema operativo le da un martillo. Usted no tiene que buscar el martillo y luego el clavo.

El mismo concepto se aplica a las direcciones de Internet (URLs). Dé una dirección de internet que acaba en .HTM y Windows abre el navegador predefinido en su computadora, conecta a Internet (si es posible), y va directamente al sitio indicado. Es el principio de “el Mundo como su unidad de disco.” Se podría preparar un menú con botones para los websites de países o estados vecinos, con este dispositivo y una conexión a Internet, o cualquier cosa que necesite para el trabajo diario, tendría acceso a éstas fuentes de información sólo un clic del ratón.

Ejemplo


Orden Exit (Quit)

DIALOG “Quiere cerrar Analysis” result YN TITLETEXT=”Close”

IF result = (+) then

Quit

End

Exit (Quit)

[Analysis] Orden

Descripción

Cierra la base de datos actual y termina el programa activo, cerrando Analysis.

Sintaxis

EXIT

Características específicas en este programa

Exit parará la ejecución de un programa y cerrará Analysis. Para parar un programa que se esté ejecutando en Analysis, pulse las teclas Ctr-Inter. Analysis se cerrará y el programa se almacenará como LASTPGM.PGM en el directorio por defecto.

Comentario

EXIT y QUIT tienen la misma funcionalidad.

Ejemplo


Orden Frequencies

FREQ age

FREQ AGE SEX RACE (Hace frecuencias separadas para cada variable)

FREQ * EXCEPT NAME (Hace frecuencias de todas las variables excepto NAME)

FREQ AGEGROUP STRATAVAR = COUNTY (Hace una frecuencia de AGEGROUP para cada COUNTY)

FREQ AGEGROUP WEIGHTVAR = COUNT (Procesa datos agrupados en la variable COUNT de cada registro, de forma que cada registro se considera la representación de los individuos contenidos en el campo COUNT. Esto substituye la orden SUMFREQ de la Versión 6 de Epi Info.)

Frequencies

Orden

Descripción

FREQ produce una tabulación de la tabla activa, mostrando cuántos registros tienen cada valor de la variable. Se incluyen los límites de confianza de cada proporción.

Sintaxis

FREQ <variable>

FREQ * [Except <variable>]

La <variable> representa la variable de la que conocer los datos.

Comentarios

Se pueden incluir o excluir registros con las declaraciones SELECT. Los registros marcados como borrados en Enter se manejarán según establecido en SET PROCESS. Si se da más de una variable, FREQ hará una tabla de cada una de ellas.

Se producen límites de confianza para proporciones binomiales. Se dan detalles más amplios sobre los límites de confianza en el capítulo de Estadísticas.

Si se especifica WEIGHTVAR, el valor de la variable de WEIGHTVAR se trata como un número de casos de la variable a tratar con FREQ. Por ejemplo, en la orden siguiente un registro que contiene el valor 30 para la EDAD y 15 para COUNT daría un resultado equivalente a 15 individuos de edad 30:

FREQ AGE WEIGHTVAR = COUNT

Si se especifica STRATUM, se producirá una frecuencia separada para cada valor estratificado de la variable.

Por ejemplo, FREQ ILL STRATAVAR=SEX producirá una tabla que muestra ILL (quizás Yes/No/Desconocido) para los Varones y otro para las Mujeres. Observe que se pueden obtener los mismos números usando TABLES ILL SEX, pero el último dará los resultados en una sola tabla en lugar de en tablas separadas, y produce estadísticas para probar una asociación entre ENFERMO y SEXO.

FREQ * hará una tabla para cada variable de la vista actual. Se usa a menudo para empezar el análisis de una serie de datos nueva. Para hacer frecuencias de todas las variables excepto unas, use

FREQ * EXCEPT Variable(s) seguido de los nombres de variables a excluir.

Ejemplos


Orden Graph

GRAPH BAKEDHAM CABBAGESAL * AGE .GRAPHTYPE="Bar" TITLETEXT="titulo" WEIGHTVAR=SEX TEMPLATE='temp' BITMAP='bit' YTITLE="Count" PERCENTS=(+) XTITLE="label2"

Graph

Orden

Descripción

Existen numerosas configuraciones en el módulo GRAPH, y se pueden guardar como una Plantilla gráfica. Cuando en un gráfico, se llama a una Plantilla, se utilizarán las configuraciones de esta plantilla. Si se explicitan opciones de configuración como anteriormente (ver más abajo), éstas sobreescriben las de la Plantilla.

Sintaxis

GRAPH<VarName(s)> [* <Varname>] GRAPHTYPE= "<TipoGraph>" {TITLETEXT="<Text>"} {WEIGHTVAR=< Variable >} {TEMPLATE='<Archivo>'} {WINMETAFILE='<Archivo>' {YTITLE="<Text>"} {PERCENTS=(+)} {XTITLE="<Texto>"} {XRANGE= <Mínimo> TO <Máximo>} {YRANGE= <Mínimo> TO <Máximo>} {XTICK= <númeroX>} {YTICK=<númeroY>} {THREED= (?)} {XLABELS="<Texto>",...,"<Texto>"} {LEGEND="<Texto>",...,"<Texto>"}

{CLIPBOARD=(?)} {XORIENT="Vertical"|"Horizontal"}

GRAPH [Variable(s)] <ArchivoPlantilla>

El <TipoGráfico> representa uno de los siguientes tipos de gráfico:

  • Histogram

  • Bar

  • Scatter

  • Line

  • Pie

  • Horizontal Bar

  • Spline

  • Mark

  • Area

  • PARETO

  • Hi-Low

  • Surface

  • Polar

  • Cube

  • Doughnut

<Mínimo> Representa el límite inferior a representar para ese eje.

<Máximo> Representa el límite superior a representar para ese eje.

(?) representa (+)u ON para aplicar la opción especificada; (-) u OFF para no aplicarla.

Comentarios

WEIGHTVAR se utiliza para la variable de datos agrupados, en la que la variable contiene la frecuencia de sucesos.

Ya que crear los gráficos podría ser tedioso, pueden guardarse todas las propiedades de un gráfico específico en una PLANTILLA que se identificará con la extensión de .CHT. Si el gráfico se va a usar en cualquier otra aplicación, puede guardarse como una imagen Windows Metafile usando la opción WINMETAFILE o pegándolo en el portapapeles y usando las configuraciones de éste.

Seleccionando PERCENTS=(+) se dibujan proporciones. El título del Eje Y titula y la escala se pueden definir con YTITLE, YRANGE y YTICK. LEGEND puede usarse para especificar las etiquetas de la leyenda; si no especifica, se utilizará el nombre de la variable o el texto de la misma, dependiendo de cómo esté definido el texto.

El título del Eje X titula y la escala se pueden definir con XTITLE, XRANGE, y XTICK. XLABELS se puede utilizar para especificar las etiquetas para cada valor del eje X; si no se especifica, se usará el valor. XORIENT puede utilizarse para a especificar la dirección en que se mostrarán las etiquetas del eje de las X.

THREED= (+) significa "tridimensional"

Ejemplo


Orden Header

READ 'D:\EPI2000\Sample.Mdb':viewOswego

HEADER 0 "Esta es HEADER 0" (BOLD) TEXTFONT Green 7

HEADER 1 "Esta es HEADER 1" (ITALIC) TEXTFONT Yellow 6

HEADER 2 "Esta es HEADER 2" (UNDERLINE) TEXTFONT Blue 5

HEADER 3 "Esta es HEADER 3" (BOLD, ITALIC,) TEXTFONT Red 4

HEADER 4 "Esta es HEADER 4" (BOLD, ITALIC, UNDERLINE) TEXTFONT Teal 3

HEADER 5 "Esta es HEADER 5" (BOLD, ITALIC, UNDERLINE) TEXTFONT Olive 2

HEADER 6 "Esta es HEADER 6" (BOLD, ITALIC, UNDERLINE) TEXTFONT White 1

FREQ ILL

TABLES VANILLA ILL

TABLES VANILLA ILL STRATAVAR= SEX

Header

Orden

Descripción

Define la cabecera del resultado producido con Analysis.

Sintaxis

HEADER <Nivel> ["<Texto>" [(<PropiedadDeFuente>)] [APPEND]] [TEXTFONT <Color> <Tamaño>]

HEADER <Nivel> DROP|RESET

El <nivel> puede representar lo siguiente:

  • Cuerpo

  • Título de ventana

  • Título del archivo

  • Título de la fuente de datos

  • Título del procedimiento

  • Título de la variable

  • Título del estrato

El <texto> representa el tipo de texto a mostrar.

La <PropiedadDeFuente> representa las propiedades (subrayado, negrita e itálica) que irán separados por comas (,).

El <color> representa los siguientes colores:

Aqua | Lime (Lima) | Red (Rojo)
Black (Negro) | Maroon (Castaño) | Silver (Plateado)
Blue (Azul) | Navy (Azul marino) | Teal (Tilo)
Fuchsia (Fucsia) | Olive (Olivo) | White (Blanco)
Gray (Gris) | Purple (Púrpura) | Yellow (Amarillo)
Green (Verde) |  |
#xxxxxx, donde x es un dígito hexadecimal; los pares de dígitos representan la cantidad de rojo, verde y azul, respectivamente, en una escala de 0-255, incluidos en el color.

El <tamaño> representa cualquier número de los siguientes rangos:

  • -7 a -1

  • 1 a 7

  • +1 a +7

Comentarios

Los valores del tamaño son los valores estándar utilizados en HTML. Números precedidos por + o - aumentan o disminuyen el tamaño predefinido por el número especificado de niveles.

En el primer formato, la palabra clave APPEND añadirá la línea del título especificada a cualquier otra línea ya definida para ese nivel.

En el segundo formato, el uso de la palabra clave DROP producirá la última línea del título para ese nivel. El uso de la palabra clave RESET hará que se utilice los valores por defecto de Epi Info (en la mayoría de los casos, en blanco).

Ejemplo


Orden Help

HELP 'South Pacific'.HTM#"Bali Hi"

HELP Function.htm#YEAR

Help

Orden

Descripción

Esta orden muestra un documento personalizado en formato HTM usando el navegador predefinido proporcionado con Epi Info para Windows.

Syntaxis

HELP<ArchivoHTML{#NombreBloque}>

El <archivo> representa el Archivo de Ayuda.

Comentario

ArchivoHTML debe tener una extensión .HTM o .HTML. Si se da opcionalmente un NombredeBloque, el navegador busca la marca con ese nombre en el archivo HTML y posiciona ese bloque en la pantalla. La etiqueta del bloque en HTML se puede crear usando una etiqueta como

Si no se especifica otro el directorio, la orden HELP buscará primero en el directorio HELP bajo el directorio del idioma actualmente establecido (por ejemplo, .\SPANISH\HELP. Si el archivo no se encuentra, busca en el directorio HELP predefinido .\ENGLISH\HELP. Esto permite acceder automáticamente a los archivos de ayuda traducidos con tal de que se mantenga el nombre del archivo (y los nombres de bloque) de las versiones inglesas correspondientes.

Los nombres de archivo que tengan espacios deben escribirse entre comillas. Las etiquetas con espacios deben estar entre comillas.

Ejemplo


Orden If Then Else

IF (CHEESE = (+)) AND NOT (PEPPERONI = (+)) THEN

ASSIGN VEGI = (+)

END

IF (AGE <30) AND (AGE > 17) THEN

ASSIGN GROUP = "Young Adult"

END

If Then Else

[Check] Orden

Descripción

IF define las condiciones y una o más consecuencias que resultan cuando se cumplen las condiciones. Una consecuencia alternativa puede darse después de la declaración ELSE, para ser realizada si la primera condición no se cumple.

Sintaxis

IF<expresión>THEN

[Orden(es)]

ELSE

[Orden(es)]

END

La <expresión> representa cualquier expresión simple de Epi Info o Visual Basic que pueda ser evaluada como verdadera o falsa.

La [Orden(es)] representa al menos una orden válida.

Comentario

La declaración IF de Epi Info para Windows se ejecuta inmediatamente si no se refiere a una variable de la base de datos y si se han asignado valores literales a las variables definidas. Así, si la declaración, AÑO = 97 ya ha ocurrido, entonces una declaración IF dependiente de él, como IF AÑO = 97 entonces…., se ejecutará inmediatamente:

IF AGE > 15 THEN

ASSIGN GROUP = "ADULT"

ELSE

ASSIGN GROUP ="CHILD"

END

DEFINE CASE

DEFINE MAJORSYMP

ASSIGN MAJORSYMP = 0

IF DIARRHEA = (+) THEN

ASSIGN MAJORSYMP = MAJORSYMP + 1

END

IF FEVER = (+) THEN

ASSIGN MAJORSYMP = MAJORSYMP + 1

END

IF VOMITING = (+) THEN

ASSIGN MAJORSYMP = MAJORSYMP + 1

END

IF MAJORSYMP >= 2 THEN

ASSIGN CASE = (+)

ELSE

ASSIGN CASE = (-)

END

Si hay dos o más casos, el registro se clasificará como un caso.

Cuando las condiciones IF no describen todas las posibilidades, las variables definidas se restablecerán después de cada registro al valor “missing”. Es importante cubrir todas las condiciones en las declaraciones IF, para evitar huecos en la lógica y resultados.

A veces es importante tener una condición “ELSE” que cubre las condiciones no incluidas en otra cláusulas IF. Este efecto puede lograrse poniendo la variable inicialmente con un valor no missing, como en:

DEFINE ILL

ASSIGN ILL = (-)

IF VOMITING = (+) THEN

ASSIGN ILL = (+)

END

IF DIARRHEA = (+) THEN

ASSIGN ILL = (+)

END

IF FEVER = (+) THEN

ASSIGN ILL = (+)

END

Ill = (+) ocurrirá sólo si hay uno o más síntomas.

Se conseguirá el mismo resultado con:

IF (DIARRHEA = (+)) OR (VOMITING = (+)) OR \

(FEVER = (+)) THEN

ASSIGN ILL = (+)

ELSE

ASSIGN ILL = (-)

END

La barra invertida "\" se usará para indicar que continúa la línea.

Ejemplo


KMSURVIVAL Command

To see a comparison between two groups run the following:

READ 'Sample.Mdb':Addicts

KMSURVIVAL Survival_Time_Days = Clinic * Status ( 1 ) TIMEUNIT="Days"

KMSURVIVAL

Command

Description

This command performs the Kaplan-Meier Survival Analysis and produces graphs and statistics for one or several groups of subjects being followed in a clinical study. At any given time, some of the subjects may be "censored," that is, not have information available on their status. KMSurvival is especially constructed to deal with this situation.

Statistics showing the risk sets by group and time, which were part of the output in previous versions of Epi Info, are now written to the OUTTABLE when one is specified. This leaves the user free to choose the format desired for displaying it.

Syntax

KMSURVIVAL <TimeVar> = <GroupVar> * <CensorVar> (<Value>) [TIMEUNIT="<TimeUnit>"] [OUTTABLE=<TableName>] [GRAPHTYPE =”<GraphType>”] [WEIGHTVAR=<WeightVar>]

The <time var> represents the variable specifying the time of the event.

The <group var> represents the variable that indicates to which treatment or control group the subject belongs.

The <censor var> represents the variable to describe an event as failure or censored.

The <value> represents the value of the censor var indicating uncensored (failure).

The <timeunit> represents a value for labeling the time axis.

The <graphtype> represents the following:

  • Survival Probability: The observed survival over the different groups.

  • Log-Log Survival: The log of the negative log of the survival probability.

  • None: No graph will be produced.

If no graph type is specified the default Survival Probability curve plotted.

The <weightvar> represents a variable in the database that specifies the contribution or each data row to the output.

Example


Orden List

LIST

LIST name age sex race

LIST *

LIST * EXCEPT NAME SSN ADDRESS CITY STA

LIST

Orden

Descripción

LIST hace un listado de la base de datos actual. Si se dan los nombres de las variables se listarán sólo estas variables. LIST * listará todas las variables de todos los registros activos.

Sintaxis

LIST [* EXCEPT] <Variable(s)> {COLUMNSIZE= <Num1>, <Num2>, <Num3>} {NOIMAGE} {NOWRAP} {LINENUMBERS}

LIST [* EXCEPT] <Variable(s)> [GRIDTABLE/UPDATE]

El '*' se usa para representar todas las variables

La <Variable(s)> representa uno o más nombres de variable.

El <Num1> es número de 0 a 99 que representa el número de columnas a mostrar antes de dividir una tabla (por defecto=6). Si es cero, todas las columnas se mostrarán juntas, sin dividir la tabla.

El <Num2> es número de 0 a 99 que representa el número de columnas asignado por imagen (por defecto=0 para las imágenes dadas, 3 para las imágenes no dadas). Si es cero, cada columna de imagen se asigna en función de su anchura en las vistas.

El <Num3> es un número de 0 a 99 que representa el número de columnas asignadas para campos memo (por defecto=0). Si es cero, cada columna memo se mostrará separadamente.

Si está presente NOIMAGE, se mostrarán los nombres de los archivos de imagen, pero no la propia imagen.

Si está presente NOWRAP, no se inserta salto de línea en los campos de texto, para que las columnas sean tan anchas como la línea más larga en el campo.

LINENUMBERS Muestra números de línea cuando no está usándose la división automática.

GRIDTABLE Los datos se muestran en modo cuadrícula en vez de en formato HTM.

UPDATE Los datos se muestran en formato cuadrícula en vez de HTM para actualizarlos. Permite cambios permanentes en la base de datos.

Comentarios

Los cambios hechos en la base de datos usando UPDATE no usan el código Check o las propiedades puestas en MakeView (por ejemplo, MUSTENTER o NOENTER). Si se quiere utilizar las características de código Check, use Enter para revisar los datos si es necesario actualizar para cambiar una serie de registros que, por ejemplo, tengan errores.

Añadiendo un EXCEPT lista de variables, se excluirán estas variables de las órdenes LIST o LIST *. Esto es conveniente si quiere omitir nombres o direcciones, por ejemplo. Se listan los números de registro automáticamente en el primer item de cada línea cuando el programa determina que una tabla debe dividirse; cuando no se pueden dividir, se pueden incluir los números de línea usando la palabra clave LINENUMBERS.

Si la base de datos está ordenada con la orden SORT, se listan los registros ordenados. De otro modo, se listan en un orden determinado por la base de datos.

Si se usa UPDATE, pueden modificarse los datos en la cuadrícula. La modificación se produce cuando el cursor se mueve a una nueva fila de la tabla o cuando se cierra la cuadrícula.

Ejemplo


Logistic Command

To do an unconditional regression run the following:

READ 'Sample.Mdb':viewOswego

LOGISTIC ILL = BROWNBREAD CABBAGESAL WATER MILK CHOCOLATE VANILLA

Logistic

Command

Description

This command performs conditional or unconditional multivariate logistic regression with automatic dummy variables and support for multiple interactions.

Syntax

LOGISTIC <DependentVar> = <IndependentVar(s)> [MATCHVAR=<MatchVar>] [NOINTERCEPT] [OUTTABLE=<TableName>] [WEIGHTVAR=<WeightVar>] [PVALUE=<PValue>]

The <DependentVar> represents the dependent variable.

The <IndependentVar(s)> represents an independent variable that can be a numeric variable, a non-numeric variable, or a variable surrounded by parenthesis. Any text or yes-no variable, or a variable surrounded with parenthesis, is automatically recoded into dummy variables. A dummy variable will be created for all but one of the levels of a variable. This dummy variable measures the contribution of its level relative to the excluded level. Interactions are specified by * between variables.

The <WeightVar> represents a variable to specify the contribution each data row has to the output.

The <MatchVar> represents a variable to specify the different groups for a conditional analysis. If a match variable is specified a conditional analysis will be performed

The <TableName> represents a table where the residuals are stored. If no table name is present, no residuals will be produced.

The <PValue> represents the size of the confidence intervals; this may be specified as percent or decimal; if greater than .5, 1-PValue is used. Default is 95%.

Comment

LOGISTIC uses the Newton-Rhapson method for maximizing likelihood.

Example


Orden Map

Total de valores en la expresión numérica.

Número de valores en la expresión o número de filas seleccionadas.

Valor más alto en la expresión.

Media de los valores en la expresión numérica.

Valor mínimo en la expresión.

MAP SUM(DENGUE) ADMIN_NAME :: 'D:\EPI2000\Venezuela\venezuel.shp':ADMIN_NAME

Map

Orden

Descripción

Esta orden produce un mapa de cloropletas, agrupando los datos en función del campo geográfico que coincide con el campo geográfico del archivo de capa geográfica (archivo SHP). Utiliza Epi Map para crear el mapa, por tanto, podrá encontrar más detalles en este programa. El mapa pued eser personalizado por el usuario, y esta personalización se puede guardar en una plantilla .MAP Cuando se especifica una plantilla (.MAP) se mostrará también la tabla de salida, para asegurarse que se referencian los datos correctos.

Sintaxis

MAP <Función de agregación>(<Variable>) <VariableGeográfica> :: ‘<Shapefile>’:<Variable > {TITLETEXT = “<texto>”} {TEMPLATE = ‘<archivo>’} {OUTTABLE = <tablaa>}{ DENOMINATOR = <var2>} {WEIGHTVAR = <Var3> } RUNSILENT

La función de agregación representa lo siguiente:

SUM

COUNT

MAXIMUM

AVERAGE

MINIMUM

La <Variable> representa Variable de la base de datos que contiene la información sobre la región geográfica.

La <GeoVariable> representa la Variable de la base de datos que identifica la región geográfica .

El <Shapefile> representa Nombre y directorio del archivo Shapefile (SHP) a utilizar. Shapefiles son los archivos utilizados por ArcView y Arc/Info.

La <Variable> representa la Variable del archivo SHP que corresponde a la GeoVariable de los datos.

La <var2> representa la Variable en el archivo de SHP que contiene el denominador para la población - o las proporciones del área.

La <Var3> representa la Variable que contiene la frecuencia del evento.

El <archivo> representa el nombre de la plantilla a utilizar.

La <tabla> representa el nombre de la tabla en que se guardará los datos agrupados que se representarán en el mapa.

La palabra RUNSILENT, si está presente, indica que Epi Map no saldrá para personalizar el mapa, sino que vuelve a Analysis sin intervención del usuario.

Comentario

Todas las tasas se dan usando las unidades del denominador; para crear otras tasas (como por 1000 habitantes), defina una nueva variable que guarde la unidad deseada (1000, etc) y la usa como WEIGHTVAR.

Los valores a usar como denominador deben estar incluidos en el archivo DBF asociado al archivo SHP.

Ejemplo


Orden Match

En una revisión de historias de pacientes del hospital con y sin infección postoperatoria, se empareja cada caso por la edad, sexo, y tipo de operación con tantos controles (1 a 4) como se disponga. Cada registro de caso y registro(s) de controles emparejados tienen un número GROUPID. La variable INFECCIÓN indica la presencia o ausencia de infección postoperatoria. El análisis de participación de Dr. A. en la operación se hace como sigue:

MATCH INFECTION DRA GROUPID

Match

Orden

Descripción

Esta orden realiza un análisis emparejado de las variables de exposición y efecto que se asume que serán variables sí/no. Se produce una tabla para cada número de casos de un grupo emparejado. La primera variable aparecerá en el margen izquierdo y contendrá los valores desde cero al número de casos en el grupo emparejado. La segunda variable aparecerá en el margen superior y contendrá los valores de cero al número de casos en el grupo emparejado. Las celdas contienen el número de grupos emparejados que muestran la combinación de exposiciones positivas y resultados positivos mostrado en los márgenes. La tabla de resultados producida por la orden es similar a la que se produce con la orden TABLES.

Sintaxis

MATCH MATCHVAR= {WEIGHTVAR= } {OUTTABLE = } {COLUMNSIZE = } {NOWRAP}

<Exposición> representa la Variable de la base de datos a considerar como el factor de riesgo.

<Efecto> representa la Variable de la base de datos a considerar como Enfermedad o consecuencia.

<Variables> representa la Variable(s) para identificar los pares emparejados .

<Variable> representa la Variable que contiene la frecuencia del evento.

<Tabla> representa el nombre de la tabla para guardar los datos agrupados.

El <Número> representa el número de columnas por la línea de resultados; ceros significa que no se dividen las líneas.

NOWRAP, si está presente, no se inserta salto de línea en los campos de texto, para que las columnas sean tan anchas como la línea más larga en el campo.

Comentario

La variable MATCHVAR se usa para estratificación. Por ejemplo, si cada caso tiene un control correspondiente, entonces cada par se da con un identificador, como por ejemplo PAIRID que identifica el par. La variable MATCHVAR es PAIRID y la orden MATCH internamente realiza un análisis estratificado de Mantel-Haenszel utilizando PAIRID como estratificador. Los grupos emparejados pueden tener varios controles por caso, o más aun que un caso esté emparejado con varios controles.

WEIGHTVAR es para datos agregados en los que el número de casos se guardará en una variable.

Ejemplo


Orden Means

MEANS AGE ILL

Comparará las edades de ENFERMO = (+) con los de ENFERMO=(-). Si hay más de dos grupos en la variable ENFERMO, como 1, 2, y 3, o si SET IGNORE = OFF, para que (+), (-), y (.) para que se consideren los grupos, MEANS hará una comparación de todos los grupos y la respuesta indicará si los grupos difieren unos de nosotros (pero no en qué modelo).

MEANS

Orden

Descripción

Esta orden se utiliza para calcular estadísticas descriptivas de una variable continua. Cuando se usa con una tabla cruzada, también calcula los estarísticos que muestras el grado de verosimilitud de la media. La media de una variable si/no es la proporción de respuestas SI.

Sintaxis

MEANS<Variable1> [<Variable2>] {STRATAVAR= <variable (s)>} {WEIGHTVAR= <variable>} {OUTTABLE = <Tabla>}

<Variable1> representa una variable numérica a ser usada para calcular las medias (o * para todas las variables numéricas).

<Variable2> representa cualquier variable usada para su tabulación (opcional, o * para todas las variables numéricas).

<Variable(s)> representa la variable(s) a usar para el análisis estratificado.

<Variable> representa la Variable que contiene la frecuencia del evento.

<Tabla> representa el nombre de la tabla a crear.

Comentario

La orden MEANS tiene dos formatos. Si sólo se proporciona una variable, el programa produce una tabla como la producida para las FREQUENCIES, más las estadísticas descriptivas.

Si se proporcionan dos variables, el primero es una variable numérica que contiene datos a ser analizado y el segundo es una variable que indica cómo se distinguirán los grupos. El resultado de este formato es una tabla como las producidas por TABLES, más las estadísticas descriptivas de la variable numérica para cada valor de la variable de grupo.

MEANS produce las siguientes pruebas estadísticas:

  • Tests paramétricos

  • ANOVA (para dos o más muestras)

  • Test t de Student's (para dos muestras)

  • Tests No-paramétricos

  • Kruskal-Wallis de una-vía para el análisis de la varianza (para dos o más muestras)

  • Mann-Whitney U Test = Wilcoxon Rank Sum Test (para dos muestras)

En el capítulo de Estadísticas podrá encontrar una descripción.

Ejemplo


Orden Merge

MERGE

Orden

Descripción

Esta orden une los registros de una tabla con los de otra, usando uno o más de los identificadores definidos para establecer la relación entre los registros. Los registros de la segunda tabla que no se puedan relacionar con la primera se añadirán al final de la tabla. Los registros de la segunda tabla se pueden utilizar para actualizar la tabla primcipal. Los registros de la segunda tabla se pueden usarse como padres en la definición de una relación padre-hijo de Epi Info después de haber unido los registros dentro de las vistas padre e hija.

Syntax

MERGE <Tabla> {LINKNAME=<Texto>} <Clave(s)> <Tipo>

{FileSpec}

<Tabla> representa el nombre y tipo de la tabla de datos a leer como archivo a unir. (Vea Read)

Clave(s) representa una o más expresiones que designan las claves de emparejamiento o relación que se realizará. Éstas están en el formato:

<ExpresiónTablaActiva>::<ExpresiónTablaUnión>

Se pueden conectar múltiples expresiones con AND. No se pued eespecificar UniqueKey como expresión de unión.

El <Tipo>, debe ser APPEND, UPDATE o RELATE. Si no se especifica, el efecto será igual a los dos AÑADIR y ACTUALIZAR (APPEND y UPDATE). Para los registros emparejados UPDATE actualiza con nueva información de la segunda tabla y los que no se emparejan se añaden al final del archivo principal.

FILESPEC representa una serie especial de instrucciones para acceder a archivos distintos de Microsoft Access, a menudo con contraseñas de seguridad. (Vea READ)

Comentario

APPEND | Añade los registros no emparejados de la tabla de Unión a la tabla activa. Se añadirán sólo campos encontrados en ambas tablas.
UPDATE | Reemplazará campos de registros de la tabla activa con los de la tabla de Unión si coinciden las claves de ambos registros. Sólo se unirán campos que se encuentran en ambas tablas con un valor no-vacío en la tabla de unión.
RELATE | Mueve la clave única de la tabla actual a la clave externa de la tabla relacionada para hacer una relación permanente. La tabla relacionada (Merge) debe ser una tabla Access/Epi2000. Tanto la tabla activa, como relacionada deben ser vistas de Epi Info.
Vea READ para mayor información sobre la tabla de datos y especificaciones especiales.


Orden Printout

PRINTOUT

Orden

Descripción

Esta orden envía a la impresora por defecto, el contenido de la salida actual (la que se ve en la pantalla de salidas) u otro archivo especificado.

Sintaxis

PRINTOUT <archivo>


Orden Read

Si la vista o la tabla está en el proyecto actual, puede usarse el primer formato. La segunda forma es como la primera, pero explícitamente especifica el directorio del archivo; debe usarse con el viejo-estilo de directorio y archivo (8.3). La tercera forma especifica una base de datos de Access; deben usarse las comillas simples alrededor del directorio porque contiene un espacio. La cuarta forma muestra una base de datos de Access protegida por contraseña (usando el método de contraseña de base de datos, no el método de archivos de grupo de trabajo).

Estas bases de datos tienen sólo una tabla por archivo, así que no es necesario especificar una tabla. Tenga en cuenta que las versiones posteriores de Paradox deben usar un controlador de ODBC proporcionado con las versiones profesionales del producto. También observe que el controlador de Epi6 lee el archivo REC en la base de datos, para que los cambios hechos con Epi6 después de LEER no se guarden en Epi2000 y los cambios hechos con Epi2000 no se guarden en Epi6 (a menos que el archivo de Epi6 se vuelva a reescribir con la orden WRITE REPLACE).

Excel 3.0 tenía sólo una hoja de cálculo por archivo, y no hay necesidad de especificar una tabla así que se leerá la hoja de cálculo entera, como se muestra en el primer ejemplo. FILESPEC usa la palabra clave HDR para indicar si la primera fila contiene los nombres del campo o no. El segundo ejemplo muestra cómo usar un rango de celdas con Excel 3. Las versiones posteriores de Excel tienen hojas de cálculo múltiples en un archivo; para referirse a una hoja de cálculo en particular, use su nombre seguido por un signo de dólar, como se muestra en el tercer ejemplo. Alternativamente, puede especificar un rango, como se muestra en el cuarto ejemplo. El quinto ejemplo muestra cómo especificar un rango de celdas junto con un nombre de hoja.

Se puede acceder a las fuentes de datos mediante controladores ODBC, incluyendo SQL Server, Oracle, SAS y versiones últimas de Paradox. Los controladores ODBC no son parte de Epi Info y deben obtenerse del vendedor de la base de datos o de otro proveedor. Una vez que un usuario instala un controlador ODBC, normalmente deben establecerse los nombres de la fuente de datos para cada base de datos a acceder usando el controlador; esto se hace a través del programa Gestos de ODBC del panel de control, y normalmente lo hace el administrador de la base de datos. FILESPEC debe usarse para proporcionar un nombre y contraseña, pero si no se proporciona y la base de datos está protegida por contraseña, el programa se los pedirá al usuario para proporcionarlos.

Hay, básicamente, dos formas diferentes de archivos de texto. Ambas formas tienen sólo tabla por archivo, así que no hay necesidad de especificar una tabla. Ambos formatos ponen los datos un registro por línea. La diferencia es en cómo se indican los campos. Una formato, se llama "delimitado", usa ciertos caracteres para separar los campos. El primer ejemplo muestra la versión CSV donde los campos están separados por coma y los campos de texto están entre comillas dobles. El segundo ejemplo muestra la versión de ETIQUETAS, donde los caracteres de la etiqueta separan los campos. El tercer ejemplo muestra la versión de DLM que explícitamente incluye el valor ASCII del carácter delimitador (en este caso un espacio). El generador de órdenes permite poner explícitamente el carácter del delimitador.

La segunda forma, mostrada en el cuarto ejemplo, se llama "fijo", ya que cada campo ocupa exactamente las mismas posiciones en cada línea. Todas las posiciones, hasta el último campo deben tenerse en cuenta, aun cuando no contengan datos (el generador de orden generará los campos de relleno automáticamente cuando se requiera). Aun cuando la primera línea del archivo contiene los nombres del campo (HDR = "YES"), se usarán los nombres especificados en las definiciones del campo.

El controlador de archivo de texto lee el archivo en la base de datos, para que los cambios hechos en el archivo no se guarden en Epi2000 y los cambios hechos con Epi2000 no se guarden en el texto (a menos que se vuelva a escribir con la orden WRITE REPLACE que está disponible sólo en formato CSV).

Un archivo HTML puede contener más de una tabla, pero como las tablas no tienen nombres, no se usa la parte de especificación de la tabla. En cambio, se especifican la línea donde comienza la tabla. El generador de la orden examina el archivo entero y encuentra la posición de las tablas, mostrándolas para que el usuario las vea de antemano y las seleccione; es sumamente difícil determinar la línea sin usar el generador del orden.

Los archivo HTML se leen en la base de datos, para que los cambios hechos en el archivo no modifiquen lo hecho en Epi2000 y los cambios hechos con Epi2000 no modifiquen al archivo HTML.

El nombre de un enlace en el archivo MDB activo (home) que constituye un enlace a un archivo externo o tabla de datos. Si no se especifica y la tabla se refiere a una base de datos de Epi2000 o Access, esa base de datos será la base de datos activa.

READ viewOswego

READ "Epi2000" c:\Epi2000\sample.mdb:viewOswego

READ "Access 97" 'c:\My Files\My Data.mdb':MyTable

READ "Access 97" 'c:\My Files\Secret Data.mdb':MyTable

FILESPEC PWD="MyPassword" END

READ "Epi6" c:\Epi2000\dataepi6.rec

READ "dBase III" c:\Epi2000\datadb3.dbf

READ "dBase IV" c:\Epi2000\datadb4.dbf

READ "dBase 5" c:\Epi2000|datadb5.dbf

READ "Foxpro 2.0" c:\Epi2000\datafp20.dbf

READ "Foxpro 2.5" c:\Epi2000\datafp25.dbf

READ "Foxpro 2.6" c:\Epi2000\datafp26.dbf

READ "Paradox 3.x" c:\Epi2000\datapdx3.db

READ "Paradox 4.x" c:\Epi2000\datapdx4.db

READ "Excel 3.0" c:\Epi2000\dataxl3.xls

FILESPEC HDR="YES" END

READ "Excel 3.0" c:\Epi2000\dataxl3.xls!a1:e74

FILESPEC HDR="NO" END

READ "Excel 4.0" c:\Epi2000\dataxl4.xls:Sheet1$

FILESPEC HDR="YES" END

READ "Excel 5.0" c:\Epi2000\dataxl5.xls:RangeName

FILESPEC HDR="NO" END

READ "Excel 8.0" c:\Epi2000\dataxl8.xls:Sheet1$!a1:e74

FILESPEC HDR="NO" END

READ "ODBC" SASDataDSN:MyTable

READ "ODBC" SQLDataDSN:BigTable

FILESPEC UID="Username" PWD="Password" END

READ "Text (Delimited)" c:\Epi2000\datacsv.txt

FILESPEC HDR="YES" FMT="CSV" END

READ "Text (Delimited)" c:\Epi2000\datatab.txt

FILESPEC HDR="NO" FMT="TAB" END

READ "Text (Delimited)" c:\Epi2000\datadlm.txt

FILESPEC HDR="YES" FMT="DLM(32)" END

READ "Text (Fixed)" c:\Epi2000\datafix.txt

FILESPEC HDR="NO" FMT="FIX"

Field1 1-5 Text

Second 6-12 Date

Third 13-15 Number

Field4 16 YesNo

END

READ "HTML" 'D:\analysis\OUT704.htm'

FILESPEC LINE="16" OFFSET="642" END

READ

Orden

Descripción

READ abre una o más vistas de la base de datos activa. También quita cualquier tabla previamente activa así como las variables Definidas asociadas, y las órdenes específicas de la tabla, como RELATE, SORT or SELECT.

Sintaxis

READ <Tabla specification> LINKNAME= <Nombre de Enlace>

FILESPEC HDR="NO" FMT="<Formato>"

La <Tabla> y FILESPEC se refieren en los siguientes párrafos:

Las órdenes READ, RELATE y MERGE pueden funcionar con muchos tipos de datos. Cada tipo requiere una especificación diferente de la tabla, y algunos tipos requieren información adicional sobre especificaciones del archivo. Las características técnicas de la tabla consisten normalmente en un tipo de datos (entre dobles comillas), un espacio, un directorio de archivo (que puede estar con comillas simples, y es obligatorio si tiene espacios), dos puntos y el nombre de la tabla. Las características técnicas del archivo deben empezar en una nueva línea con la palabra FILESPEC; y se sigue de los parámetros con el formato <palabra clave>="<valor>"; esto puede seguirse por definiciones del campo, cada uno en una línea separada, con el formato <nombre de campo> <comienzo>-<fin> <tipodecampo> seguido por END (en la misma línea si sólo hay palabras claves, o en otra línea si hay definiciones de campo). Los tipos de archivo que se pueden usar son los siguientes:

Vistas (Views) de Epi2000 y tablas de Access

Bases de datos simples

Microsoft Excel

Bases de datos ODBC

Archivos de texto

Archivos HTML

Nombre de Enlace

Ejemplos

Archivos de Epi2000

Bases de datos simples

Microsoft Excel

Bases de datos ODBC

Archivos de texto

Archivos HTM


Orden Recode

RECODE AGE TO var1

Lsisesv OVALUE - 0 = "<=0"

0 - 10 = ">0 - 10"

10 - 20 = ">10 - 20"

20 - 30 = ">20 - 30"

30 - 40 = ">30 - 40"

40 - 50 = ">40 - 50"

50 - 60 = ">50 - 60"

60 - 70 = ">60 - 70"

70 - 80 = ">70 - 80"

80 - 90 = ">80 - 90"

90 - 99 = ">90 - 99"

99 - HIVALUE = ">99"

END

RECODE

Orden

Descripción

Esta orden se utiliza para cambiar algunos valores de una variable. Los nuevos valores se pueden almacenar en la misma variable o en una nueva. También se puede usar para convertir una variable numérica en una variable de caracteres y a la inversa, o crear una nueva variable basada en valores recodificados de otra variable existente.

Sintaxis

RECODE <Variable1> TO <Variable2>

Valor1 - Valor2 = <Valor recodificado>

Valor1 – HIVALUE = <Valor recodificado>

LOVALUE - Valor2 = <Valor recodificado>

Valor3 = <Valor recodificado>

ELSE= <Valor recodificado>

END

<Variable1> representa la variable donante (donde está el valor)

<Variable2> representa la variable receptora (donde estará valor recodificado)

Comentarios

El texto debe escribirse entre comillas; los valores numéricos, de fecha y lógicos no deben estarlo. Todos los valores recodificados deben ser del mismo tipo. Los rangos numéricos están separados por un espacio, guión, y espacio, como en 1 - 5. Se permiten valores negativos, como en -10, - 9–-8. Pueden usarse las palabras LOVALUE y HIVALUE pueda indicar el valor más pequeño y el más grande posible en la tabla de datos. Puede usarse la palabra ELSE para indicar los valores que no cumplan los rangos precedentes. La recodificación se hará en el orden escrito; si dos rangos se solapan, se aplicará el primero de la orden.

Analysis no puede recodificar más de aproximadamente 12 niveles de valores. Para evitar esta limitación, hay un ejemplo en el Capítulo Cómo... sobre métodos alternativos de recodificación.

Ejemplo


Regress Command

READ 'Sample.Mdb':viewBabyBloodPressure

REGRESS SystolicBlood = AgeInDays Birthweight OUTTABLE=LNR

READ LNR

GRAPH SystolicBlood RESIDUAL GRAPHTYPE="Scatter XY"

REGRESS

Command

Description

This command performs multivariate linear regression with support for automatic dummy variables and multiple interactions.

Syntax

REGRESS <DependentVar> = <IndependentVar(s)> [NOINTERCEPT] [OUTTABLE=<TableName>] [WEIGHTVAR=<WeightVar>] [PVALUE=<PValue>]

The <DependentVar> represents the dependent variable.

The <IndependentVar(s)> is an independent variable that can be a numeric variable, a non-numeric variable, or a variable surrounded by parenthesis. Any text or yes-no variable, or a variable surrounded with parenthesis, is automatically recoded into dummy variables. A dummy variable will be created for all but one of the levels of a variable. This dummy variable measures the contribution of its level relative to the excluded level. Interactions are specified by * between variables.

The <WeightVar> represents a variable describing each data row's contribution to the regression

The <TableName> is the table to store the residuals. If no table name is present, no residuals will be produced.

The <PValue> represents the size of the confidence intervals; may be specified as percent or decimal; if greater than .5, 1-PValue is used. Default is 95%.

Comment

REGRESS uses the least-squares method for determining coefficients.

Example


Orden Relate

READ 'D:\EPI2000\Refugee.MDB':viewFamily

RELATE viewPatient FAMIDNUM :: FAMIDNUM

RELATE viewAssmnt BOH :: BOH

RELATE

[Analysis] Orden

Descripción

Esta orden une una o más tablas de datos durante el análisis actual usando un identificador común para realizar el emparejamiento de los archivos. El identificador puede ser de varios campos en los que valores del caso deban emparejarse. Los cambios no son permanentes, y las tablas unidas permanecen separadas en el disco, sólo se han unido temporalmente por un sistema de índices en la memoria temporal.

Sintaxis

RELATE <Especificación de la tabla>

{LINKNAME= <Texto>} <Clave(s)> [ALL]

FILESPEC

La <Especificación de la tabla> representa el tipo y nombre de la tabla de datos a leer como archivo relacionado. (Ver Read)

La Clave(s) representa una o más expresiones que designan claves con las que se producirá coincidencia o relación. Estas tienen el formato:

<ExpresiónTablaActual>::<ExpresiónTablaRelacionada>

Si existen registros en las tabla(s) activa o relacionada que no tienen ningún registro correspondiente en la tabla relacionada se incluirán los datos con valores nulos de las variables de la tabla RELACIONADA. Si está ausente, sólo se incluirán los registros con los registros correspondientes RELACIONADOS.

Características específicas en este programa

Analysis

Si la relación se creó con MakeView, Analysis identificará automáticamente las variables sin tener que definírselas.

MakeView

Las tablas de cuadrícula y los botones relacionales son ejemplos de relaciones automáticas. Analysis no abre las tablas relacionales automáticamente, sino que se tendrá que establecer la relación con la caja de diálogo de Relate.

Comentario

Para usar RELATE, por lo menos una de las tablas debe estar activa con la orden READ. La tabla a unirse debe tener un campo clave como HOUSEID que tiene identificadores que relacionan los registros de las dos tablas. En Epi Info para Windows, las claves en las tablas principal y relacionadas o archivos no tienen que tener el mismo nombre. Epi Info para Windows también puede crear al mismo tiempo las relaciones con más de una variable; sin embargo; el número de variables en ambos lados de :: debe ser el mismo.

Si las claves se crearon automáticamente con Epi Info para Windows, las dos se llamarán "UniqueID" y no se tiene que especificar las claves. Si intenta relacionar dos tablas sin la relación automática establecida, Analysis le notificará que la relación no se ha podido realizar.

En la mayoría de los casos las expresiones son los nombres de variables de las tablas que servirán como claves para la unión. También pueden ser expresiones matemáticas incluyendo nombres de variables que producirían una unión única con un registro en particular. Se pueden designas más de un par de claves (“claves múltiples”), separadas por AND.

La tabla relacionada puede tener menos registros que la principal, pero por lo menos algunos de los registros deben tener el mismo identificador que el campo identificador.

Después de ejecutar la orden RELATE, pueden usarse las variables de la tabla relacionada como si fueran parte de la tabla principal.

Pueden realizarse frecuencias, tabulaciones, y otras operaciones que involucran datos de ambas tablas (principal y relacionadas). Si quiere unir una tabla permanentemente, puede usarse la orden WRITE para crear una tabla nueva, permanentemente unida. Puede relacionarse más de una tabla con la tabla principal, usando sucesivas órdenes RELATE.

A veces un nombre de variable puede estar en más de una tabla. Para referirse a una variable de una tabla relacionada, puede usar (opcionalmente) la forma: HOUSE.AGE para representar la variable EDAD de vista CASA. Esto la distinguirá de otra variable EDAD que podría estar en la tabla principal.

Usando las características relacionales de Enter y Check y la orden RELATE de Analysis, puede preparar bases de datos relacionales (“jerárquicas”) como en dBASE u otros sistemas de gestión de base de datos. Esto proporciona una base de datos poderosa en combinación con las estadísticas epidemiológicas disponibles en Analysis.

Ejemplo


Orden Report

[Analysis] Orden

Descripción

Esta orden imprime un informe utilizando Epi Report.

Sintaxis

REPORT '<ArchivoReport>' ['<Impresora>']

<ArchivoReport> representa el archivo de plantilla de informe (.EPT) a ejecutar.

<Impresora> representa la impresora de la computadora del usuario que imprimirá el informe.

Características específicas en este programa

La pantalla de generación de la orden permite crear o editar las plantillas y previsualizar informes preexistentes. Si se quiere utilizar el archivo de salida de Analysis como origen de los datos con Epi Report, se debe utilizar la pantalla de generación de la orden en vez de ejecutar Epi Report como una tarea separada.

Comentarios

Si no se especifica impresora, se utilizará la impresora por defecto.

Epi Report no acepta órdenes duplicadas en el mismo archivo de salida. En el siguiente programa de Analysis

ROUTEOUT 'MonthlyReportData1'

READ 'LastMonth'

FREQ Disease

ROUTEOUT 'MonthlyReportData2'

READ 'ThisMonth'

FREQ Disease

es necesario el segundo ROUTEOUT porque si no habría dos órdenes FREQ Disease en el mismo archivo de salida.

Ejemplo


Orden ReportData

[Analysis] Orden

Descripción

Esta orden identifica una sección de salida de Analysis para Epi Report.

Sintaxis

REPORTDATA <DatasetName>

<DatasetName> es similar al nombre de una variable y se usa para identificar esta sección de salida.

Características específicas en este programa

The dataset name must follow the rules for a variable name -- be 64 characters or less; begin with an alphabetic character; contain no special characters except underscore, dollar sign, and tilde; and not be a reserved word (such as a command name).

The DATASET command is only necessary if (1) Analysis output is being sent to a ROUTEOUT file; (2) output from the identical command appears more than once in the file; and (3) the user desires to include output from the second or subsequent execution of the command in a report.

Comment

In the program

ROUTEOUT 'MonthlyReportData'

DATASET LastMonth

READ 'LastMonth'

FREQ Disease

DATASET ThisMonth

READ 'ThisMonth'

FREQ Disease

the DATASET commands are necessary because otherwise Epi Report would not be able to distinguish between the two FREQ Disease commands.

Example


Routeout Command

ROUTEOUT 'D:\EPI2002\Montly_Report.htm' REPLACE

ROUTEOUT ‘D:\EPI2002\MyPage.htm’ APPEND

ROUTEOUT

Command

Description

This command directs output to the named file until the process is terminated by CLOSEOUT. Output from commands such as FREQ and LIST is appended to the same output file as it is produced.

Syntax

ROUTEOUT <filename>[REPLACE|APPEND]

The <Filename> represents an HTM document where the output is to be stored. If no directory is specified, the directory of the current project will be used.

The REPLACE | APPEND keyword controls what happens to an existing file of the name name. If REPLACE is specified, any existing file of the same name is deleted prior to writing. If APPEND is specified, new output is appended to any existing file of the same name.

Comments

Epi Info for Windows will send the output to an HTM document that can be read by any browser. If no output is selected, Epi Info for Windows will create a new file typically called OUTXXX.HTM where XXX is a sequential number. These files will be placed in the same directory as the current project. The prefix for output files and starting sequence number can be changed from the STORAGE options located in the Analysis command under Output.

Example


Orden RUNPGM

RUNPGM ‘C:\EPI2000\SAMPLE.Mdb’:”Test1”

RUNPGM

Orden

Descripción

Esta orden ejecuta un programa de Analysis almacenado. Esta orden es un poco como un archivo INCLUDE o una subrutina de otros sistemas.

Sintaxis

RUNPGM ‘<Archivo>’ : “<Programa>”

RUNPGM ‘<Archivo>’

RUNPGM “<Programa>”

<Archivo> representa el directorio y nombre del archivo MDB o .PGM del DOS donde se guarda el programa. Si el directorio o nombre contienen un espacio, deben escribirse entre comillas simples. Si el programa a ejecutar está en el proyecto actual, no es necesario proporcionar el directorio.

<Programa> representa el nombre del programa. Si el nombre del programa contiene un espacio, debe escribirse entre comillas dobles. No se usa para los archivos de texto.

Comentario

Como los nombres de archivo pueden incluir cualquier directorio y nombre de la base de datos, el programa a ser ejecutado puede guardarse en una base de datos diferente que la que está en uso.

Ejemplo


Orden Select

Se usa paréntesis para mostrar relaciones.

SELECT ((age > 35) and (sex="F")) or ((age > 40) and (sex="M"))

SELECT NAME = “MAC” seleccionará sólo “MAC”, “Mac”, etc., una coincidencia exacta.

SELECT NAME LIKE ”MAC*” seleccionará “MAC”, “MACDONALD”, etc., una coincidencia inexacta, en los que las tres primeras letras de NAME son “MAC”.

SELECT

[Analysis] Orden

Descripción

Esta orden permite especificar una expresión que debe ser verdad para que se procese un registro. Si la selección actual es "edad > 35", entonces sólo se procesarán los registros con edad > de 35. SELECT sólo, sin ninguna expresión cancelará las declaraciones SELECT anteriores.

Sintaxis

Select <Expresión>

La <Expresión> representa cualquier expresión válida de Epi Info para Windows.

Comentario

Las expresiones SELECT son acumulativas de forma que dos expresiones:

SELECT AGE > 35

SELECT SEX = "F"

son equivalentes a

SELECT (AGE>35) AND (SEX = "F")

Ejemplo


Orden Set

SET HYPERLINKS=(+) PROCESS=UNDELETED (+)="True" (-)="False" (.)="Unknown" PERCENTS=(+) MISSING=(-) SHOWPROMPTS=(+) SELECT=(+) FREQGRAPH=(+) STATISTICS=INTERMEDIATE

SET

Orden

Descripción

Esta orden establece las preferencias de funcionamiento y salidas de datos en Analysis. Estas preferencias se utilizan cuando se pone en funcionamiento Analysis.

Sintaxis

SET<Parámetro>=<Valor>

<Parámetro>=<Valor> representa varios elementos posibles. Se puede utilizar varios elementos en una misma orden SET.

Parámetro | Valores | Respuesta
(-) | "<Texto>" | En las expresiones Booleanas (lógicas), NO se representará con <Texto>
(.) | "<Texto>" | Las variables con valor nulo se representarán con <Texto>
(+) | "<Texto>" | En las variables Booleanas, SI se representará con el <Texto>
YN | "<Texto1>" | Los valores Yes, No y Missing se representarán como Texto1, Texto2 y Texto3 respectivamente.
 | "<Texto2>" |
 | "<Texto3>" |
PROCESS | NORMAL | No se procesan registros borrados
 | DELETED | Solo se procesan los registros borrados
 | BOTH | Se procesan ambos (borrados y no borraados)
DELETED | YES o (+) | Se incluyen los registros borrados
 | NO o (-) | No se procesan registros borrados
 | ONLY | Solo se procesan los borrados
FREQGRAPH | (+) o ON | Muestra la frecuencia gráfica al lado de la tabla.
 | (-) o OFF | No se incluye la frecuencia gráfica..
HYPERLINKS | (+) u ON | Los enlaces se incluyen en la salida.
 | (-) u OFF | Se excluyen los enlaces
MISSING | (+) u ON | Incluye valores nulos en el análisis.
 | (-) u OFF | No incluye los valores nulos en el análisis.
IGNORE | (+) u ON | No incluye los valores nulos en el análisis
 | (-) u OFF | Incluye valores nulos en el análisis
SELECT | (+) u ON | Muestra los criterios de selección
 | (-) u OFF | No muestra los criterios de selección
SHOWPROMPTS | (+) u ON | Muestra el texto completo de cada variable
 | (-) u OFF | Muestra solo el nombre de la variable
STATISTICS | NONE | No se muestran estadísticas
 | MINIMAL |
 | INTERMEDIATE |
 | COMPLETE |
PERCENTS | (+) u ON | Se incluyen los porcentajes en las salidas de TABLES
 | (-) u OFF | No se incluyen los porcentajes

Características específicas en este programa

En la caja de diálogo del generador de órdenes, al seleccionar "Guardar todo" generará una Orden SET, que contiene todos los parámetros activos. Seleccionando "Guardar sólo" o "Aceptar” generará una orden SET que contiene sólo los cambios realizados. Para forzar la aparición de una orden SET en el texto, anúlela primero y luego actívela.

Ejemplo


Orden Sort

SORT AGE

SORT AGE DESCENDING ILL DESCENDING SEX DESCENDING

SORT

Orden

Descripción

Esta orden permite especificar la secuencia en que aparecen los registros utilizando las órdenes LIST, GRAPH y WRITE. Si no se especifican variables después de la orden SORT, se anula el orden actual, y la siguiente salida se producirá en el orden original de los datos. Si se especifica una variable, se ordenarán los registros usando esa variable como “clave”. Si se especifica más de una variable, los registros se ordenarán por la primera variable, las que tengan el mismo valor de la variable 1, se ordenan por la variable 2, etc.

Sintaxis

SORT<variable>[DESCENDING]

La <variable> representa la variable por la que e ordena.

[DESCENDING] indica que el orden es descendente, si no se especifica se ordenará por orden ascendente.

Comentario

El parámetro DESCENDING se pondrá junto a la variable a ordenar en orden descendente. Si se quiere ordenar varias variables en sentido descendente, se debe inluir “DESCENDING” en cada una de ellas.

Las expresiones SORT son acumulativas, de forma que dos expresiones:

SORT AGE

SORT SEX DESCENDING

son equivalentes a:

SORT AGE SEX DESCENDING

Ejemplo


Summarize Command

READ viewPatient

RELATE viewVisit PatientID::PatientID

SUMMARIZE FirstVisit::MIN(VisitDate), LastVisit::MAX(VisitDate), NVisit::COUNT() TO PatSumm STRATAVAR=PatientID

READ viewPatient

RELATE PatSumm PatientID::PatientID

DEFINE Flag90

Flag90="OK"

IF DAYS(LastVisit,SYSTEMDATE)>90 THEN

Flag90="Over 90 Days"

END

DEFINE FlagAvg

FlagAvg="OK"

IF DAYS(LastVisit,SYSTEMDATE)>DAYS(FirstVisit,LastVisit)/NVisit THEN

FlagAvg="Over Avg Interval"

END

LIST PatientID PatientLName PatientFName Flag90 FlagAvg

SUMMARIZE

Description

This command creates a new table containing descriptive statistics for the current dataset or its strata.

Syntax

SUMMARIZE varname::aggregate(variable) [varname::aggregate(variable) ...] TO tablename STRATAVAR=variable list [WEIGHTVAR=variable]

Available aggregates are COUNT, MIN, MAX, SUM, FIRST, LAST, AVG, VARiance and STandardDEViation (Sum, Avg, Var and StDev available only for numeric fields). COUNT may be used without a variable in parenthesis to indicate that a count of the number of records in the table or strata is desired, or with a variable in parenthesis to indicate that the number of records in the table or strata with non-missing values of the specified group is desired. FIRST and LAST are based on the current sort order.

Comment

Analysis creates a new table or appends to an existing table (tablename) containing variables (varname) which represent aggregates of variables in the current data source (aggregate(variable)). The aggregates are computed for each group of records, determined by the STRATAVARs, which are also included in the table. Available aggregates are COUNT, MIN, MAX, SUM, AVG, VARiance and STandardDEViation (Sum, Avg, Var and StDev available only for numeric fields). COUNT may be used without a variable in parenthesis to indicate that a count of the number of records in the group is desired, or with a variable in parenthesis to indicate that the number of records in the group with non-missing values of the specified group is desired.

This command is used to solve some recurring problems for systems designers. One such problem is computing percents; it is difficult to get a denominator. Another problem is determining the earliest or latest date in a list of relevant dates, or the highest or lowest of a series of measurements. Many of these problems can be solved with the OUTTABLE from a TABLES or FREQ command, or with self-joins, but this provides a straightforward way of achieving these results

Multi-line (memo) fields are not permitted.

Example


Orden Tables

TABLES disease county

TABLES * COUNTY

TABLES VANILLA ILL AGE SEX

TABLES DISEASE COUNTY /SUM = COUNT

TABLES

Orden

Descripción

Esta orden hace una tabla cruzada de las variables especificadas. Los valores de la primera variable aparecerán en el margen izquierdo de la tabla, y los de la segunda variable estarán arriba de la tabla. Normalmente las celdillas contienen el número de registros que contienen los valores de las etiquetas de las variables correspondientes. Si se da el parámetro WEIGHTVAR, las celdillas representan la suma de valores de esa variable, exactamente como en SUMTABLES de Epi Info para DOS. TABLES ENFERMEDAD CONDADO WEIGHTVAR=CASOS da los mismos resultados que SUMTABLES CASOS ENFERMEDAD CONDADO en Epi Info para DOS.

Syntaxis

TABLES <Exposición> <Efecto> {STRATAVAR= <Variable(s)>} {WEIGHTVAR= <Variable>} {OUTTABLE = <Tabla>} {COLUMNSIZE = <Número>} {NOWRAP}

<Exposición> representa la variable de la base de datos considerada como factor de riesgo (o * para todas la variables)

<Efecto> representa la variable de la base de datos considerada como la enfermedad consecuente (o * para todas las variables).

<Variable> representa la variable de la base de datos.

<Tabla> representa un nombre de archivo válido para enviar los resultados.

<Número> representa un número de 0 a 99 representando el número de columnas a mostrar antes de dividir una tabla (por defecto=6). Si es cero, se mostrarán todas las colummnas en una sola tabla, sin dividirla.

NOWRAP, Si está presente, no se produce salto de línea y las columnas serán tan anchas como el valor más grande del campo.

Comentarios

Para cada posible combinación de valores de las variables de los estratos, se produce una tabla separada (estrato) para la variable 1 y la variable 2. TABLES JAMON ENFERMEDAD STRATAVAR=SEXO producirá una tabla de JAMON por ENFERMEDAD para cada valor de SEXO- una para M y una para F. TABLES JAMON ENFERMEDAD STRATAVAR=SEXO RAZA producirá una tabla separada de JAMON por ENFERMEDAD para cada combinación de valores de SEXO/RAZA--femenino/negra, femenino/blanca, masculino/negra, masculino/blanca, etc.

Si se escribe "*" en lugar de un nombre de variable, se sustituye " *" por cada nombre de variable de la base de catos cada vez. Así, si le quisiera analizar cada variable por el estado de enfermedad, la orden:

TABLES * ENFERMEDAD

Producirá tables de SEXO por ENFERMEDAD, EDAD por ENFERMEDAD, etc.

Es importante considerar cuidadosamente cómo usar "*" o pedir tablas multidimensionales, ya que puede haber más mesas de las que le gustaría por lo que se refiere a tiempo, papel, y otros costos. Pulsando las teclas Ctrl- pausa podrá terminar un procedimiento largo si cambia de idea.

Se puede usar la orden SET para determinar el formato de las tablas, incluyendo los valores de los porcentajes en las tablas (SET PERCENTS = ON) o diagramas (SET FREQGRAPH = ON).

En las tablas 2x2, la orden produce odds ratios y risk ratios. Para que estos valores puedan tener sentido epidemiológico, el valor que representa la presencia de la exposición y efecto, debe aparecer en la primera fila y columna de la tabla. Las variables yes/no de Epi Info se ordenan automáticamente de forma adecuada. La configuración de STATISTICS controla el detalle con que se presentan las tablas.

Se calculan estadísticas de chi-cuadrado para tablas distintas de 2x2

Ejemplo


Orden Typeout

TYPEOUT 'My Fancy Logo.htm'

Copia el contenido del archivo en la salida.

TYPEOUT "CONFIDENCIAL" (BOLD, UNDERLINE)

Muestra la palabra "Confidencial" en negrita subrayada.

TYPEOUT

Orden

Descripción

La orden TYPEOUT inserta texto, o una cadena de texto o el contenido de un archivo, en la salida. Los usos típicos podrían ser incluir Comentarios o resultados anteriores.

Sintaxis

TYPEOUT "Texto" [(<Fuente>)] [TEXTFONT <Color> <Tamaño>]

TYPEOUT <Archivo> (con comillas sencillas si contiene espacios)

El <Texto> representa el texto a mostraar.

La <Fuente> representa las siguientes propiedades: (Underline, Bold, Italic) deberán estar separadas por comas (,)

El <Color> representa los siguienes colores:

Aqua | Lime | Red
Black | Maroon | Silver
Blue | Navy | Teal
Fuchsia | Olive | White
Gray | Purple | Yellow
Green |  |
#xxxxxx, donde x es un dígito hexadecimal; pares de digits que representan la saturación de rojo, green y azul, en una escala de 0-255, respectivamente, incluida en el color.

Comentarios

TYPEOUT con una cadena de texto es similar a TITLE excepto que TYPEOUT pone el texto una vez escrita la orden y mientras que TITLE aparecerá encima de cada resultado, hasta que se limpie el TITLE.

Si no hay texto entre comillas tras la orden TYPEOUT, se enviará a la salida el contenido del archivo especificado. Esta salida puede estar en texto o HTML.

Ejemplo


Orden Undefine

UNDEFINE

[Analysis] Orden

Descripción

Esta orden quita una variable definida y los valores asignados a la misma.

Sintaxis

UNDEFINE <Variable>

La <Variable> representa una variable definida.

Características específicas en este programa

Las variables permanentes no se pueden anular desde la pantalla GEN. Para Undefine una variable permanente, escriba y ejecute la orden desde el editor de texto.

Comentario

Una variable que ya existe en la base de datos no puede ser anulada (UNDEFINE). Para quitarla de la base de datos use WRITE * EXCEPT ….


Orden Write

WRITE APPEND "Epi Info" 'D:\EPI2000\demo1.MDB':table1 *

WRITE APPEND "Epi Info" 'D:\EPI2000\demo1.MDB':test1 * EXCEPT BOHID BOH ALIENNUMBER

WRITE

Orden

Descripción

Esta orden enviará los registros a una tabla o archivo de salida en el formato que se especifique. Puede especificar qué variables se escribirán, el orden en que aparecerán, y el formato de archivo a escribir.

Sintaxis

WRITE <METODO> {<Tipo de Salida>} {<Proyecto>:}Tabla {<Variable(s)>}

WRITE <METODO> {<Tipo de Salida>} {<Proyecto>:}Tabla * EXCEPT {<Variable(s)>}

El <METODO> representa REPLACE | APPEND

El <Proyecto> representa el directorio y nombre de archivo.

El <Tipo de Salida> representa las siguientes posibles salidas:

Tipo de BaseDatos | Especificador | Elemento
Jet | Access 97 0 Epi2000 | <directorio:<tabla>
dBase III | "dBase III" | <directorio>
dBase IV | "dBase IV" | <directorio>
dBase 5.0 | "dBase 5.0" | <directorio>
Paradox 3.x | "Paradox 3.x" | <directorio>
Paradox 4.x | "Paradox 4.x" | <directorio>
FoxPro 2.0 | "FoxPro 2.0" | <directorio>
FoxPro 2.5 | "FoxPro 2.5" | <directorio>
FoxPro 2.6 | "FoxPro 2.6" | <directorio>
Excel 3.0 | "Excel 3.0" | <directorio>
Excel 4.0 | "Excel 4.0" | <directorio>
Epi Info 6 | "Epi6" | <directorio>
Texto (Delimitado) | "Texto" | <directorio>

Comentarios

Los registros borrados en Enter o Seleccionados en Analysis se manejan como en el otro Analysis, y se pueden escribir las variables definidas, permitiéndole crear un nuevo archivo Epi Info con los cambios permanentes. No se escribirán las variables globales y permanentes a menos que se especifiquen explícitamente.

Si quiere escribir sólo algunas variables, debe listarlas. La palabra EXCEPT puede insertarse para indicar todas las variables exceptuando las que siguen a EXCEPT.

Debe especificarse APPEND o REPLACE para indicar qué hacer con un archivo ya existente con el mismo nombre, añadiéndose los resultados al archivo existente o borrándolo previamente. Si algunos campos coinciden con el archivo existente, pero no todos con la opción APPEND, los distintos se añadirán a la tabla de salida.

Ejemplo


Características especiales de las órdenes de Check

Los órdenes de Check son opcionales, y no todos los campos de una vista necesitan tener bloques de órdenes.

Las órdenes de Check deben ponerse en un bloque de órdenes empezando con el nombre de una variable de la base de datos y terminando con la palabra END. Se proporcionan bloques especiales para ejecutar los órdenes antes o después de introducir datos en una vista, Registro, o Página. Éstas son:

  • BEFORE VIEW

  • AFTER VIEW

  • BEFORE RECORD

  • AFTER RECORD

  • BEFORE PAGE

  • AFTER PAGE

Se pueden poner comentarios, precedidos por un asterisco ("*"), dentro de los bloques de órdenes. Para órdenes que no tienen una estructura “Orden…end”, se usa el carácter de continuación de línea (“\” al final de la línea) indicar que la orden continúa en la próxima línea.

Las órdenes en un bloque o se activan antes o después de introducir datos en el campo. Por defecto las órdenes se realizan después de pasar por el campo con <Enter>, <RePág>, <AvPág>, o <Tab>, u otra orden que haga que el cursor salga del campo.

Las órdenes Check para cada campo se almacenan en un registro de la Vistas asociado con el campo en particular o con uno de los bloques especiales BEFORE/AFTER mencionados anteriormente.

Las órdenes se insertan automáticamente a través de la interacción con las cajas de diálogo de PROGRAMA, pulsándola cuando está en el campo. Las versiones en texto de las órdenes aparecen en el Editor del Programa cuando se generan con los diálogos, y pueden modificarse allí si se quiere.


Orden Always

ALWAYS

ASSIGN samplevar = samplefield

END

ALWAYS

Ordan

Descripción

Esta orden se insertan en los registros para hacer que se ejecute el código después del bloque en que está cuando se navega entre registros asó como cuando se va a un nuevo registro.

Sintaxis

ALWAYS

<cualquier código check>

END

Comentario

ALWAYS se utiliza para los bloque before y after record. Se ignorará la orden si se escribe en cualquier otro evento.

Ejemplo


Orden Autosearch

AUTOSEARCH puede usar varios campos para la búsqueda, independientemente del orden de los campos de la vista:

FIELD1 ...

FIELD2 ...

FIELD3 ...

FIELD4 ...

FIELD5

FIELD3

AUTOSEARCH FIELD2 FIELD3

END

entonces AUTOSEARCH ignorará el valor de FIELD1 y buscará sólo en lso valores de FIELD2 y FIELD3.

Autosearch

Orden

Descripción

AUTOSEARCH hace que Enter busque uno o más registros coincidentes. Si se encuentra una coincidencia, el usuario puede escoger entre revisar el registro(s) coincidente o ignorarlo y continuar introduciendo el registro actual.

Syntaxis

AUTOSEARCH<variables(s)>

<variable(s)> representa un grupo de variables en las que buscar.

Comentario

Si se encuentra más de un registro, los resultados se muestran en formato de hoja de cálculo que permite desplegar varios registros. Para ver más de una pantalla de tales coincidencias (por ejemplo, todos los registros SEXO = "M") pulse < AvPág> para ver las siguientes pantallas. Cuando se han desplegado las coincidencias, puede seleccionarse una sola fila pulsando con el ratón sobre el primer campo o usando las teclas arriba y abajo y seleccionar un registro en particular pulsando o seleccionando Aceptar. Para evitar la corrección de alguno de los registros pulse o el botón Cancelar. Los campos desplegados como resultado de la LISTA de una búsqueda lo hacen con el siguiente criterio:

1. Si un solo campo es el clave, se mostrará ese campo y tantos otros como se puedan mostrar.

2. Si hay múltiples claves, se despliegan, empezando por el primero, todos los campos que quepan en la pantalla.

AUTOSEARCH usará las claves Soundex en todos los campos de búsqueda que los tengan.

Ejemplo


Orden Beep

IF not exists("c:\epi2000\Sample.MDB")= (+) then

BEEP

Dialog "Compruebe si existe el archivo y tiene

permisos para acceder a él" TITLETEXT="Archivo no encontrado"

END

Beep

Orden

Descripción

Esta orden produce un sonido.

Sintaxis

BEEP

Ejemplo


Orden Clear

If EndDate < StartDate then

CLEAR EndDate

GOTO EndDate

END IF

Clear

Orden

Descripción

CLEAR deja el campo especificado con valor missing, como si el campo se hubiera quedado en blanco. Por ejemplo, es útil limpiar una entrada anterior después de haberse descubierto un error. Puede especificarse más de un campo. CLEAR irá seguido frecuentemente de GOTO, para poner el cursor en la posición adecuada para introducir datos después del error.

Sintaxis

CLEAR<variable(s)>

<variable(s)> representa un nombre válido de una variable.

Características específicas en este programa

En Analysis, para limpiar una variable es necesario Assign un valor nulo (.)

Comentario

CLEAR borrará solo el valor del registro actual.

No se puede utilizar en cuadrículas (GRID)

Ejemplos


Comentarios (*)

[Check] Orden

Descripción

Esta orden permite escribir comentarios definidos por el usuario para identificar la tarea o los nombres de las variables al programarlas.

Sintaxis

* <texto>

El <texto> representa cualquier comentario.

Comentario

El carácter (*) debe ser el primer carácter de una línea, sin espacios en blanco delante para que pueda ser reconocido como marca de comentario. Los comentarios de más de una línea deben tener el símbolo de comentario (*) al principio de cada línea.

Ejemplo


Orden Define

DEFINE Var1

DEFINE Var2 GLOBAL

DEFINE Var2 PERMANENT

Define

[Check] Orden

Descripción

Esta orden permite crear nuevas variables.

Sintaxis

DEFINE<variable>[alcance]

La <variable> representa el nombre de la variable a crear.

El [alcance] representa el tipo de variable definida: Global, Permanent o Standard.

Características específicas en este programa

La orden DEFINE puede crear variables standard, GLOBAL, o PERMANENT. Las variables estándar mantienen su valor sólo dentro de (todas las páginas) la vista actual y se reinician cuando se carga un nuevo registro. Las variables GLOBALes mantienen los valores entre Vistas relacionadas e incluso cuando se abre una nueva vista con el programa, pero se pierden cuando se cierra el programa Enter.

Comentario

Las variables en Epi Info no tienen un tipo predefinido; aceptarán cualquier tipo de datos que se asignen con la orden de asignación (“=”). Sin embargo, una vez asignado, no puede cambiarse su tipo.

ALCANCE

Las variables PERMANENT se guardan en el archivo de EPIINFO.INI o registro del sistema y retienen el valor asignado hasta que se cambie el valor por otra asignación o la variable sea anulada (UNDEFINE). Se comparten entre los programas de Epi Info y persisten aun cuando la computadora esté cerrada. Las variables permanentes en Analysis no pueden tener valores que dependen directa o indirectamente de los campos de la tabla

Las variables GLOBAL persisten durante la ejecución del programa. Se usan en Enter para pasar valores de una vista a otra vista relacionada. En Analysis se suelen usar para guardar valores entre cambios de la fuente de datos. Las variables globales en Analysis no pueden depender directa o indirectamente de los campos de la tabla.

Las variables definidas STANDARD se usan como variables temporales que se comportan como los campos de la base de datos. Pierden sus valores y definiciones cuando se utiliza la orden READ.

Ejemplo


Orden Define DLLObject

DEFINE Var1 DLLOBJECT “EIEpiwk.Epiweek”

Define DLLObject

[Check] Orden

Descripción

Esta orden permite la creación de un objeto ActiveX (dynamic link library o executable).

Sintaxis

DEFINE<variable>DLLOBJECT"<nombre activex>.<class>"

<variable> representa el nombre de la variable a crear.

<Nombre activex> representa el nombre interno del objeto ActiveX que contiene el objeto class.

<class> representa la clase de objeto a crear.

Comentario

El nombre ActiveX no debe ser el mismo que la librería dinámica (.dll) o ejecutable. Cuando se ha desarrollado un objeto ActiveX el nombre del proyecto es el que se requiere para crear el objeto.

El objeto ActiveX (ejecutable o .dll) debe estar registrado antes de que se pueda usar.

Ejemplo


Orden Dialog

DIALOG "Escriba un valor " var1 TITLETEXT="Diálogo 1"

DIALOG " Escriba un valor " var1 DATABASES

DIALOG " Escriba un valor " var1 DATABASES TITLETEXT=" Dialog 1"

DIALOG " Escriba un valor " var1 "aaa", "bbb", "ccc", "ddd" TITLETEXT=" Diálogo 1"

DIALOG "seleccione una base de datos" var1 DATABASES TITLETEXT="base de datos"

Dialog

[Check] Orden

Descripción

Esta orden proporciona interacción con el usuario desde dentro de un programa. Los diálogos pueden mostrar información, pueden preguntar y pueden recibir datos, y ofrecer listas de opciones.

Sintaxis

SIMPLE:

DIALOG “<Texto>” {,TITLETEXT="<Título>"}

INPUT:

DIALOG “<Texto>” <Variable> [<Entry type>] {TITLETEXT="<Título>"}

PICKLIST:

DIALOG “<Texto>” <Variable> “<Valor1>”, “<Valor2>”, “<Valor3>”, … ,“<Valorn>” {TITLETEXT="<Título>"}

TABLE/VARIABLE:

DIALOG “<Texto>” <Variable> [<Tipo de datos>] {TITLETEXT="<Título>"}

VARIABLE VALUE:

DIALOG “<Texto>” <Variable> DBVALUES < Nombre de tabla> {TITLETEXT="<Título>"}

El <Texto> es el texto que se mostrará como mensaje

La <Variable> representa la variable en la que almacenar el valor escrito.

El [<Tipo de datos>] representa una palabra reservada que define el tipo de entrada a almacenar en la variable. Si no se especifica tipo, el valor será número/fecha.

TEXTINPUT definirá la variable como texto.

YN definirá la variable como Lógica.

El patrón Formato representa una cadena, como “####” o ##.### que indica el tipo de datos a introducir. # indica un dígito.

El <Título> es el texto a usar como cabecera de la ventana de diálogo. Si no se especifica un texto, aparecerá un título en blanco.

El [<Tipo de listado>] son DATABASES y DBVIEWS

Comentario

SIMPLE: La primera forma de DIALOG presenta una caja de diálogo en la pantalla, usando el texto proporcionado, con un botón "OK".

INPUT: La segunda forma de DIALOG muestra el texto y suministra una entrada para introducir un valor. Si se especifica YN, se presentarán los botones “Sí,” “No” y “Cancelar” y la variable especificada se pone a (+), (-), o (.).

Si se especifica TEXTINPUT o no se especifica tipo de datos, se proporciona una entrada para la respuesta del usuario, con botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor missing si se elige Cancelar.

PICK-LIST: La tercera forma de DIALOG muestra el texto y mantiene una caja con opciones para seleccionar un valor. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se pulsa Cancelar. La variable será de tipo texto.

TABLE/VARIABLE: La cuarta forma de DIALOG muestra una caja de opciones de un campo de una base de datos o vista. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se elige Cancelar. La variable será de tipo texto.

VARIABLE VALUE: La quinta forma de DIALOG muestra una caja de opciones con los valores de la variable de la base de datos especificada. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se elige Cancelar. La variable será del mismo tipo que la variable de la base de datos.

Ejemplo


Orden EndBefore

Las órdenes siguientes representan el código Check para una variable llamada Demo1

Dialog ‘Esto es antes de grabar’ ’ TITLETEXT = “Dialog1”

ENDBEFORE

Dialog ‘Esto es después’ ’ TITLETEXT = “Dialog 2”

EndBefore

Orden

Descripción

Esta orden divide las órdenes de Check que se ejecutarán antes de la introducción de datos de las que se ejecutarán después de la introducción de datos.

Sintaxis

ENDBEFORE

Característica especial en este programa

ENDBEFORE se usa sólo código Check. Las órdenes de botones no utilizarán Endbefore ya que todo el código insertado se ejecutará cuando el usuario pulsa el botón.

Comentario

Estas órdenes controlarán que las acciones ocurran antes o después de acceder a una vista, registro, página, o campo.

Por defecto el momento predefinido para la ejecución de las órdenes asociadas con una variable es “DESPUÉS DE LA INTRODUCCIÓN.” Si la ejecución debe ocurrir antes de la entrada, ponga los órdenes pertinentes en un bloque llamado BEFORE ENTRY…END dentro del bloque de órdenes de esa variable. ENDBEFORE debe ponerse en la primera posición de la línea. No se puede poner otra orden en la misma línea.

Si no está presente ENDBEFORE, Epi Info ejecutará todas los órdenes después de la condición.

Ejemplo


Orden Execute (Linkto o Activate)

EXECUTE "c:\epi2000\Epimap.exe"

Execute (Linkto o Activate)

[Check] Orden

Descripción

Esta orden ejecuta un programa Windows o DOS --bien porque se llama explícitamente en la orden o bien porque está designado (en el registro de Windows) para un documento con la extensión del archivo que se nombra. La orden EXECUTE acepta una serie de paths, separados por punto y coma, como en:

EXECUTE c:\epi_info\myfile.exe;d:\myfile.exe

Si no se encuentra el primero, intentará los otros sucesivamente.

Características específicas del programa

In Check code, the EXECUTE command can be placed in any command block, but is often used with a button. A button does not have a Before Entry section.

Sintaxis

EXECUTE ArchivoEjecutable.EXE

EXECUTE Archivo.Extensión

El <programa> representa el directorio y nombre de archivos .exe (archivo registrado como programa en Windows) y archivos .com, junto con los argumentos especificados.

Comentario

Si se escribe el nombre de un programa ejecutable, como ENTER.EXE o MYBATCH.BAT o HAZLO.COM, el programa se ejecutará en una ventana separada. Cuando el programa termine, se cerrará la ventana.

Si el nombre dado no es un programa, pero es un archivo con una extensión (los 3 caracteres después del ".") registrada por Windows para mostrar un documento, se activará el programa correcto para abrir el archivo. Por ejemplo, WRITEUP.DOC hará que se active Microsoft Word © en su computadora y abra el documento. En otra máquina, sin embargo, .DOC podrían corresponder a Corel WordPerfect©. Normalmente .TXT ejecutará NOTEPAD.EXE© o WORDPAD.EXE©, y los archivos de imagen aparecerán en un navegador o en un programa de gráficos de su computadora. Un archivo .HTM ejecutará el navegador predefinido en su computadora.

Lo interesante de esta forma de EXECUTE es que no necesita proporcionar la situación o incluso el nombre del programa que se utilizará. Estos detalles se guardan en el registro de Windows para las extensiones del archivo comunes. Es como si usted dijera, "yo quiero clavar un clavo" y el sistema operativo le da un martillo. Usted no tiene que buscar el martillo y luego el clavo.

El mismo concepto se aplica a las direcciones de Internet (URLs). Dé una dirección de internet que acaba en .HTM y Windows abre el navegador predefinido en su computadora, conecta a Internet (si es posible), y va directamente al sitio indicado. Es el principio de “el Mundo como su unidad de disco.” Se podría preparar un menú con botones para los websites de países o estados vecinos, con este dispositivo y una conexión a Internet, o cualquier cosa que necesite para el trabajo diario, tendría acceso a éstas fuentes de información sólo un clic del ratón.

Ejemplo


Orden GoTo

GoTo +1

GoTo

Orden

Descripción

GOTO puede usarse solo o como consecuencia de una declaración IF para transferir el cursor a un campo determinado.

Sintaxis

GOTO <evento>

El <evento> puede ser +1, -1, número de página o una variable.

EVENTO | DESCRIPCION
+1 | Automáticamente guarda la página actual, si se han hecho cambios, y va a la próxima página.
-1 | Automáticamente guarda la página actual, si se han hecho cambios, y va a la página anterior.
<número de página> | Automáticamente guarda la página actual, si se han hecho cambios, y va a la página indicada por el número.
<variable> | Va a la variable indicada. Si la variable está en otra página y se han hecho cambios, guardarçá automáticamente los mismos.

Comentario

Si GoTo está entre Before o After Record, se ignorará.

Al contrario que la orden JUMP de Epi Info Versión 6, la orden GOTO hará que no estén disponibles las otras variables para la introducción de datos (Sólo Lectura).

Ejemplo


Orden Hide, Unhide

If sex = “F” then

Hide Prostate exam

End

Hide, Unhide

Orden

Descripción

(HIDE) Esta orden oculta un campo de la vista y lo hace NOENTER.

(UNHIDE) Esta orden hace visible al campo y lo devuelve al estatus que tenía antes de ocultarlo.

Sintaxis

HIDE<nombre de campo(s)>

UNHIDE< Nombre de campo(s)

<Nombre de campo(s)> representa una o más variables válidas.

Comentario

Si no se especifica un nombre de campo, se asume que es el campo actual (en el que está el bloque de código Check). Los campos de texto plano (sólo texto) pueden ocultarse o desocultarse, permitiendo el posicionamiento de mensajes en la pantalla, y mostrar mensajes alternativos.

Ejemplo


Orden Recordcount

RECORDCOUNT

[Check] Orden

Descripción

Esta orden devuelve el número de registros en la vista activa o en la tabla de datos activa (Analysis).

Sintaxis

RECORDCOUNT

Ejemplo


Orden Relate

READ 'D:\EPI2000\Refugee.MDB':viewFamily

RELATE viewPatient FAMIDNUM :: FAMIDNUM

RELATE viewAssmnt BOH :: BOH

RELATE

[Check] Orden

Descripción

Esta orden une una o más tablas de datos durante el análisis actual usando un identificador común para realizar el emparejamiento de los archivos. El identificador puede ser de varios campos en los que valores del caso deban emparejarse. Los cambios no son permanentes, y las tablas unidas permanecen separadas en el disco, sólo se han unido temporalmente por un sistema de índices en la memoria temporal.

Sintaxis

RELATE <Especificación de la tabla>

{LINKNAME= <Texto>} <Clave(s)> [ALL]

FILESPEC

La <Especificación de la tabla> representa el tipo y nombre de la tabla de datos a leer como archivo relacionado. (Ver Read)

La Clave(s) representa una o más expresiones que designan claves con las que se producirá coincidencia o relación. Estas tienen el formato:

<ExpresiónTablaActual>::<ExpresiónTablaRelacionada>

Si existen registros en las tabla(s) activa o relacionada que no tienen ningún registro correspondiente en la tabla relacionada se incluirán los datos con valores nulos de las variables de la tabla RELACIONADA. Si está ausente, sólo se incluirán los registros con los registros correspondientes RELACIONADOS.

Características específicas en este programa

Las relaciones se crean en Epi Info para Windows como un Nuevo tipo de variable. Una relación creada con Epi6 no se convierte automáticamente en una de Epi Info para Windows. Use MERGE para convertir una relación de Epi6 en una de Epi Info para Windows.

Comentario

Para usar RELATE, por lo menos una de las tablas debe estar activa con la orden READ. La tabla a unirse debe tener un campo clave como HOUSEID que tiene identificadores que relacionan los registros de las dos tablas. En Epi Info para Windows, las claves en las tablas principal y relacionadas o archivos no tienen que tener el mismo nombre. Epi Info para Windows también puede crear al mismo tiempo las relaciones con más de una variable; sin embargo; el número de variables en ambos lados de :: debe ser el mismo.

Si las claves se crearon automáticamente con Epi Info para Windows, las dos se llamarán "UniqueID" y no se tiene que especificar las claves. Si intenta relacionar dos tablas sin la relación automática establecida, Analysis le notificará que la relación no se ha podido realizar.

En la mayoría de los casos las expresiones son los nombres de variables de las tablas que servirán como claves para la unión. También pueden ser expresiones matemáticas incluyendo nombres de variables que producirían una unión única con un registro en particular. Se pueden designas más de un par de claves (“claves múltiples”), separadas por AND.

La tabla relacionada puede tener menos registros que la principal, pero por lo menos algunos de los registros deben tener el mismo identificador que el campo identificador.

Después de ejecutar la orden RELATE, pueden usarse las variables de la tabla relacionada como si fueran parte de la tabla principal.

Pueden realizarse frecuencias, tabulaciones, y otras operaciones que involucran datos de ambas tablas (principal y relacionadas). Si quiere unir una tabla permanentemente, puede usarse la orden WRITE para crear una tabla nueva, permanentemente unida. Puede relacionarse más de una tabla con la tabla principal, usando sucesivas órdenes RELATE.

A veces un nombre de variable puede estar en más de una tabla. Para referirse a una variable de una tabla relacionada, puede usar (opcionalmente) la forma: HOUSE.AGE para representar la variable EDAD de vista CASA. Esto la distinguirá de otra variable EDAD que podría estar en la tabla principal.

Usando las características relacionales de Enter y Check y la orden RELATE de Analysis, puede preparar bases de datos relacionales (“jerárquicas”) como en dBASE u otros sistemas de gestión de base de datos. Esto proporciona una base de datos poderosa en combinación con las estadísticas epidemiológicas disponibles en Analysis.

Ejemplo


Orden Select

Se usa paréntesis para mostrar relaciones.

SELECT ((age > 35) and (sex="F")) or ((age > 40) and (sex="M"))

SELECT NAME = “MAC” seleccionará sólo “MAC”, “Mac”, etc., una coincidencia exacta.

SELECT NAME LIKE ”MAC*” seleccionará “MAC”, “MACDONALD”, etc., una coincidencia inexacta, en los que las tres primeras letras de NAME son “MAC”.

SELECT

[Check] Orden

Descripción

Esta orden permite especificar una expresión que debe ser verdad para que se procese un registro. Si la selección actual es "edad > 35", entonces sólo se procesarán los registros con edad > de 35. SELECT sólo, sin ninguna expresión cancelará las declaraciones SELECT anteriores.

Sintaxis

Select <Expresión>

La <Expresión> representa cualquier expresión válida de Epi Info para Windows.

Comentario

Las expresiones SELECT son acumulativas de forma que dos expresiones:

SELECT AGE > 35

SELECT SEX = "F"

son equivalentes a

SELECT (AGE>35) AND (SEX = "F")

Ejemplo


Orden Undefine

UNDEFINE

[Check] Orden

Descripción

Esta orden quita una variable definida y los valores asignados a la misma.

Sintaxis

UNDEFINE <Variable>

La <Variable> representa una variable definida.

Características específicas en este programa

Undefine puede usarse para una variable definida en cualquier momento.

Comentario

Una variable que ya existe en la base de datos no puede ser anulada (UNDEFINE). Para quitarla de la base de datos use WRITE * EXCEPT ….


Orden Assign

County = "Yellow Medicine"

DURATION = 01/01/88 - DATEONSET

(La duración estará en días.)

DURATION = YEARS(01/01/88, DATEONSET)

(Ahora estará en años)

ASSIGN ILL = (-)

GROUP = 1 (Si group es una variable numérica)

GROUP = "1" (Si group es una variable de texto)

Assign (con Expresiones)

[Menu] Orden

Descripción

Esta orden almacena el valor de una variable o asigna el resultado de un cálculo matemático en una variable.

Sintaxis

ASSIGN <variable> = <expresión>

La <variable> representa una variable de una tabla de datos o una variable definida o creada en un programa.

La <expresión> representa cualquier expresión matemática válida.

Características específicas en este programa

El Valor se pone en el archivo llamado EPIINFO.INI; por consiguiente todas las variables creadas en el archivo del menú serán permanentes en cualquiera de los programas de Epi Info. En el entorno del menú, no es necesario DEFINIR la variable primero; se definen automáticamente con las órdenes ASSIGN o DIALOG, y aceptará texto o datos numéricos. El texto debe adjuntarse en comillas, aunque esto no siempre es necesario. Los nombres de variables no pueden contener espacios o puntuación, pero se permiten los dos en los valores.

Las funciones descritas en el capítulo de Funciones de las órdenes de Analysis y Check no están disponibles en el Menu.

Comentario

Esta orden asigna el valor de una expresión a una variable. La variable puede ser una variable de base de datos de una vista o tabla de datos o una variable definida, creada con la orden DEFINE en un programa.

Las variables temporales deben definirse; no se crean automáticamente como en las versiones anteriores de Epi Info, excepto en el programa del menú. Son flexibles aceptando cualquier tipo de datos (texto, numérico, o fecha). La conversión de tipo de los datos (de numérico a texto, por ejemplo) se hará automáticamente, si es necesario.

Ejemplo


Browser Command

BROWSER GUIDED.HTM

BROWSER “@@InstallDir\@@language\help\GUIDED.HTM”

The second displays the guided tour in the language chosen, assuming that a translation has been installed.

Browser

Command

Description

This command loads the browser window with in the menu form, with a specified browser-compatible file.

Syntax

BROWSER “<Path and name>”, <Left>, <Top>, <Width>, <Height> {, ExitButton}

The <Path and name> represents any file that can be loaded into Microsoft Internet Explorer, including HTM, XML, JPG, GIF, CHM, and ASP files.

The <Left>, <Top>, <Width>, <Height> represents optional numbers from 0 to 100 specifying percentages of screen width (left and width) or screen height (top and height). If width or height is omitted and the corresponding Left or Top is less than 40, then the browser is centered in that dimension, otherwise the height or width is adjusted to reach the right side or bottom of the menu. Hence, BROWSERSIZE 5, 5 is equivalent to BROWSERSIZE 5,5,90,90 putting a 5% border around the centered browser, but BROWSERSIZE 50, 50, makes the browser fill the lower right quarter of the menu.

The {,ExitButton} represents optional to specify an Exit button.

Comment

The BROWSER command can be used in a command block, or in the menu definition part of the MNU file. The MNU file can therefore be set up to change the HTML or other file displayed in the browser by clicking on a menuitem or a command button to run a command block containing the BROWSER command. If no BROWSERSIZE command is given, the BROWSER will occupy the entire menu. Command buttons, if any, will be displayed on top of the browser.

When using the BROWSER command, always set the picture to full screen.

Example


Browsersize Command

BROWSERSIZE 0, 0, 50, 50

BROWSERSIZE 0, 0, 50, 50, ExitButton

Displays the browser (if any) in the upper left corner of the menu.

Browsersize

Command

Description

This command sets the size and location of the browser activated by the Browser command. If no Browsersize command is given, the browser will occupy the entire menu. If there are any command buttons, they will be displayed on top of the browser.

Syntax

BROWSER “<Path and name>”, <Left>, <Top>, <Width>, <Height> {, ExitButton}

The <Path and name> represents any file that can be loaded into Microsoft Internet Explorer, including HTM, XML, JPG, GIF, CHM, and ASP files.

The <Left>, <Top>, <Width>, <Height> represents optional numbers from 0 to 100 specifying percentages of screen width (left and width) or screen height (top and height). If width or height is omitted and the corresponding Left or Top is less than 40, then the browser is centered in that dimension, otherwise the height or width is adjusted to reach the right side or bottom of the menu. Hence, BROWSERSIZE 5, 5 is equivalent to BROWSERSIZE 5,5,90,90 putting a 5% border around the centered browser, but BROWSERSIZE 50, 50, makes the browser fill the lower right quarter of the menu.

The {,ExitButton} represents optional to specify an Exit button

Comment

The Browsersize command can be used in a command block, or in the menu definition part of the MNU file. After it is run, the image will be sized and located as specified until exit from the current menu.

Example


Button(s) Command

BUTTON "TEST", Test, 50,50,20,20, "This is a large button in the middle of the screen"

Be sure not to forget any of the commas.

Button

Command

Description

This command creates a button on the screen with the caption ItemText and the locations given as percentages of screen width and height. When the button is clicked with the mouse (left mouse click), the commands in the CommandBlock named are executed. If a text tip is given, this appears when the mouse cursor hovers over the button for several seconds.

Syntax

BUTTON"<Caption>", Procedure Name, Horizontal Position%, Vertical Position%, Horizontal Size%, Vertical Size%, "<ToolTip Text>"

The <caption> represents the text to be displayed in the button.

The Procedure Name represents the name for the procedure to be executed.

The Horizontal Position% represents a number from 1 to 99 which represents the distance from the left side of the window in percentage points.

The Vertical Position% represents a number from 1 to 99 which represents the distance from the top of the window in percentage points.

The Horizontal Size% represents a number from 1 to 99 which represents the horizontal size as a percentage of screen size.

The Vertical Size% represents a number from 1 to 99 which represents the vertical size as a percentage of screen size.

The <tooltip text> represents text to be displayed when the cursor is pointing to that button.

Comment

Horizontal Size and Vertical Size are both expressed in percentage of screen height or width. If both are omitted, the button size is chosen automatically. If only one is included, it is taken to be the Horizontal Size.

Example


Call Command

StartUp

Begin

Call ManualNewRelease

…

End

ManualNewRelease

Begin

Help Newrel.htm

End

Call

Command

Description

This command redirects to another command block.

Syntax

CALL<variable>

The <variable> represents a variable used to identify a command block name.

Example


Command Blocks

Command Block Name

Description

This command calls the command blocks called from the MENUITEM and BUTTON commands.

Syntax

<block name>

Begin

Command

Command

End

The <block name> represents a name containing only text characters and/or digits. Special characters such as (,#, $, &, and blank spaces are not allowed as part of the block name).

The Begin/End represents the delimiters for the command block.

Program Specific Feature

The main menu will create a batch file to execute DOS commands; therefore, they will be executed at a single time. Batch files containing both windows and DOS command are not allowed.

Comment

Commands in Command Blocks are executed when the user chooses a menuitem or button that refers to the block. If the begin and end statements are missing, results are unpredictable.

Example


Comentarios (*)

[Menu] Orden

Descripción

Esta orden permite escribir comentarios definidos por el usuario para identificar la tarea o los nombres de las variables al programarlas.

Sintaxis

* <texto>

El <texto> representa cualquier comentario.

Comentario

El carácter (*) debe ser el primer carácter de una línea, sin espacios en blanco delante para que pueda ser reconocido como marca de comentario. Los comentarios de más de una línea deben tener el símbolo de comentario (*) al principio de cada línea.

Ejemplo


Orden Define

DEFINE Var1

DEFINE Var2 GLOBAL

DEFINE Var2 PERMANENT

Define

[Menu] Orden

Descripción

Esta orden permite crear nuevas variables.

Sintaxis

DEFINE<variable>[alcance]

La <variable> representa el nombre de la variable a crear.

El [alcance] representa el tipo de variable definida: Global, Permanent o Standard.

Características específicas en este programa

La orden ASSIGNen el bloque de órdenes del menú define automáticamente la variable si no existe. Todas las variables creadas por ASSIGN en el menú son variables permanentes.

Comentario

Las variables en Epi Info no tienen un tipo predefinido; aceptarán cualquier tipo de datos que se asignen con la orden de asignación (“=”). Sin embargo, una vez asignado, no puede cambiarse su tipo.

ALCANCE

Las variables PERMANENT se guardan en el archivo de EPIINFO.INI o registro del sistema y retienen el valor asignado hasta que se cambie el valor por otra asignación o la variable sea anulada (UNDEFINE). Se comparten entre los programas de Epi Info y persisten aun cuando la computadora esté cerrada. Las variables permanentes en Analysis no pueden tener valores que dependen directa o indirectamente de los campos de la tabla

Las variables GLOBAL persisten durante la ejecución del programa. Se usan en Enter para pasar valores de una vista a otra vista relacionada. En Analysis se suelen usar para guardar valores entre cambios de la fuente de datos. Las variables globales en Analysis no pueden depender directa o indirectamente de los campos de la tabla.

Las variables definidas STANDARD se usan como variables temporales que se comportan como los campos de la base de datos. Pierden sus valores y definiciones cuando se utiliza la orden READ.

Ejemplo


Orden Dialog

DIALOG "Escriba un valor " var1 TITLETEXT="Diálogo 1"

DIALOG " Escriba un valor " var1 DATABASES

DIALOG " Escriba un valor " var1 DATABASES TITLETEXT=" Diálogo 1"

DIALOG " Escriba un valor " var1 "aaa", "bbb", "ccc", "ddd" TITLETEXT=" Diálogo 1"

DIALOG "seleccione una base de datos" var1 DATABASES TITLETEXT="base de datos"

Dialog

[Menu] Orden

Descripciónn

Esta orden proporciona interacción con el usuario desde dentro de un programa. Los diálogos pueden mostrar información, pueden preguntar y pueden recibir datos, y ofrecer listas de opciones.

Sintaxis

SIMPLE:

DIALOG “<Texto>” {,TITLETEXT="<Título>"}

INPUT:

DIALOG “<Texto>”, <Variable >, FORMAT= “<PatrónFormato>” , {TITLETEXT="<Título>"}

PICKLIST (dos estilos, primero con listado/segundo con botones):

DIALOG “<Texto>”, <Variable>, LIST= “<Valor1>”; “<Valor2>”; “<Valor3>”; … ;“<Valorn>” {TITLETEXT="<Título>"}

DIALOG “<Texto>”, <Variable>, {BUTTONS="valor1";valor2;etc}

El <Texto> es el texto que se mostrará como mensaje.

La <Variable> representa la variable en la que almacenar el valor escrito.

El [<Tipo de datos>] representa una palabra reservada que define el tipo de entrada a almacenar en la variable. Si no se especifica tipo, el valor será número/fecha.

TEXTINPUT definirá la variable como texto.

YN definirá la variable como Lógica.

El patrón Formato representa una cadena, como “####” o ##.### que indica el tipo de datos a introducir. # indica un dígito.

El <Título> es el texto a usar como cabecera de la ventana de diálogo. Si no se especifica un texto, aparecerá un título en blanco.

El [<Tipo de listado>] son DATABASES y DBVIEWS

Comentario

SIMPLE: La primera forma de DIALOG presenta una caja de diálogo en la pantalla, usando el texto proporcionado, con un botón "OK".

INPUT: La segunda forma de DIALOG muestra el texto y suministra una entrada para introducir un valor. Si se especifica YN, se presentarán los botones “Sí,” “No” y “Cancelar” y la variable especificada se pone a (+), (-), o (.).

Si se especifica TEXTINPUT o no se especifica tipo de datos, se proporciona una entrada para la respuesta del usuario, con botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor missing si se elige Cancelar.

PICK-LIST: La tercera forma de DIALOG muestra el texto y mantiene una caja con opciones para seleccionar un valor. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se pulsa Cancelar. La variable será de tipo texto.

TABLE/VARIABLE: La cuarta forma de DIALOG muestra una caja de opciones de un campo de una base de datos o vista. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se elige Cancelar. La variable será de tipo texto.

VARIABLE VALUE: La quinta forma de DIALOG muestra una caja de opciones con los valores de la variable de la base de datos especificada. Se presentan botones OK y Cancelar. Se asigna el valor introducido por el usuario a la variable, con un valor perdido si se elige Cancelar. La variable será del mismo tipo que la variable de la base de datos.

Ejemplo


Orden Exit (Quit)

DIALOG “Quiere cerrar Analysis” result YN TITLETEXT=”Close”

IF result = (+) then

Quit

End

Exit (Quit)

[Menu] Orden

Descripción

Cierra la base de datos actual y termina el programa activo, cerrando Analysis.

Sintaxis

EXIT

Características específicas en este programa

Cierra el menú actual. EXIT no necesariamente no cierra programas que ha empezado el menú en otras ventanas. El usuario debe cerrarlos, si lo desea.

Comentario

EXIT y QUIT tienen la misma funcionalidad.

Ejemplo


FileDialog Command

GETPATH NT_PathFile “Please select the file path”

FileDialog

Command

Description

This command provides file dialog box functionality similar to the functionality of the standard Open and Save dialog boxes found in Microsoft Office applications. With these dialog boxes, users can easily specify the files and folders that Epi Info should use.

Syntax

FILEDIALOG <variablename> {,"filter specification>"}

The <filter specification>

The <windowtitle> represents the title that appears at the top of a form. If none is supplied, "Choose Directory" is assumed.

Comment

If no filter is specified, the following is assumed:

"All Files(*.*)|*.*|EpiInfo/Access(*.MDB)|*.MDB"

The format of the filter specification set by Visual Basic and further details can be obtained from a Visual Basic manual. Additional entries separated by the same vertical line (pipe) command "|" can be added. The last one is taken as the default filter. Hence in the specification above, the user is first presented with a choice of "EpiInfo/Access(*.mdb)" databases, answering the description .MDB.

Scrolling down in the list allows changing the choice to see, "All Files(.*)", those matching the designation.

When the user chooses "Open" the file choice is placed in the specified variable. The file is not actually opened, but a subsequent menu command such as EXECUTE NOTEPAD @@ MyFilename can be used to open the file if it is, for example, a text file and the variable specified was

"MyFilename."

The FILEDIALOG command can now be given the name of an initialization directory so that it comes up in a desired location. In the following menu block using FILEDIALOG, an Initial Directory is specified as the third parameter:

Test

Begin

Filedialog datafile, "All Files(*.*)|*.*|Select your Data file|*.DAT|", "\epi_info\births\data\"

Dialog "@@datafile"

End

Test

Begin

Filedialog datafile, "All Files(*.*)|*.*|Select your Data file|*.DAT|", "\epi_info\births\data\"

Dialog "@@datafile"

End

(The DIALOG is just to test the result.)

The first line has two entries in the "filter" string for the dialog, so that the user has the option of having All files displayed. The FILEDIALOG will show all files in the "\epi_info\births\data\" directory with the ".DAT" extension. The user can choose "All Files" instead in the listbox to show

files with any extension.

The Initial Directory parameter should not contain a file name—just the directory. If the subdirectories "births" and "data" do not exist, the dialog defaults nicely to \Epi_info.

Example


Getpath Command

GETPATH NT_PathFile “Please select the file path”

GETPATH

Command

Description

This command displays a dialog in which the user can choose a path. The path chosen becomes the value of the specified variable.

Syntax

GETPATH<variable> {"<windowtitle>"}

The <variable> represents a variable in a data file.

The <windowtitle> represents the title that appears at the top of a form. If none is supplied, "Choose Directory" is assumed.

Comment

Lets a user browse the path and assign the result to a variable. If the path chosen is “d:\Epi_Info\" then GETPATH will store “d:\Epi_Info\” in the variable. GETPATH initially opens the default path to the last result.

Examples


If Then Else

El menú usa ENDIF para cerrar la estructura de un bloque IF.

1. Estudio

Dialog "Escriba la edad de la persona", Age"

If Age < 10 Then

Assign Group = "CHILD"

Else

If Age >= 10 And Age < 20 Then

Assign Group = "TEENAGE"

EndIf

Else

If Age >= 20 Then

Assign Group = "ADULT"

EndIf

EndIf

Dialog "Escriba el sexo de la persona",Sex,LIST=Masculino;Femenino;TITLETEXT=SEXO

If Sex = "Masculino" Then

Assign Sex = "MASCULINO"

Else

Assign Sex = "FEMENINO"

EndIf

Dialog "Age=@@Age; Group=@@Group; Sex=@@Sex"

2. Cálculos

DIALOG "Escriba la edad de la persona", Age, LIST=10;15;20;TITLETEXT=AGE

IF Age < 15 THEN

Dialog "Cálculos básicos: Number1 * (Number1 -Number2) = ?"

Dialog "Escriba el primer número:", Number1

Dialog "Escriba el segundo número:", Number2

Dialog "Escriba su respuesta:", Answer

IF Answer = Number1 * (Number1 - Number2) THEN

Dialog "Lo ha hecho muy bien!"

ELSE

Dialog "No ha escrito la respuesta correcta."

ENDIF

ELSE

Dialog "Calculos avanzados: (Number1 ^ Number2) * 4 >= 36?"

Dialog "Escriba el primer número:", Number1

Dialog "Escriba el segundo número:", Number2

Dialog "Escriba la respuesta: (True/False)", Answer

IF (@@Number1 ^ @@Number2) * 4 >= 36 THEN

IF Answer = True THEN

Dialog "Lo ha hecho muy bien!"

ELSE

Dialog "You did not give the right answer."

ENDIF

ELSE

IF Answer = False THEN

Dialog "Lo ha hecho muy bien!"

ELSE

Dialog "No ha escrito la respuesta correcta."

ENDIF

ENDIF

ENDIF

3. Variable Preference

Define x Permanent

Assign x = 5

Define x

Assign x = 9

If x = 9 then

Dialog "x is @@x in Menu Variables Section"

Else

Dialog "x is @@x in Variables Section"

EndIf

Result is x is 9 in Menu Variables Section

Unefine x

Dialog x is @@x

Result is x is 5

If Then Else

[Menu] Orden

Descripción

IF define las condiciones y una o más consecuencias que resultan cuando se cumplen las condiciones. Una consecuencia alternativa puede darse después de la declaración ELSE, para ser realizada si la primera condición no se cumple.

Sintaxis

IF<expresión> THEN

[Orden(es)]

ELSE

[Orden(es)]

ENDIF

La <expresión> representa cualquier expresión simple de Epi Info o Visual Basic que pueda ser evaluada como verdadera o falsa.

La [Orden(es)] representa al menos una orden válida.

Comentario

Las condiciones IF se pueden evaluar en varios niveles. Para cerrar cada condición IF se requiere un ENDIF. Si la condición IF está en el bloque ELSE, ese IF se considerará hasta la siguiente línea del ELSE. Las variables de la expresión se pueden escribir tanto @@Número como un número natural. La condición IF tiene en cuenta ambas opciones

La evaluación de IF para la comparación de cadenas no es sessible a mayúsculas. Los símbolos lógicos de Analysis , (+) -- Verdadero y (-) -- Falso y (.) -- Nulo se pueden usar en una condición IF. Si la comparación es entre numéricos y alfabéticos, entonces el resultado es False.

Una Variable con el mismo nombre tiene mayor precedencia en la sección [Menu Variables] que en la seción [Variables]. Si no existe una variable en [Menu Variables], entonces se tomará el valor de [Variables].

Si quiere ver la preferencia de órdenes, vea Define, Undefine, Assign, y @@.

Ejemplo


Link Command

Link EPIMAP.exe “Epi Map 2000”, HelpMap.htm “How to Use EPI Map”

Link Analysis.exe “Read”, HelpRead.htm “Analysis Read Help”

Link

Command

Description

This command displays a file when the named program and the named window title becomes active. It 'docks' the display window to the named window program.

Syntax

LINK<programname1> "<windowtitle>", <programname2> "<windowtitle>"

The <programname1> represents the name of an executable program.

The <windowtitle> represents the title that appears at the top of a particular window within a program.

The <programname2> represents the name of an executable program with parameters, or a file with extension, such as .HTM, with an associated executable in Windows.

The <windowtitle2> represents the title that appears at the top of the main window when ProgramName2 is activated.

This should be specified, although in some browsers, the program is able to find the window without this information. If problems are encountered, run the program, then copy the exact text caption from the program window, and specify it for the <windowtitle2>.

Comment

This command is useful in writing educational and tutorial programs, since it provides for presentation of educational material only at the time it is needed. It does not require any characteristics of Program1 except that it has windows with title text permitting identification. It should work with any Windows program therefore.

LINK waits until the named program is active and until a particular window is visible. The named file is displayed, usually in a browser, moving the linked window if necessary and placing the Display File’s program within a rectangle adjacent to the named window. The window being linked to is moved to make the two windows adjacent and side-by site if possible; otherwise the display window is displayed as a separate frame. The two window captions should be different. When the application window is closed, the display window is also closed, but the LINK remains in effect unless LINKREMOVE is executed.

When the linked window is no longer on the screen, usually because the user has put it away, the display window is also removed. If the user closes the display window, the equivalent of LINKREMOVE for the linked window is performed, so that the display window will not appear again if the linked window is reactivated.

More than one LINK statement can be executed, in which case the menu checks for all of the linked windows every 250 milliseconds and pops up the correct display window if one of them appears. To remove a link from the collection, use the REMOVE command.

If no path is specified for the linked executable, the system looks in the Help directory and then in the Epi2000 installed directory.

The caption of the linked page should omit the browser specification. For example, “Demo Link - Microsoft Internet Explorer”, should be specified as “Demo Link” in the command.

WAITFOR and LINK should not be used simultaneously with the same executable file, as they both use the same WAIT procedure.

Example


Linkremove Command

LinkRemove “Analysis Read Help”

LinkRemove ALL

LINKREMOVE

Command

Description

This command removes the program or file from the linked collection.

Syntax

LINKREMOVE "<windowtitle>" | ALL

The <”WindowTitle” | ALL> represents the title text that appears at the top of a particular window within a program that will be removed, or Key Word ALL.

The <WindowTitle> represents the title that appears at the top of a particular window within a program

The <ProgramName2> represents the name of an executable program with parameters, or a file with extension, such as .HTM, with an associated executable in Windows.

The <WindowTitle2> represents the title that appears at the top of the main window when ProgramName2 is activated.

This should be specified, although in some browsers, the program is able to find the window without this information. If problems are encountered, run the program, then copy the exact text caption from the program window, and specify it for the <windowtitle2>.

Comment

To remove a previous LINK from the LINK collection use the LINKREMOVE command, followed by the linked page’s caption. There is no need to specify the browser name in the caption. For example, if the page’s caption is “Demo Link - Microsoft Internet Explorer”, in the command line, the caption will be “

Demo Link”. To remove all pages from the LINK collection, use LINKREMOVE ALL. After removing a link, displaying the named Window will no longer activate the linked program.

Example


Menu Command

MENU SURVEIL.MNU REFCAMP.BMP 5,5, 50, 50

It displays the surveillance menu, an image of a refugee camp from the air, and places the menu 5% right and 5% down from the upper left corner of the screen, extending half the screen width and half the screen height so that it occupies one quarter of the screen.

Menu

Command

Description

This command loads another menu with the given file name from within a block of commands in an MNU file.

Syntax

MENU <FileName>.MNU {<Image>}{<Left>, <Top>}, {<Width>, <Height>}

The <FileName> represents the file name to be loaded.

The <Image> represents the image to be used as background for the menu. Epi Info for Windows supports GIF, JPEG, and BITMAP images.

The <Left> represents a number from 1 to 99 representing the distance from the left side of the window in percentage points.

The <Top> represents a number from 1 to 99 representing the distance from the top border of the window in percentage points.

The <Width> represents a number from 1 to 99 representing the width of the image desired.

The <Height> represents a number from 1 to 99 representing the distance from the top border of the window in percentage points.

Comment

If the name of an image file is given (either .BMP or .BID), the image is loaded on the main form. Left and Top locations can be given to position the upper left corner of the menu on the screen. They are given as percents of screen width and height: 0, 0 is the upper left corner of the screen. Width and Height are also percentages of the screen. If no locations and sizes are given, those of the main menu are used.

Example


Menuitem Command

BEGIN

POPUP "&Programs "

BEGIN

MENUITEM "Ma&ke View (Questionnaire)" , MakeView

MENUITEM "&Enter Data", Enter

MENUITEM "&Analyze Data", Analysis

MENUITEM "&StatCalc", StatCalc

MENUITEM "Epi Ma&p", EpiMap

MENUITEM "&Nutrition", Nutstat

MENUITEM "&Visualize Data", VisualizeData

MENUITEM "&Word Processing", Eped

MENUITEM "E&xit ", Exit

END

END

MENUITEM

Command

Description

This command is used to create a non-hierachical option in the vertical menu.

Syntax

MENUITEM “<Text>”, <Block>

The <Text> represents the text to be displayed.

The <Block> represents the block to be executed (see COMMAND BLOCK)

Comment

Every Menu in Epi Info for Windows contains two main components. The first part defines the menu items, buttons, and screen text, and the second part defines the command blocks. The example below shows a single pull-down menu definition.

Example


Movebuttons Command

MOVEBUTTONS

Command

Description

This command sets the buttons in move and resize mode.

Syntax

MOVEBUTTONS

Comment

When set this mode on, a dialog box of the menu form will be opened and the mouse cursor is changed to a hand. The dialog box has Save and Undo buttons. Press a command button to have its handles displayed. Then user is able to move or resize the button. The new command button positions will be stored into the current menu file if the Save button is pressed.

A button’s left, top, width, and height on the form are measured from (0, 0, 0, 0) to (100, 100, 100, 100) in percentage on the menu screen. Width and Height are optional coordinators in the button’s description line. However, after changing the button's size, Width and Height will be added into the description lines for the resized button. The old EpiInfo.mnu file will be backed up as EpiInfo.mn_, for example, in the same folder to protect the original data. MoveButtons is under Edit menu item on Epi Info for Windows screen.

Access this command from the keyboard using Shift+F2 at anytime.


Picture Command

PICTURE REFCAMP.jpg

PICTURE “C:\Epi_Info\REFCAMP.jpg”

PICTURE Off

PICTURE

Command

Description

This command loads the specified image, but does not store the image name between sessions in the INI file.

Syntax

PICTURE"<image>" {<left>. <top>, <width>, <height>}

The <Image> represents the image to be displayed. Epi Info for Windows, BMP, GIF, and JPG images. If no path is included, the program looks first in the current working directory, then in the installed directory. If no image or “OFF” is specified, the current image is removed.

The <Left>, <Top>, <Width>, <Height> represents optional numbers from 0 to 100 specifying percentages of screen width (left and width) or screen height (top and height). If omitted, the defaults are 0,0,100,100, or full form. If width or height is omitted and the corresponding Left or Top is less than 40, then the image is centered in that dimension, otherwise the height or width is adjusted to reach the right side or bottom of the menu.

Comment

The PICTURE command can be included in the STARTUP command block, in which case, the image is loaded immediately. It can also be activated in a command block from a button or menuitem. If PICTURE is included in the menu definition part of the MNU file (prior to the first POPUP item) and a picture has been entered in the EpiInfo.INI file interactively using the SETPICTURE command, the INI picture overrides the one specified in the PICTURE command. If the PICTURE command is in a command block, however, it overrides any picture specified in the INI file. This allows the application developer to choose whether to allow the user to choose the picture or whether it should be specified in the STARTUP or other command block of the MNU.

When using the BROWSER command, always set the PICTURE command in full screen.

Example


Picturesize Command

PICTURESIZE 0, 0, 50, 50

This displays the image (if any) in the upper left corner of the menu.

PICTURESIZE

Command

Description

This command sets the size and location of the image identified by the PICTURE command, saved using the SETPICTURE command, or specified in a MENU command that loaded the current menu.

Syntax

PICTURESIZE <left>,<top>,<width>,<height>

The <Left>, <Top>, <Width>, <Height> represents optional numbers from 0 to 100 specifying percentages of screen width (left and width) or screen height (top and height). If omitted, the defaults are 0,0,100,100, or full form. If width or height is omitted and the corresponding Left or Top is less than 40, then the image is centered in that dimension, otherwise the height or width is adjusted to reach the right side or bottom of the menu.

Comment

The PICTURESIZE command can be used in a command block, or in the menu definition part of the MNU file. After it is run, the image will be sized and located as specified until exit from the current menu. PICTURESIZE is assumed to be 0,0,100,100 unless otherwise specified. If width or height is omitted and the corresponding Left or Top is less than 40, then the image is centered in that dimension, otherwise the height or width is adjusted to reach the right side or bottom of the menu.

Example


Popup Command

POPUP "&Programs "

BEGIN

MENUITEM "Ma&ke View (Questionnaire)" , MakeView

MENUITEM "&Enter Data", Enter

MENUITEM "&Analyze Data", Analysis

MENUITEM "&StatCalc", StatCalc

MENUITEM "Epi Ma&p", EpiMap

MENUITEM "&Nutrition", Nutstat

MENUITEM "&Visualize Data", VisualizeData

MENUITEM "&Word Processing", Eped

MENUITEM "E&xit ", Exit

END

POPUP

Command

Description

This command defines a main menu that will appear on the top line of the window. Individual MENUITEMS define the pull-down menu within the POPUP item.

Syntax

POPUP "<itemtext>"

Begin

Menuitem(s)

End

The BEGIN represents the delimiter used to identify the beginning of the pop-up menu.

The END represents the end of the pop-up menu.

Comment

Omitting the Begin or End statement will cause unpredictable results in the menu structure.

Example


Repeat Until Command

Repeat

Assign cnt = @cnt + 1

Until cnt=10

REPEAT UNTIL

Command

Description

This command executes contained commands until the condition specified is true.

Syntax

REPEAT

[Command(s)]

UNTIL <LogicalExpression>

The <LogicalExpression> represents a simple expression containing =, >, <, >=, <=, <>, Or, And, Not, variable names, literal values. Literal values must be in quotation marks if they contain one or more spaces.

Example


Replace From , To Command

Dialog "Please enter a Drive and Directory where Sample.mdb resides as in ~

C:\Epi_Info\", Result

REPLACE %Path%, @@Result; %value1%, 300; %value2%, @@Total; FROM ~ MyTest2.SRC TO MyTest.PGM

Execute Analysis.exe pgmname='MyTest.PGM'

REPLACE Path, c:\Epi_Info\; ###, Number; *.txt, *.htm

REPLACE Version 1.0, [File:d:\Epi_Info\MyFile.txt]; FROM c:\Epi_Infp\Edition.txt TO c:\Epi_Info\Edition.pgm

REPLACE string1, string2; string3, string4; c:\Epi_Info\Edition.txt, c:\Epi_Info\Edition.pgm, 2

Note:

If you have a large number of string pairs in a file that needs to be replaced, use the following approach to archive your target result.

Replace str1, str2; str3, str4;…; From File1 To File2

Replace stra, strb; strc, strd;…; From File2 To File3

Replace strA, strB; strC, strD;…; From File3 To File4

Replace {From} {,} {To}

Command

Description

This command replaces the contents of the source file and creates the object file.

Syntax

REPLACE {}<Content1>{}, {}<Value1>{}; {}<Content2>{}, {}<Value2>{}; &

{FROM} <Source> {TO} {,} <Object> {, Number}

The <Content> represents any expression to be replaced from a source file.

The <Value> represents any expression to replace the matched contents.

The <Source> represents the source file to be read from, containing the contents for replacing.

The <Object> represents the object file to be created, containing the replaced contents.

The {FROM TO} represents the optional key word. If not using FROM TO, then use a comma

to separate the source file and the object file.

The {,} is an optional symbol. If a comma is not used, then FROM TO must be used.

The {, Number} is optional and indicate the replacement times.

Comment

Each content and value are separated by a comma and ended by a semi column. The maximum replacements can be 1 to many. Spaces within the content or the value are allowed. The source file and the object file are declared after the FROM and TO key words respectively.

The path of the source file and the object file are default to the working directory, which is setup on the Epi Info for Windows menu Settings, otherwise specified the drive name the path. If the object file with the path is identical to the source file with the path, then the object file will be placed an under-bar ahead the real name.

Wildcards multiple character (*) and single character (?) might be used for both the source file and the object file. In this case, the multiple files can be replaced. Each object file name will be named according to the original object file name and the wildcards, which is from the source file name.

The REPLACE will replace all occurrences in the source file for the contents that specified in the menu command line. REPLACE also allows user to replace the searching text with certain times. To have this option effect, add a comma with an integer number that indicate the replacement times. The use of % is not required, but it would be very useful in some cases. For example, you don't want to replace all occurrences of Actor by Jams Bond, only couple places. In this way, your replace pair would look like this:

%Actor%, Jams Bond;

Also, you can use any other symbol as you like. The searching for existing text is not case sensitive.

Replace is able to include more than one line in the replace string, and also to replace a string with the contents of a file. If the replace string is Hello[CR]and goodbye, then the result is

Hello

and goodbye

[CR] is an indicator for Carriage Return.

If the replace string is [File:c:\Filepath.txt], then the contents of this file will be inserted into the place where the searching string is found. The contents of the file will start at a new line. If the replace string includes a file, like ***Begin[File:c:\Filepath.txt]End***, then the contents of this file will be brought up together with ***Begin and End*** to replace the matched string. In this case, ***Begin will stay the place where the string is found, and the contents of the file will start at a new line. The string handles the contents of the file is variable-length string, which means the file to insert can be 0 to approximately 2 billion in length.

The use of quotes is optional. If a comma is embedded in the existing text, then the quotes are required.

Example


Screentext Command

ScreenText "Configurable Menu. See EpiInfo.mnu", 3, 0, 8, yellow, Arial, Bold

SCREENTEXT

Command

Description

This command the specifies the text on the screen at the location specified, with the size, color, font, and style designated. Horizontal and vertical positions are given in percentage of screen width and height.

Syntax

SCREENTEXT "<ItemText>", <Horizontal>, <Vertical>, <Size>, <Color>, <Font>, <Style>

The <Horizontal> represents a number from 1 to 99 representing the distance from the left border of the window in percentage points.

The <Vertical> represents a number from 1 to 99 representing the distance from the top border of the window in percentage points.

The <Size> represents a number between 1 and 999 representing the font size

The <Color> represents the following 16 colors in 18 names:

  • Black

  • Red

  • Green

  • Yellow

  • Cyan

  • Magenta

  • White

  • Gray

  • Lime

  • Maroon

  • Navy

  • Olive

  • Purple

  • Silver

  • Teal

  • Aqua

  • Fuchsia

  • Aqua = Cyan

  • Fuchsia = Magenta

The <Font> represents any of the fonts registered in the operating system of the computer. If the font is not available, text will be displayed using the default Windows font.

The <Style> represents the following styles:

  • Bold

  • Underlying

  • Italic

  • Blue

  • Magenta

  • Cyan

  • White

Program Specific Feature

Menu

Screen text is a separated part of the MNU program. It should be closed with the command END. If END is missing, results can be unpredictable.

Comment

Thus 50, 50 would be centered on the screen. If the item is in the middle 50% of screen width, it is centered. If Horizontal is less than 25, the text is left justified. When Horizontal is more than 75, the text is right justified. Sizes vary with different fonts, but can be determined through examining the font possibilities in Eped. Text Fonts must be enclosed in quotation marks and must be spelled exactly as they appear in a Windows font selection window, as in Eped.

Screen text will be sent to the language module so that the user can have text available in different languages. See Multilanguage applications for more information.

Example


Setbuttons Command

SETBUTTONS

Command

Description

This command turns the buttons on the menu off or on.

Syntax

SETBUTTONS <Option>

The <Option> represents the states of ON (to display) or OFF (to hide) the buttons.


SetDBversion Command

SetDBversion

Command

Description

This command presents a dialog box that allows setting the default database format for Epi Info as either Access97 or Access2000. The default format is used in writing new MDB files. The system reads and writes either format automatically with existing MDB files.

Syntax

SETDBVERSION

Comment

Versions 1.0 through 1.1.2 of Epi Info used the Access 97 file format (.MDB).

Starting with version 2002, 0, 0, the default database type will be recorded in the

EpiInfo.INI file.

The default database type is only used when writing a new MDB file. Epi Info, Version 1.2 or higher, will detect the type of an existing MDB when reading a view or table, and use the correct type when writing a data table or view in an existing MDB. The default database type is only used during creation of a new MDB.

The value chosen in the dialog provided by SETDBVERSION is stored in the [EPI_INFO] section of the INI file under DBVersion, with possible values being "Access97" and "Access2000".


Setdoswin Command

SETDOSWIN

Command

Description

This command sets the status of the DOS window.

Syntax

SETDOSWIN <Variable>

The <Variable> represents the variable used to identify a DOS window status.

Comment

Variable | Description
HIDE | Window is hidden and focus is passed to the hidden window.
NORMAL | Window has focus and is restored to its original size and position.
MINIMIZED | Window is displayed as an icon with focus.
MAXIMIZED | Window is maximized with focus.
NORMALNOFOCUS | Window is restored to its most recent size and position. The currently active window remains active.
MINIMIZEDNOFOCUS | Window is displayed as an icon. The currently active window remains active.
Horizontal Size and Vertical Size are both expressed in percentage of screen height or width. If both are omitted, the button size is chosen automatically. If only one is included, it is taken to be the Horizontal Size.

When using SetDosWin Hide on Windows 98, make sure the Menu_Bat.Bat file properties Close on exit is checked. Windows 2000 Close on exit checked is by default. If the Close on exit is unchecked, SetDosWin Hide is to hide DOS Windows, not close the DOS Windows, this could cause problem to hang on your Windows. Alternatively, you can put a shortcut file to Menu_Bat.Bat with Close on exit checked in the folder where EpiInfo.exe installed.


SETINIDIR Command

SETINIDIR

Command

Description

This command sets the EpiInfo.ini file directory in the registry and has the scope for all of Epi Info for Windows.

Syntax

SETINIDIR

Comment

The user will be prompted to choose a directory from a dialog box.


Setlanguage Command

SETLANGUAGE

Command

Description

This command sets the language translation for Epi Info for Windows.

Syntax

SETLANGUAGE

Comment

The value of the language selection will be stored in EpiInfo.ini file. If the language user wants to select is not on the list, then install that language first, by launching Install Language command from Settings.


Orden Setpicture

SETPICTURE

[Menu] Orden

Descripión

Estga orden permite al usuario escoger una imagen y ponerla como la imagen del menú actual.

Sintaxis

SETPICTURE<Imagen>

La <Imagen> representa una imagen en cualquier formato válido (BMP, GIF, JPG)

Comentario

El nombre y situación de la imagen se guardan en el archivo de EPIINFO.INI para que el menú pueda mostrar la misma imagen la próxima vez que se utilice.


Setworkdir Command

SETWORKDIR

Command

Description

This command sets the working directory in EpiInfo.ini file.

Syntax

SETWORKDIR

Comment

The user will be prompted to choose a working directory from a dialog box.


Startup and Shutdown Command

STARTUP

Begin

Dialog "Start work in this menu by choosing a file from the FILE:OPEN menu"

End

SHUTDOWN

Begin

Dialog "This would be a good time to make backup files"

End

STARTUP and SHUTDOWN

[Block Name] Command

Description

These commands special command blocks. The StartUp block is executed automatically as soon as the Menu is run. The ShutDown block is executed just prior to exit from the menu.

Syntax

STARTUP

SHUTDOWN

Comment

These blocks are optional. They will be executed only if present. They can be used to present instructions or reminders on entry and exit from the menu, or to perform configuration, encryption, password, logging, backup, or data validation procedures.

Example


SYSINFO Command

SYSINFO

Command

Description

This command calls a Windows utility that displays the system information.

Syntax

SYSINFO

Comment

This command displays a remarkable amount of information about the Windows 95, 98, NT, or 2000 operating system and the hardware and software of the computer. It includes type of processor, memory usage, disk space, programs currently active, date and version of all system modules, and many other items useful for solving problems.


Orden Undefine

UNDEFINE

[Menu] Orden

Descripción

Esta orden quita una variable definida y los valores asignados a la misma.

Sintaxis

UNDEFINE <Variable>

La <Variable> representa una variable definida.

Características específicas en este programa

Undefine se realiza también asignando una cadena vacía “” a la variable.

Comentario

Una variable que ya existe en la base de datos no puede ser anulada (UNDEFINE). Para quitarla de la base de datos use WRITE * EXCEPT ….


WAITFOR Command

WaitFor Analysis.exe

Help Exercise1.html

WaitFor WordPad.exe "Epi2000.mnu - wordpad"

Help WhatsNew.html

Do not use this command to wait for a DOS command

WAITFOR

Command

Description

This command causes the execution of a block of commands to pause until the named program and optionally named window become active.

Syntax

WAITFOR<ProgramName>{"<WindowTitle>"}

The <ProgramName> represents the name of an executable program.

The <WindowTitle> represents the title that appears at the top of a particular window within a program.

The <Command> represents any relevant menu command.

Comment

After the condition is satisfied, the WAITFOR command is inactivated.

Example


WAITFOREXIT Command

Execute Enter.exe

WaitForExit Enter.exe

Execute Analysis.exe

Do not use this command to wait for a DOS command

WAITFOREXIT

Command

Description

This command waits for the program to exit before executing the named program. Additonal commands in the same command block will not be executed until the indicated program has exited.

Syntax

WAITFOREXIT <ProgramName> {“<WindowTitle>”}

The <ProgramName> represents the name of an executable program.

The <WindowTitle> represents the title that appears at the top of a particular window within a program.

The <Command> represents any relevant menu command.

Comments

Prevents the next command from executing until the named program is no longer active. After a single execution, the WaitForExit command is released.

In different blocks you cannot call the same module more than once.

If using WaitFor and WaitForExit for the same module, only one will be executed and the other is ignored.

Example


WAITFORFILESEXISTS Command

WaitForFileExists c:\test_demo\stats.htm 200

SYSINFO

WAITFORFILESEXISTS

Command

Description

This command causes the execution of a block of commands to pause until the named file exits. An option number of seconds can be specified, in which case the file must be “new” within the time interval specified.

Syntax

WAITFORFILEEXISTS <FileName> { <Seconds>}

The <FileName> represents the path and name of a file being monitored.

The <Seconds> represents the time interval within which the file must be new. If not supplied, file date and time are ignored.

The <Command> represents any relevant menu command.

Comment

Executes the next command only when the named file exits and (optionally) was created within the stated period of time. After execution, the WaitForFileExists is cancelled. The Seconds feature specifies waiting for a “new” file; so that it is not necessary to delete a previous instance of the file before running the command. In other words, specifying "10" for Seconds causes the command to ignore the existence of the file if it was created more than 10 seconds ago.

Example


Generalidades de Funciones y Operadores

Las funciones modifican el valor de una o más variables para producir un resultado. Por ejamplo, ROUND (2.33333) produce el valor 2.

Los operadores se usan para combinar dos items. Por ejamplo, el operador “+” combina Var1 y Var2 para producir una suma, como en Var3=Var1+Var2.

Las funciones y operadores aparecen dentro de las órdenes y se utilizan para tareas frecuentes, como extraer el año de una fecha, combinar dos valores numéricos, o comprobar condiciones lógicas.

Casi todas las funciones requieren argumentos entre paréntesis y separados por comas. Cuando se requieren argumentos, no debe haber espacios entre el nombre de la función y el paréntesis izquierdo.

Operadores | Lógicos | Numéricos | Fecha | Sistema | Hora | Texto
ARITMETICO | AND | EXP | DAY | SYSTEMDATE | HOUR | TXTTONUM
COMPARAR | OR | SIN, COS, TAN | DAYS | SYSTEMTIME | HOURS | TXTTODATE
 | XOR | LOG | MONTH | ENVIRON | MINUTES | SUBSTRING
 | NOT | LN | MONTHS | EXISTS | SECONDS | UPPERCASE
 |  | ABS | YEAR | FILEDATE |  | FINDTEXT
 |  | RND | YEARS |  |  | FORMAT
 |  | TRUNC |  |  |  |
 |  | ROUND |  |  |  |
 |  | NUMTODATE |  |  |  |
 |  | NUMTOTIME |  |  |  |


& Operador

&

Operador

Descripción

Realiza la concatenación de dos expresiones.

Sintaxis

<expresión> & <expresión>

La <expresión> representa cualquier expresión lógica en Epi Info for Windows.

Comentario

Si una expresión no es una cadena, se convierte a subtipo String. Si ambas expresiones son Nulas, el resultado será Nulo. Pero, si sólo una de las expresiones es Nula, la expresión se trata como una cadena de longitud cero ("") cuando se concatene con otras expresiones. Una expresión que está vacía también se trata como de longitud cero.


= Operador

Operador =

Descripción

Asigna un valor a una variable o propiedad.

Sintaxis

<variable> <operador> <valor>

<Variable> representa cualquier variable o una propiedad.

<Valor> representa un número o carácter, constante, o expresión.

Comentario

El nombre a la izquierda del signo igual puede ser una variable escalar o un elemento de una matriz. Las propiedades en el lado izquierdo del signo igual pueden ser sólo los de propiedades que se pueden escribir en tiempo de ejecución.


Función ABS

READ'D:\Epi Info\SAMPLE.MDB': VIEWOSWEGO

DEFINE AGE2

DEFINE AGE3

AGE2 = AGE * -1

AGE3 = ABS (AGE2)

LIST AGE AGE2 AGE3

ABS

Función

Descripción

a función ABS devuelve el valor absoluto de una variable, eliminando cualquier signo negativo existente.

Sintaxis

ABS<variable>

Puede ser una variable numérica existente, una definida que contenga números o un valor constante.

Comentario

El resultado será numérico.

Value | Función ABS
-2 | 2
1 | 1
0 | 0
-0.0025 | 0.0025

Ejemplo


Operador sumar (+)

Sumar (+)

Operador

Descripción

Este operador produce la suma de dos variables.

Sintaxis

[expresión1] <operator> [expresión2]

Comentario

Aunque se puede usar el operador (+) para concatenar dos cadenas de caracteres, Es mejor usar el operador & para eliminar ambigüedad al concatenar para disminuir la ambigüedad y suministrar código autoexplicativo.

El subtiop de expresiones determina el comportamiento del operador + de la siguiente forma:

Si | Entonces
Ambas expresiones son numéricas | Suma
Ambas expresiones son caracteres | Concatenación
Una expresión es numérica y l aotra de caracteres | Suma

Si una de las dos expresiones son are Nulas, el resulado será Nulo. Si ambas expresiones están vacías, el resultado es un subtipo entero. Aunque si sólo una expresiión está vacía, la otra expresión devolverça el mismo resultado


Operador AND

READ FILE1

DEFINE RESULT

IF AGE<18 AND SEX = "F" THEN

RESULT = "GIRL"

END

Age | Sex | Resultado
5 | F | GIRL
7 | M | <MISSING>
18 | F | <MISSING>
21 | F | <MISSING>
27 | M | <MISSING>

En este caso el valor "GIRL" se asignará a todos los registros que cumplan ambos criterios (Edad < 18 ) y ( sexo = “F”).

AND

Operador

Descripción

Y lógico. Si ambas condiciones son verdad, el resultado es verdad, en cualquier otro caso es falso.

Sintaxis

[Expresión Lógica] AND [Expresión Lógica]

Comentario

Cualquier expresión lógica válida en Epi Info para Windows.

Ejemplo


Operadores Aritméticos (+ - * / ^ MOD)

ASSIGN <var1> = 1250 MOD 100

Variable<var1> will have the value of 50 (the remainder after 1250 is divided by 100)

ARITMETICOS (+ - * / ^ MOD)

Operador

Descripción

Operador | Descripción
^ | Exponenciación
*, / | Multiplicación o División
MOD | Módulo o Resto
+, - | Suma o resta
& | Suma de caracteres (Concatenación)
Expresión | A numeric value or a variable containing data in numeric format.

Sintaxis

[Expresión] <Operador> [Expresión]

Comentario

El resultado se expresará en forma numérica. Los operadores aritméticos que pueden usarse en Epi Info para Windows son los siguientes:

  • Suma +

  • Resta -

  • Multiplicación *

  • División /

  • Exponenciación ^

  • Modulo o Resto MOD

Estos operadores pueden usarse en combinación con otras órdenes. Se muestran en orden de prioridad, en primer lugar el más prioritario. Los paréntesis pueden usarse para controlar el orden en que se evalúan los operadores, aunque frecuentemente el orden natural será el que dé el resultado correcto.

Ejemplo


Operadores de asignación

Operador de asignación

Operador =


Operadores Booleanos

Los operadores booleanos se usan solo en expresiones lógicas en las órdenes IF-THEN o SELECT. Una expresión lógica es el resultado de una operación de comparación o una combinación booleana.


OPERADORES DE COMPARACIÓN (> >= = <> < <= LIKE)

READ 'D:\Epi Info\SAMPLE.MDB' : VIEW OSWEGO

SELECT AGE < 15

Los registros seleccionados incluirán edades de 0 a 14 años.

COMPARACION (> >= = <> < <= LIKE)

OperaDor

Descripción

Operador | Descripción
= | Igual a
> | Mayor que
< | Menor
>= | Mayor que o igual a
<= | >Menor que o igual a
<> | Distinto de
LIKE | La variable de la parte izquierda coincide con el patrón de la derecha; en los patrones, * coincide con cualquier número de caracteres, ? coincide con un sólo carácter
Expresión | Cualquier expresión válida

Sintaxis

[Expresión] <Operador> [Expresión]

Comentario

Los operadores de comparación pueden usarse en las órdenes If Then y Select, tanto en Check como en Analysis. Las variables lógicas (Yes/No) solo pueden evaluarse por su igualdad frente a las constantes Si/No (+), (-) y (.). Los operadores de comparación se evalúan de izquierda a derecha. No existe jerarquía entre ellos.

El operador Distinto de <> solo puede usarse con variables numéricas. Para otro tipo de variables use NOT.

Ejemplo


Operadores de concatenación

Operador &

Operador +


Función DAY

READ 'C:\Epi Info\SAMPLE':VIEW OSWEGO

DEFINE Curr Day

Curr_Day = DAY(01/01/1990)

LIST CURR_Day

DAY

Función

Descripción

Extrae el dia de una fecha.

Sintaxis

DAY (<variable>)

Variable en formato fecha.

Comentario

Si la fecha está en un campo texto, no se procesará y el resultado será nulo.

Ejemplo


Función DAYS

READ 'C:\Epi Info\MYFILE.MDB': VIEW DATES

DEFINE AGE_DAYS

AGE_DAYS = DAYS (DOB, 01/01/2000)

LIST AGE_DAYS

DAYS

Función

Descripción

Calcula el número de días entre las variables <var2> y <var1>. Si cualquiera de las dos no contiene una fecha el resultado será nulo.

Sintaxis

DAYS(<var1>, <var2>)

Variables en formato fecha

Comentario

Si la fecha almacenada en <var1> es anterior a la que se almacena en <var2> el resultado será un número de dias negativo.

Ejemplo


Función ENVIRON

La variable PATH determina dónde busca el sistema el lugar donde quiere ejecutar la orden.

Esta variable deberá estar SIEMPRE presente en el entorno. Se pone automáticamente cuando arranca la computadora. La variable COMSPEC se utiliza para especificar dónde está el intérprete de comandos (COMMAND.COM). Es, habitualmente, algo como A:\COMMAND.COM o C:\COMMAND.COM.

IF NOT EXISTS(ENVIRON "TEMP") & "\BATCH.TXT" THEN DIALOG "No existe el archivo de entrada" TITLETEXT="Error"

QUIT

END

ENVIRON

Función

Descripción

Esta función devuelve el valor de una variable de entorno DOS, como PATH o COMSPEC.

Sintaxis

ENVIRON(<nombre de una variable de entorno DOS>)

La variable está en formato texto.

Ejemplo


Función EXISTS

If EXISTS (“C:\Epi Info\Test.BAT”) then

Execute ‘C:\Epi Info\test.bat

End

If Exists("d:\Temp\") then

Dialog "Directory d:\Temp\ exists"

EndIf

If Exists("c:\EpiInfo.mnu") then

Dialog "File epiInfo.mnu exists"

EndIf

EXISTS

Función

Descripción

Devuelve el valor Verdadero (TRUE) si un archivo existe; sino devuelve falso (FALSE).

Sintaxis

EXISTS(<variable>)

<variable> Nombre y directorio del archivo en formato texto

<path> representa el directorio (camino) donde buscará el archivo.

<path\> representa el directorio (camino) donde buscará el directorio.

Comentario

Si el usuario no tiene derechos de acceso al archivo puede devolver el valor FALSE.

EXISTS(<path>) devuelve TRUE o FALSE si el archivo existe o no.

EXISTS(<path\>) devuelve TRUE o FALSE si el directorio existe o no.

Ejemplo


Función EXP

READ ‘D:\Epi Info\SAMPLE.MDB’: VIEWOSWEGO

DEFINE EXP_A

EXP_A = EXP(AGE)

LIST EXP_A

EXP

Función

Descripción

Eleva la base del logaritmo natural (e) a la potencia indicada

Sintaxis

EXP(<variable>)

Comentario

Puede ser una variable numérica existente, una definida que contenga números o un valor constante

Ejemplo


FILEDATE

Función

Descripción

Devuelve la fecha en la que un archivo fue creado o modificado por última vez.

Sintaxis

FILEDATE(<variable>)

La <variable> representa el nombre y camino del archivo en formato texto.

Comentario

Esta función puede ser util cuando varios usuarios están actualizando una base de datos.

Ejemplo


Función FINDTEXT

READ ‘C:\Epi Info\SAMPLE’:VIEW OSWEGO

DEFINE VAR11

VAR11=FINDTEXT("H",LASTNAME)

LIST LASTNAME VAR11

FINDTEXT

Función

Descripción

Devuelve la posición en que se encuentra la cadena en la variable.

Sintaxis

FINDTEXT(<variable1>,<variable2>)

La <variable1> representa los caracteres a encontrary la <variable2> representa la variable en la que buscar.

Comentario

Si la cadena no se encuentra el resultado es 0; en otro caso el resultado será un número correspondiente a la posición de inicio de la cadena desde la izquierda.

Ejemplo


Función FORMAT

READ 'D:\Epi Info\MyFile.Mdb':viewDemographics

DEFINE date2

DEFINE date3

DEFINE date4

DEFINE date5

DEFINE date6

DEFINE date7

DEFINE date8

DEFINE date9

DEFINE date10

DEFINE date11

date2=format(BOH, "Currency")

date3=format(BOH, "fixed")

date4=format(BOH, "Standard")

date5=format(BOH, "Percent")

date6=format(BOH, "Scientific")

date7=format(BOH, "Yes/No")

date8=format(BOH, "True/false")

date9=format(BOH, "On/Off")

date10=format(BOH, "VB\s #,###.##")

list dob date2 date3 date4 date5 date6 date7 date8 date9 date10

FORMAT

Función

Descripción

Esta función cambia el formato de una variable a otro.

Sintaxis

FORMAT(<variable>,["Formato"])

La variable representa una variable en cualquier formato y el formato pude ser cualquiera de los siguientes:

Formato | Descripción
Formatos de fecha |
General Date | 11/11/1999 05:34
Long Date | Formato largo de fechas del sistema
Medium Date | Formato medio de fechas del sistema
Short Date | Formato corto de fechas del sistema
Long Time | Formato largo de horas del sistema
Medium Time | Formato medio de horas del sistema
Short Time | Formato corto de horas del sistema
Formatos numéricos |
General Number | Sin separador de miles
Currency | Separador de miles mas dos lugares decimales (según configuración del sistema)
Fixed | Al menos #.##
Standard | #,###.##
Percent | Número multiplicado por 100 más un signo %
Scientific | Notación científica estándar
Yes/No | Muestra NO si el número es= 0, si no muestra Yes
True/False | Falso si número = 0
On/Off | Verdadero si es <> 0 Muestra 0 si el número es = 0, si no muestra 1
Custom Format | Permite que el usuario cree formatos personalizados

Comment

Puede variar la salida en función de la configuración específica de la computadora..

Format(Time, "Long Time")

MyStr = Format(Date, "Long Date")

MyStr = Format(MyTime, "h:m:s") ' Devuelve "17:4:23".

MyStr = Format(MyTime, "hh:mm:ss AMPM") ' Devuelve "05:04:23 PM".

MyStr = Format(MyDate, "dddd, mmm d yyyy") ' Devuelve "Wednesday, ' Jan 27 1993".

' Si no se especifica formato se asume que será un texto.

MyStr = Format(23) ' Devuelve "23".

' User-defined formats.

MyStr = Format(5459.4, "##,##0.00") ' Devuelve "5,459.40".

MyStr = Format(334.9, "###0.00") ' Devuelve "334.90".

MyStr = Format(5, "0.00%") ' Returns "500.00%".

MyStr = Format("HELLO", "<") ' Devuelve "hello".

MyStr = Format("This is it", ">") ' Devuelve "THIS IS IT".

MyStr = Format("This is it", ">;*") ' Devuelve "THIS IS IT".

Para más información sobre FORMAT consulte la documentación de Microsoft Access o Microsoft Visual Basic.

Ejemplo


Función HOUR

READ ‘C:\Epi Info\SAMPLE’:VIEW OSWEGO

DEFINE Local

Local = SYSTEMTIME

LIST Local

DEFINE hour1

hour1=hour(local)

LIST Local hour1

LIST Local

LIST hour1

HOUR

Función

Descripción

Devuelve el valor numérico de la hora almacenada en una variable hora o fecha/hora.

Sintaxis

HOUR(<variable>)

Representa a la variable en formato fecha

Comentarios

Si la hora está grabada en una variable texto, no se procesará y el resultado será nulo.

Ejemplo


Función HOURS

READ ‘C:\Epi Info\SAMPLE’:VIEW OSWEGO

DEFINE HOUR1

HOUR1=HOURS(DATE,DTOFARR)

LIST HOUR1

HOURS

Función

Descripción

Calcula el número de horas entre <var1> y <var2> de formato numérico. in numeric format.

Sintaxis

HOURS(<var1>, <var2>)

<var1> y <var2> Variable en formato hora o fecha/hora

Comentarios

Si la fecha almacenada en <var1> es posterior a la de <var2>, el resultado será un número negativo. Ambas variables deben tener un formato fecha, hora o fecha/hora. Si cualquiera de los dos valores no es una fecha, el resultado será nulo.

Ejemplo


Función LN

READ ‘D:\Epi Info\SAMPLE.MDB’: VIEWOSWEGO

DEFINE NATLOGOFAGE

NATLOGOFAGE = LN(AGE)

LIST AGE NATLOGOFAGE

LN

Función

Descripción

La función LN Devuelve el logaritmo natural (logaritmo en base e) de un número o una variable. Si el valor es cero o blanco, devolverá el valor nulo.

Sintaxis

LN(<variable>)

Puede ser una variable numérica existente, una definida que contenga números o un valor constante

Ejemplo


Función LOG

READ ‘D:\Epi Info\SAMPLE.MDB’: VIEWOSWEGO

DEFINE DEC_LOG

DEC_LOG = LOG (AGE)

LIST AGE DEC_LOG

LOG

Función

Descripción

Devuelve el logaritmo en base 10 (logaritmo decimal) de un número o variable. Si el valor es cero o blanco, devolverá el valor nulo.

Sintaxis

LOG(<variable>)

Puede ser una variable numérica existente, una definida que contenga números o un valor constante

Comentario

El resultado es un número.

Ejemplo


Operadores Lógicos

Operador And

Operador Not

Operador Or

Operador XOR


Función MINUTES

READ ‘C:\Epi Info\SAMPLE’:VIEW OSWEGO

DEFINE MIN1

MIN1=MINUTES(DATE,DTOFARR)

LIST MIN1

MINUTES

Función

Descripción

Calcula el número de minutos entre <var1> y <var2> en formato numérico.

Sintaxis

MINUTES(<var1>, <var2>)

<var1> y <var2> representan Variable en formato hora o fecha/hora.

Comentario

Si la fecha almacenada en <var1> es posterior a la de <var2>, el resultado será un número negativo. Ambas variables deben tener un formato fecha, hora o fecha/hora. Si cualquiera de los dos valores no es una fecha, el resultado será nulo.

Ejemplo


Función MONTH

READ ‘C:\Epi Info\SAMPLE’:VIEW OSWEGO

DEFINE CURR_MONTH

CURR_MONTH = MONTH(01/01/1990)

LIST CURR_MONTH

Month

Función

Descripción

Esta función extrae el mes de una fecha.

Sintaxis

MONTH(<variable>)

Esta variable representa una variable en formato fecha.

Comentario

Si la fecha está en un campo texto, no se procesará y el resultado será nulo.

Ejemplo


Función MONTHS

READ ‘C:\Epi Info\MYFILE.MDB’:VIEW DATES

DEFINE AGE_MONTHS

AGE_MONTHS = MONTHS (DOB, 01/01/2000)

LIST AGE_MONTHS

MONTHS

Función

Descripción

Calcula el número de meses entre <var1> y <var2>. Si cualquiera de estas dos variables no tienen fechas, el resultado será Nulo.

Sintaxis

MONTHS(<var1>, <var2>)

<var1> y <var2> representan variables en formato fecha.

Comentario

Si la fecha almacenada en <var1> es anterior a la de <var2>, el resultado será un número de meses negativos.

Ejemplo


Operador NOT

READ C:\Epi Info\SAMPLE.MDB:VIEWOSWEGO

DEFINE NO_VANILLA

IF NOT VANILLA = (+) THEN

NO_VANILLA = (+)

ELSE

NO_VANILLA = (-)

END

VANILLA | NO VANILLA
Yes | No
No | Yes

NOT

Operador

Descripción

Invierte el valor Verdadero o Falso de la expresión lógica que le sigue

Sintaxis

NOT [Expresión]

Esta expresión representa cualquier expresión lógica válida en Epi Info para Windows.

Comentario

Si el valor de la expresión es VERDADERO, NOT devuelve el valor FALSO. Si la expresión es FALSA, NOT <expresión> es VERDADERO.

Ejemplo


Función NUMTODATE

READ 'D:\Epi Info\My File.mdb':viewMain

DEFINE Day1

DEFINE month1

DEFINE year1

day1= day(dob)

month1 = month(dob)

year1 = year(dob)

define date2

date2= NUMTODATE(year1,month1,day1)

NUMTODATE

Función

Descripción

Transforma tres números en una fecha.

Sintaxis

NUMTODATE(<año>, <mes>, <día>)

<año> | Un número o variable numérica que represente el año.
<mes> | Un número o variable numérica que represente el mes.
<día> | Un número o variable numérica que represente el dia.

Comentario

Si la fecha resultante no es válida (por ejemplo, 41- Diciembre- 2000), la fecha se recalculará a un valor válido ( 10 –Enero- 2001). Cuando está entre 0 y 29, se considera que es un año entre 2000 y 2029, mientras que valores entre 30 y 99 se considerarán como de los años 1930 a 1999. La fecha más antigua que puede archivarse es 01-01-100.

Día | Mes | Año | Fecha creada
02 | 02 | 1999 | 02/02/1999
60 | 01 | 1999 | 03/01/1999
15 | 18 | 2000 | 03/18/2001
99 | 99 | 99 | 06/07/0107
20 | 74 | 74 | 08/20/1974

Ejemplo


Función NUMTOTIME

READ 'D:\Epi Info\SAMPLE.MDB':VIEWOSWEGO

DEFINE VAR3

VAR3 = SYSTEMTIME

DEFINE HOUR1

DEFINE MINUTE1

DEFINE SECOND1

HOUR1 = HOUR(VAR3)

MINUTE1 = MINUTE(VAR3)

SECOND1 = SECOND(VAR3)

DEFINE TIME2

TIME2 = NUMTOTIME(HOUR1,MINUTE1,SECOND1)

LIST VAR3 TIME2

NUMTOTIME

Función

Descripción

Transforma tres números en formato hora, minutos, segundos.

Sintaxis

NUMTOTIME(<hora>, <minutos>, <segundos>)

<hora> | Un número o variable numérica que represente la hora
<minutos> | Un número o variable numérica que represente los minutos
<segundo> | Un número o variable numérica que represente los segundos

Comentario

La hora debe indicarse en formato 24 horas. Los valores incorrectos serán recalculados para dar una hora correcta. Si el número de horas excede de 24, el resultado tendrá un formato fecha/hora, comenzando por defecto en el día 31 de Diciembre de 1899.

Hora | Minutos | Segundos | Hora Creada
00 | 00 | 00 | 12:00:00 AM
00 | 00 | 90 | 12:01:30 AM
15 | 84 | 126 | 04:26:06 PM
25 | 00 | 00 | 12/31/1899 1:00:00 AM
150 | 250 | 305 | 01/05/1900 10:15:05 AM
15999 | 7500 | 8954 | 09/21/1901 07:29:14 AM

Ejemplo


Precedencia de los operadores

Cuando se realizan varias operaciones en una expresión, se evalua cada parte en un orden predeterminados, llamado precedencia. Se pueden utilizar paréntesis para saltarse este orden preestablecido y hacer que se evaluen unas partes de la expresión antes que otra. Las operaciones dentro de los paréntesis se realizan siempre antes que las de fuera. Dentro de los paréntesis, no obstante, se mantiene la precedencia normal de los operadores.

Cuando las expresiones contienen operadores de más de una categoría, se evalúan primero los operadores aritméticos, luego los de comparación y, por último, los lógicos. Los operadores de comparación tiene igual precedencia; esto es se evalúan de izquierda a derecha, en el orden en que se han escrito. Los operadores aritméticos y lógicos se evalúan según el siguiente orden de precedencia:

Aritméticos | Comparación | Lógicos
Negación (-) | Igualdad (=) | Not
Exponenciación (^) | Desigualdad (<>) | And
Multiplicación y división (*, /) | Menor que (<) | Or
División entera (\) | Mayor que (>) | Xor
Módulos aritmético (Mod) | Menor que o igual a (<=) |
Suma y Resta (=, -) | Mayor que o igual a (>=) |
Concatenación de caracteres (&) | Is (Es) |

Cuando la multiplicación y división ocurren juntas en una expresión, se evalúan en el orden en que están escritos de izquierda a derecha. Del mismo modo que cuando ocurre una suma y resta..

El operador de concatenación (&) no es un operador aritmético, pero en precedencia se evalúan después que los operadores aritméticos y antes que los de comparación. El operador Is (Es) es una referencia en eloperador de comparación. No compara objeos o sus valores; sólo comprueba si dos objetos son en realidad el mismo objeto.


Operadores generalidades

Operadores

Operadores Aritméticos

Operadores utilizados para realizar cálculos matemáticos.

Operadores de Asignación

Operadores utilizados para asignar un valor a una variable o propiedad.

Operadores de comparación

Operadores utilizados para realizar comparaciones.

Operadores de Concatenación

Operadores utilizados para combinar cadenas de caracteres.

Operadores Lógicos

Operadores utilizados para realizar operaciones lógicas.


Operador OR

READ C:\Epi Info\SAMPLES.MDB:VIEWOSWEGO

DEFINE ICE_CREAM

IF VANILLA = (+) OR CHOCOLATE=(+) THEN

ICE_CREAM = (+)

ELSE

ICE_CREAM = (-)

END

VANILLA | CHOCOLATE | ICE CREAM
Yes | Yes | Yes
No | Yes | Yes
Yes | No | Yes
No | No | No
Yes | Yes | Yes

OR

Operador

Descripción

Devuelve el valor Verdadero si cualquiera de las condiciones es verdadera.

Sintaxis

[Expresión Lógica] OR [Expresión Lógica]

[Expresión] Cualquier expresión lógica válida en Epi Info para Windows.

Ejemplo


Función RND

READ ‘D:\Epi Info\SAMPLE.MDB’: VIEWOSWEGO

DEFINE Random1

DEFINE Random2

DEFINE Random3

Random1=RND(1,100,1)

Random2=RND( 1,100,2)

Random3=RND(1,100,3)

LIST Random1 Random2 Random3

RND

Función

Descripción

RND Genera un número aleatorio entre <var1> y <var2>.

Sintaxis

RND(<min>, <max>, [<intervalo>])

<min> | Un número o variable numérica que corresponde al valor más bajo posible que puede tomar el número generado.
<max> | Un número o variable numérica que corresponde al valor más alto posible que puede tomar el número generado.
<intervalo> | Intervalo de la secuencia aleatoria. Dando el mismo intervalo se genera siempre la misma serie, es decir se inicia en el mismo punto y se eligen los correspondientes al intervalo dado. Esta opción no está desarrollada en la versión actual.

Comentario

El resultado es un número decimal. Se puede convertir a entero usando la función TRUNC.

RND puede producir resultados inválidos en Analysis. Para evitarlo, escriba las variables que contengan los números aleatorios y luego lea la tabla nueva.

Ejemplo


Función ROUND

READ 'D:\Epi Info\Sample.Mdb':viewOswego

FREQ AGE

DEFINE Decade

Decade = ROUND(AGE/10) + 1

LIST AGE Decade

ROUND

Función

Descripión

Redondea el valor almacenado en la variable al entero más cercano. Los valores positivos se redondearan hacia arriba si el decimal es mayor o igual que 0.5. Los negativos se redondean hacia abajo si el decimal es mayor o igual que 0.5

Sintaxis

ROUND(<variable>)

La variable puede ser una variable numérica existente, una definida que contenga números o un valor constante.

Comentario

El resultado estará en formato numérico.

Diferencias entre ROUND y TRUNC
Valor | TRUNC | ROUND
0.123456 | 0 | 0
7.999999999 | 7 | 8
45.455 | 45 | 46

Ejemplo


Función SECONDS

READ ‘C:\Epi Info\SAMPLE’:VIEW OSWEGO

DEFINE SEC1

SEC1=SECONDS(DATE,DTOFARR)

LIST SEC1

SECONDS

Función

Descripción

Esta función calcula el número de segundos entre <var1> y <var2> en formato numérico.

Sintaxis

SECONDS(<var1>, <var2>)

<var1> y <var2> Representan variables en formato hora o fecha/hora.

Comentario

Si la fecha almacenada en <var1> es posterior a la de <var2>, el resultado será un número negativo. Ambas variables deben tener un formato fecha, hora o fecha/hora. Si cualquiera de los dos valores no es una fecha, el resultado será nulo.

Ejemplo


Funciones SIN, COS, TAN

READ ‘D:\Epi Info\SAMPLE.MDB’: VIEW OSWEGO
DEFINE SIN_A
SIN_A = SIN(AGE)
LIST SIN_A

SIN, COS, TAN

Función

Descripción

Esta función devuelve el valor trigonométrico respectivo de la variable especificada.

Sintaxis

SIN(<variable>)

La variable puede ser una variable numérica existente, una variable definida conteniendo números, o una constante numérica.

Comentario

La variable se interpretará como un ángulo en radianes.

Para convertir grados en radianes, multiple por pi (3.1415926535897932) dividido por 180.

Ejemplo


Función Step

COXPH SurvTime = Treatment Clinic : STEP(TreatDate - DiagnoseDate, 90)

AGEGRP=trunc(AGE/5)+STEP(AGE,18)-STEP(AGE,20) [this produces 5 year age groups except 15-17 is one group and 18-25 the next]

STEP

Función

Descripción

Esta función devuelve 0 para todos los valores de una expresión menor de un segundo, 1 para todos los valores de la primera expresión mayores o igual al segundo.

Sintaxis

STEP(<expresión1>,<expresión2>)

La <expresión1> se refiere a una expresión numérica.

La <expresión2> se refiere a una expresión numérica.

Comment

Introducida especialmente para usarlo con el procedimiento COXPH con una covarianza dependiente del tiempo. Aunque puede ser útil en algunos casos para evitar los límites de algunas asignaciones.

Ejemplo


Función SUBSTRING

READ ‘C:\Epi Info\SAMPLE’:VIEW OSWEGO

DEFINE TEXT1

TEXT1 = “01/01/1999”

DEFINE YEAR1

YEAR1 = TXTTONUM(SUBSTRING(TEXT1,7,4))

MEANS YEAR1

SUBSTRING

Función

Descripción

Esta función devuelve una cadena que es parte de otra variable. Es la parte especificada en los parámetros de la función.

Sintaxis

SUBSTRING(<variable>, [Primer], [Longitud])

<variable> | representa una variable con formato texto
[Primer] | representa la posición del primer carácter a extraer
[Longitud] | representa el número de caracteres a extraer

Comentario

Esta función no puede usarse con variables que no contengan cadenas.

Ejemplo


Función SYSTEMDATE

Para calcular una fecha de la semana que viene:

READ 'D:\Epi Info\MyFile.Mdb':viewDemographics

DEFINE TODAY_DATE

TODAY_DATE = SYSTEMDATE + 7

SYSTEMDATE

Función

Descripción

Esta función devuelve la fecha almacenada en el reloj de la computadora.

Sintaxis

SYSTEMDATE

Comentario

SYSTEMDATE no se puede modificar (asignar) desde Analysis. Para usar este dato en cálculos debe crear primero una nueva variable.

Ejemplo


Función SYSTEMTIME

Para calcular la hora dos horas después que la actual::

READ 'D:\Epi Info\MyFile.Mdb':viewDemographics

DEFINE LATER

LATER = SYSTEMTIME + (720 / 24 / 60 / 60)

SYSTEMTIME

Función

Descripción

Esta función devuelve la hora almacenada en el reloj de la computadora en el momento de ejecutar la función.

Sintaxis

SYSTEMTIME

Comentario

SYSTEMTIME no puede ser modificada (asignada) desde Analysis. Para usar este dato en cálculos debe crear primero una nueva variable.

Ejemplo


Función TRUNC

READ ‘D:\Epi Info\SAMPLE.MDB’: VIEWOSWEGO

DEFINE Random1

DEFINE Random2

DEFINE Random3

Random1=RND(1,100,1)

Random2=RND( 1,100,2)

Random3=RND(1,100,3)

DEFINE TRC1

DEFINE TRC2

DEFINE TRC3

TRC1 = TRUNC(Random1)

TRC2 = TRUNC(random2)

TRC3 = TRUNC(RANDOM3)

LIST TRC1 RANDOM1 TRC2 RANDOM2 TRC3 RANDOM3

TRUNC

Función

Descripción

Elimina la parte decimal de una variable numérica, devolviendo el valor entero. Puede entenderse como "redondear a cero".

Sintaxis

TRUNC(<variable>)

Puede ser una variable numérica existente, una variable definida que contenga números o un valor constante.

Comentario

El resultado estará en formato numérico.

Ejemplo


Función TXTTODATE

Incorrecto:

VAR1 = TXTTODATE (VAR1)

Correcto:

DEFINE VAR2

VAR2 = TXTTODATE (VAR1)

TXTTODATE

Función

Descripción

Esta función devuelve el valor de fecha que corresponde a la cadena. (texto a fecha)

Sintaxis

TXTTODATE(<variable>)

La <variable> representa una variable en formato texto.

Comentario

El texto puede estar en cualquier formato reconocido como fecha, por ejemplo, e.g. "Jan 1, 2000", "1/1/2000."

Ejemplo


Función TXTTONUM

Incorrecto:

VAR1 = TXTTONUM(VAR1)

Correcto:

DEFINE VAR2

VAR2 = TXTTONUM (VAR1)

TXTTONUM

Función

Descripción

Devuelve un valor numérico correspondiente a la cadena de texto. (Texto a Número)

Sintaxis

TXTTONUM(<variable>)

La <variable> representa una variable en formato texto.

Ejemplo


Función UPPERCASE

READ 'D:\Epi Info\MyFile.Mdb':viewDemographics

DEFINE LASTNAME2

LASTNAME2 = UPPERCASE(LASTNAME)

LIST LASTNAME2 LASTNAME

UPPERCASE

Función

Descripción

Transforma el texto de una variable a MAYÚSCULAS

Sintaxis

UPPERCASE(<variable>)

La <variable> representa una variable en formato texto.

Comment

Solo se convierten las minúsculas; las letras en mayúsculas o los caracteres que no son letras permanecen si cambios.

Ejemplo


Operador XOR (eXclusive OR)

READ C:\Epi Info\SAMPLE.MDB:VIEWOSWEGO

DEFINE ONE_ICE_CREAM

IF VANILLA = (+) XOR CHOCOLATE = (+) THEN

ONE_ICE_CREAM = (+)

ELSE

ONE_ICE_CREAM = (-)

END

VANILLA | CHOCOLATE | ONE ICE CREAM
Yes | Yes | No
No | Yes | Yes
Yes | No | Yes
No | No | No
Yes | Yes | No

XOR (eXclusive OR)

Operador

Descripción

Este operador realiza una exclusión lógica en dos expresiones.

Sintaxis

[Expresión Lógica] XOR [Expresión Lógica]

La [Expresión Lógica] representa cualquier expresión lógica válida en Epi Info para Windows.

Comentario

Si una, y sólo una, de las expresiones evaluadas es Verdadera, el resultado es Verdadero. Si cualquiera de los valores es nulo, entonces el resultado es también nulo. Si ninguna de las expresiones es Nula, el resultado estará determinado por la siguiene tabla:

Si expresión1 es | y expresión2 es | Entonces el resultado es
Verdadero | Verdadero | Falso
Verdadero | Falso | Verdadero
Falso | Verdadero | Verdadero
Falso | Falso | Falso

Ejemplo


Función YEAR

READ ‘C:\Epi_Info\SAMPLE’:VIEW OSWEGO

DEFINE CURR_YEAR

CURR_YEAR = YEAR(01/01/1990)

LIST CURR_YEAR

YEAR

Función

Descripción

Esta función extrae el año de una fecha.

Sintaxis

YEAR(<variable>)

La <variable> representa una variable en formato fecha.

Comentario

Si la fecha está en un campo texto, no se procesará y el resultado será nulo. También será nulo si el campo de fecha está vacío.

Ejemplo


Función YEARS

READ 'C:\Epi Info\SAMPLE.mdb':viewSURVEILLANCE

DEFINE TODAY

TODAY = ‘01/01/2000’

DEFINE AGE_YEARS

AGE_YEARS = YEARS (DOB, TODAY)

MEANS AGE_YEARS

YEARS

Función

Descripción

Calcula el número de años entre las variables <var1> y <var2> en formato numérico. Si cualquiera de las dos variables no es una fecha el resultado será un valor nulo.

Sintaxis

YEARS(<var1>, <var2>)

<var1> y <var2> deben estar en formato fecha.

Comentario

Si la fecha almacenada en <Var1> es mas reciente que la almacenada en <Var 2>, el resultado será un número negativo.

Ejemplo


INSTALLDIR SYSTEM VARIABLE

INSTALLDIR

System Variable

Description

The value of InstallDir is the Epi Info Windows installation directory.

Syntax

@@InstallDir

Comments

The value of the InstallDir is stored in the registry.


MUSTENTER PROPERTY

MUSTENTER

Property

Description

MUSTENTER specifies that missing values are not allowed. If <ENTER> is pressed in a MUSTENTER field before a specific entry has been made, the cursor remains in the field until an entry is made.

Comments

MUSTENTER cannot be used in combination with READONLY since those properties are mutually exclusive.


Predefined Variables

VERSION, COMPDATE, INSTALLDIR, INIDIR, WORKDIR, MENUDIR

These predefined variables provide information about the version of Epi Info (Version), the date of its release (CompDate), and the directory in which Epi Info is installed (InstallDir). IniDir provides the path of the directory set in the menu with the SETINIDIR command. If no IniDir is set, InstallDir is returned. IniDir can be used as a directory for storing temporary files, since it is specified to be a writable directory.

A separate WorkDir can be set for each .MNU file, using the SETWORKDIR command, and the value of the WORKDIR variable reflects this setting for the current .MNU. It can be used to assure that files for a particular application are stored in a particular directory by including the value of @@WORKDIR in the path to which the files are directed.

Notice the space after WORKDIR. The space is necessary to indicate the end of the variable name, but it will not appear in the final text. If WORKDIR is "C:\Epi_Info", the path for the database above will be 'C:\Epi_Info\MySystem.MDB', for example. If a space is intended after WORKDIR, then two spaces should be used.

WorkDir is defaulted to current menu folder when there is no WorkDir setup in the [MnuEPIInfo] section in EpiInfo.ini file.

MenuDir can be used with @@ to get the file directory where the current menu file read from. MenuDir will always be available and will still work if menu is copied to another directory or renamed and copied.

If current menu file is c:\Epi_Info\class\EpiInfo.mnu, then @@MenuDir will be c:\Epi_Info\class.

The value of the MenuDir does not need to be in EpiInfo.ini, it is coming from the EpiInfo.exe program whenever it is being called.

Example


RANGE PROPERTY

RANGE

Property

Description

Values falling outside a specified range are rejected unless they are LEGAL values. The missing value is accepted unless the field is also designated MUSTENTER. Ranges may be numeric, dates, or strings (text).

Comments

Range can be used only for numeric variables. If a range is required for dates or times, it is necessary to use IF statements in the check code.


READ ONLY

Property

Read Only is a checkbox in the Field dialog.

Description

This property keeps the user from placing the cursor in the field or entering data. It is particularly useful for calculated fields that are not to be changed directly.

Comment

READ ONLY cannot be used in combination with MUSTENTER since those properties are mutually exclusive.


REPEAT PROPERTY

REPEAT

Property

Repeat is a checkbox in the Field dialog.

Description

This property causes the value of the same field in the last record accessed to become the default value for the designated field in the current record.

Comments

Saves keystrokes during data entry for fields where the value seldom changes.

Examples

A county or state name is often the same for record after record in a given locality. Making it a REPEAT field brings up the last value entered with each new record. In the few records in which the correct answer my be another state or county, the data entry person can easily change the value before the record is saved.


SOUNDEX PROPERTY

"Smith" and "Smyth" are both converted to the same SOUNDEX code, so that subsequent searches will find both names.

SOUNDEX

Property

Description

SOUNDEX is a property that when used in combination with search, allows the user to find not only exact names but also those similar pronunciation.

Note that this algorithm works only with English last names.

Example


Data Management Overview

The following links describe some of the information on managing data in Epi Info:

Analyzing Data in Non Epi Info Files

Backing Up Data Files

Epi Info Data Tables

Epi Info Views

How to back up data files

Microsoft Access Databases

Microsoft Access File Format

Microsoft Access Links

ODBC File Access: Setting Up a DSN Link


Analyzing Data in Non Epi Info Files

To analyze data in a file or dataset such as Paradox, FoxPro, dBASE, or other format, a current project must be defined. The current project is shown in a gray box at the top of the READ dialog. To READ a database in any format but .mdb, choose the desired data type in the READ command dialog. Files with the proper extension should be displayed. Select the file you want to open, and click OK to confirm it. Depending on the database format you may be asked for additional information; for example if the data source is an Excel table, you will be asked which sheet to open (only one page can be opened at the time). In other cases such as text files you need to select whether the data is stored as fixed length or delimited and perhaps specify variables names, types and sizes, or delimiters. If the database is in dBASE format, no further questions will be asked.

When Analysis has all the information required to read, it will create a link to the table selected. In some cases you may want to create a permanent link (like a short cut so that you do not have to fill all these information again). Analysis will ask for a name for that link. If no name is provided, the link will be called lnk# where # represents a sequential number. Those links that are named lnk# will be deleted when the project is changed or Analysis is closed whatever occurs first. If you rename a link to lnk#, Analysis will assume that is a temporary link and it will delete it at the end of the session.

Once created, a permanent link can be opened just like a regular table. To see available links in the read form is necessary to select “All” in the SHOW frame.

In Analysis, it is possible to edit data in a database stored in another format (such as dBASE) by using the LIST command and selecting “Allow Updates”. The Enter program, however, does not write to file formats other than Microsoft Access and Epi Info.


Creating a Relational Database

Relational databases are created in MakeView. To create a new relational database system open MakeView and select MAKE NEW VIEW from the FILE option in the pull down Menu. It displays a form called NAME THE VIEW that allows you to enter the name of the new view. Click on CHANGE PROJECT to create a brand new one.

Step 1: Create a New Project

In the FILE NAME box, type a unique name for the project MDB (e.g., your first name) and click on Open. The new project is empty and you will be asked to name the new view to create. Type “House” in the box labeled VIEW NAME and press enter or click OK. There should be an empty form on the screen with the word "House" at the top.

Step 2: Create the main (parent) view

By right clicking on the View and responding to the questions in the field dialog, add the following variables to your database:

Prompt | Variable Type | Pattern
House Id | Numeric | #####
Address | Text |
Address 2 | Text |
Fence | Yes/No |
Any Children? | Yes/No |
Comments | Multiline |

Step 3: Create a Relational Button

In the lower part of the page create a new variable. In the prompt field, type “Children” and then click on the button labeled CREATE RELATED VIEW.

Step 4: Set up the relational properties

A form labeled CONDITIONS FOR RELATED FORM TO BE ACTIVE will appear. In the frame labeled FORM SHOULD BE ACCESSIBLE select ONLY WHEN CERTAIN CONDITIONS ARE TRUE (The default value is ANY TIME). There are also two check boxes. They should not be checked. When you select ONLY WHEN CERTAIN CONDITIONS ARE TRUE, a new set of fields is displayed.

Open the box called AVAILABLE VARIABLES and select ANYCHILDREN from the list. Once ANYCHILDREN is selected, it will be displayed on the formula box (labeled FORM CAN BE ACCESSED WHEN…); click on the equal (=) sign and then click on the formula box and add "(+)" without the quotes. The box should read:

ANYCHILDREN = (+)

Click Ok to accept these instructions. The button for the related form will be active only when the value of ANYCHILDREN is "yes."

Step 5: Related view

A new window will allow you to decide if you want to relate your table to a new view or to a view that you previously created. In this case the related view has not been created. Click on OK to accept the default value, CREATE A NEW RELATED VIEW.

Step 6: Move and resize the button

Now there should be a button on the page called CHILDREN, but the button does not work! Click on the button but you will get no response. Place the cursor over the button and wait a minute for the tooltip instruction to appear.

In the Enter program, clicking the button will take you directly to the related form, but here in MakeView, things are more complicated. You can move the button by clicking and dragging it to a new location while holding down the Shift key. To resize it, click on the button while pressing the Alt key. A group of small blue boxes around the button will allow you to resize it. You do not need to keep the Alt key pressed while resizing. Now, to go to the new related View, click on the button while pressing the control (Ctrl) key.

Step 7: Create the related view

In the blank page that appears, the title at the top should be CHILDREN instead of HOUSES. In this new view, enter the following variables:

Question or Prompt | Type
Name | Text
Age in Years | ##
Sex | Text: Legal (Male, Female)
Sport | Text Legal (Baseball, Football, Soccer, Tennis, Swimming, Other)
Comments | Multiline

Step 8: Save the view

Epi Info always saves your view automatically, but you can save your work at any time by clicking on SAVE in the FILE option of the pull down menu.

Step 9: Review your work

Two new buttons are displayed on the left side of the form--BACK and HOME. By clicking on BACK you will be taken to the parent table (House). By clicking on the button while pressing the Ctrl key you can come back to the CHILDREN View at any time.

When you click on BACK for the first time, a new window called NEW DATA TABLE will pop up. It will verify that you want not only to create a view but also to create a data table to store information. This form will be displayed only once. Click OK the default values.

Step 10: Testing the new relational database system

From the parent view (HOUSE) click on ENTER DATA located on the File option in the pull down menu. Click OK to create the data table for the main view (HOUSE). Remember that you will be asked to create the table only once. MakeView executes the Enter program and you are ready to test your new relational database. Note that at the beginning, the CHILDREN button is not active (grayed out). It will become active only when you enter “Yes” and press enter in the ANYCHILDREN field.

Type the data for the first family:

House Id: 0001

Address: 100 any road

Address 2: across the street from the maple tree

Fence: Yes

Children: “Yes”

Comments: “None”

It is possible that Enter will not accept “Yes” as possible value for children. In such case, click on options and change the settings to “Yes” and “No” before trying again.

The CHILDREN button becomes active after selecting “Yes” on the ANYCHILDREN field. Now click on CHILDREN button and enter the following data:

Name | Age | Sex | Sport | Comments
John | 6 | Male | Baseball |
Bob | 7 | Male | Soccer |
Susana | 9 | Female | Other | Ballet
Carolyn | 8 | Female | Other | Gymnastics

Remember to press the “Esc” key to leave the multiline field. When done with the first house, click on “Back” to return to the previous questionnaire. To enter the second family, click on the “New” button.

House Id: 0002

Address: 121 any road

Address 2: in front of the maple tree

Fence: “No”

Any Children: “No”

Comments: “None”

Since AnyChildren = “No” the button is not active so that you cannot enter children for record two. Click on “New” to create a third record.

House Id 0003

Address: 136 any road

Address: 2 next to the school

Fence: “No”

Any Children: “Yes”

Comments: “None”

Name | Age | Sex | Sport | Comments
Mike | 11 | Male | Tennis |
Amy | 12 | Female | Baseball |

While entering “Amy” note that the record number is “2” because Amy is the second child for house 0003 while Carolyn was the fourth child for house 1 and there are no children for house 0002.


Epi Info Data Tables

After a View is created, the Enter program automatically creates a Data table if none is yet specified in the View. After this occurs, the name of the Data table or tables is stored in special source records in the View. As we will see later, MetaViews consisting of source records only can be defined so that check code and field definitions can be applied to more than one Data table. A state health department might maintain separate Data tables but only a single view for a number of counties, for example.

Epi Info Data tables are designed to be the simplest kind of Microsoft Access table, without stored procedures, integrity constraints, or defined relations to other tables. All the complexity is confined to the View so that the Data tables can be readily used in Microsoft Access or other software systems if desired.


Epi Info Views

An Epi Info database in its simplest form consists of a special table called a View and a Data table, both in the same MDB file. Think of the MDB as a project wrapper, in which the various tables of a project can be stored, making it easy to copy the View/Questionnaire, the Data, and even Analysis programs associated with the data to another disk location or another computer.

A View table has rows and columns defined in a way unique to Epi Info. It has a row (record) for each field on the screen giving the name of the variable , the prompt, the type of data, locations on the screen of the prompt and the field, and an indirect indication of the data source. Check code, if any, is stored in the View record for each field. Everything necessary for displaying the questionnaire on the screen is contained in the View. Because variables are stored by page, only the variables on a single page are retrieved from the disk at one time, allowing performance to be maintained for very large questionnaires.

Fields in a View are matched to Variables (columns) in a data table by name. If the name of the variable matches, data items are retrieved from the Data table. If there is no corresponding variable in a data table, one is created, since having a field on the screen (other than a text label) with no place to store the data would create a problem. The reverse is not true; a data table can contain many variables for which no fields are provided in the View, thus allowing for different "Views" of the same data.


How to back up data files

An essential feature of data management is maintaining backup copies of databases so that most of the data can be restored in the event of hard disk failure, computer virus attack, fire, flood, or power surges. In all but trivial applications (defined as such by their lack of backup), multiple rotating backup copies and off-site storage are worth the extra trouble. Several generations of backup copies will help protect against the virus that your computer acquired last week that did not show up until this week, and against the common human tendency to nervously destroy the first backup copy when a crisis occurs.

A variety of media and compression techniques are available for backup. MDB files compress very well, sometimes to 5% of their original size, using ZIP or other compression methods. A copy of the ARJ file compression program is provided with Epi Info, and this can be used to compress and back up data from a menu entry with a little programming.

Read-only CDROM copies (CD-R) copies are durable and well protected from overwriting. Whatever medium is chosen should be tested periodically by actually restoring and testing databases, as even commercial backup programs occasionally provide cheerful assurance that all is well, but fail to deliver the data when challenged. Restoration drills are particularly important if you depend on backups made by others—perhaps a LAN administrator—but untested in practice until too late. Systems based on human memory and behavior may fall behind unless supplemented by automatic reminders or automated backup systems.


Microsoft Access Databases

The Microsoft Access database file format is probably the most popular format for Windows databases. An Access database file has the extension .MDB, and is basically a DOS/Windows file residing somewhere on a storage disk. The internal features cannot be seen or edited in a word processor, although the VisData program provided with Epi Info displays the contents and many of the properties of the database and its component tables.

An MDB file contains one or more tables (up to 1000, in theory) that are arranged logically in columns (variables) and rows (records). Because the amount of data stored in text fields, for example, can vary, the physical arrangement of data within the file is more complicated than simple rows and columns.

Epi Info databases are built around two types of tables within an MDB. The screen appearance of the data, including fields for data entry and check code commands, is contained in a View table , with variables defined for Epi Info use to describe features such as the NAME, PROMPT, and various size and location parameters of each field. Epi Info data tables, however, are simply columns to represent variables in the questionnaire and rows to represent individual records. Data tables are essentially the same as those used in Microsoft Access, although Epi Info, for reasons of compatibility does not use stored procedures or relations in the database tables.


Microsoft Access File Format

Databases in Epi Info are Microsoft Access (.MDB) files, and therefore compatible with the most popular Windows database format. Epi Info uses the Microsoft Jet Engine (Version 3.51) to manage databases and to read and write a variety of other file formats such as dBASE, Paradox, ODBC, text files, and even HTML tables. Files from Epi Info 6.xx can be imported or exported, but are not read or written directly by the Jet Engine.

Epi Info databases consist of View tables in a format unique to Epi Info, and data tables in generic Access file format. Because Epi Info and Access use different methods for data entry, it is not recommended that both Microsoft Access and Epi Info be used to enter data in the same database.

MakeView contains functions for producing Epi Info Views from Access data tables.


Microsoft Access Links

The Microsoft Jet Engine, the database engine behind the scenes in Epi Info, provides a mechanism called a Link, for accessing files in more than one MDB. Links function somewhat like the shortcut icons on the Windows Desktop. Just as clicking on a shortcut opens a file that is not on the desktop, referring to a Link table (LNK) has the effect of being able to read and write in a table in another MDB, or in the case , of files like dBASE or Paradox, in an entirely different kind of database.


ODBC File Access: Setting Up a DSN Link

Some types of data sources, those accessed through the ODBC or OLE DB methods, require that a special file containing access information be constructed and stored before they are READ in Analysis. To construct a DSN (Data Source Name) link to an ODBC or OLE DB database such as Microsoft SQL Server, Oracle, Sybase, or Informix, choose SETTINGS from the Windows START menu. Within the Control Panel that appears, click on the icon for "ODBC Data Sources (32bit)". On the tab called FILE DSN click the ADD button, and then from Create New Data Source, choose the driver to be used. Now click NEXT and use the browse button to navigate to navigate to the directory where Epi Info is installed, probably ..\Epi_Info. Enter as the Data Source Name, "Epi 2K Sample Database." Click SAVE. When you are prompted for More Information, click the SELECT button under Database and find the SAMPLE.MDB file in the Epi_Info directory. Now click OK in the ODBC Microsoft Access Setup window and you should return to the User DSN display. Allow Windows to place the file in the specially designated directory for DSNs. Click OK again and then close the Control Panel window.

Database Analysis Using ODBC

The challenging part of setting up an ODBC file connection is in creating the DSN (Data Source Name) as described above. Once this is done, use the READ command in Analysis and select ODBC as the Data Type. You should see the available DSNs or be able to navigate to the directory where you placed yours. When you use a DSN, there may be some security formalities, such as entering a username and password, or these may have been included when the DSN was constructed, and hence will not appear again. Although there may be restrictions on the type of access provided to particular tables or fields, analysis of an ODBC data source should otherwise be similar to working with a native Epi Info/Access dataset.

Importing Epi Info 6 Files

Analysis imports Epi Info 6 files automatically into a temporary Microsoft Access table . It is also possible to import data from Epi6 into the MDB format by choosing IMPORT from the FILE menu in MakeView. After supplying name and location of the file, a new Epi Info View and Data table will be created automatically. The fields in the View may require some adjustment for best appearance in the Windows screen, and you may choose to enhance the View by adding Groups and other features. After analysis is completed you can export your MDB into Epi6 format using the write command.

Importing Epi Info 6 Check Code

Check code in Epi Info is not quite the same as that in Epi 6 check (.CHK). It is close enough, however, so that many features can be reused. A Check ( .CHK) file from Epi Info for DOS can be transferred to appropriate variable blocks of Epi Info check code by running IMPORT EPI 6 CHK FILE on the MakeView FILE menu. Each line begins with an asterisk so that the code will be ignored until you make the necessary changes in syntax, remove the asterisk, and test the code in Epi Info.

Importing a Related File System from Epi Info 6

The IMPORT function in MakeView imports one file at a time from the Epi Info 6 format. In Epi Info 6, related files and keys for the relations are designated within check code in the .CHK file.

To import a system of related files from Epi 6, first make a diagram on paper of the system to understand which file is the main file, which files are related and the keys for each. Consulting the check code and the Epi Info 6 users manual may help with this step. If there are IF statements to express conditional relationships (IF <fieldname> = something or other THEN RELATE <Filename>), then jot down the conditions.

Make a proper backup copy of all the files you will be converting, and set it aside. Now import each of the files into Epi Info using the MakeView FILE|IMPORT menu choice. On the main View, right-click in a suitable location to create a relate button, and follow the procedure given above in the section on Creating a Related View. Instead of choosing to CREATE A NEW RELATED FILE, choose RELATE TO EXISTING VIEW, and make appropriate choices to create the relationship to the existing View that was imported from Epi Info 6.

The relational keys will be the same in both Views, since this is enforced by Epi 6. To enter data in Epi Info is necessary however to convert the relational system used in Epi Info 6 to the new format in Epi Info. When a relation button is created in MakeView, a new field called Fkey (foreign key) is added to the related table. To convert an Epi 6 relationship into an Epi Info relation is necessary to fill the fkey field with the appropriate data. This can be done in Analysis. The MERGE command can move values from the unique key of the parent table to the fkey of the child table when the word “Relate” (Without quotes) is added to a valid syntax. Since this is not a common procedure (it will be use one time per system) there are no boxes in the merge dialog to click on.

Read the child table, then select MERGE from the command list. Supply the appropriate information in the MERGE dialog including the old relationship (the relationship used by Epi 6). When ready instead of using the OK button, click on “Save Only”. Analysis will write the appropriate syntax in the program editor. Identify the merge line and at the end of the statement add the word “RELATE” (without quotes). Click on run this command only.

Once these steps have been completed, test the new relationship in Enter by choosing ENTER DATA from the FILE menu. Continue this process until all the relationships have been reestablished in the Epi Info Views.

This procedure has to be completed every time a new set of related tables in Epi 6 is converted to Epi Info. Therefore you must decide whether to use Epi 6 or Epi Info for data entry. It is not possible to use the same dataset in both systems, once it is converted to Epi Info. Do not attempt to MERGE an Epi Info 6 file with an Epi Info dataset, as data may be lost or misidentified.

Analysis (PGM) Programs?

Programs written in Analysis can be stored in the current MDB. This is done automatically in a separate table called “Programs”. Do not create another table or view called ”Programs” because Analysis maintains its own version. Analysis will store some information about the program such as comments, author, and date of creation.

In some cases it is necessary to share a program between users without sharing data tables (MDB), or to send a program elsewhere, or create one in a Word processor or from DOS batch file commands in the menu.

Analysis can read .PGM files in text format containing program commands. To read a program stored in a .PGM file, click on the “Open” button located at the top of the Program editor. In the Open form click on the Text File button. A window to select the text file will be displayed. Choose a file and click Ok to load it into the Program editor. In general simple Epi 6 programs can be executed, but those that point to different files and folders will need some editing to use the Epi Info syntax. Consult the COMMANDS and FUNCTIONS topic for details on syntax.

HTML Output Files

Output files can be placed in any folder you want. The ROUTEOUT command will allow you to select both path and filename. If no output file is selected, Analysis will use the default value. In every folder Analysis will create a new index table that contains links to the files created.

The default name and path for HTM documents can be defined using the STORING OUTPUT command. The first part of an output file name must begin with a letter and can contain any valid character. The second part of the name contains the the output file sequence which is a number. The default values for automatic output are “OUT” as prefix and 1 as sequence number. If you change the output prefix to “page” and set the sequence to 100, the first output created for analysis will be called “Page100.htm.” It is best to keep filenames within the standard DOS 8+3 format, since some Local Area Networks and other programs still do not accept the long file names that are convenient for most purposes in Windows.

The archive database allows renaming and keeping important results permanently, since output names are recycled after the time or number of files designated in the OUTPUT STORAGE dialog. The archive database will be stored in the same directory in which the INI file is located. Unlike the results index, the archive can contain information about files located in different folders.

Many Views for A Data Table

In some cases is necessary to have different views from one table. For example, you may not want to show confidential information to your secretary, or clinicians and epidemiologists in a clinic need access to different kinds of information in the same file.

Epi Info can solve this problem using a single database by having more than one View connected with the data table(s). One View can contain all fields and others can contain only a subset.

A View cannot contain fields that are not in the dataset, as there would be no place to store data that might be entered. If such a View is created, the necessary fields will be added to the database automatically to prevent problems.

To create a new view for an existing table, use the COPY VIEW option in VIEW menu in MakeView. Choose CREATE A NEW VIEW USING THE SAME TABLE. Create a second view by choosing the MDB in which to place the View, give the View a name, and click Ok.


Generalidades del uso de Visual Basic

Este capítulo proporciona los detalles de la arquitectura interna de algunas partes seleccionadas de Epi Info, de utilidad para programadores de Visual Basic que quieran entender cómo son las vistas de Epi Info o cómo escribir nuevos módulos estadísticos para su incorporación en versiones futuras de Epi Info. Las vistas proporcionan metadatos sobre las bases de datos creadas por Epi Info y también describen la apariencia de la pantalla para que puedan usarse, por ejemplo, para construir un HTML equivalente a una vista de Epi Info. The Broad Street Library of Statistics es el nombre dado a una biblioteca de rutinas estadísticas construida alrededor de la especificación incluida en este capítulo para la interface estadística IEPI. IEPI suministra el medio normal para enviar datos y parámetros a un módulo estadístico (una librería dinámica de Windows -DLL, u otro módulo ActiveX) y recibir los resultados estadísticos, ambos en formato de cadena de HTML adecuado para mostrarlo y alternativamente como una serie de parámetros establecidos (por ejemplo, "valor p") y valores (Por ejemplo, 0.005).

Los siguientes enlaces describen brevemente cómo se usa Visual Basic con Epi Info:

Una vista de ejemplo conteniento todos los tipos de campos

Una vista de ejemplo conteniendo todos los tipos de campos disponibles en Epi Info

Una tabla simplificada de MetaDatos de la Vista OSWEGO

Una tabla simplificada de MetaDatos de la Vista OSWEGO en SAMPLE.MDB

Una tabla View Sencilla

Características comunes de los módulos IEPI

La Broad Street Library of Statistics

La Broad Street Library of Statistics: Especificaciones para estadísticas, Gráficas, y Mapas

La libería tipo IEPI

La estructura de las vistas (Views)


The Structure of Views

A View is a Microsoft Access file with a structure defined by Epi Info. It contains information on the screen appearance of a database or part of a database. In this sense, it resembles the questionnaire file and especially the header of the REC file in Epi Info for DOS.

Each field in a View is described by a record in the View table . User-generated Check code and settings for the field are stored in the same record. View records generally contain:

  • The Number of the Page where the field is displayed. Page 0 is reserved for special records that pertain to the entire View.

  • The Prompt for display on the screen.

  • The horizontal and vertical locations of the Prompt and the Field itself, as percentages of screen height and width.

  • The Size of the field as displayed (although text fields scroll to accept 128 characters regardless of their size on the screen, and multiline fields will accept almost unlimited amounts of text).

  • Check code for the field.

  • Lists of miscellaneous items, such as code files.

  • The location where data items are stored or retrieved. The DataTable field contains a reference to a record on Page 0 that contains the actual data table name.

The name of the field is assumed to be the same as the field name stored in the View.

Records with 0 or negative page numbers contain additional information, such as colors and the names of background images that apply to whole pages or to the entire View.

Special field records contain information on Related Views and Grids, which are a type of related View.

Each Data source (Database and DataTable) used by the View has a field in Page 0 of Type SOURCE and a Name consisting of DATA plus a number (1, 2, or 3, for example). The numbers start at 1 and proceed in the order of first use of the data source by the View. The data source fields of the SOURCE records contain the path, filename, and TableName of the data table, using paths relative to the location of the .MDB that contains the View.

Data source fields in each Field record contain the Name used by the SOURCE record, for example, DATA1.

A similar method is be used for Code Tables, storing the location of the Code Table in records of Type SOURCE, with Names CODE1, CODE2, etc. Field records refer to CODE1, CODE2, etc., where the actual names are stored.

Related Views are identified in records on Page 0 with Type SOURCE and names RELVIEW1, RELVIEW2, etc. The same names are used to identify the related views in Field Records of type RELATE.

The effect of these indirect references is to concentrate information on data sources (metadata) in records of type SOURCE. To use a different SOURCE, all that is required is to change the SOURCE record so that it refers to another source. If fields in the source referred to match those in the fields of the View, then the link is successful; otherwise, the fields can be ignored or an error message issued.

Version information for a View should be included on Page 0 of the view (e.g., "Epi Info Version 1.00").

This process provides a method of substituting new data sources for those in a View. A MetaData table containing the names of SOURCE records in a View will contain references to an alternative set of data sources and the name of the View. MetaData files can be loaded directly into either Enter or Analysis to bring up the relevant View and Data tables. Source records in the View are essentially ignored in favor of the information in the MetaData file (or table). The MetaData information can also be used to generate a description of the database for other purposes, although related Views must be consulted to find information on a complex hierarchy.

Records in the MetaData table are identical to the SOURCE records in a VIEW, with the addition of one more record of Type "VIEW" that identifies the main View to be used with the designated SOURCE files or tables.

The user can OPEN a MetaData table in Enter or MakeView, and READ a MetaData table in Analysis. In MakeView, the MetaData table provides only the View. In Enter and Analysis, the SOURCE records are read from the MetaData table and the information is stored in memory before the designated VIEW is read. SOURCE records in the VIEW are ignored if there is a MetaData table, thus effectively substituting the data sources specified in the MetaData table for those specified in the View table. This allows a single view to be used with as many data sources as desired, merely by making a new MetaData table for each View/Source combination. Views and Sources must “match” to the extent that variables referred to in the View are present in the Source and related tables have appropriate keys.


Common Features of IEPI Modules

These are ActiveX modules that are callable from Analysis or StatCalc, and use the IEPI interface to obtain data from the calling program.

Each module has a number of properties by which it is configured, that can be set from dialogs (property pages) within the module and then saved. The name of the saved properties can be passed in the settings property of IEPI when the module is called. Note that this resembles the mechanism by which .MAP files store the properties of Epi Map, allowing one to recreate the map merely by referring to the name of the .MAP file.

The name of the data file or an SQL string to read it may be passed to the module, or a complete set of instructions may be stored in a .MAP or .CHT file for use by the module.


A Simplified View Table

PageNo | Name | Type | DataBase | DataTable | DataField
0 | DATA1 | SOURCE | SAMPLE.MDB | recOswego |
0 | DATA2 | SOURCE | SAMPLE.MDB | recOswego1 |
0 | CODE1 | SOURCE | ..\Codes\CODES.MDB | NYCounties |
0 | RELVIEW1 | SOURCE | SAMPLE.MDB | recContacts |


A Simplified MetaData Table for the View OSWEGO

PageNo | Name | Type | DataBase | DataTable | DataField
0 | MAINVIEW1 | VIEW | SAMPLE.MDB | viewOSWEGO |
0 | DATA1 | SOURCE | SAMPLE.MDB | recDecatur |
0 | DATA2 | SOURCE | SAMPLE.MDB | recDecatur1 |
0 | CODE1 | SOURCE | ..\Codes\CODES.MDB | GACounties |
0 | RELVIEW1 | SOURCE | SAMPLE.MDB | recGAContacts |

References to a data source outside of the current MDB must be replaced by a reference to an Access Link table within the current MDB.

Fields in a View Table

PageNo

Prompt

Name

Type

Index

DSize

FSize

Format String

PlocX

PlocY

FlocX

FlocY

TabOrder

PFont

PFontsize

PFonttype

FFont

FFontsize

FFonttype

Lists

Checkcode

Database

Datatable

Datafield

Number

May be very long

Name of field—up to 12 characters

Field type—up to 12 characters *

Type of index if any—Unique, secondary, etc.

Size of displayed field on screen

Maximum size of field data

String of specified types

Location of prompt LEFT

Location of prompt TOP

Location of field LEFT

Location of field TOP

Tab order For discussion—page, entire form, or one form

Prompt Font

Prompt Font Size

Prompt Font Type (italic, etc)

Field Font

Field Font Size

Field Font Type (italic, etc)

Legal values, code lists, and special purpose info for some

field types, (Very large capacity)

Epi Info Commands for this field

Link to project database (default) or to another database

Link to data table

Link to datafield


A Simplified MetaData Table for the View OSWEGO in SAMPLE.MDB

PageNo | Name | Type | DataBase | DataTable | DataField
0 | MAINVIEW1 | VIEW | SAMPLE.MDB | viewOSWEGO |
0 | DATA1 | SOURCE | SAMPLE.MDB | recDecatur |
0 | DATA2 | SOURCE | SAMPLE.MDB | recDecatur1 |
0 | CODE1 | SOURCE | ..\Codes\CODES.MDB | GACounties |
0 | RELVIEW1 | SOURCE | SAMPLE.MDB | recGAContacts |

References to a data source outside of the current MDB must be replaced by a reference to an Access Link table within the current MDB.

Fields in a View Table

PageNo

Prompt

Name

Type

Index

DSize

FSize

Format String

PlocX

PlocY

FlocX

FlocY

TabOrder

PFont

PFontsize

PFonttype

FFont

FFontsize

FFonttype

Lists

Checkcode

Database

Datatable

Datafield

Number

May be very long

Name of field—up to 12 characters

Field type—up to 12 characters *

Type of index if any—Unique, secondary, etc.

Size of displayed field on screen

Maximum size of field data

String of specified types

Location of prompt LEFT

Location of prompt TOP

Location of field LEFT

Location of field TOP

Tab order For discussion—page, entire form, or one form

Prompt Font

Prompt Font Size

Prompt Font Type (italic, etc)

Field Font

Field Font Size

Field Font Type (italic, etc)

Legal values, code lists, and special purpose info for some

field types, (Very large capacity)

Epi Info Commands for this field

Link to project database (default) or to another database

Link to data table

Link to datafield


A Sample View Containing All Field Types

The records in the view have been sorted by PageNumber and distributed over several pages to fit this document. The notes at the bottom of the columns and in fine print are not part of the database.

PageNumber | Name | Prompt | Type | Index
-2 |  |  | Background | 0
-1 |  |  | Background | 0
0 | GRIDVIEW1 |  | SOURCE |
0 | RELVIEW1 |  | SOURCE |
0 | DATA1 |  | SOURCE |
0 | GENERAL |  | INFO (To be inserted) |
1 | ThisIsText | This is Text | TEXTBOX |
1 | ThisIsALabel | This is a Label | TEXTONLY |
1 | ThisIsTextuppercase | This is Text(uppercase) | UPPERCASE |
1 | ThisIsAMultiline | This is a Multiline | MULTILINE |
1 | ThisIsANumber | This is a Number | NUMBER |
1 | ThisIsPhone | This is Phone Number | PHONENUMBER |
1 | ThisIsDate | This is Date | DATE |
1 | ThisIsTime | This is Time | TIME |
2 | ThisIsDateTime | This is date time | DATETIME |
2 | ThisIsCheckbox | This is checkbox | CHECKBOX |
2 | ThisIsYesno | This is YesNo | YES/NO |
2 | ThisIsOption | This is Option | OPTFRAME |
2 | ThisIsAuto | This is Auto ID | AUTOIDNUM |
2 | ThisIsACommand | This is a command button | COMMANDBUTTON |
2 | ThisIsImage | This is Image | IMAGE |
2 | ThisIsGrid | This is Grid | GRID |
2 | ThisIsRelate | This is Relate | RELATE |
Page 0 contains records referring to the entire view. Positive page numbers refer to actual pages. Negative pages contain items that pertain to an entire page, such as a background image. | Field Name. This must be unique within the View and cannot contain spaces. | The prompt contains text that precedes the field. It can contain spaces. | The field type. Note that GRID and RELATE fields refer to related Views and indirectly to related data tables. | Not currently used for data fields. Stores color of background for pages.

Dsize | Fsize | Formatstring | Plocx | Plocy | Flocx | Flocy
1.609658 | 3.350515 | 0 0=image in corner 1=whole page image | 7545 To be removed | 6480 To be removed |  |
1.609658 | 3.350515 | 0 | 7545 To be removed | 6480 To be removed |  |
 |  | Epi Info 2002, Version 0.95 | 7545 Height in Twips of original page | 6480 Height in Twips of original page |  |
0.152247 | 0.048969 |  | 5.003353 | 5 | 19.08786 | 5
0 | 0 |  | 40 | 0 | 0 | 0
0.193159 | 0.048969 |  | 5.030181 | 14.94845 | 30.38229 | 14.94845
0.241449 | 0.090206 |  | 5.030181 | 25 | 24.34608 | 25
0.096579 | 0.048969 | ###;### | 5.003353 | 40 | 24.11804 | 40
0.193159 | 0.048969 | ###-###-####;###-###-#### | 5.030181 | 50 | 29.17505 | 50
0.160966 | 0.048969 | ##-##-####;MM-DD-YYYY | 5.030181 | 60.05154 | 19.5171 | 60.05154
0.209256 | 0.048969 | ##-##-## ??;HH:MM:SS AMPM | 5.003353 | 70 | 19.49027 | 70
0.193159 | 0.048969 | ##-##-#### ##-##-## ?? ;MM-DD-YYYY HH:MM:SS AMPM | 5.030181 | 10.05155 | 23.54125 | 10.05155
 |  |  | 8.423876 | 20 | 5.003353 | 20
0.112676 | 0.048969 |  | 5.030181 | 29.89691 | 21.32797 | 29.89691
0.18994 | 0.245704 | R 1 3 4 R=Option text on Right 1=XXXXXX 3=Number of options 4=Array Index of frame | 5.030181 | 39.94845 | 5.003353 | 43.35051
0.096579 | 0.048969 | ; | 5.030181 | 75 | 21.73038 | 75
0.279946 | 0.064433 |  | 5.003353 | 85 | 5.003353 | 85
0.162978 | 0.126289 |  | 45.07042 | 20.10309 | 45.07042 | 26.66667
0.420523 | 0.208763 | GRIDVIEW1 | 40.04024 | 45.10309 | 40.04024 | 50.44674
0.225352 | 0.064433 |  | 25.75453 | 14.43299 | 54.99664 | 85
Size of Prompt label in % of page width | Width of data entry field |  | Upper left corner of Prompt in % of page width | Top of Prompt in % of page height | Upper left corner of Entry Field in % of page width | Top of Entry Field in % of page height

Taborder | Pfont | Pfontsize | Pfonttype | Ffont | Ffontsize | Ffonttype
1 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
0 | MS Sans Serif | 8 | 0 False |  |  |
3 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
4 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
5 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
6 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
7 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
8 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
1 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
2 | MS Sans Serif | 8 | 0 False |  |  |
3 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
4 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
5 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
7 | MS Sans Serif | 8 | 0 False | Arial |  |
8 | MS Sans Serif | 8 | 0 False | MS Sans Serif |  |
9 | MS Sans Serif | 8 | 0 False | recgridTest1ThisIsGrid |  |
38 | MS Sans Serif | 8 | RELVIEW1 | MS Sans Serif |  |
Order in which cursor visits fields | Font for Prompt | Font size for Prompt | Font type for Prompt--Values for BOLD and ITALIC. Here neither is set, giving normal type. | Font for Entry Field | Font size for Entry Field | Font "type" for Entry Field

Lists | Checkcode | Database | Datafield | Datatable
 |  | Testall.MDB |  | recTest1ThisIsGrid
 |  | Testall.MDB |  | viewThisIsRelate
 |  | Testall.MDB |  | recTest1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
Yellow;Pink;Green; Option captions |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
One;Two;Three; Fields in Grid TO BE REMOVED. |  | Testall.MDB |  | DATA1 -- SHOULD BE GRIDVIEW1
Many Allow 1 or Many records to be entered in related view. |  |  |  | RELVIEW1
Lists are kept here for special purposes. | Contains the text of all Check code stored by field. Special records (not shown here) are generated to store Check code for BeforeRecord, After Record, etc. All variable definitions are stored in ???? | Name of MDB in which data table resides |  | Unique name generated by MakeView to indicate the Name of the record on Page 0 containing the actual reference to a data table.


A Sample View Containing All Field Types Available in Epi Info 2002

Any characteristic or attribute that can be measured.

A set of data arranged in rows and columns.

A Sample View Containing All Field Types Available in Epi Info

The records in the view have been sorted by PageNumber and distributed over several pages to fit this document. The notes at the bottom of the columns and in fine print are not part of the database.

PageNumber | Name | Prompt | Type | Index
-2 |  |  | Background | 0
-1 |  |  | Background | 0
0 | GRIDVIEW1 |  | SOURCE |
0 | RELVIEW1 |  | SOURCE |
0 | DATA1 |  | SOURCE |
0 | GENERAL |  | INFO (To be inserted) |
1 | ThisIsText | This is Text | TEXTBOX |
1 | ThisIsALabel | This is a Label | TEXTONLY |
1 | ThisIsTextuppercase | This is Text(uppercase) | UPPERCASE |
1 | ThisIsAMultiline | This is a Multiline | MULTILINE |
1 | ThisIsANumber | This is a Number | NUMBER |
1 | ThisIsPhone | This is Phone Number | PHONENUMBER |
1 | ThisIsDate | This is Date | DATE |
1 | ThisIsTime | This is Time | TIME |
2 | ThisIsDateTime | This is date time | DATETIME |
2 | ThisIsCheckbox | This is checkbox | CHECKBOX |
2 | ThisIsYesno | This is YesNo | YES/NO |
2 | ThisIsOption | This is Option | OPTFRAME |
2 | ThisIsAuto | This is Auto ID | AUTOIDNUM |
2 | ThisIsACommand | This is a command button | COMMANDBUTTON |
2 | ThisIsImage | This is Image | IMAGE |
2 | ThisIsGrid | This is Grid | GRID |
2 | ThisIsRelate | This is Relate | RELATE |
Page 0 contains records referring to the entire view. Positive page numbers refer to actual pages. Negative pages contain items that pertain to an entire page, such as a background image. | Field Name. This must be unique within the View and cannot contain spaces. | The prompt contains text that precedes the field. It can contain spaces. | The field type. Note that GRID and RELATE fields refer to related Views and indirectly to related data tables. | Not currently used for data fields. Stores color of background for pages.

Dsize | Fsize | Formatstring | Plocx | Plocy | Flocx | Flocy
1.609658 | 3.350515 | 0 0=image in corner 1=whole page image | 7545 To be removed | 6480 To be removed |  |
1.609658 | 3.350515 | 0 | 7545 To be removed | 6480 To be removed |  |
 |  | Epi Info 2002, Version 0.95 | 7545 Height in Twips of original page | 6480 Height in Twips of original page |  |
0.152247 | 0.048969 |  | 5.003353 | 5 | 19.08786 | 5
0 | 0 |  | 40 | 0 | 0 | 0
0.193159 | 0.048969 |  | 5.030181 | 14.94845 | 30.38229 | 14.94845
0.241449 | 0.090206 |  | 5.030181 | 25 | 24.34608 | 25
0.096579 | 0.048969 | ###;### | 5.003353 | 40 | 24.11804 | 40
0.193159 | 0.048969 | ###-###-####;###-###-#### | 5.030181 | 50 | 29.17505 | 50
0.160966 | 0.048969 | ##-##-####;MM-DD-YYYY | 5.030181 | 60.05154 | 19.5171 | 60.05154
0.209256 | 0.048969 | ##-##-## ??;HH:MM:SS AMPM | 5.003353 | 70 | 19.49027 | 70
0.193159 | 0.048969 | ##-##-#### ##-##-## ?? ;MM-DD-YYYY HH:MM:SS AMPM | 5.030181 | 10.05155 | 23.54125 | 10.05155
 |  |  | 8.423876 | 20 | 5.003353 | 20
0.112676 | 0.048969 |  | 5.030181 | 29.89691 | 21.32797 | 29.89691
0.18994 | 0.245704 | R 1 3 4 R=Option text on Right 1=XXXXXX 3=Number of options 4=Array Index of frame | 5.030181 | 39.94845 | 5.003353 | 43.35051
0.096579 | 0.048969 | ; | 5.030181 | 75 | 21.73038 | 75
0.279946 | 0.064433 |  | 5.003353 | 85 | 5.003353 | 85
0.162978 | 0.126289 |  | 45.07042 | 20.10309 | 45.07042 | 26.66667
0.420523 | 0.208763 | GRIDVIEW1 | 40.04024 | 45.10309 | 40.04024 | 50.44674
0.225352 | 0.064433 |  | 25.75453 | 14.43299 | 54.99664 | 85
Size of Prompt label in % of page width | Width of data entry field |  | Upper left corner of Prompt in % of page width | Top of Prompt in % of page height | Upper left corner of Entry Field in % of page width | Top of Entry Field in % of page height

Taborder | Pfont | Pfontsize | Pfonttype | Ffont | Ffontsize | Ffonttype
1 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
0 | MS Sans Serif | 8 | 0 False |  |  |
3 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
4 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
5 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
6 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
7 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
8 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
1 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
2 | MS Sans Serif | 8 | 0 False |  |  |
3 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
4 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
5 | MS Sans Serif | 8 | 0 False | MS Sans Serif | 8 | 0 False
7 | MS Sans Serif | 8 | 0 False | Arial |  |
8 | MS Sans Serif | 8 | 0 False | MS Sans Serif |  |
9 | MS Sans Serif | 8 | 0 False | recgridTest1ThisIsGrid |  |
38 | MS Sans Serif | 8 | RELVIEW1 | MS Sans Serif |  |
Order in which cursor visits fields | Font for Prompt | Font size for Prompt | Font type for Prompt--Values for BOLD and ITALIC. Here neither is set, giving normal type. | Font for Entry Field | Font size for Entry Field | Font "type" for Entry Field

Lists | Checkcode | Database | Datafield | Datatable
 |  | Testall.MDB |  | recTest1ThisIsGrid
 |  | Testall.MDB |  | viewThisIsRelate
 |  | Testall.MDB |  | recTest1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
Yellow;Pink;Green; Option captions |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
 |  |  |  | DATA1
One;Two;Three; Fields in Grid TO BE REMOVED. |  | Testall.MDB |  | DATA1 -- SHOULD BE GRIDVIEW1
Many Allow 1 or Many records to be entered in related view. |  |  |  | RELVIEW1
Lists are kept here for special purposes. | Contains the text of all Check code stored by field. Special records (not shown here) are generated to store Check code for BeforeRecord, After Record, etc. All variable definitions are stored in ???? | Name of MDB in which data table resides |  | Unique name generated by MakeView to indicate the Name of the record on Page 0 containing the actual reference to a data table.


The Broad Street Library of Statistics

La Broad Street Library of Statistics

Especificaciones para estadísticas, Gráficas, y Mapas para los módulos de Epi Info

Las estadísticas, gráficas, y mapas de de Epi Info se realizan como llamadas de módulos ActiveX (propiamente OLE). La especificación de la interface utilizada está disponible para ser utilizada por terceros para el desarrollo de módulos que pudieran ser añadidos a una futura versión de Epi Info. La comunicación entre la llamada de un módulo y un módulo ActiveX, como en TABLE .DLL se hace mediante una Interface, que el propio módulo ActiveX IMPLEMENTA. La Clase Interface estándar para Epi Info se llama IEPI (Letra “I” EPI, no número “1” EPI)), que se encuentra en el programa de Visual Basic llamado IEPI.CLS y el Módulo de interface, IEPI.DLL.

Si el módulo ActiveX module está escrito con Visual Basic, Versión 6, el módulo incluye las palabras, IMPLEMENTS IEPI, en sus declaraciones. Seleccionando cada uno de los métodos IEPI o propiedades en el módulo de programación de Visual Basic 6 se copiará el esqueleto de la propiedad o método en el módulo nuevo, con la adición de “IEPI_” antes del nombre de la propiedad o función. Así, GetFunctionNames se convierte en IEPI_GetFunctionNames, etc. El archivo IEPI.DLL debería copiarse en la computadora del programador y ser registrada para su uso en el registro del sistema, bien usando Visual Basic o usando un programa separado, como REGSVR32.EXE.


The Broad Street Library of Statistics:Specifications for Statistical, Graphing, and Mapping

The Broad Street Library of Statistics:
Specifications for Statistical, Graphing, and Mapping Modules for Epi Info

The statistics, graphing, and mapping in Epi Info are implemented as ActiveX (formerly OLE) modules. The interface specification used is available for others to use in developing additional modules that could be added to a future version of Epi Info. Communication between a calling module and an ActiveX module such as table .DLL is done through an Interface, which the ActiveX module IMPLEMENTS. The standard Interface Class for Epi Info is called IEPI (Letter “I” EPI, not numeral “1” EPI), found in the Visual Basic program file called IEPI.CLS and the Interface Module, IEPI.DLL.

If the ActiveX module is written in Visual Basic, Version 6, the module includes the words, IMPLEMENTS IEPI, in its declarations. Selecting each of the IEPI methods or properties in the programming module of Visual Basic 6 will copy the skeleton of the property or method into the new module, with the addition of “IEPI_” prior to the name of the property or function. Thus GetFunctionNames becomes IEPI_GetFunctionNames, etc. The IEPI.DLL file should be copied to the programmer’s computer and registered for use in the system registry, either through Visual Basic or by using a separate program like REGSVR32.EXE.


The IEPI Type Library

The IEPI Type Library, Source Code for a DLL Containing Virtual Functions to be IMPLEMENTed by Compatible ActiveX Modules

Public Property Get FunctionNames() As Variant

'Returns the names of functions in the module as an array of strings

End Property

Public Property Let NumRows(ByVal vNewValue As Long)

'Set to the number of rows in the dataset by the client that provides the data

End Property

Public Property Let NumColumns(ByVal vNewValue As Long)

'Set to the number of columns in the dataset by the client that provides the data

End Property

Public Property Let NumStrata(ByVal vNewValue As Long)

'Set to the number of strata in the dataset by the client that provides the data

End Property

Public Property Let ColumnTypes(ByVal vNewValue As Variant)

'An array set to the type of data contained in each column

End Property

Public Property Let ColumnNames(ByVal vNewValue As Variant)

'An array set to the name of each column

End Property

Public Property Let Settings(ByVal vNewValue As Variant)

'Settings relevant to the procedures being requested

'Is an array with two dimensions, (1..2,1..n). Settings[1,n] is the name of the setting; 'Settings[2,n] is its value. Both are variants.

End Property

Public Property Let DataArray(ByVal vNewValue As Variant)

'An array having the dimensions (1..columns,1..rows, 1..strata) containing 'the data. If the data are not stratified, the third dimension and the value of the index are ‘always 1. If only a single value, such as a Key, is passed, then columns, rows, and strata ‘are all 1, and DataArray[1,1,1) = the Key.

End Property

Public Property Let MoreDataComing(ByVal vNewValue As Boolean) 'A boolean set by the client if more data will follow that is not currently 'in the DataArray.

End Property

Public Property Get Explanation() As String

'Additional explanation, if any, for display

End Property

Public Property Get ResultArray() As Variant

' Results expressed as name of statistic, value of statistic, in a

' two-dimensional array or collection. May be used as an alternative to the

' string returned by DoFunction

End Property

Public Function DoFunction(FunctionName As String) As String

'Calls on the stated routine. Note that routines must be

'Public functions so that they remain in memory while

'needed; this routine allows them to be called

'by passing the string name of the routine. Returns

'Resultstring if successful; otherwise, an error code.

End Function

Public Property Get Settings() as Variant

'Settings relevant to the procedures being requested. This should be implemented as a 2-‘dimensional array (1..2, 1..n) with the first item being a string “setting name” and the ‘second the default value of the setting. This allows the client program to discover or ‘display the setting possibilities even without documentation of the server module.

End Property

Interaction of the Client (e.g., Analysis or StatCalc) with the Server (e.g., STAT01.DLL, containing Fisher Exact and Odds Ratio Functions) proceeds as follows:

  • Client checks the FunctionNames property of the STATXX module (say, Fisher Exact, for example) to get a list of available methods.

  • Analysis then constructs an SQL query that includes the SELECTS, IF’s, and other conditions prescribed by the user, and places the data in the DataArray property, specifying the number of Rows, Columns, and Strata in the corresponding properties. Setting, or the name of a settings file, can be passed in the SETTINGS property.

  • The client program, Analysis in this case , then calls the statistical function.

  • The Statistical Server (User-supplied function) checks for essential parameters (data, for example) and if some are missing, pops up a user dialog to get those needed.

The Statistical Server (User-supplied function) does appropriate calculations and returns results as:

A string (up to 32 K), with results suitable for display on the screen or for printing. This can be in plain text format, but the preferred format is HTML, so that the result displays nicely in a browser. Strings suitable for translation into non-English languages should be enclosed between tags with the name "tlt" (for "TransLaTion"), as follows: <tlt>Confidence Limits</tlt>. These tags are not displayed by common browsers, but can be used by Epi Info programs Analysis and StatCalc to identify items requiring translation. Each item is sent to the language translation module before being sent to the HTML output file in the Analysis or StatCalc program.

An array containing:

Name of Statistic Value etc. for the statistics produced.

Analysis or StatCalc formats and displays the results that are returned as a string or array. If the module has its own display, as for Chart, Map, and Summary, the user interacts with the server module until he/she wishes to return to the client.


Posibilidades de traducción

Para el uso de un idioma u otro en los programas de Epi Info, archivos de ayuda y ejercicios se utiliza una base de datos llamada LANGUAGE.MDB (con las frases o palabras que utilizan los programas), situada en el subdirectorio ENGLISH (en el caso del idioma original, bajo el directorio principal de Epi Info). Los archivos de ayuda y ejercicios están también en ese directorio o sus subdirectorios. Los archivos traducidos (base de datos de los programas, archivos de ayuda y ejercicios) se sitúan en otro directorio con el nombre del idioma, como por ejemplo SPANISH. Así, se puede traducir sin tener que cambiar los nombres de archivos, instalar o desinstalar distintos idiomas, sin que afecte al programa principal. Se puede cambiar de un idioma a otro desde el menú principal (internamente se cambia la definición de la variable LANGUAGE que está en el archivo Epi Info.INI.

Los siguientes enlaces describen algunas de las características de traducción de Epi Info:

Ventajas de tener carpetas separadas para cada Idioma

Fuentes, Unicode, Derecha-a-izquierda y otras caracerísticas necesarias en idiomas no europeos

Instalación de las traducciones

LANGUAGE.MDB en el directorio principal de Epi_Info

Preparar los archivos para la instalación con TSETUP.EXE

Traducción de los programas de Epi Info

Traducción de los archivos de ayuda y manual

Traductores

Usuarios


Translating the Epi Info Programs

Epi Info is designed for easy translation into non-English languages. All the English phrases that can safely be translated are contained in tables in the database LANGUAGE.MDB. Commands and other reserved words in the Analysis and Check programming languages should not be translated, although the screen prompts that lead to their generation can be translated. Each Epi Info program has its own table in a LANGUAGE.MDB database (e.g., the phrases from Analysis are found in the Analysis table). Each Menu (.MNU) file used in the menu produces a separate table in the database, which can be translated. English versions of these menu tables are generated automatically when a user creates a new MNU file.

Each language has its own directory of the installed Epi Info directory.

Every installation has at least the directories ..\ENGLISH\ and ..\ENGLISH\HELP\, containing the English versions of the program phrases (c:\Epi_Info\ENGLISH\LANGUAGE.MDB, for example) and the English versions of the help files and manual. Tutorials such as OSWEGO may also be located in the \HELP\ directory. An installation program called TSETUP.EXE is provided to create proper directories for a new language and install the translated files.

To add a new language, first examine the LANGUAGE.MDB database, using Utilities|Visualize Data or Microsoft Access, to appreciate how the database is constructed. To make a translation in SPANISH, for example, first create a subdirectory called ..\SPANISH\ under the Epi Info installed directory (usually ..\Epi_Info\). Make another subdirectory under ..\SPANISH\ called HELP. Then copy the English version of LANGUAGE.MDB to ..\SPANISH\. Use MakeView to create a new field called SPANISH in each of the program tables in LANGUAGE.MDB. Your translation should include the tables for each program. When you or a user create a new MNU file for the Epi Info Menu program, a new table is automatically created with a column containing the phrases from the MNU so that a translation can be provided in LANGUAGE.MDB. Now that you have a View and a Data table for each program, translating the program into Spanish is simply a matter of placing the Spanish translations beside the English phrases in the same record in the database. If no translation is needed, leave the item blank, and the program will automatically default to English. This would be appropriate for single characters or an “=” sign, for example.

After each translation is complete, set the LANGUAGE variable in Epi Info.INI to the name of the desired column (e.g., Spanish) and then run the program. This can be done either by editing Epi Info.INI or by editing the Epi Info.MNU file to allow the user to set the LANGUAGE variable equal to SPANISH. Several examples of these settings are provided in EpiInfo.MNU.

After the LANGUAGE variable has been set to SPANISH, the programs should show Spanish phrases automatically rather than the English equivalents. Check the spacing of phrases on the programs screen and make appropriate changes if crowding occurs. A beta test should be conducted with representative users, to test the function of the programs and the clarity and correctness of the translation.


Instalación de las traducciones

Después de instalar el programa se puede instalar otro idioma desde el menú principal de Epi Info, SETTINGS | INSTALL LANGUAGE. Al utilizar esta opción, se intala el idioma que seleccione. Luego, si quiere utilizar ese idioma debe elegir el idioma en el menú principal, con SETTINGS | CHOOSE LANGUAGE. Con Epiinfo se distribuye un ejemplo con la traducción en Español.


Preparing Files for Installation by TSETUP.EXE

The Language database and help files must be placed in the proper directories and compressed ("zipped”) into a single, self-expanding module (a self-expanding EXE file) that can be run by the TSETUP.EXE program supplied with Epi Info. The exact nature of the self-expanding EXE files is not crucial, but they must create directories of the correct name under the directory from which they are run. A program called ARJ is provided that may be used for compression.

The compressed executable file should be given the name of the language it contains—SPANISH.EXE in our example—and the file should be placed in the same directory with TSETUP.EXE. A translation of TSETUP.EXE itself can be provided by translators for end users, if desired.

In the following paragraphs, the language Spanish is used for example. However, any language name of eight characters or less is acceptable, and may be substituted for “Spanish.” In file names, case is not important, so .EXE is equivalent to .exe, and may be used interchangeably.


Translating the Manual and Help Files

The manual and help files were written in Microsoft Word and saved as HTML files. The HTML files were then compiled into EIHELP.CHM file using Robohelp. The CHM file can be decompiled into HTML files and translated using a free tool from Microsoft named HTML Help Workshop. It can be downloaded from Microsoft's website: HTML Help Workshop.

EIHELP.CHM is most likely found in C:\Epi_Info\English\Help

There is one other file you will need to use HTML Help Workshop, EpiInfoHelp.hhp. This file is provided in the Epi Info install directory (usually C:\Epi_Info).

The steps below will walk you through using HTML Help Workshop to translate EIHELP.CHM.

1. Use HTML Workshop to decompile EIHELP.CHM into a separate folder

2. Place EpiInfoHelp.hhp into same folder as decompiled content

3. Open EpiInfoHelp.hhp with HTML Workshop

4. Set Options for project.

The Compiled File field will be the path for where you want to compile your help.

Make certain the Full text search stop list file field is blank

Most of these are optional. HOWEVER, DO NOT check create a binary TOC!

The Merge Files tab is not used.

Use HTML Workshop to translate the HTML files and to translate the TOC names. DO NOT CHANGE ANY OF THE HTML FILENAMES!

HTML Workshop does not allow you to edit the glossary file (EpiInfoHelp.glo). However, you can edit this file using Notepad. Just make certain to leave the structure as it is.

If the translated EIHELP.CHM is placed in the proper directory (e.g., ..\SPANISH\HELP\), they will be automatically displayed when the LANGUAGE variable is set to SPANISH through the choice on the main menu, which in turn sets LANGUAGE to SPANISH in the EpiInfo.INI file.


Ventajas de tener carpetas separadas para cada Idioma

Si está preparando una traducción para distribuirla posteriormente, NO ESCRIBA LA TRADUCCION EN MULTIPLES COLUMNAS EN LANGUAGE.MDB del directorio principal. Aunque al hacerlo se obtiene una demostración rápida del mecanismo. Con el sistema descrito, al tener directorios separados para cada idioma ofrece muchas ventajas y permite que los traductores de cualquier parte del mundo puedan distribuir su traducción en un módulo independiente, quizá desde una página web, sin tener que enviarlo a Atlanta para incorporarlo en el módulo principal de Epi Info. Se pueden hacer revisiones de un idioma sin interferir en otras traducciones.


Fuentes, Unicode, Derecha-a-izquierda y otras caracerísticas necesarias en idiomas no europeos

Epi Info se ha programado para utilizar las fuentes por defecto de la computadora en la que está funcionando. Visual Basic el lenguaje en que está programado puede mostrar Unicode, el código de dos caracteres utilizado por el chino y otros idiomas para los que no es adecuado el estándar ASCII. Arabic, Hebrew, y otros idiomas de derecha-a-izquierda se pueden ver bien en computadoras que tienen esta característica incluida en el sistema operativo Windows.


Epi Info LANGUAGE.MDB

The Epi Info language module looks for the LANGUAGE.MDB for the currently chosen language (e.g., SPANISH), and, if one is not found, look in \<Epi Info folder>\English. Hence, if you provide a real translation for even a few of the programs, the machine translation will not be used.


is the compression program, which should reside in the c:\Epi Info directory. In order to run the program from within the c:\source\Spanish subdirectory, the path to ARJ, c:\Epi Info\ARJ, must be specified.

Translators

Initially, place language database (language.mdb), HELP files, and any other necessary files for a particular language in a source directory or subdirectory. For clarity, give the source directory the language name. For example, place all files and subdirectories required for the Spanish translation into the subdirectory c:\source\Spanish.

Then, compress (“zip”) all files and subdirectories residing in this source directory into a single, self-expanding module, called a “self-expanding,” or “self-extracting,” .EXE file. Use a compression program such as ARJ (shareware supplied with Epi Info, with license) to create the self-expanding .EXE file – one .EXE for each language.

Use the compression program to assign the compressed executable file (.EXE) the name of the language, consistent with the name of the source subdirectory from which the non-compressed files are copied: for example, Spanish.exe.

Using the compression program, place the resulting .EXE file in a subdirectory, named TRANSEXE, of the directory which contains TSETUP. For each language the user wishes to employ, TSETUP will expect a file with that language name, suffixed by .EXE, in the TRANSEXE subdirectory, within the directory in which TSETUP resides.

With TSETUP, a component program of Epi Info, the translator can then initiate the self-expanding .EXE file for each language selected. Each .EXE file will create a subdirectory labeled with the language name attached to the .EXE. These subdirectories will also be in the directory from which TSETUP is run, which is the same directory that contains the subdirectory TRANSEXE.

Within each resulting language subdirectory will reside the necessary files for that language. Epi Info can then access the files in each language subdirectory to enable translation to that language.

ARJ

To create a self-expanding .EXE with ARJ, do the following:

  1. First, ensure that a subdirectory named TRANSEXE exists in the directory where TSETUP resides.

  2. Next, place all non-compressed directories and files that you wish to add to the self-expanding .EXE into a subdirectory analogous to the following:

c:\source\Spanish (Spanish is used for example: any language name of eight characters or less is acceptable.)

  3. Then, from the MS-DOS prompt, type the following commands:

cd c:\source\Spanish
c:\Epi_Info\ARJ a –r c:\Epi Info\transexe\Spanish.exe *.* -je

where

c:\source\Spanish

is the subdirectory where non-compressed source files and subdirectories reside. These files and subdirectories will be incorporated into the resulting compressed, self-expanding .EXE file (in this case called “Spanish.exe” under c:\Epi Info\transexe).

The <a> is a parameter that instructs ARJ to “add” files to the self-expanding .EXE.

The <-r> is a parameter that instructs ARJ to include subdirectories, if encountered in the source subdirectory (“r” stands for “recurse directories”).

The <c:\Epi_Info\transexe\Spanish.exe> is the filename for the self-expanding .EXE file that will be created.

The <*.*> will include ALL files (and directories) resident in the specified source subdirectory.

The <-je> is a parameter that causes ARJ to create a self-expanding compressed file with the suffix .EXE.

As previously stated, the language “Spanish” has been used for example. Any language name, up to eight characters, may be substituted. TSETUP is not sensitive to letter case, so “Spanish” will work as well as “spanish” or “SPANISH.”

In order to install multiple languages, simply repeat the above procedure for each language, using appropriate naming conventions for each source subdirectory (e.g., c:\source\French, c:\source\Swedish) and EXE file (e.g., c:\Epi_Info\transexe\French.exe, c:\Epi_Info\transexe\Swedish.exe). A self-expanding .EXE file will be created in the c:\Epi_Info\transexe subdirectory for each language, and the TSETUP program can then read and process each of those .EXEs constructed, so that multiple languages can be installed during one run of TSETUP, as long as a .EXE file exists (in the TRANSEXE subdirectory) for each language.

Each time TSETUP runs, if, in the destination subdirectory, files already exist for a specific language, those files will be overwritten by contents of the .EXE file for that language.

Please consult the documentation for ARJ, entitled ARJ.txt (provided), for further assistance.


Límites de Epi Info

Epi Info 2002 hereda algunas limitaciones propias del entorno Windows y de los ordenadores en general. Para un trabajo mínimamente agradable se necesita un procesador rápido (200 MHz o más). Si el procesador es más lento, incrementar la memoria RAM hasta los 32 o 64 megabytes aumentará la velocidad de proceso, pero con los precios actuales comprar un ordenador nuevo más rápido es más aconsejable (Opinión de los autores).

Las limitaciones específicas de Epi Info son:

Límites | Descripción
Número de campos por cuestionario o vista | Una tabla de Microsoft Access está limitada a 256 campos, sin embargo Epi Info crea automáticamente vistas relacionadas para solventar este límite.
Número de registros en una tabla de datos | Prácticamente ilimitado (solo depende del espacio en disco).
Número de tablas en un archivo .MDB | 1000
Número de caracteres en un campo texto | 128
Número de caracteres en un campo multilínea | Teóricamente 2 gigabytes, pero nadie ha probado a escribir tanto. (limitado por el espacio en disco)


Resolución de problemas

Dado que muchos “errores” no son culpa del usuario y pueden deberse a circunstancias ajenas al programa, preferimos llamarlos “problemas” e intentar resolverlo tan rápido como podamos. La mayoría de los programas de Epi Info contienen un módulo para manejar “errores”. Cuando este modulo no puede solucionar el problema automáticamente, se mostrará la ventana de diálogo Hay un problema... .

Se muestra el número y descripción del error en Microsoft Visual Basic . En este momento, puede hacerse varias cosas. Elegir BYPASS (SALTAR) el error y ver si el programa funciona normalmente. Por ejemplo, si el problema es una base de datos corrupta, podrías seguir trabajando. A veces se producen varios problemas encadenados mostrándose varias ventanas, pero haciendo clic en BYPASS en cada una de ellas puedes llegar a trabajar sin problemas. Si esto no ocurre, elige CLOSE PROGRAM para cerrar el programa actual. Quizás pierda algún dato pero no hay más remedio si BYPASS no funciona. Puesto que tanto Enter como MakeView guardan cada página automáticamente, las pérdidas no deben ser muy importantes.

Si un problema ocurre repetidamente, puede encontrar más información sobre el mismo consultando HISTORY o SYSTEM INFORMATION. HISTORY da información sobre las funciones internas del programa que fueron llamadas antes de la aparición del problema. La lista puede ser de ayuda a los programadores de Epi Info para la resolución del problema. SYSTEM INFORMATION usa una función de Windows que proporciona abundante información sobre el sistema operativo tal y como estaba funcionando en el momento del problema. SYSTEM INFORMATION puede usarse para saber el nombre, versión y fecha de las Librerías Dinámicas (DLLs) en el ordenador, por ejemplo. SYSTEM INFORMATION está disponible bajo la opción Configuración en el menú principal de Epi Info.

Si todo esto falla y parece poco probable que aparezca ninguna ventana que sirva de ayuda, siempre queda la salida del “Ctrl-Alt-Supr”, lo que mostrará una ventana con los programas en ejecución. Es posible que aparezca uno marcado como “no responde” y esto quizás permita cerrarlo. También podría ocurrir que un mismo programa este cargado varias veces en memoria, lo que permitiría cerrar las ejecuciones “extras”. Así pueden solucionarse “misteriosos” problemas al escribir en un archivo que son casados por que el archivo está siendo utilizado por otra copia del mismo programa.

Los archivos de Windows y MS-DOS tienen un atributo que puede ser establecido como “Solo lectura”. Esto protege al archivo de los cambios accidentales, pero también impide su uso como base de datos o copiar encima otro archivo con el mismo nombre. Para ver los atributos de un archivo usa Mi PC en el escritorio para buscar el archivo y luego haga clic con el botón derecho sobre el icono del archivo y elige “Propiedades” . Una caja de verificación en la ventana de propiedades indica si el archivo es “Solo Lectura”. Haciendo clic sobre está opción el archivo quedará marcado o desmarcado como “Solo Lectura”. La existencia de una marca en la caja indica que el archivo está configurado como “Solo Lectura”. Si en la ventana de la carpeta se pulsa Ctrl-A para seleccionar todos los archivos, se puede hacer clic con el botón derecho para ver el estado de todos los archivos al mismo tiempo.

Antes de contactar con el Servicio de Ayuda de Epi Info, convienen apagar y volver a encender el ordenador, lo que a veces soluciona el problema. También es una buena idea asegurarse de que otros programas funcionan sin problemas y que la Red Local, si está conectado a alguna, funciona correctamente.

Si todo esto no resuelve los problemas, contacte con la Línea de Ayuda de Epi Info, usando los medios que se indican en este manual. Anote cuidadosamente el problema y las circunstancias en las que el problema se ha producido. Es importante informar de la versión del programa, la cual puede encontrarse en el menú principal.


El archivo Epi Info INI

Epi Info crea un archivo llamado EPIINFO.INI Los programas de Epi Info usan este archivo para almacenar su configuración. Para el usuario normal, este archivo es prácticamente inexistente. El archivo se organiza en secciones identificadas por los corchetes [ ]. Hay una sección para cada programa de Epi Info y otra por cada menú (archivos. MNU) creado y llamado desde el menú EPIINFO.EXE . Las variables permanentes se almacenan en la sección VARIABLES.

Si inicialmente no se instalaron todos los programas de Epi Info y se decide instalarlos más tarde, el programa de instalación localizará el archivo INI y preguntará si se desea reemplazar. Si el archivo INI es reemplazado, las variables permanentes se perderán y deberán reconfigurarse de nuevo desde cada programa. programs.

En general, si el archivo INI desaparece, cada programa recreará su sección la siguiente vez que es utilizado; sin embargo, a veces puede ocurrir un error. Por ejemplo, si el archivo INI se borra el archivo del menú preguntará cuál es la imagen de fondo que desea usar antes de mostrar el menú. Una vez una imagen es seleccionada, se guardará esta información en el INI recreado. Cuando se usa una sintaxis errónea en una sección, el programa puede no reconocerla y asumirá que no hay entrada para esa propiedad. Aunque no se recomienda editar este archivo, es posible solucionar algunos problemas por este método, especialmente si se encuentra una entrada errónea en alguna sección. Generalmente si se borra solo una línea no debe haber problemas, excepto que el programa usará la opción por defecto para esa entrada en concreto. Es importante recordar que si se edita el archivo, deberá guardarse en formato plano, no como texto enriquecido, WordPerfect, o Microsoft Word. El editor Wordpad es útil para guardar el texto en este formato.

A continuación se muestra un ejemplo de un archivo INI, aunque el contenido puede ser distinto del que exista en su ordenador:

[MnuEpi Info]

Buttons=True

Picture=D:\Epi Info\Epi Info.JPG

TopLoc=0

LeftLoc=0

Height=90

Width=90

[VARIABLES]

CompDate=3/3/2000

Language=SPANISH

[Analysis]

Most Recent Database=Sample.mdb

Process Records=UNDELETED

[Storage]

[Epi Info 2000]

Represent Yes as=Yes

Represent No as=No

Represent Missing as=Missing

[Statistics]

Statistics Type=INTERMEDIATE

[Output]

Show Complete Prompt=1

Show Selection=1

Show Graphics=1

Show Percents=1

Include Missing=0

[Nutstat]

Age=Yes

AgeUnits=Yrs&Mos

Years=

TodaysDate=Yes

BirthDate=Yes

BirthDateTag=mm/dd/yyyy

Table A set of data arranged in rows and columns. =nutchildren

ImportTable=

ZScores=Yes

Percentiles=Yes

PercOfMed=No

RepTemplate=nutReport.vrd

[Translations]

Lang1=English

Lang2=Spanish


1 record per geographic entity

If selected, no aggregation is necessary.


3D

Check this box if your graph is to be three dimensional.


= Expression

The = Expression field is any valid mathematical expression or logical expression generated by the user.


Age in Days

Enter output file limits on age. This is used in a Flag Files operation.


Aggregate Function

Enter one of the following aggregate function descriptors: Sum, Count, Maximum, Average, Minimum


All (*)

Initially selected, this item generates a command to write all field and standard variables. It must be unchecked to permit the selection of All (*) Except.


All (*) Except

Selecting this item generates a command to write all field and standard variables except those selected in the Variables box.


Ampersand

“North” & “wind” produce “Northwind”

Ampersand (&)

Text concatenation operator connects, or concatenates, two values to produce on continuous text value.

Example


Anchor

The Anchor is an optional tag at the end of an HTML filename; is preceded by an “#” and is used to “bookmark” a particular positions in a text file.


And

The And operator performs logical conjunction on two Boolean expressions. That is, if both expressions evaluate to True, then the And operator returns True. If either or both expressions evaluate to False, then And returns False.


Append Text

If selected, a new title line will be added, otherwise the current title will be replaced.


Apply

Apply Button

This is a standard dialog box button. It accepts the current settings and data, and it lets the user apply the changes that have been made in the dialog, without removing the dialog from the screen itself.


Archive

When selected, archive output files from the Results file.


Archive Folder

When selected via the option button, indicates that the Archive file in the indicated directory is to be processed


Assign Variable

The Assign Variable field represents a variable selected by the user that is located in a database or is a defined variable created in a program.


Asterisk

3 * 3

Asterisk (*)

Basic arithmetic operator used for multiplication; the result of an arithmetic operator is usually a numeric value.

Example


Available Variables

The Available Variables field allows the user to select the variables that are available in the current program.


Bar for Each Value of

Permits selection of a variable to generate multiple series from a single data source, each of which is displayed in a different color or style as appropriate.


Browse

This is a standard dialog box button. The browse button is used to search the local directory for a file.


Build Key

This function is not available in MERGE. Selecting this item will open another screen for generating the key expression by which the data sources will be matched.


Cancel

Cancel Button

This is a standard dialog box button, which returns to the status quo. Any changes made on the current form since the last Save are cancelled or ignored, and the form is closed.


Censored Variable

The variable which indicates whether the case indicates a failure or a censored case.


Change Project

When selected, allows the current project to be changed.


Clear

Clear Button

This is a standard dialog box button. It clears the variable name field so you can reenter new information.


Close

Closes the Results Storage window without changes.


Columns Per Page

A number from 0 to 99 representing the number of columns to be displayed before splitting a table (default is 6). If zero, all specified columns will be displayed without splitting the table.


Command List

Enter at least one valid Epi Info command.


Command Name

Indicates the name of the user-defined command.


Confidence Limits

The probability level at which confidence limits should be computed (default=.05).


Cross-tabulate by Value of

Any variable used for cross tabulation (optional, or * for all numeric variables).


Current Projects

Current Project

The name of a link table in the current MDB that constitutes a link to an external file or data table.


Data Formats

Analysis commands can operate on many different types of data. Specify the data format for the current project.


Data Source

Allows the selection of a data source corresponding to the selected format.


Data Table

Select a data table to write your Output to.


Data Variable

The variable in the data source which indicates the data to be displayed on the map.


Delete

When selected, delete files from the Results or Archive files


Denominator

Variable of the Shapefile to be used as the denominator when computing rates.


Dialog

Dialog Button

The Dialog button directs the user to the Dialog Command box. The Dialog Command box provides interaction with the user from within a program.


Dialog Format


Display Mode

Web (HTML): Data is displayed in HTM as a Web page.

Grid: Data is displayed as a grid instead of HTM for viewing only.

Allow Updates: Data is displayed as a grid instead of HTML for updating. This mode permits permanent changes in the database.


Else

The Else button is part of the If Condition and works as follows:

If the condition is true, then the first statement is executed.

If false, then this statement is bypassed.

If there is an else statement, it is executed instead.


Equal Sign

A1 = B1

Equal Sign (=)

Comparison operator used for equal to; the result of comparison operators is usually a logical value, either True or False.

Example


Execute


Exposure Variable

Variable in the database considered to be the risk factor (or * for all variables).


File Name

From the directory in the drop down box, select a file to write your Output to.


File Size (KB)

Enter output file limits on file size. This is used in a Flag Files operation.


Filename

For RUNPGM Command Generator Screen:

Enter the path or filename for the MDB or DOS.PGM file where the program is stored. If the path or filename contains a space, it must be enclosed in double quotes. If the program to be run is in the current project, the path need not be supplied.

For Execute Command Generator Screen (Filename or Command):

Enter a path and program name for .EXE and .COM files, along with any command line arguments desired.

For Help Command Generator Screen:

Enter the filename path of the .HTM file where the help file is located. This will bring the file up into the specified browser.

For Printout Command Generator Screen:

If left blank, the current output file will be printed. If a filename is selected, the indicated file will be printed

For Routeout Command Generator Screen:

Enter the output filename.

For Typeout Command Generator Screen:

Text or filename to be inserted into the output file


Fill Ranges

When selected, permits the automatic definition of recode ranges of equal width.


Font Color

Set the color for selected type.


Font Size

Define font size for selected type. Values for font size represent standard values for HTML font sizes. Numbers preceded by + or – increase or decrease the default size by the specified number of levels.


Forward Slash

3/3

Forward Slash (/)

Basic arithmetic operator used for division; the result of an arithmetic operator is usually a numeric value.

Example


Frequency Of


From

For Recode:

Identifies the variable whose values are to be recoded.

For Display:

For variables, specifies available tables. For views and tables, specifies available databases.


Functions

Functions Button

The Functions button displays the online help for Functions.


Geographic Variable

Enter the name which represents the variable in the data set that identifies the geographic region.


Get Command

This option not currently available for this command.


GoTo

The GoTo button directs the user to the GoTo Command box, which allows the user to specify if the GoTo will be used alone or in an IF statement to transfer the cursor to a particular named variable field.


Graph Options

When selected, opens the graph selection window to allow selection of variables for graphing and graph types.


Graph Type

Enter the text name of the graph type.


Greater Than

A1 < B1

Greater Than Sign (<)

Comparison operator used for comparing a value greater than another value; the result of comparison operators is usually a logical value, either True or False.

Example


Group Variable

A discrete variable used to divide the cases into groups for comparison. In the Cox model, there is no essential difference between the group variable and other predictor terms, and for this reason its use is optional. It is similar to the group variable in Kaplan-Meier, and when used will be graphed by default.


Help

Help Button

This button will take the user to the Help file associated with the Epi Info program.


Help Command Box

The Help Command box allows the user to specify a link to a customized document in HTM format using a default browser.


Hide

Hide Command Box

The Hide button directs the user to the Hide Command box, which allows the user to specify a field to hide.


Hold graph for subsequent overlay

If selected, GRAPH will return without generating a graph. Its data series will be saved and the series of the next GRAPH command will be added to them.


If Condition

The If condition field is used to specify the condition that will determine which statement that follows it is executed.


Include Missing

Include Missing values for Analysis. Yes is shown as On, or (+). No is shown as Off, or (-).


Information For

Variables: Displays information about variables. Sub-option DEFINE displays only defined variables. Sub-option FIELDVAR displays only table/view variables for the current READ and RELATE tables. Omitting the sub-option displays both defined and table/view variables

Views: Displays information about views and other EpiInfo-specific tables in a database. The sub-option is the path of the database. Omitting the sub-option displays information for the current project database.

Tables: Displays information about tables in a database, whether EpiInfo-specific or generic. The sub-option is the path of the database. Omitting the sub-option displays information for the current project database.


Input Variable


Interaction Terms

Shows interaction terms defined with the "Make Interaction" button. Double-clicking a selected term will result in its deletion.


Key

One or more expressions that designate the key on which the match will be performed.


Less Than

A1 > B1

Less Than Sign (>)

Comparison operator used for comparing a value less than another value; the result of comparison operators is usually a logical value, either True or False.

Example


Main Variables

For bar or similar graphs, the variables to be displayed along the X axis. For scatter or similar graphs, the variables to be plotted as X, Y and Z.


Make Dummy

This button will be enabled when a predictor variable is selected. If selected, a numeric variable is treated as discrete rather than continuous; the variable will be enclosed in parentheses to indicate that dummy variables will be created. If a predictor variable enclosed in parentheses is selected, the label will be "Make Continuous" and selecting it will result in the variable being treated as continuous.


Make Extended Term

This button will be enabled when a continuous predictor variable is selected. It is used to generate a time dependency function for use with the Extended Cox model.


Match Variables

Identifies the variable indicating the group membership of each record.


Matched Analysis

Performs analysis of the specified exposure and outcome variables that are specified.


Means Of

Identifies the variable whose mean is to be computed.


Minus Sign

3 - 1 or -1

Minus Sign (-)

Basic arithmetic operator used for subtraction or negation; the result of an arithmetic operator is usually a numeric value.

Example


Missing As

Label to be used for missing value of all variables.


Multiple Graph Settings

If selected, the user is permitted to select the number of sets of axes on a page vertically and horizontally.


No as

In Boolean variables No will be represented as text.


No Intercept

If this item is selected, the regression will performed without a constant term, forcing the regression line through the origin.


No Line Wrap

If checked, no line breaks are inserted into text fields, so that columns are as wide as the longest line in the field.


Number of Results

Enter output file limits on number of results. This is used in a Flag Files operation.

Mark output files in excess of the number indicated.


OK

OK Button

This is a standard dialog box button. It accepts the current settings and data, and then closes the form or window.


One Graph for Each Value of

Permits selection of a variable to generate multiple series from a single data source, each of which is displayed on a separate set of axes.


OR

OR Button

The Or operator performs logical disjunction on two Boolean expressions. If either expression evaluates to True, Or returns True. If neither expression evaluates to True, Or returns False.


Other Variables

Variables selected here will appear in the predictor variables list below.


Outcome Variable

Variable in the database considered disease of consequence (or * for all variables).


Output File Prefix

Enter an Output File Prefix text string. This prefix is used to store output files in the directory, together with the Output File Sequence.


Output File Sequence

Enter an Output File Sequence number. This sequence number is used to store output files in the directory, together with the Output File Prefix


Output Formats

Select an Output type from the available list.


Output Mode

Append: Records selected will be appended to the existing file/table, if present.

Replace: A file/table by the same name in the existing file will be erased and replaced.


Output to Table

A valid table name to be used to store output


Page Title

Enter a text name for the graph.


Parentheses ()

In Parenthetical Expressions, often you want the execution of operations to proceed in a different order from that determined by operator precedence.

Consider this example: x = z * y + 4

In this example, z is multiplied by y, and then the result is added to 4. But what if you want to add y and 4 before multiplying by z? In such a case you can override normal operator precedence by using parentheses. By enclosing an expression in parentheses, you force that expression to evaluate first, regardless of operator precedence.

So, to force the above expression to evaluate addition first, you would rewrite the example as follows: x = z * (y + 4)

The value of y is now added to 4, and that sum is multiplied by z.

You can nest expressions in multiple levels of parentheses to enforce precedence further. The expressions most deeply nested in parentheses are granted primary precedence, followed by less deeply nested expressions, and so on.

Consider the following example: x = (z * 4) ^ (y * (z + 2))

Here, z + 2 has primary precedence, then the other parenthetical expressions. Exponentiation, which normally has higher precedence than addition or multiplication, evaluates last in this example because the other expressions are enclosed in parentheses.


Plus Sign

3 + 3

Plus Sign (+)

Basic arithmetic operator used for addition; the result of an arithmetic operator is usually a numeric value.

Example


Process Records

Determines whether undeleted, deleted, or all records will be input to statistical procedures


Program

Enter the program name. If the program name contains a space, it must be enclosed in double quotes. Not used for text files.


Prompt

This field allows the user to insert text to be used in dialog as a message.


PSU

Identifies the variable which indicates the primary sampling unit which the record represents.


Quotes (")

Quotes enclose dialog that is displayed in question or prompt dialog boxes.


Recoded Value

Enter the value of the items in the new variable set you have previously defined.


Reset

Restores all settings to their values upon entering this window.


Results Folder

Each result is logged to a results index file in the project directory. Show the filepath to the Iresults.htm folder.


Save All

Generates a SET command to reset all settings to the current values.


Save Only

This allows the user to save the specified file without opening it.


Select Criteria

Contains the expression to be tested.


Settings

If selected, opens a version of the SET command window to select settings which apply only during the execution of this command.


Shapefile

Enter the path and file name for the Shapefile (SHP) to be used. Shapefiles are those used by ArcView and Arc/Info.


Show

Views: Choose the view or views which make the active data set.

All: Show all data sets in the selected data source.


Show Complete Prompt

Place checkmark in this box to display the full prompt for a variable name.


Show Graphics

Includes Graphics in Output. Yes is shown as On, or (+). No is shown as Off, or (-).


Show Hyperlinks

Includes Hyperlinks in Output. Yes is shown as On, or (+). No is shown as Off, or (-).


Show Percents

Percentages are included in Tables. Yes is shown as On, or (+). No is shown as Off, or (-).


Show Preview Window

If selected, GRAPH will pause to permit customization by the user


Show Selection Criteria


Show Tables in Output

Tables are included in Output. Yes is shown as On, or (+). No is shown as Off, or (-).


Show Value of

Permits selection of an aggregate where there are multiple records to be displayed as a group.


Sort Order

Ascending (++): If not specified, variable sort order is ascending.

Descending (--): Use this button to sort in descending order. The “descending” parameter must be placed next to the variable to be sorted in descending order. Should several variables be sorted on descending order, one “descending” should be included for each of them.

Remove from Sort: Select an item from the available variables and use this button to remove the item from the sort.


Sort Variables


Statistics

Sets the level of detail desired in statistical procedures.


Stratify By

Variable(s) to be used for stratified analysis.


Template

Enter the name of a graph Template, if used. When a graph Template is named the graph settings are taken from this Template. If explicit settings are given in the dialog box, they override the settings in the named graph Template.


Template File

Specifies the map template file to be created or used when generating the map.


Then

The Then button is part of the If Condition statement. It is used to start the section of code executed when the If condition is true.


Time Unit

The time unit in which the time variable is expressed (optional).


Time Variable

The variable which indicates at which time the failure or censorship occurred.


Title

Text of the heading title.


Title Line

Indicates which level of titles or body text will be affected by the command.


Title Option

If Set Text or Font is selected, the form permits title lines to be set or changed. If Reset Title is selected, the selected title level will be reset to default titles. If Remove Last Line is selected, the last line of a title level will be removed.


To

Identifies the variable which is to receive the recoded values


To Value (if any)

Enter the high value for items in the source that you wish to recode. Enclose text in quotation marks. Numeric ranges are separated by a space, hyphen, space. EX. 12 – 15. The word HIVALUE may be used to indicate the largest value represented in the database.


Unhide

The Unhide button directs the user to the Unhide Command box, which allows the user to specify a field to be visible and returns it to the status it had before it was hidden.


Use Unmatched (ALL)

This function records in the table READ for which there is no corresponding record in the RELATE table will be included in the data with null values for variables in the RELATE table.


Value (blank=other)


Value for Uncensored

The value of the censored variable that indicates a failure.


Variable Name

The Variable Name field represent the name of the variable to be created.


Variables

Selecting variables in this box causes them to be written, or excluded from being written when used with the All (*) Except item, by the generated command.


View

If View is selected, the operations available are Display and Flag Files


Views

This field contains a listing of all views available from selected Data Source.


Weight

Intended for summary data in which the number of cases will be stored in a variable such as count.


Weight Variable

Permits selection of a variable to be used as a weight.


Yes as

In Boolean variables Yes will be represented as text.


: This form of dialog places a dialog box on the screen, using the text provided with an OK button.

: This form of dialog displays a combo box of databases or view variables. OK and Cancel buttons are presented. The variable is assigned the value of the user's input, with a missing value if Cancel is selected. The variable will be of text type.

: This dialog type displays a combo box of distinct values of the specified variable in the specified database. OK and Cancel buttons are presented. The variable is assigned the value of the user's input, with a missing value if Cancel is chosen. The variable will be of the same type as the database variable.

Dialog Type Field

Simple

Get Variable

List of Values


Get Variable

This form of dialog displays a combo box of databases or view variables. OK and Cancel buttons are presented. The variable is assigned the value of the user's input, with a missing value if Cancel is selected. The variable will be of text type.


List of Values

This dialog type displays a combo box of distinct values of the specified variable in the specified database. OK and Cancel buttons are presented. The variable is assigned the value of the user's input, with a missing value if Cancel is chosen. The variable will be of the same type as the database variable.


Simple

This form of dialog places a dialog box on the screen, using the text provided with an OK button.


Global

Global variables persist for the duration of program execution. They are used in Enter to pass values from one view to a related view.


Permanent

Permanent variables are stored in the Epi Info.INI file or system registry and retain any value assigned until the value is changed by another assignment or the variable is undefined. They are shared among Epi Info programs and persist even if the computer is shut down.


variables can only stay in a current project, and will be considered as one variable in that view.

variables persist for the duration of program execution. They are used in Enter to pass values from one view to a related view.

variables are stored in the Epi Info.INI file or system registry and retain any value assigned until the value is changed by another assignment or the variable is undefined. They are shared among Epi Info programs and persist even if the computer is shut down.

Scope Field

Standard

Global

Permanent


Standard

Standard variables can only stay in a current project, and will be considered as one variable in that view.


Orden Recordcount

Select amountdue>0 and duedate<systemdate-365

If recordcount<>0 then

LIST client amountdue duedate

End

RECORDCOUNT

[Analysis] Orden

Descripción

Esta orden devuelve el número de registros en la vista activa o en la tabla de datos activa (Analysis).

Sintaxis

RECORDCOUNT

Ejemplo


Orden Setpicture

SETPICTURE

[Analysis] Orden

Descripión

Estga orden permite al usuario escoger una imagen y ponerla como la imagen del menú actual.

Sintaxis

SETPICTURE<Imagen>

La <Imagen> representa una imagen en cualquier formato válido (BMP, GIF, JPG)

Comentario

El nombre y situación de la imagen se guardan en el archivo de EPIINFO.INI para que el menú pueda mostrar la misma imagen la próxima vez que se utilice.


Orden Assign

County = "Yellow Medicine"

DURATION = 01/01/88 - DATEONSET

(La duración estará en días.)

DURATION = YEARS(01/01/88, DATEONSET)

(Ahora estará en años)

ASSIGN ILL = (-)

GROUP = 1 (Si group es una variable numérica)

GROUP = "1" (Si group es una variable de texto)

Assign (con Expresiones)

[Check] Orden

Descripción

Esta orden almacena el valor de una variable o asigna el resultado de un cálculo matemático en una variable.

Sintaxis

ASSIGN <variable> = <expresión>

LET <variable> = <expresión>

<variable> = <expresión>

La <variable> representa una variable de una tabla de datos o una variable definida o creada en un programa.

La <expresión> representa cualquier expresión matemática válida.

Características específicas en este programa

MakeView puede definir variables para ser utilizadas por Enter. Esas variables se situarán en una área específica del código Check llamada Defined Variables. Las variables pueden ser de cualquiera de los tres tipos (normal, global, y permanente) disponibles en Epi Info 2002. Las variables globales retendrán los valores mientras va de una tabla a otra relacionada. Las variables permanentes se guardan (en el archivo de EPIINFO.INI) incluso después de cerrar Enter.

Comentario

Esta orden asigna el valor de una expresión a una variable. La variable puede ser una variable de base de datos de una vista o tabla de datos o una variable definida, creada con la orden DEFINE en un programa.

Las variables temporales deben definirse; no se crean automáticamente como en las versiones anteriores de Epi Info, excepto en el programa del menú. Son flexibles aceptando cualquier tipo de datos (texto, numérico, o fecha). La conversión de tipo de los datos (de numérico a texto, por ejemplo) se hará automáticamente, si es necesario.

Ejemplo


Orden Setpicture

SETPICTURE

[Check] Orden

Descripión

Estga orden permite al usuario escoger una imagen y ponerla como la imagen del menú actual.

Sintaxis

SETPICTURE<Imagen>

La <Imagen> representa una imagen en cualquier formato válido (BMP, GIF, JPG)

Comentario

El nombre y situación de la imagen se guardan en el archivo de EPIINFO.INI para que el menú pueda mostrar la misma imagen la próxima vez que se utilice.


Orden Execute (Linkto o Activate)

EXECUTE "c:\epi2000\Epimap.exe"

Execute (Linkto o Activate)

[Menu] Orden

Descripción

Esta orden ejecuta un programa Windows o DOS --bien porque se llama explícitamente en la orden o bien porque está designado (en el registro de Windows) para un documento con la extensión del archivo que se nombra. La orden EXECUTE acepta una serie de paths, separados por punto y coma, como en:

EXECUTE c:\epi_info\myfile.exe;d:\myfile.exe

Si no se encuentra el primero, intentará los otros sucesivamente.

Características específicas del programa

La sintaxis alternativa Link y Activate sólo funcionan en el menú

Sintaxis

EXECUTE ArchivoEjecutable.EXE

EXECUTE Archivo.Extensión

El <programa> representa el directorio y nombre de archivos .exe (archivo registrado como programa en Windows) y archivos .com, junto con los argumentos especificados.

Comentario

Si se escribe el nombre de un programa ejecutable, como ENTER.EXE o MYBATCH.BAT o HAZLO.COM, el programa se ejecutará en una ventana separada. Cuando el programa termine, se cerrará la ventana.

Si el nombre dado no es un programa, pero es un archivo con una extensión (los 3 caracteres después del ".") registrada por Windows para mostrar un documento, se activará el programa correcto para abrir el archivo. Por ejemplo, WRITEUP.DOC hará que se active Microsoft Word © en su computadora y abra el documento. En otra máquina, sin embargo, .DOC podrían corresponder a Corel WordPerfect©. Normalmente .TXT ejecutará NOTEPAD.EXE© o WORDPAD.EXE©, y los archivos de imagen aparecerán en un navegador o en un programa de gráficos de su computadora. Un archivo .HTM ejecutará el navegador predefinido en su computadora.

Lo interesante de esta forma de EXECUTE es que no necesita proporcionar la situación o incluso el nombre del programa que se utilizará. Estos detalles se guardan en el registro de Windows para las extensiones del archivo comunes. Es como si usted dijera, "yo quiero clavar un clavo" y el sistema operativo le da un martillo. Usted no tiene que buscar el martillo y luego el clavo.

El mismo concepto se aplica a las direcciones de Internet (URLs). Dé una dirección de internet que acaba en .HTM y Windows abre el navegador predefinido en su computadora, conecta a Internet (si es posible), y va directamente al sitio indicado. Es el principio de “el Mundo como su unidad de disco.” Se podría preparar un menú con botones para los websites de países o estados vecinos, con este dispositivo y una conexión a Internet, o cualquier cosa que necesite para el trabajo diario, tendría acceso a éstas fuentes de información sólo un clic del ratón.

Ejemplo


Backing Up Data Files

An essential feature of data management is maintaining backup copies of databases so that most of the data can be restored in the event of hard disk failure, computer virus attack, fire, flood, or power surges. In all but trivial applications (defined as such by their lack of backup), multiple rotating backup copies and off-site storage are worth the extra trouble. Several generations of backup copies will help protect against the virus that your computer acquired last week that did not show up until this week, and against the common human tendency to nervously destroy the first backup copy when a crisis occurs.

A variety of media and compression techniques are available for backup. .MDB files compress very well, sometimes to 5% of their original size, using .ZIP or other compression methods. A copy of the .ARJ file compression program is provided with Epi Info, and this can be used to compress and back up data from a menu entry with a little programming.

Read-only CDROM copies (CD-R) copies are durable and well protected from overwriting. Whatever medium is chosen should be tested periodically by actually restoring and testing databases, as even commercial backup programs occasionally provide cheerful assurance that all is well, but fail to deliver the data when challenged. Restoration drills are particularly important if you depend on backups made by others—perhaps a LAN administrator—but untested in practice until too late. Systems based on human memory and behavior may fall behind unless supplemented by automatic reminders or automated backup systems.


REFUGEE.MDB


Record(s) for Feature(s)

Records for Feature

The Records for Feature tool, represented by the table icon, changes the cursor to the table icon and allows users to graphically select a feature or features and retrieve all database records associated with the feature(s). The Records for Feature tool, is a short cut to the View-Records(s) for feature pull-down menu. This button is only enabled when Case-Based mapping is invoked.


Aligning Fields Vertically or Horizontally Demo

This is an example on how to align a field horizontally.

click to play ../ALIGN.AVI


Creating a Check Box Demo

This is an example on how to create a check box in a View.


Creating a Grid Demo

This is an example of how to create a grid in the View.

click to play ../GRID.AVI


Creating a Group Demo

This is an example of how to create a group in the View.

click to play ../GROUP.AVI


Creating a Line as an Image Demo

This is an example of how to create a line as an image.

click to play ../LINE.AVI


Creating an Option Box Demo

This is an example of how to create an option box in a View.

click to play ../OPTION.AVI


Cutting, Copying and Pasting Fields Demo

This is an example on how to copy and paste a field in a View.

click to play ../COPY.AVI